=begin
Copyright (c) 2019 Aspose Pty Ltd

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
=end

require 'spec_helper'
#require 'json'

# Unit tests for AsposeSlidesCloud::SlidesApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'SlidesApi' do

  # unit tests for align_shapes
  # Changes the placement of selected shapes on the slide. Aligns shapes to the margins or the edge of the slide or aligns them relative to each other.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param alignment_type Alignment type that will be applied to the shapes.
  # @param [Hash] opts the optional parameters
  # @option opts [BOOLEAN] :align_to_slide If true, shapes will be aligned relative to the slide edges.
  # @option opts [String] :shapes Shapes indexes.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Shapes]
  describe 'align_shapes test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'AlignShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'AlignShapes', 'Integer')
      paramalignment_type = AsposeSlidesCloud::SpecUtils.get_param_value('alignmentType', 'AlignShapes', 'String')
      paramalign_to_slide = AsposeSlidesCloud::SpecUtils.get_param_value('alignToSlide', 'AlignShapes', 'BOOLEAN')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'AlignShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'AlignShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'AlignShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'AlignShapes', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('AlignShapes', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.align_shapes_with_http_info(paramname, paramslide_index, paramalignment_type, paramalign_to_slide, paramshapes, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignShapes', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'AlignShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'AlignShapes', 'Integer')
      paramalignment_type = AsposeSlidesCloud::SpecUtils.get_param_value('alignmentType', 'AlignShapes', 'String')
      paramalign_to_slide = AsposeSlidesCloud::SpecUtils.get_param_value('alignToSlide', 'AlignShapes', 'BOOLEAN')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'AlignShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'AlignShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'AlignShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'AlignShapes', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'AlignShapes', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('AlignShapes', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.align_shapes_with_http_info(paramname, paramslide_index, paramalignment_type, paramalign_to_slide, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('AlignShapes', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignShapes', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignShapes', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'AlignShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'AlignShapes', 'Integer')
      paramalignment_type = AsposeSlidesCloud::SpecUtils.get_param_value('alignmentType', 'AlignShapes', 'String')
      paramalign_to_slide = AsposeSlidesCloud::SpecUtils.get_param_value('alignToSlide', 'AlignShapes', 'BOOLEAN')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'AlignShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'AlignShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'AlignShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'AlignShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'AlignShapes', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('AlignShapes', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.align_shapes_with_http_info(paramname, paramslide_index, paramalignment_type, paramalign_to_slide, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('AlignShapes', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignShapes', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignShapes', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid alignment_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'AlignShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'AlignShapes', 'Integer')
      paramalignment_type = AsposeSlidesCloud::SpecUtils.get_param_value('alignmentType', 'AlignShapes', 'String')
      paramalign_to_slide = AsposeSlidesCloud::SpecUtils.get_param_value('alignToSlide', 'AlignShapes', 'BOOLEAN')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'AlignShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'AlignShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'AlignShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'AlignShapes', 'String')
      paramalignment_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('alignmentType', 'AlignShapes', paramalignment_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('AlignShapes', 'alignmentType', paramalignment_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.align_shapes_with_http_info(paramname, paramslide_index, paramalignment_type, paramalign_to_slide, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('AlignShapes', 'alignmentType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignShapes', 'alignmentType', paramalignment_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignShapes', 'alignmentType', paramalignment_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid align_to_slide' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'AlignShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'AlignShapes', 'Integer')
      paramalignment_type = AsposeSlidesCloud::SpecUtils.get_param_value('alignmentType', 'AlignShapes', 'String')
      paramalign_to_slide = AsposeSlidesCloud::SpecUtils.get_param_value('alignToSlide', 'AlignShapes', 'BOOLEAN')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'AlignShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'AlignShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'AlignShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'AlignShapes', 'String')
      paramalign_to_slide = AsposeSlidesCloud::SpecUtils.invalidize_param_value('alignToSlide', 'AlignShapes', paramalign_to_slide, 'BOOLEAN')
      AsposeSlidesCloud::SpecUtils.initialize('AlignShapes', 'alignToSlide', paramalign_to_slide)
      begin
        AsposeSlidesCloud::SpecUtils.api.align_shapes_with_http_info(paramname, paramslide_index, paramalignment_type, paramalign_to_slide, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('AlignShapes', 'alignToSlide')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignShapes', 'alignToSlide', paramalign_to_slide)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignShapes', 'alignToSlide', paramalign_to_slide)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shapes' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'AlignShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'AlignShapes', 'Integer')
      paramalignment_type = AsposeSlidesCloud::SpecUtils.get_param_value('alignmentType', 'AlignShapes', 'String')
      paramalign_to_slide = AsposeSlidesCloud::SpecUtils.get_param_value('alignToSlide', 'AlignShapes', 'BOOLEAN')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'AlignShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'AlignShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'AlignShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'AlignShapes', 'String')
      paramshapes = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapes', 'AlignShapes', paramshapes, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('AlignShapes', 'shapes', paramshapes)
      begin
        AsposeSlidesCloud::SpecUtils.api.align_shapes_with_http_info(paramname, paramslide_index, paramalignment_type, paramalign_to_slide, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('AlignShapes', 'shapes')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignShapes', 'shapes', paramshapes)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignShapes', 'shapes', paramshapes)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'AlignShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'AlignShapes', 'Integer')
      paramalignment_type = AsposeSlidesCloud::SpecUtils.get_param_value('alignmentType', 'AlignShapes', 'String')
      paramalign_to_slide = AsposeSlidesCloud::SpecUtils.get_param_value('alignToSlide', 'AlignShapes', 'BOOLEAN')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'AlignShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'AlignShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'AlignShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'AlignShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'AlignShapes', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('AlignShapes', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.align_shapes_with_http_info(paramname, paramslide_index, paramalignment_type, paramalign_to_slide, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('AlignShapes', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignShapes', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignShapes', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'AlignShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'AlignShapes', 'Integer')
      paramalignment_type = AsposeSlidesCloud::SpecUtils.get_param_value('alignmentType', 'AlignShapes', 'String')
      paramalign_to_slide = AsposeSlidesCloud::SpecUtils.get_param_value('alignToSlide', 'AlignShapes', 'BOOLEAN')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'AlignShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'AlignShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'AlignShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'AlignShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'AlignShapes', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('AlignShapes', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.align_shapes_with_http_info(paramname, paramslide_index, paramalignment_type, paramalign_to_slide, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('AlignShapes', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignShapes', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignShapes', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'AlignShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'AlignShapes', 'Integer')
      paramalignment_type = AsposeSlidesCloud::SpecUtils.get_param_value('alignmentType', 'AlignShapes', 'String')
      paramalign_to_slide = AsposeSlidesCloud::SpecUtils.get_param_value('alignToSlide', 'AlignShapes', 'BOOLEAN')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'AlignShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'AlignShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'AlignShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'AlignShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'AlignShapes', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('AlignShapes', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.align_shapes_with_http_info(paramname, paramslide_index, paramalignment_type, paramalign_to_slide, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('AlignShapes', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignShapes', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignShapes', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for align_special_slide_shapes
  # Changes the placement of selected shapes on the master slide. Aligns shapes to the margins or the edge of the slide or aligns them relative to each other.
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param alignment_type Alignment type that will be applied to the shapes.
  # @param [Hash] opts the optional parameters
  # @option opts [BOOLEAN] :align_to_slide If true, shapes will be aligned relative to the slide edges.
  # @option opts [String] :shapes Shapes indexes.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Shapes]
  describe 'align_special_slide_shapes test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'AlignSpecialSlideShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'AlignSpecialSlideShapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'AlignSpecialSlideShapes', 'String')
      paramalignment_type = AsposeSlidesCloud::SpecUtils.get_param_value('alignmentType', 'AlignSpecialSlideShapes', 'String')
      paramalign_to_slide = AsposeSlidesCloud::SpecUtils.get_param_value('alignToSlide', 'AlignSpecialSlideShapes', 'BOOLEAN')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'AlignSpecialSlideShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'AlignSpecialSlideShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'AlignSpecialSlideShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'AlignSpecialSlideShapes', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('AlignSpecialSlideShapes', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.align_special_slide_shapes_with_http_info(paramname, paramslide_index, paramslide_type, paramalignment_type, paramalign_to_slide, paramshapes, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignSpecialSlideShapes', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'AlignSpecialSlideShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'AlignSpecialSlideShapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'AlignSpecialSlideShapes', 'String')
      paramalignment_type = AsposeSlidesCloud::SpecUtils.get_param_value('alignmentType', 'AlignSpecialSlideShapes', 'String')
      paramalign_to_slide = AsposeSlidesCloud::SpecUtils.get_param_value('alignToSlide', 'AlignSpecialSlideShapes', 'BOOLEAN')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'AlignSpecialSlideShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'AlignSpecialSlideShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'AlignSpecialSlideShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'AlignSpecialSlideShapes', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'AlignSpecialSlideShapes', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('AlignSpecialSlideShapes', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.align_special_slide_shapes_with_http_info(paramname, paramslide_index, paramslide_type, paramalignment_type, paramalign_to_slide, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('AlignSpecialSlideShapes', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignSpecialSlideShapes', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignSpecialSlideShapes', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'AlignSpecialSlideShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'AlignSpecialSlideShapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'AlignSpecialSlideShapes', 'String')
      paramalignment_type = AsposeSlidesCloud::SpecUtils.get_param_value('alignmentType', 'AlignSpecialSlideShapes', 'String')
      paramalign_to_slide = AsposeSlidesCloud::SpecUtils.get_param_value('alignToSlide', 'AlignSpecialSlideShapes', 'BOOLEAN')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'AlignSpecialSlideShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'AlignSpecialSlideShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'AlignSpecialSlideShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'AlignSpecialSlideShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'AlignSpecialSlideShapes', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('AlignSpecialSlideShapes', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.align_special_slide_shapes_with_http_info(paramname, paramslide_index, paramslide_type, paramalignment_type, paramalign_to_slide, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('AlignSpecialSlideShapes', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignSpecialSlideShapes', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignSpecialSlideShapes', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'AlignSpecialSlideShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'AlignSpecialSlideShapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'AlignSpecialSlideShapes', 'String')
      paramalignment_type = AsposeSlidesCloud::SpecUtils.get_param_value('alignmentType', 'AlignSpecialSlideShapes', 'String')
      paramalign_to_slide = AsposeSlidesCloud::SpecUtils.get_param_value('alignToSlide', 'AlignSpecialSlideShapes', 'BOOLEAN')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'AlignSpecialSlideShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'AlignSpecialSlideShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'AlignSpecialSlideShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'AlignSpecialSlideShapes', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'AlignSpecialSlideShapes', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('AlignSpecialSlideShapes', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.align_special_slide_shapes_with_http_info(paramname, paramslide_index, paramslide_type, paramalignment_type, paramalign_to_slide, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('AlignSpecialSlideShapes', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignSpecialSlideShapes', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignSpecialSlideShapes', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid alignment_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'AlignSpecialSlideShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'AlignSpecialSlideShapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'AlignSpecialSlideShapes', 'String')
      paramalignment_type = AsposeSlidesCloud::SpecUtils.get_param_value('alignmentType', 'AlignSpecialSlideShapes', 'String')
      paramalign_to_slide = AsposeSlidesCloud::SpecUtils.get_param_value('alignToSlide', 'AlignSpecialSlideShapes', 'BOOLEAN')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'AlignSpecialSlideShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'AlignSpecialSlideShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'AlignSpecialSlideShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'AlignSpecialSlideShapes', 'String')
      paramalignment_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('alignmentType', 'AlignSpecialSlideShapes', paramalignment_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('AlignSpecialSlideShapes', 'alignmentType', paramalignment_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.align_special_slide_shapes_with_http_info(paramname, paramslide_index, paramslide_type, paramalignment_type, paramalign_to_slide, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('AlignSpecialSlideShapes', 'alignmentType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignSpecialSlideShapes', 'alignmentType', paramalignment_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignSpecialSlideShapes', 'alignmentType', paramalignment_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid align_to_slide' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'AlignSpecialSlideShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'AlignSpecialSlideShapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'AlignSpecialSlideShapes', 'String')
      paramalignment_type = AsposeSlidesCloud::SpecUtils.get_param_value('alignmentType', 'AlignSpecialSlideShapes', 'String')
      paramalign_to_slide = AsposeSlidesCloud::SpecUtils.get_param_value('alignToSlide', 'AlignSpecialSlideShapes', 'BOOLEAN')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'AlignSpecialSlideShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'AlignSpecialSlideShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'AlignSpecialSlideShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'AlignSpecialSlideShapes', 'String')
      paramalign_to_slide = AsposeSlidesCloud::SpecUtils.invalidize_param_value('alignToSlide', 'AlignSpecialSlideShapes', paramalign_to_slide, 'BOOLEAN')
      AsposeSlidesCloud::SpecUtils.initialize('AlignSpecialSlideShapes', 'alignToSlide', paramalign_to_slide)
      begin
        AsposeSlidesCloud::SpecUtils.api.align_special_slide_shapes_with_http_info(paramname, paramslide_index, paramslide_type, paramalignment_type, paramalign_to_slide, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('AlignSpecialSlideShapes', 'alignToSlide')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignSpecialSlideShapes', 'alignToSlide', paramalign_to_slide)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignSpecialSlideShapes', 'alignToSlide', paramalign_to_slide)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shapes' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'AlignSpecialSlideShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'AlignSpecialSlideShapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'AlignSpecialSlideShapes', 'String')
      paramalignment_type = AsposeSlidesCloud::SpecUtils.get_param_value('alignmentType', 'AlignSpecialSlideShapes', 'String')
      paramalign_to_slide = AsposeSlidesCloud::SpecUtils.get_param_value('alignToSlide', 'AlignSpecialSlideShapes', 'BOOLEAN')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'AlignSpecialSlideShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'AlignSpecialSlideShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'AlignSpecialSlideShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'AlignSpecialSlideShapes', 'String')
      paramshapes = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapes', 'AlignSpecialSlideShapes', paramshapes, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('AlignSpecialSlideShapes', 'shapes', paramshapes)
      begin
        AsposeSlidesCloud::SpecUtils.api.align_special_slide_shapes_with_http_info(paramname, paramslide_index, paramslide_type, paramalignment_type, paramalign_to_slide, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('AlignSpecialSlideShapes', 'shapes')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignSpecialSlideShapes', 'shapes', paramshapes)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignSpecialSlideShapes', 'shapes', paramshapes)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'AlignSpecialSlideShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'AlignSpecialSlideShapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'AlignSpecialSlideShapes', 'String')
      paramalignment_type = AsposeSlidesCloud::SpecUtils.get_param_value('alignmentType', 'AlignSpecialSlideShapes', 'String')
      paramalign_to_slide = AsposeSlidesCloud::SpecUtils.get_param_value('alignToSlide', 'AlignSpecialSlideShapes', 'BOOLEAN')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'AlignSpecialSlideShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'AlignSpecialSlideShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'AlignSpecialSlideShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'AlignSpecialSlideShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'AlignSpecialSlideShapes', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('AlignSpecialSlideShapes', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.align_special_slide_shapes_with_http_info(paramname, paramslide_index, paramslide_type, paramalignment_type, paramalign_to_slide, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('AlignSpecialSlideShapes', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignSpecialSlideShapes', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignSpecialSlideShapes', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'AlignSpecialSlideShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'AlignSpecialSlideShapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'AlignSpecialSlideShapes', 'String')
      paramalignment_type = AsposeSlidesCloud::SpecUtils.get_param_value('alignmentType', 'AlignSpecialSlideShapes', 'String')
      paramalign_to_slide = AsposeSlidesCloud::SpecUtils.get_param_value('alignToSlide', 'AlignSpecialSlideShapes', 'BOOLEAN')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'AlignSpecialSlideShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'AlignSpecialSlideShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'AlignSpecialSlideShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'AlignSpecialSlideShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'AlignSpecialSlideShapes', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('AlignSpecialSlideShapes', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.align_special_slide_shapes_with_http_info(paramname, paramslide_index, paramslide_type, paramalignment_type, paramalign_to_slide, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('AlignSpecialSlideShapes', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignSpecialSlideShapes', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignSpecialSlideShapes', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'AlignSpecialSlideShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'AlignSpecialSlideShapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'AlignSpecialSlideShapes', 'String')
      paramalignment_type = AsposeSlidesCloud::SpecUtils.get_param_value('alignmentType', 'AlignSpecialSlideShapes', 'String')
      paramalign_to_slide = AsposeSlidesCloud::SpecUtils.get_param_value('alignToSlide', 'AlignSpecialSlideShapes', 'BOOLEAN')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'AlignSpecialSlideShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'AlignSpecialSlideShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'AlignSpecialSlideShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'AlignSpecialSlideShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'AlignSpecialSlideShapes', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('AlignSpecialSlideShapes', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.align_special_slide_shapes_with_http_info(paramname, paramslide_index, paramslide_type, paramalignment_type, paramalign_to_slide, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('AlignSpecialSlideShapes', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignSpecialSlideShapes', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignSpecialSlideShapes', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for align_subshapes
  # Changes the placement of selected shapes on the slide. Aligns shapes to the margins or the edge of the slide or aligns them relative to each other (for group shapes only).
  # @param name Document name.
  # @param slide_index Slide index.
  # @param path Shape path (for smart art and group shapes).
  # @param alignment_type Alignment type that will be applied to the shapes.
  # @param [Hash] opts the optional parameters
  # @option opts [BOOLEAN] :align_to_slide If true, shapes will be aligned relative to the slide edges.
  # @option opts [String] :shapes Shapes indexes.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Shapes]
  describe 'align_subshapes test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'AlignSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'AlignSubshapes', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'AlignSubshapes', 'String')
      paramalignment_type = AsposeSlidesCloud::SpecUtils.get_param_value('alignmentType', 'AlignSubshapes', 'String')
      paramalign_to_slide = AsposeSlidesCloud::SpecUtils.get_param_value('alignToSlide', 'AlignSubshapes', 'BOOLEAN')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'AlignSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'AlignSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'AlignSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'AlignSubshapes', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('AlignSubshapes', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.align_subshapes_with_http_info(paramname, paramslide_index, parampath, paramalignment_type, paramalign_to_slide, paramshapes, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignSubshapes', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'AlignSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'AlignSubshapes', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'AlignSubshapes', 'String')
      paramalignment_type = AsposeSlidesCloud::SpecUtils.get_param_value('alignmentType', 'AlignSubshapes', 'String')
      paramalign_to_slide = AsposeSlidesCloud::SpecUtils.get_param_value('alignToSlide', 'AlignSubshapes', 'BOOLEAN')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'AlignSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'AlignSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'AlignSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'AlignSubshapes', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'AlignSubshapes', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('AlignSubshapes', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.align_subshapes_with_http_info(paramname, paramslide_index, parampath, paramalignment_type, paramalign_to_slide, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('AlignSubshapes', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignSubshapes', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignSubshapes', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'AlignSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'AlignSubshapes', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'AlignSubshapes', 'String')
      paramalignment_type = AsposeSlidesCloud::SpecUtils.get_param_value('alignmentType', 'AlignSubshapes', 'String')
      paramalign_to_slide = AsposeSlidesCloud::SpecUtils.get_param_value('alignToSlide', 'AlignSubshapes', 'BOOLEAN')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'AlignSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'AlignSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'AlignSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'AlignSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'AlignSubshapes', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('AlignSubshapes', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.align_subshapes_with_http_info(paramname, paramslide_index, parampath, paramalignment_type, paramalign_to_slide, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('AlignSubshapes', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignSubshapes', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignSubshapes', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'AlignSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'AlignSubshapes', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'AlignSubshapes', 'String')
      paramalignment_type = AsposeSlidesCloud::SpecUtils.get_param_value('alignmentType', 'AlignSubshapes', 'String')
      paramalign_to_slide = AsposeSlidesCloud::SpecUtils.get_param_value('alignToSlide', 'AlignSubshapes', 'BOOLEAN')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'AlignSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'AlignSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'AlignSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'AlignSubshapes', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'AlignSubshapes', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('AlignSubshapes', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.align_subshapes_with_http_info(paramname, paramslide_index, parampath, paramalignment_type, paramalign_to_slide, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('AlignSubshapes', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignSubshapes', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignSubshapes', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid alignment_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'AlignSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'AlignSubshapes', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'AlignSubshapes', 'String')
      paramalignment_type = AsposeSlidesCloud::SpecUtils.get_param_value('alignmentType', 'AlignSubshapes', 'String')
      paramalign_to_slide = AsposeSlidesCloud::SpecUtils.get_param_value('alignToSlide', 'AlignSubshapes', 'BOOLEAN')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'AlignSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'AlignSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'AlignSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'AlignSubshapes', 'String')
      paramalignment_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('alignmentType', 'AlignSubshapes', paramalignment_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('AlignSubshapes', 'alignmentType', paramalignment_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.align_subshapes_with_http_info(paramname, paramslide_index, parampath, paramalignment_type, paramalign_to_slide, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('AlignSubshapes', 'alignmentType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignSubshapes', 'alignmentType', paramalignment_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignSubshapes', 'alignmentType', paramalignment_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid align_to_slide' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'AlignSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'AlignSubshapes', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'AlignSubshapes', 'String')
      paramalignment_type = AsposeSlidesCloud::SpecUtils.get_param_value('alignmentType', 'AlignSubshapes', 'String')
      paramalign_to_slide = AsposeSlidesCloud::SpecUtils.get_param_value('alignToSlide', 'AlignSubshapes', 'BOOLEAN')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'AlignSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'AlignSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'AlignSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'AlignSubshapes', 'String')
      paramalign_to_slide = AsposeSlidesCloud::SpecUtils.invalidize_param_value('alignToSlide', 'AlignSubshapes', paramalign_to_slide, 'BOOLEAN')
      AsposeSlidesCloud::SpecUtils.initialize('AlignSubshapes', 'alignToSlide', paramalign_to_slide)
      begin
        AsposeSlidesCloud::SpecUtils.api.align_subshapes_with_http_info(paramname, paramslide_index, parampath, paramalignment_type, paramalign_to_slide, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('AlignSubshapes', 'alignToSlide')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignSubshapes', 'alignToSlide', paramalign_to_slide)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignSubshapes', 'alignToSlide', paramalign_to_slide)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shapes' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'AlignSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'AlignSubshapes', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'AlignSubshapes', 'String')
      paramalignment_type = AsposeSlidesCloud::SpecUtils.get_param_value('alignmentType', 'AlignSubshapes', 'String')
      paramalign_to_slide = AsposeSlidesCloud::SpecUtils.get_param_value('alignToSlide', 'AlignSubshapes', 'BOOLEAN')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'AlignSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'AlignSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'AlignSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'AlignSubshapes', 'String')
      paramshapes = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapes', 'AlignSubshapes', paramshapes, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('AlignSubshapes', 'shapes', paramshapes)
      begin
        AsposeSlidesCloud::SpecUtils.api.align_subshapes_with_http_info(paramname, paramslide_index, parampath, paramalignment_type, paramalign_to_slide, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('AlignSubshapes', 'shapes')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignSubshapes', 'shapes', paramshapes)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignSubshapes', 'shapes', paramshapes)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'AlignSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'AlignSubshapes', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'AlignSubshapes', 'String')
      paramalignment_type = AsposeSlidesCloud::SpecUtils.get_param_value('alignmentType', 'AlignSubshapes', 'String')
      paramalign_to_slide = AsposeSlidesCloud::SpecUtils.get_param_value('alignToSlide', 'AlignSubshapes', 'BOOLEAN')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'AlignSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'AlignSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'AlignSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'AlignSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'AlignSubshapes', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('AlignSubshapes', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.align_subshapes_with_http_info(paramname, paramslide_index, parampath, paramalignment_type, paramalign_to_slide, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('AlignSubshapes', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignSubshapes', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignSubshapes', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'AlignSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'AlignSubshapes', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'AlignSubshapes', 'String')
      paramalignment_type = AsposeSlidesCloud::SpecUtils.get_param_value('alignmentType', 'AlignSubshapes', 'String')
      paramalign_to_slide = AsposeSlidesCloud::SpecUtils.get_param_value('alignToSlide', 'AlignSubshapes', 'BOOLEAN')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'AlignSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'AlignSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'AlignSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'AlignSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'AlignSubshapes', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('AlignSubshapes', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.align_subshapes_with_http_info(paramname, paramslide_index, parampath, paramalignment_type, paramalign_to_slide, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('AlignSubshapes', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignSubshapes', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignSubshapes', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'AlignSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'AlignSubshapes', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'AlignSubshapes', 'String')
      paramalignment_type = AsposeSlidesCloud::SpecUtils.get_param_value('alignmentType', 'AlignSubshapes', 'String')
      paramalign_to_slide = AsposeSlidesCloud::SpecUtils.get_param_value('alignToSlide', 'AlignSubshapes', 'BOOLEAN')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'AlignSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'AlignSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'AlignSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'AlignSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'AlignSubshapes', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('AlignSubshapes', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.align_subshapes_with_http_info(paramname, paramslide_index, parampath, paramalignment_type, paramalign_to_slide, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('AlignSubshapes', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignSubshapes', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('AlignSubshapes', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for convert
  # Convert presentation from request content to format specified.
  # @param document Document data.
  # @param format Export format.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :storage Document storage.
  # @option opts [String] :fonts_folder Custom fonts folder.
  # @option opts [String] :slides The indices of the slides to be converted. If not specified, all slides are converted by default.
  # @option opts [ExportOptions] :options Export options.
  # @return [File]
  describe 'convert test' do
    it 'should work' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'Convert', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'Convert', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'Convert', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'Convert', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'Convert', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'Convert', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'Convert', 'ExportOptions')
      AsposeSlidesCloud::SpecUtils.initialize('Convert', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.convert_with_http_info(paramdocument, paramformat, parampassword, paramstorage, paramfonts_folder, paramslides, paramoptions)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Convert', nil, nil)
      expect(c).to eq(code)
    end

    it 'invalid document' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'Convert', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'Convert', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'Convert', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'Convert', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'Convert', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'Convert', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'Convert', 'ExportOptions')
      paramdocument = AsposeSlidesCloud::SpecUtils.invalidize_param_value('document', 'Convert', paramdocument, 'File')
      AsposeSlidesCloud::SpecUtils.initialize('Convert', 'document', paramdocument)
      begin
        AsposeSlidesCloud::SpecUtils.api.convert_with_http_info(paramdocument, paramformat, parampassword, paramstorage, paramfonts_folder, paramslides, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('Convert', 'document')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Convert', 'document', paramdocument)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Convert', 'document', paramdocument)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid format' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'Convert', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'Convert', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'Convert', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'Convert', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'Convert', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'Convert', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'Convert', 'ExportOptions')
      paramformat = AsposeSlidesCloud::SpecUtils.invalidize_param_value('format', 'Convert', paramformat, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('Convert', 'format', paramformat)
      begin
        AsposeSlidesCloud::SpecUtils.api.convert_with_http_info(paramdocument, paramformat, parampassword, paramstorage, paramfonts_folder, paramslides, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('Convert', 'format')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Convert', 'format', paramformat)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Convert', 'format', paramformat)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'Convert', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'Convert', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'Convert', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'Convert', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'Convert', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'Convert', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'Convert', 'ExportOptions')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'Convert', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('Convert', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.convert_with_http_info(paramdocument, paramformat, parampassword, paramstorage, paramfonts_folder, paramslides, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('Convert', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Convert', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Convert', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'Convert', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'Convert', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'Convert', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'Convert', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'Convert', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'Convert', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'Convert', 'ExportOptions')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'Convert', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('Convert', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.convert_with_http_info(paramdocument, paramformat, parampassword, paramstorage, paramfonts_folder, paramslides, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('Convert', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Convert', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Convert', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid fonts_folder' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'Convert', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'Convert', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'Convert', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'Convert', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'Convert', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'Convert', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'Convert', 'ExportOptions')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('fontsFolder', 'Convert', paramfonts_folder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('Convert', 'fontsFolder', paramfonts_folder)
      begin
        AsposeSlidesCloud::SpecUtils.api.convert_with_http_info(paramdocument, paramformat, parampassword, paramstorage, paramfonts_folder, paramslides, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('Convert', 'fontsFolder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Convert', 'fontsFolder', paramfonts_folder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Convert', 'fontsFolder', paramfonts_folder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slides' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'Convert', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'Convert', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'Convert', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'Convert', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'Convert', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'Convert', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'Convert', 'ExportOptions')
      paramslides = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slides', 'Convert', paramslides, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('Convert', 'slides', paramslides)
      begin
        AsposeSlidesCloud::SpecUtils.api.convert_with_http_info(paramdocument, paramformat, parampassword, paramstorage, paramfonts_folder, paramslides, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('Convert', 'slides')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Convert', 'slides', paramslides)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Convert', 'slides', paramslides)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid options' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'Convert', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'Convert', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'Convert', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'Convert', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'Convert', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'Convert', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'Convert', 'ExportOptions')
      paramoptions = AsposeSlidesCloud::SpecUtils.invalidize_param_value('options', 'Convert', paramoptions, 'ExportOptions')
      AsposeSlidesCloud::SpecUtils.initialize('Convert', 'options', paramoptions)
      begin
        AsposeSlidesCloud::SpecUtils.api.convert_with_http_info(paramdocument, paramformat, parampassword, paramstorage, paramfonts_folder, paramslides, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('Convert', 'options')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Convert', 'options', paramoptions)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Convert', 'options', paramoptions)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for convert_and_save
  # Convert presentation from request content to format specified.
  # @param document Document data.
  # @param format Export format.
  # @param out_path Path to save result.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :storage Document storage.
  # @option opts [String] :fonts_folder Custom fonts folder.
  # @option opts [String] :slides The indices of the slides to be converted. If not specified, all slides are converted by default.
  # @option opts [ExportOptions] :options Export options.
  # @return [nil]
  describe 'convert_and_save test' do
    it 'should work' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'ConvertAndSave', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'ConvertAndSave', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'ConvertAndSave', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ConvertAndSave', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ConvertAndSave', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'ConvertAndSave', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'ConvertAndSave', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'ConvertAndSave', 'ExportOptions')
      AsposeSlidesCloud::SpecUtils.initialize('ConvertAndSave', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.convert_and_save_with_http_info(paramdocument, paramformat, paramout_path, parampassword, paramstorage, paramfonts_folder, paramslides, paramoptions)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ConvertAndSave', nil, nil)
      expect(c).to eq(code)
    end

    it 'invalid document' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'ConvertAndSave', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'ConvertAndSave', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'ConvertAndSave', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ConvertAndSave', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ConvertAndSave', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'ConvertAndSave', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'ConvertAndSave', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'ConvertAndSave', 'ExportOptions')
      paramdocument = AsposeSlidesCloud::SpecUtils.invalidize_param_value('document', 'ConvertAndSave', paramdocument, 'File')
      AsposeSlidesCloud::SpecUtils.initialize('ConvertAndSave', 'document', paramdocument)
      begin
        AsposeSlidesCloud::SpecUtils.api.convert_and_save_with_http_info(paramdocument, paramformat, paramout_path, parampassword, paramstorage, paramfonts_folder, paramslides, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ConvertAndSave', 'document')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ConvertAndSave', 'document', paramdocument)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ConvertAndSave', 'document', paramdocument)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid format' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'ConvertAndSave', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'ConvertAndSave', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'ConvertAndSave', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ConvertAndSave', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ConvertAndSave', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'ConvertAndSave', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'ConvertAndSave', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'ConvertAndSave', 'ExportOptions')
      paramformat = AsposeSlidesCloud::SpecUtils.invalidize_param_value('format', 'ConvertAndSave', paramformat, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ConvertAndSave', 'format', paramformat)
      begin
        AsposeSlidesCloud::SpecUtils.api.convert_and_save_with_http_info(paramdocument, paramformat, paramout_path, parampassword, paramstorage, paramfonts_folder, paramslides, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ConvertAndSave', 'format')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ConvertAndSave', 'format', paramformat)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ConvertAndSave', 'format', paramformat)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid out_path' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'ConvertAndSave', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'ConvertAndSave', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'ConvertAndSave', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ConvertAndSave', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ConvertAndSave', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'ConvertAndSave', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'ConvertAndSave', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'ConvertAndSave', 'ExportOptions')
      paramout_path = AsposeSlidesCloud::SpecUtils.invalidize_param_value('outPath', 'ConvertAndSave', paramout_path, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ConvertAndSave', 'outPath', paramout_path)
      begin
        AsposeSlidesCloud::SpecUtils.api.convert_and_save_with_http_info(paramdocument, paramformat, paramout_path, parampassword, paramstorage, paramfonts_folder, paramslides, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ConvertAndSave', 'outPath')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ConvertAndSave', 'outPath', paramout_path)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ConvertAndSave', 'outPath', paramout_path)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'ConvertAndSave', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'ConvertAndSave', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'ConvertAndSave', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ConvertAndSave', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ConvertAndSave', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'ConvertAndSave', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'ConvertAndSave', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'ConvertAndSave', 'ExportOptions')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'ConvertAndSave', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ConvertAndSave', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.convert_and_save_with_http_info(paramdocument, paramformat, paramout_path, parampassword, paramstorage, paramfonts_folder, paramslides, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ConvertAndSave', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ConvertAndSave', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ConvertAndSave', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'ConvertAndSave', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'ConvertAndSave', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'ConvertAndSave', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ConvertAndSave', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ConvertAndSave', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'ConvertAndSave', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'ConvertAndSave', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'ConvertAndSave', 'ExportOptions')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'ConvertAndSave', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ConvertAndSave', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.convert_and_save_with_http_info(paramdocument, paramformat, paramout_path, parampassword, paramstorage, paramfonts_folder, paramslides, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ConvertAndSave', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ConvertAndSave', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ConvertAndSave', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid fonts_folder' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'ConvertAndSave', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'ConvertAndSave', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'ConvertAndSave', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ConvertAndSave', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ConvertAndSave', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'ConvertAndSave', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'ConvertAndSave', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'ConvertAndSave', 'ExportOptions')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('fontsFolder', 'ConvertAndSave', paramfonts_folder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ConvertAndSave', 'fontsFolder', paramfonts_folder)
      begin
        AsposeSlidesCloud::SpecUtils.api.convert_and_save_with_http_info(paramdocument, paramformat, paramout_path, parampassword, paramstorage, paramfonts_folder, paramslides, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ConvertAndSave', 'fontsFolder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ConvertAndSave', 'fontsFolder', paramfonts_folder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ConvertAndSave', 'fontsFolder', paramfonts_folder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slides' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'ConvertAndSave', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'ConvertAndSave', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'ConvertAndSave', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ConvertAndSave', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ConvertAndSave', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'ConvertAndSave', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'ConvertAndSave', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'ConvertAndSave', 'ExportOptions')
      paramslides = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slides', 'ConvertAndSave', paramslides, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ConvertAndSave', 'slides', paramslides)
      begin
        AsposeSlidesCloud::SpecUtils.api.convert_and_save_with_http_info(paramdocument, paramformat, paramout_path, parampassword, paramstorage, paramfonts_folder, paramslides, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ConvertAndSave', 'slides')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ConvertAndSave', 'slides', paramslides)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ConvertAndSave', 'slides', paramslides)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid options' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'ConvertAndSave', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'ConvertAndSave', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'ConvertAndSave', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ConvertAndSave', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ConvertAndSave', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'ConvertAndSave', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'ConvertAndSave', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'ConvertAndSave', 'ExportOptions')
      paramoptions = AsposeSlidesCloud::SpecUtils.invalidize_param_value('options', 'ConvertAndSave', paramoptions, 'ExportOptions')
      AsposeSlidesCloud::SpecUtils.initialize('ConvertAndSave', 'options', paramoptions)
      begin
        AsposeSlidesCloud::SpecUtils.api.convert_and_save_with_http_info(paramdocument, paramformat, paramout_path, parampassword, paramstorage, paramfonts_folder, paramslides, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ConvertAndSave', 'options')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ConvertAndSave', 'options', paramoptions)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ConvertAndSave', 'options', paramoptions)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for copy_file
  # Copy file
  # @param src_path Source file path e.g. &#39;/folder/file.ext&#39;
  # @param dest_path Destination file path
  # @param [Hash] opts the optional parameters
  # @option opts [String] :src_storage_name Source storage name
  # @option opts [String] :dest_storage_name Destination storage name
  # @option opts [String] :version_id File version ID to copy
  # @return [nil]
  describe 'copy_file test' do
    it 'should work' do
      paramsrc_path = AsposeSlidesCloud::SpecUtils.get_param_value('srcPath', 'CopyFile', 'String')
      paramdest_path = AsposeSlidesCloud::SpecUtils.get_param_value('destPath', 'CopyFile', 'String')
      paramsrc_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('srcStorageName', 'CopyFile', 'String')
      paramdest_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('destStorageName', 'CopyFile', 'String')
      paramversion_id = AsposeSlidesCloud::SpecUtils.get_param_value('versionId', 'CopyFile', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CopyFile', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.copy_file_with_http_info(paramsrc_path, paramdest_path, paramsrc_storage_name, paramdest_storage_name, paramversion_id)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyFile', nil, nil)
      expect(c).to eq(code)
    end

    it 'invalid src_path' do
      paramsrc_path = AsposeSlidesCloud::SpecUtils.get_param_value('srcPath', 'CopyFile', 'String')
      paramdest_path = AsposeSlidesCloud::SpecUtils.get_param_value('destPath', 'CopyFile', 'String')
      paramsrc_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('srcStorageName', 'CopyFile', 'String')
      paramdest_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('destStorageName', 'CopyFile', 'String')
      paramversion_id = AsposeSlidesCloud::SpecUtils.get_param_value('versionId', 'CopyFile', 'String')
      paramsrc_path = AsposeSlidesCloud::SpecUtils.invalidize_param_value('srcPath', 'CopyFile', paramsrc_path, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CopyFile', 'srcPath', paramsrc_path)
      begin
        AsposeSlidesCloud::SpecUtils.api.copy_file_with_http_info(paramsrc_path, paramdest_path, paramsrc_storage_name, paramdest_storage_name, paramversion_id)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CopyFile', 'srcPath')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyFile', 'srcPath', paramsrc_path)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyFile', 'srcPath', paramsrc_path)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dest_path' do
      paramsrc_path = AsposeSlidesCloud::SpecUtils.get_param_value('srcPath', 'CopyFile', 'String')
      paramdest_path = AsposeSlidesCloud::SpecUtils.get_param_value('destPath', 'CopyFile', 'String')
      paramsrc_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('srcStorageName', 'CopyFile', 'String')
      paramdest_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('destStorageName', 'CopyFile', 'String')
      paramversion_id = AsposeSlidesCloud::SpecUtils.get_param_value('versionId', 'CopyFile', 'String')
      paramdest_path = AsposeSlidesCloud::SpecUtils.invalidize_param_value('destPath', 'CopyFile', paramdest_path, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CopyFile', 'destPath', paramdest_path)
      begin
        AsposeSlidesCloud::SpecUtils.api.copy_file_with_http_info(paramsrc_path, paramdest_path, paramsrc_storage_name, paramdest_storage_name, paramversion_id)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CopyFile', 'destPath')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyFile', 'destPath', paramdest_path)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyFile', 'destPath', paramdest_path)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid src_storage_name' do
      paramsrc_path = AsposeSlidesCloud::SpecUtils.get_param_value('srcPath', 'CopyFile', 'String')
      paramdest_path = AsposeSlidesCloud::SpecUtils.get_param_value('destPath', 'CopyFile', 'String')
      paramsrc_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('srcStorageName', 'CopyFile', 'String')
      paramdest_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('destStorageName', 'CopyFile', 'String')
      paramversion_id = AsposeSlidesCloud::SpecUtils.get_param_value('versionId', 'CopyFile', 'String')
      paramsrc_storage_name = AsposeSlidesCloud::SpecUtils.invalidize_param_value('srcStorageName', 'CopyFile', paramsrc_storage_name, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CopyFile', 'srcStorageName', paramsrc_storage_name)
      begin
        AsposeSlidesCloud::SpecUtils.api.copy_file_with_http_info(paramsrc_path, paramdest_path, paramsrc_storage_name, paramdest_storage_name, paramversion_id)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CopyFile', 'srcStorageName')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyFile', 'srcStorageName', paramsrc_storage_name)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyFile', 'srcStorageName', paramsrc_storage_name)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dest_storage_name' do
      paramsrc_path = AsposeSlidesCloud::SpecUtils.get_param_value('srcPath', 'CopyFile', 'String')
      paramdest_path = AsposeSlidesCloud::SpecUtils.get_param_value('destPath', 'CopyFile', 'String')
      paramsrc_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('srcStorageName', 'CopyFile', 'String')
      paramdest_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('destStorageName', 'CopyFile', 'String')
      paramversion_id = AsposeSlidesCloud::SpecUtils.get_param_value('versionId', 'CopyFile', 'String')
      paramdest_storage_name = AsposeSlidesCloud::SpecUtils.invalidize_param_value('destStorageName', 'CopyFile', paramdest_storage_name, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CopyFile', 'destStorageName', paramdest_storage_name)
      begin
        AsposeSlidesCloud::SpecUtils.api.copy_file_with_http_info(paramsrc_path, paramdest_path, paramsrc_storage_name, paramdest_storage_name, paramversion_id)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CopyFile', 'destStorageName')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyFile', 'destStorageName', paramdest_storage_name)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyFile', 'destStorageName', paramdest_storage_name)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid version_id' do
      paramsrc_path = AsposeSlidesCloud::SpecUtils.get_param_value('srcPath', 'CopyFile', 'String')
      paramdest_path = AsposeSlidesCloud::SpecUtils.get_param_value('destPath', 'CopyFile', 'String')
      paramsrc_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('srcStorageName', 'CopyFile', 'String')
      paramdest_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('destStorageName', 'CopyFile', 'String')
      paramversion_id = AsposeSlidesCloud::SpecUtils.get_param_value('versionId', 'CopyFile', 'String')
      paramversion_id = AsposeSlidesCloud::SpecUtils.invalidize_param_value('versionId', 'CopyFile', paramversion_id, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CopyFile', 'versionId', paramversion_id)
      begin
        AsposeSlidesCloud::SpecUtils.api.copy_file_with_http_info(paramsrc_path, paramdest_path, paramsrc_storage_name, paramdest_storage_name, paramversion_id)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CopyFile', 'versionId')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyFile', 'versionId', paramversion_id)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyFile', 'versionId', paramversion_id)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for copy_folder
  # Copy folder
  # @param src_path Source folder path e.g. &#39;/src&#39;
  # @param dest_path Destination folder path e.g. &#39;/dst&#39;
  # @param [Hash] opts the optional parameters
  # @option opts [String] :src_storage_name Source storage name
  # @option opts [String] :dest_storage_name Destination storage name
  # @return [nil]
  describe 'copy_folder test' do
    it 'should work' do
      paramsrc_path = AsposeSlidesCloud::SpecUtils.get_param_value('srcPath', 'CopyFolder', 'String')
      paramdest_path = AsposeSlidesCloud::SpecUtils.get_param_value('destPath', 'CopyFolder', 'String')
      paramsrc_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('srcStorageName', 'CopyFolder', 'String')
      paramdest_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('destStorageName', 'CopyFolder', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CopyFolder', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.copy_folder_with_http_info(paramsrc_path, paramdest_path, paramsrc_storage_name, paramdest_storage_name)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyFolder', nil, nil)
      expect(c).to eq(code)
    end

    it 'invalid src_path' do
      paramsrc_path = AsposeSlidesCloud::SpecUtils.get_param_value('srcPath', 'CopyFolder', 'String')
      paramdest_path = AsposeSlidesCloud::SpecUtils.get_param_value('destPath', 'CopyFolder', 'String')
      paramsrc_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('srcStorageName', 'CopyFolder', 'String')
      paramdest_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('destStorageName', 'CopyFolder', 'String')
      paramsrc_path = AsposeSlidesCloud::SpecUtils.invalidize_param_value('srcPath', 'CopyFolder', paramsrc_path, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CopyFolder', 'srcPath', paramsrc_path)
      begin
        AsposeSlidesCloud::SpecUtils.api.copy_folder_with_http_info(paramsrc_path, paramdest_path, paramsrc_storage_name, paramdest_storage_name)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CopyFolder', 'srcPath')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyFolder', 'srcPath', paramsrc_path)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyFolder', 'srcPath', paramsrc_path)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dest_path' do
      paramsrc_path = AsposeSlidesCloud::SpecUtils.get_param_value('srcPath', 'CopyFolder', 'String')
      paramdest_path = AsposeSlidesCloud::SpecUtils.get_param_value('destPath', 'CopyFolder', 'String')
      paramsrc_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('srcStorageName', 'CopyFolder', 'String')
      paramdest_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('destStorageName', 'CopyFolder', 'String')
      paramdest_path = AsposeSlidesCloud::SpecUtils.invalidize_param_value('destPath', 'CopyFolder', paramdest_path, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CopyFolder', 'destPath', paramdest_path)
      begin
        AsposeSlidesCloud::SpecUtils.api.copy_folder_with_http_info(paramsrc_path, paramdest_path, paramsrc_storage_name, paramdest_storage_name)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CopyFolder', 'destPath')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyFolder', 'destPath', paramdest_path)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyFolder', 'destPath', paramdest_path)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid src_storage_name' do
      paramsrc_path = AsposeSlidesCloud::SpecUtils.get_param_value('srcPath', 'CopyFolder', 'String')
      paramdest_path = AsposeSlidesCloud::SpecUtils.get_param_value('destPath', 'CopyFolder', 'String')
      paramsrc_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('srcStorageName', 'CopyFolder', 'String')
      paramdest_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('destStorageName', 'CopyFolder', 'String')
      paramsrc_storage_name = AsposeSlidesCloud::SpecUtils.invalidize_param_value('srcStorageName', 'CopyFolder', paramsrc_storage_name, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CopyFolder', 'srcStorageName', paramsrc_storage_name)
      begin
        AsposeSlidesCloud::SpecUtils.api.copy_folder_with_http_info(paramsrc_path, paramdest_path, paramsrc_storage_name, paramdest_storage_name)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CopyFolder', 'srcStorageName')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyFolder', 'srcStorageName', paramsrc_storage_name)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyFolder', 'srcStorageName', paramsrc_storage_name)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dest_storage_name' do
      paramsrc_path = AsposeSlidesCloud::SpecUtils.get_param_value('srcPath', 'CopyFolder', 'String')
      paramdest_path = AsposeSlidesCloud::SpecUtils.get_param_value('destPath', 'CopyFolder', 'String')
      paramsrc_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('srcStorageName', 'CopyFolder', 'String')
      paramdest_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('destStorageName', 'CopyFolder', 'String')
      paramdest_storage_name = AsposeSlidesCloud::SpecUtils.invalidize_param_value('destStorageName', 'CopyFolder', paramdest_storage_name, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CopyFolder', 'destStorageName', paramdest_storage_name)
      begin
        AsposeSlidesCloud::SpecUtils.api.copy_folder_with_http_info(paramsrc_path, paramdest_path, paramsrc_storage_name, paramdest_storage_name)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CopyFolder', 'destStorageName')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyFolder', 'destStorageName', paramdest_storage_name)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyFolder', 'destStorageName', paramdest_storage_name)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for copy_layout_slide
  # Copy layoutSlide from source presentation.
  # @param name Document name.
  # @param clone_from Name of the document to clone layoutSlide from.
  # @param clone_from_position Position of cloned layout slide.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :clone_from_password Password for the document to clone layoutSlide from.
  # @option opts [String] :clone_from_storage Storage of the document to clone layoutSlide from.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [LayoutSlide]
  describe 'copy_layout_slide test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CopyLayoutSlide', 'String')
      paramclone_from = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFrom', 'CopyLayoutSlide', 'String')
      paramclone_from_position = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromPosition', 'CopyLayoutSlide', 'Integer')
      paramclone_from_password = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromPassword', 'CopyLayoutSlide', 'String')
      paramclone_from_storage = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromStorage', 'CopyLayoutSlide', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CopyLayoutSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CopyLayoutSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CopyLayoutSlide', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CopyLayoutSlide', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.copy_layout_slide_with_http_info(paramname, paramclone_from, paramclone_from_position, paramclone_from_password, paramclone_from_storage, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyLayoutSlide', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CopyLayoutSlide', 'String')
      paramclone_from = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFrom', 'CopyLayoutSlide', 'String')
      paramclone_from_position = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromPosition', 'CopyLayoutSlide', 'Integer')
      paramclone_from_password = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromPassword', 'CopyLayoutSlide', 'String')
      paramclone_from_storage = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromStorage', 'CopyLayoutSlide', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CopyLayoutSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CopyLayoutSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CopyLayoutSlide', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'CopyLayoutSlide', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CopyLayoutSlide', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.copy_layout_slide_with_http_info(paramname, paramclone_from, paramclone_from_position, paramclone_from_password, paramclone_from_storage, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CopyLayoutSlide', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyLayoutSlide', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyLayoutSlide', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid clone_from' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CopyLayoutSlide', 'String')
      paramclone_from = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFrom', 'CopyLayoutSlide', 'String')
      paramclone_from_position = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromPosition', 'CopyLayoutSlide', 'Integer')
      paramclone_from_password = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromPassword', 'CopyLayoutSlide', 'String')
      paramclone_from_storage = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromStorage', 'CopyLayoutSlide', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CopyLayoutSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CopyLayoutSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CopyLayoutSlide', 'String')
      paramclone_from = AsposeSlidesCloud::SpecUtils.invalidize_param_value('cloneFrom', 'CopyLayoutSlide', paramclone_from, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CopyLayoutSlide', 'cloneFrom', paramclone_from)
      begin
        AsposeSlidesCloud::SpecUtils.api.copy_layout_slide_with_http_info(paramname, paramclone_from, paramclone_from_position, paramclone_from_password, paramclone_from_storage, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CopyLayoutSlide', 'cloneFrom')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyLayoutSlide', 'cloneFrom', paramclone_from)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyLayoutSlide', 'cloneFrom', paramclone_from)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid clone_from_position' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CopyLayoutSlide', 'String')
      paramclone_from = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFrom', 'CopyLayoutSlide', 'String')
      paramclone_from_position = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromPosition', 'CopyLayoutSlide', 'Integer')
      paramclone_from_password = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromPassword', 'CopyLayoutSlide', 'String')
      paramclone_from_storage = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromStorage', 'CopyLayoutSlide', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CopyLayoutSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CopyLayoutSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CopyLayoutSlide', 'String')
      paramclone_from_position = AsposeSlidesCloud::SpecUtils.invalidize_param_value('cloneFromPosition', 'CopyLayoutSlide', paramclone_from_position, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CopyLayoutSlide', 'cloneFromPosition', paramclone_from_position)
      begin
        AsposeSlidesCloud::SpecUtils.api.copy_layout_slide_with_http_info(paramname, paramclone_from, paramclone_from_position, paramclone_from_password, paramclone_from_storage, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CopyLayoutSlide', 'cloneFromPosition')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyLayoutSlide', 'cloneFromPosition', paramclone_from_position)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyLayoutSlide', 'cloneFromPosition', paramclone_from_position)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid clone_from_password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CopyLayoutSlide', 'String')
      paramclone_from = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFrom', 'CopyLayoutSlide', 'String')
      paramclone_from_position = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromPosition', 'CopyLayoutSlide', 'Integer')
      paramclone_from_password = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromPassword', 'CopyLayoutSlide', 'String')
      paramclone_from_storage = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromStorage', 'CopyLayoutSlide', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CopyLayoutSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CopyLayoutSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CopyLayoutSlide', 'String')
      paramclone_from_password = AsposeSlidesCloud::SpecUtils.invalidize_param_value('cloneFromPassword', 'CopyLayoutSlide', paramclone_from_password, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CopyLayoutSlide', 'cloneFromPassword', paramclone_from_password)
      begin
        AsposeSlidesCloud::SpecUtils.api.copy_layout_slide_with_http_info(paramname, paramclone_from, paramclone_from_position, paramclone_from_password, paramclone_from_storage, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CopyLayoutSlide', 'cloneFromPassword')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyLayoutSlide', 'cloneFromPassword', paramclone_from_password)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyLayoutSlide', 'cloneFromPassword', paramclone_from_password)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid clone_from_storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CopyLayoutSlide', 'String')
      paramclone_from = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFrom', 'CopyLayoutSlide', 'String')
      paramclone_from_position = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromPosition', 'CopyLayoutSlide', 'Integer')
      paramclone_from_password = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromPassword', 'CopyLayoutSlide', 'String')
      paramclone_from_storage = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromStorage', 'CopyLayoutSlide', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CopyLayoutSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CopyLayoutSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CopyLayoutSlide', 'String')
      paramclone_from_storage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('cloneFromStorage', 'CopyLayoutSlide', paramclone_from_storage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CopyLayoutSlide', 'cloneFromStorage', paramclone_from_storage)
      begin
        AsposeSlidesCloud::SpecUtils.api.copy_layout_slide_with_http_info(paramname, paramclone_from, paramclone_from_position, paramclone_from_password, paramclone_from_storage, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CopyLayoutSlide', 'cloneFromStorage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyLayoutSlide', 'cloneFromStorage', paramclone_from_storage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyLayoutSlide', 'cloneFromStorage', paramclone_from_storage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CopyLayoutSlide', 'String')
      paramclone_from = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFrom', 'CopyLayoutSlide', 'String')
      paramclone_from_position = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromPosition', 'CopyLayoutSlide', 'Integer')
      paramclone_from_password = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromPassword', 'CopyLayoutSlide', 'String')
      paramclone_from_storage = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromStorage', 'CopyLayoutSlide', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CopyLayoutSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CopyLayoutSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CopyLayoutSlide', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'CopyLayoutSlide', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CopyLayoutSlide', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.copy_layout_slide_with_http_info(paramname, paramclone_from, paramclone_from_position, paramclone_from_password, paramclone_from_storage, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CopyLayoutSlide', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyLayoutSlide', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyLayoutSlide', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CopyLayoutSlide', 'String')
      paramclone_from = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFrom', 'CopyLayoutSlide', 'String')
      paramclone_from_position = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromPosition', 'CopyLayoutSlide', 'Integer')
      paramclone_from_password = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromPassword', 'CopyLayoutSlide', 'String')
      paramclone_from_storage = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromStorage', 'CopyLayoutSlide', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CopyLayoutSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CopyLayoutSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CopyLayoutSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'CopyLayoutSlide', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CopyLayoutSlide', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.copy_layout_slide_with_http_info(paramname, paramclone_from, paramclone_from_position, paramclone_from_password, paramclone_from_storage, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CopyLayoutSlide', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyLayoutSlide', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyLayoutSlide', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CopyLayoutSlide', 'String')
      paramclone_from = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFrom', 'CopyLayoutSlide', 'String')
      paramclone_from_position = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromPosition', 'CopyLayoutSlide', 'Integer')
      paramclone_from_password = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromPassword', 'CopyLayoutSlide', 'String')
      paramclone_from_storage = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromStorage', 'CopyLayoutSlide', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CopyLayoutSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CopyLayoutSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CopyLayoutSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'CopyLayoutSlide', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CopyLayoutSlide', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.copy_layout_slide_with_http_info(paramname, paramclone_from, paramclone_from_position, paramclone_from_password, paramclone_from_storage, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CopyLayoutSlide', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyLayoutSlide', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyLayoutSlide', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for copy_master_slide
  # Copy masterSlide from source presentation.
  # @param name Document name.
  # @param clone_from Name of the document to clone masterSlide from.
  # @param clone_from_position Position of cloned master slide.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :clone_from_password Password for the document to clone masterSlide from.
  # @option opts [String] :clone_from_storage Storage of the document to clone masterSlide from.
  # @option opts [BOOLEAN] :apply_to_all True to apply cloned master slide to every existing slide.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [MasterSlide]
  describe 'copy_master_slide test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CopyMasterSlide', 'String')
      paramclone_from = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFrom', 'CopyMasterSlide', 'String')
      paramclone_from_position = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromPosition', 'CopyMasterSlide', 'Integer')
      paramclone_from_password = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromPassword', 'CopyMasterSlide', 'String')
      paramclone_from_storage = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromStorage', 'CopyMasterSlide', 'String')
      paramapply_to_all = AsposeSlidesCloud::SpecUtils.get_param_value('applyToAll', 'CopyMasterSlide', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CopyMasterSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CopyMasterSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CopyMasterSlide', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CopyMasterSlide', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.copy_master_slide_with_http_info(paramname, paramclone_from, paramclone_from_position, paramclone_from_password, paramclone_from_storage, paramapply_to_all, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyMasterSlide', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CopyMasterSlide', 'String')
      paramclone_from = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFrom', 'CopyMasterSlide', 'String')
      paramclone_from_position = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromPosition', 'CopyMasterSlide', 'Integer')
      paramclone_from_password = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromPassword', 'CopyMasterSlide', 'String')
      paramclone_from_storage = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromStorage', 'CopyMasterSlide', 'String')
      paramapply_to_all = AsposeSlidesCloud::SpecUtils.get_param_value('applyToAll', 'CopyMasterSlide', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CopyMasterSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CopyMasterSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CopyMasterSlide', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'CopyMasterSlide', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CopyMasterSlide', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.copy_master_slide_with_http_info(paramname, paramclone_from, paramclone_from_position, paramclone_from_password, paramclone_from_storage, paramapply_to_all, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CopyMasterSlide', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyMasterSlide', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyMasterSlide', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid clone_from' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CopyMasterSlide', 'String')
      paramclone_from = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFrom', 'CopyMasterSlide', 'String')
      paramclone_from_position = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromPosition', 'CopyMasterSlide', 'Integer')
      paramclone_from_password = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromPassword', 'CopyMasterSlide', 'String')
      paramclone_from_storage = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromStorage', 'CopyMasterSlide', 'String')
      paramapply_to_all = AsposeSlidesCloud::SpecUtils.get_param_value('applyToAll', 'CopyMasterSlide', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CopyMasterSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CopyMasterSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CopyMasterSlide', 'String')
      paramclone_from = AsposeSlidesCloud::SpecUtils.invalidize_param_value('cloneFrom', 'CopyMasterSlide', paramclone_from, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CopyMasterSlide', 'cloneFrom', paramclone_from)
      begin
        AsposeSlidesCloud::SpecUtils.api.copy_master_slide_with_http_info(paramname, paramclone_from, paramclone_from_position, paramclone_from_password, paramclone_from_storage, paramapply_to_all, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CopyMasterSlide', 'cloneFrom')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyMasterSlide', 'cloneFrom', paramclone_from)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyMasterSlide', 'cloneFrom', paramclone_from)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid clone_from_position' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CopyMasterSlide', 'String')
      paramclone_from = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFrom', 'CopyMasterSlide', 'String')
      paramclone_from_position = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromPosition', 'CopyMasterSlide', 'Integer')
      paramclone_from_password = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromPassword', 'CopyMasterSlide', 'String')
      paramclone_from_storage = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromStorage', 'CopyMasterSlide', 'String')
      paramapply_to_all = AsposeSlidesCloud::SpecUtils.get_param_value('applyToAll', 'CopyMasterSlide', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CopyMasterSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CopyMasterSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CopyMasterSlide', 'String')
      paramclone_from_position = AsposeSlidesCloud::SpecUtils.invalidize_param_value('cloneFromPosition', 'CopyMasterSlide', paramclone_from_position, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CopyMasterSlide', 'cloneFromPosition', paramclone_from_position)
      begin
        AsposeSlidesCloud::SpecUtils.api.copy_master_slide_with_http_info(paramname, paramclone_from, paramclone_from_position, paramclone_from_password, paramclone_from_storage, paramapply_to_all, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CopyMasterSlide', 'cloneFromPosition')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyMasterSlide', 'cloneFromPosition', paramclone_from_position)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyMasterSlide', 'cloneFromPosition', paramclone_from_position)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid clone_from_password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CopyMasterSlide', 'String')
      paramclone_from = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFrom', 'CopyMasterSlide', 'String')
      paramclone_from_position = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromPosition', 'CopyMasterSlide', 'Integer')
      paramclone_from_password = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromPassword', 'CopyMasterSlide', 'String')
      paramclone_from_storage = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromStorage', 'CopyMasterSlide', 'String')
      paramapply_to_all = AsposeSlidesCloud::SpecUtils.get_param_value('applyToAll', 'CopyMasterSlide', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CopyMasterSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CopyMasterSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CopyMasterSlide', 'String')
      paramclone_from_password = AsposeSlidesCloud::SpecUtils.invalidize_param_value('cloneFromPassword', 'CopyMasterSlide', paramclone_from_password, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CopyMasterSlide', 'cloneFromPassword', paramclone_from_password)
      begin
        AsposeSlidesCloud::SpecUtils.api.copy_master_slide_with_http_info(paramname, paramclone_from, paramclone_from_position, paramclone_from_password, paramclone_from_storage, paramapply_to_all, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CopyMasterSlide', 'cloneFromPassword')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyMasterSlide', 'cloneFromPassword', paramclone_from_password)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyMasterSlide', 'cloneFromPassword', paramclone_from_password)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid clone_from_storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CopyMasterSlide', 'String')
      paramclone_from = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFrom', 'CopyMasterSlide', 'String')
      paramclone_from_position = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromPosition', 'CopyMasterSlide', 'Integer')
      paramclone_from_password = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromPassword', 'CopyMasterSlide', 'String')
      paramclone_from_storage = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromStorage', 'CopyMasterSlide', 'String')
      paramapply_to_all = AsposeSlidesCloud::SpecUtils.get_param_value('applyToAll', 'CopyMasterSlide', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CopyMasterSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CopyMasterSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CopyMasterSlide', 'String')
      paramclone_from_storage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('cloneFromStorage', 'CopyMasterSlide', paramclone_from_storage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CopyMasterSlide', 'cloneFromStorage', paramclone_from_storage)
      begin
        AsposeSlidesCloud::SpecUtils.api.copy_master_slide_with_http_info(paramname, paramclone_from, paramclone_from_position, paramclone_from_password, paramclone_from_storage, paramapply_to_all, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CopyMasterSlide', 'cloneFromStorage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyMasterSlide', 'cloneFromStorage', paramclone_from_storage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyMasterSlide', 'cloneFromStorage', paramclone_from_storage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid apply_to_all' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CopyMasterSlide', 'String')
      paramclone_from = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFrom', 'CopyMasterSlide', 'String')
      paramclone_from_position = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromPosition', 'CopyMasterSlide', 'Integer')
      paramclone_from_password = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromPassword', 'CopyMasterSlide', 'String')
      paramclone_from_storage = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromStorage', 'CopyMasterSlide', 'String')
      paramapply_to_all = AsposeSlidesCloud::SpecUtils.get_param_value('applyToAll', 'CopyMasterSlide', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CopyMasterSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CopyMasterSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CopyMasterSlide', 'String')
      paramapply_to_all = AsposeSlidesCloud::SpecUtils.invalidize_param_value('applyToAll', 'CopyMasterSlide', paramapply_to_all, 'BOOLEAN')
      AsposeSlidesCloud::SpecUtils.initialize('CopyMasterSlide', 'applyToAll', paramapply_to_all)
      begin
        AsposeSlidesCloud::SpecUtils.api.copy_master_slide_with_http_info(paramname, paramclone_from, paramclone_from_position, paramclone_from_password, paramclone_from_storage, paramapply_to_all, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CopyMasterSlide', 'applyToAll')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyMasterSlide', 'applyToAll', paramapply_to_all)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyMasterSlide', 'applyToAll', paramapply_to_all)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CopyMasterSlide', 'String')
      paramclone_from = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFrom', 'CopyMasterSlide', 'String')
      paramclone_from_position = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromPosition', 'CopyMasterSlide', 'Integer')
      paramclone_from_password = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromPassword', 'CopyMasterSlide', 'String')
      paramclone_from_storage = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromStorage', 'CopyMasterSlide', 'String')
      paramapply_to_all = AsposeSlidesCloud::SpecUtils.get_param_value('applyToAll', 'CopyMasterSlide', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CopyMasterSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CopyMasterSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CopyMasterSlide', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'CopyMasterSlide', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CopyMasterSlide', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.copy_master_slide_with_http_info(paramname, paramclone_from, paramclone_from_position, paramclone_from_password, paramclone_from_storage, paramapply_to_all, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CopyMasterSlide', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyMasterSlide', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyMasterSlide', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CopyMasterSlide', 'String')
      paramclone_from = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFrom', 'CopyMasterSlide', 'String')
      paramclone_from_position = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromPosition', 'CopyMasterSlide', 'Integer')
      paramclone_from_password = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromPassword', 'CopyMasterSlide', 'String')
      paramclone_from_storage = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromStorage', 'CopyMasterSlide', 'String')
      paramapply_to_all = AsposeSlidesCloud::SpecUtils.get_param_value('applyToAll', 'CopyMasterSlide', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CopyMasterSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CopyMasterSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CopyMasterSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'CopyMasterSlide', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CopyMasterSlide', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.copy_master_slide_with_http_info(paramname, paramclone_from, paramclone_from_position, paramclone_from_password, paramclone_from_storage, paramapply_to_all, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CopyMasterSlide', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyMasterSlide', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyMasterSlide', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CopyMasterSlide', 'String')
      paramclone_from = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFrom', 'CopyMasterSlide', 'String')
      paramclone_from_position = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromPosition', 'CopyMasterSlide', 'Integer')
      paramclone_from_password = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromPassword', 'CopyMasterSlide', 'String')
      paramclone_from_storage = AsposeSlidesCloud::SpecUtils.get_param_value('cloneFromStorage', 'CopyMasterSlide', 'String')
      paramapply_to_all = AsposeSlidesCloud::SpecUtils.get_param_value('applyToAll', 'CopyMasterSlide', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CopyMasterSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CopyMasterSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CopyMasterSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'CopyMasterSlide', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CopyMasterSlide', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.copy_master_slide_with_http_info(paramname, paramclone_from, paramclone_from_position, paramclone_from_password, paramclone_from_storage, paramapply_to_all, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CopyMasterSlide', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyMasterSlide', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopyMasterSlide', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for copy_slide
  # Copy a slide from the current or another presentation.
  # @param name Document name.
  # @param slide_to_copy The index of the slide to be copied from the source presentation.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :position The target position at which to copy the slide. Copy to the end by default.
  # @option opts [String] :source Name of the document to copy a slide from.
  # @option opts [String] :source_password Password for the document to copy a slide from.
  # @option opts [String] :source_storage Template storage name.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Slides]
  describe 'copy_slide test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CopySlide', 'String')
      paramslide_to_copy = AsposeSlidesCloud::SpecUtils.get_param_value('slideToCopy', 'CopySlide', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CopySlide', 'Integer')
      paramsource = AsposeSlidesCloud::SpecUtils.get_param_value('source', 'CopySlide', 'String')
      paramsource_password = AsposeSlidesCloud::SpecUtils.get_param_value('sourcePassword', 'CopySlide', 'String')
      paramsource_storage = AsposeSlidesCloud::SpecUtils.get_param_value('sourceStorage', 'CopySlide', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CopySlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CopySlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CopySlide', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CopySlide', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.copy_slide_with_http_info(paramname, paramslide_to_copy, paramposition, paramsource, paramsource_password, paramsource_storage, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopySlide', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CopySlide', 'String')
      paramslide_to_copy = AsposeSlidesCloud::SpecUtils.get_param_value('slideToCopy', 'CopySlide', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CopySlide', 'Integer')
      paramsource = AsposeSlidesCloud::SpecUtils.get_param_value('source', 'CopySlide', 'String')
      paramsource_password = AsposeSlidesCloud::SpecUtils.get_param_value('sourcePassword', 'CopySlide', 'String')
      paramsource_storage = AsposeSlidesCloud::SpecUtils.get_param_value('sourceStorage', 'CopySlide', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CopySlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CopySlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CopySlide', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'CopySlide', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CopySlide', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.copy_slide_with_http_info(paramname, paramslide_to_copy, paramposition, paramsource, paramsource_password, paramsource_storage, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CopySlide', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopySlide', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopySlide', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_to_copy' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CopySlide', 'String')
      paramslide_to_copy = AsposeSlidesCloud::SpecUtils.get_param_value('slideToCopy', 'CopySlide', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CopySlide', 'Integer')
      paramsource = AsposeSlidesCloud::SpecUtils.get_param_value('source', 'CopySlide', 'String')
      paramsource_password = AsposeSlidesCloud::SpecUtils.get_param_value('sourcePassword', 'CopySlide', 'String')
      paramsource_storage = AsposeSlidesCloud::SpecUtils.get_param_value('sourceStorage', 'CopySlide', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CopySlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CopySlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CopySlide', 'String')
      paramslide_to_copy = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideToCopy', 'CopySlide', paramslide_to_copy, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CopySlide', 'slideToCopy', paramslide_to_copy)
      begin
        AsposeSlidesCloud::SpecUtils.api.copy_slide_with_http_info(paramname, paramslide_to_copy, paramposition, paramsource, paramsource_password, paramsource_storage, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CopySlide', 'slideToCopy')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopySlide', 'slideToCopy', paramslide_to_copy)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopySlide', 'slideToCopy', paramslide_to_copy)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid position' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CopySlide', 'String')
      paramslide_to_copy = AsposeSlidesCloud::SpecUtils.get_param_value('slideToCopy', 'CopySlide', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CopySlide', 'Integer')
      paramsource = AsposeSlidesCloud::SpecUtils.get_param_value('source', 'CopySlide', 'String')
      paramsource_password = AsposeSlidesCloud::SpecUtils.get_param_value('sourcePassword', 'CopySlide', 'String')
      paramsource_storage = AsposeSlidesCloud::SpecUtils.get_param_value('sourceStorage', 'CopySlide', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CopySlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CopySlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CopySlide', 'String')
      paramposition = AsposeSlidesCloud::SpecUtils.invalidize_param_value('position', 'CopySlide', paramposition, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CopySlide', 'position', paramposition)
      begin
        AsposeSlidesCloud::SpecUtils.api.copy_slide_with_http_info(paramname, paramslide_to_copy, paramposition, paramsource, paramsource_password, paramsource_storage, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CopySlide', 'position')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopySlide', 'position', paramposition)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopySlide', 'position', paramposition)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid source' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CopySlide', 'String')
      paramslide_to_copy = AsposeSlidesCloud::SpecUtils.get_param_value('slideToCopy', 'CopySlide', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CopySlide', 'Integer')
      paramsource = AsposeSlidesCloud::SpecUtils.get_param_value('source', 'CopySlide', 'String')
      paramsource_password = AsposeSlidesCloud::SpecUtils.get_param_value('sourcePassword', 'CopySlide', 'String')
      paramsource_storage = AsposeSlidesCloud::SpecUtils.get_param_value('sourceStorage', 'CopySlide', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CopySlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CopySlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CopySlide', 'String')
      paramsource = AsposeSlidesCloud::SpecUtils.invalidize_param_value('source', 'CopySlide', paramsource, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CopySlide', 'source', paramsource)
      begin
        AsposeSlidesCloud::SpecUtils.api.copy_slide_with_http_info(paramname, paramslide_to_copy, paramposition, paramsource, paramsource_password, paramsource_storage, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CopySlide', 'source')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopySlide', 'source', paramsource)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopySlide', 'source', paramsource)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid source_password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CopySlide', 'String')
      paramslide_to_copy = AsposeSlidesCloud::SpecUtils.get_param_value('slideToCopy', 'CopySlide', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CopySlide', 'Integer')
      paramsource = AsposeSlidesCloud::SpecUtils.get_param_value('source', 'CopySlide', 'String')
      paramsource_password = AsposeSlidesCloud::SpecUtils.get_param_value('sourcePassword', 'CopySlide', 'String')
      paramsource_storage = AsposeSlidesCloud::SpecUtils.get_param_value('sourceStorage', 'CopySlide', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CopySlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CopySlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CopySlide', 'String')
      paramsource_password = AsposeSlidesCloud::SpecUtils.invalidize_param_value('sourcePassword', 'CopySlide', paramsource_password, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CopySlide', 'sourcePassword', paramsource_password)
      begin
        AsposeSlidesCloud::SpecUtils.api.copy_slide_with_http_info(paramname, paramslide_to_copy, paramposition, paramsource, paramsource_password, paramsource_storage, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CopySlide', 'sourcePassword')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopySlide', 'sourcePassword', paramsource_password)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopySlide', 'sourcePassword', paramsource_password)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid source_storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CopySlide', 'String')
      paramslide_to_copy = AsposeSlidesCloud::SpecUtils.get_param_value('slideToCopy', 'CopySlide', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CopySlide', 'Integer')
      paramsource = AsposeSlidesCloud::SpecUtils.get_param_value('source', 'CopySlide', 'String')
      paramsource_password = AsposeSlidesCloud::SpecUtils.get_param_value('sourcePassword', 'CopySlide', 'String')
      paramsource_storage = AsposeSlidesCloud::SpecUtils.get_param_value('sourceStorage', 'CopySlide', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CopySlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CopySlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CopySlide', 'String')
      paramsource_storage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('sourceStorage', 'CopySlide', paramsource_storage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CopySlide', 'sourceStorage', paramsource_storage)
      begin
        AsposeSlidesCloud::SpecUtils.api.copy_slide_with_http_info(paramname, paramslide_to_copy, paramposition, paramsource, paramsource_password, paramsource_storage, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CopySlide', 'sourceStorage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopySlide', 'sourceStorage', paramsource_storage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopySlide', 'sourceStorage', paramsource_storage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CopySlide', 'String')
      paramslide_to_copy = AsposeSlidesCloud::SpecUtils.get_param_value('slideToCopy', 'CopySlide', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CopySlide', 'Integer')
      paramsource = AsposeSlidesCloud::SpecUtils.get_param_value('source', 'CopySlide', 'String')
      paramsource_password = AsposeSlidesCloud::SpecUtils.get_param_value('sourcePassword', 'CopySlide', 'String')
      paramsource_storage = AsposeSlidesCloud::SpecUtils.get_param_value('sourceStorage', 'CopySlide', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CopySlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CopySlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CopySlide', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'CopySlide', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CopySlide', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.copy_slide_with_http_info(paramname, paramslide_to_copy, paramposition, paramsource, paramsource_password, paramsource_storage, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CopySlide', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopySlide', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopySlide', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CopySlide', 'String')
      paramslide_to_copy = AsposeSlidesCloud::SpecUtils.get_param_value('slideToCopy', 'CopySlide', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CopySlide', 'Integer')
      paramsource = AsposeSlidesCloud::SpecUtils.get_param_value('source', 'CopySlide', 'String')
      paramsource_password = AsposeSlidesCloud::SpecUtils.get_param_value('sourcePassword', 'CopySlide', 'String')
      paramsource_storage = AsposeSlidesCloud::SpecUtils.get_param_value('sourceStorage', 'CopySlide', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CopySlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CopySlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CopySlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'CopySlide', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CopySlide', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.copy_slide_with_http_info(paramname, paramslide_to_copy, paramposition, paramsource, paramsource_password, paramsource_storage, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CopySlide', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopySlide', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopySlide', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CopySlide', 'String')
      paramslide_to_copy = AsposeSlidesCloud::SpecUtils.get_param_value('slideToCopy', 'CopySlide', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CopySlide', 'Integer')
      paramsource = AsposeSlidesCloud::SpecUtils.get_param_value('source', 'CopySlide', 'String')
      paramsource_password = AsposeSlidesCloud::SpecUtils.get_param_value('sourcePassword', 'CopySlide', 'String')
      paramsource_storage = AsposeSlidesCloud::SpecUtils.get_param_value('sourceStorage', 'CopySlide', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CopySlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CopySlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CopySlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'CopySlide', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CopySlide', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.copy_slide_with_http_info(paramname, paramslide_to_copy, paramposition, paramsource, paramsource_password, paramsource_storage, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CopySlide', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopySlide', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CopySlide', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for create_animation_effect
  # Add an effect to slide animation.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param effect Animation effect DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [SlideAnimation]
  describe 'create_animation_effect test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateAnimationEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'CreateAnimationEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateAnimationEffect', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateAnimationEffect', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.create_animation_effect_with_http_info(paramname, paramslide_index, parameffect, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationEffect', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateAnimationEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'CreateAnimationEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateAnimationEffect', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'CreateAnimationEffect', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateAnimationEffect', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_animation_effect_with_http_info(paramname, paramslide_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateAnimationEffect', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationEffect', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationEffect', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateAnimationEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'CreateAnimationEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'CreateAnimationEffect', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateAnimationEffect', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_animation_effect_with_http_info(paramname, paramslide_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateAnimationEffect', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationEffect', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationEffect', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid effect' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateAnimationEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'CreateAnimationEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateAnimationEffect', 'String')
      parameffect = AsposeSlidesCloud::SpecUtils.invalidize_param_value('effect', 'CreateAnimationEffect', parameffect, 'Effect')
      AsposeSlidesCloud::SpecUtils.initialize('CreateAnimationEffect', 'effect', parameffect)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_animation_effect_with_http_info(paramname, paramslide_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateAnimationEffect', 'effect')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationEffect', 'effect', parameffect)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationEffect', 'effect', parameffect)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateAnimationEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'CreateAnimationEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateAnimationEffect', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'CreateAnimationEffect', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateAnimationEffect', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_animation_effect_with_http_info(paramname, paramslide_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateAnimationEffect', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationEffect', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationEffect', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateAnimationEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'CreateAnimationEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'CreateAnimationEffect', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateAnimationEffect', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_animation_effect_with_http_info(paramname, paramslide_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateAnimationEffect', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationEffect', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationEffect', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateAnimationEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'CreateAnimationEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'CreateAnimationEffect', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateAnimationEffect', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_animation_effect_with_http_info(paramname, paramslide_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateAnimationEffect', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationEffect', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationEffect', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for create_animation_interactive_sequence
  # Set slide animation.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param sequence Animation sequence DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [SlideAnimation]
  describe 'create_animation_interactive_sequence test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateAnimationInteractiveSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateAnimationInteractiveSequence', 'Integer')
      paramsequence = AsposeSlidesCloud::SpecUtils.get_param_value('sequence', 'CreateAnimationInteractiveSequence', 'InteractiveSequence')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateAnimationInteractiveSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateAnimationInteractiveSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateAnimationInteractiveSequence', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateAnimationInteractiveSequence', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.create_animation_interactive_sequence_with_http_info(paramname, paramslide_index, paramsequence, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationInteractiveSequence', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateAnimationInteractiveSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateAnimationInteractiveSequence', 'Integer')
      paramsequence = AsposeSlidesCloud::SpecUtils.get_param_value('sequence', 'CreateAnimationInteractiveSequence', 'InteractiveSequence')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateAnimationInteractiveSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateAnimationInteractiveSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateAnimationInteractiveSequence', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'CreateAnimationInteractiveSequence', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateAnimationInteractiveSequence', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_animation_interactive_sequence_with_http_info(paramname, paramslide_index, paramsequence, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateAnimationInteractiveSequence', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationInteractiveSequence', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationInteractiveSequence', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateAnimationInteractiveSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateAnimationInteractiveSequence', 'Integer')
      paramsequence = AsposeSlidesCloud::SpecUtils.get_param_value('sequence', 'CreateAnimationInteractiveSequence', 'InteractiveSequence')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateAnimationInteractiveSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateAnimationInteractiveSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateAnimationInteractiveSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'CreateAnimationInteractiveSequence', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateAnimationInteractiveSequence', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_animation_interactive_sequence_with_http_info(paramname, paramslide_index, paramsequence, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateAnimationInteractiveSequence', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationInteractiveSequence', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationInteractiveSequence', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid sequence' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateAnimationInteractiveSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateAnimationInteractiveSequence', 'Integer')
      paramsequence = AsposeSlidesCloud::SpecUtils.get_param_value('sequence', 'CreateAnimationInteractiveSequence', 'InteractiveSequence')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateAnimationInteractiveSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateAnimationInteractiveSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateAnimationInteractiveSequence', 'String')
      paramsequence = AsposeSlidesCloud::SpecUtils.invalidize_param_value('sequence', 'CreateAnimationInteractiveSequence', paramsequence, 'InteractiveSequence')
      AsposeSlidesCloud::SpecUtils.initialize('CreateAnimationInteractiveSequence', 'sequence', paramsequence)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_animation_interactive_sequence_with_http_info(paramname, paramslide_index, paramsequence, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateAnimationInteractiveSequence', 'sequence')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationInteractiveSequence', 'sequence', paramsequence)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationInteractiveSequence', 'sequence', paramsequence)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateAnimationInteractiveSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateAnimationInteractiveSequence', 'Integer')
      paramsequence = AsposeSlidesCloud::SpecUtils.get_param_value('sequence', 'CreateAnimationInteractiveSequence', 'InteractiveSequence')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateAnimationInteractiveSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateAnimationInteractiveSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateAnimationInteractiveSequence', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'CreateAnimationInteractiveSequence', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateAnimationInteractiveSequence', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_animation_interactive_sequence_with_http_info(paramname, paramslide_index, paramsequence, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateAnimationInteractiveSequence', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationInteractiveSequence', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationInteractiveSequence', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateAnimationInteractiveSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateAnimationInteractiveSequence', 'Integer')
      paramsequence = AsposeSlidesCloud::SpecUtils.get_param_value('sequence', 'CreateAnimationInteractiveSequence', 'InteractiveSequence')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateAnimationInteractiveSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateAnimationInteractiveSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateAnimationInteractiveSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'CreateAnimationInteractiveSequence', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateAnimationInteractiveSequence', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_animation_interactive_sequence_with_http_info(paramname, paramslide_index, paramsequence, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateAnimationInteractiveSequence', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationInteractiveSequence', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationInteractiveSequence', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateAnimationInteractiveSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateAnimationInteractiveSequence', 'Integer')
      paramsequence = AsposeSlidesCloud::SpecUtils.get_param_value('sequence', 'CreateAnimationInteractiveSequence', 'InteractiveSequence')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateAnimationInteractiveSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateAnimationInteractiveSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateAnimationInteractiveSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'CreateAnimationInteractiveSequence', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateAnimationInteractiveSequence', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_animation_interactive_sequence_with_http_info(paramname, paramslide_index, paramsequence, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateAnimationInteractiveSequence', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationInteractiveSequence', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationInteractiveSequence', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for create_animation_interactive_sequence_effect
  # Add an animation effect to a slide interactive sequence.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param sequence_index The position of the interactive sequence.
  # @param effect Animation effect DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [SlideAnimation]
  describe 'create_animation_interactive_sequence_effect test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateAnimationInteractiveSequenceEffect', 'Integer')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'CreateAnimationInteractiveSequenceEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'CreateAnimationInteractiveSequenceEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateAnimationInteractiveSequenceEffect', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateAnimationInteractiveSequenceEffect', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.create_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramsequence_index, parameffect, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationInteractiveSequenceEffect', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateAnimationInteractiveSequenceEffect', 'Integer')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'CreateAnimationInteractiveSequenceEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'CreateAnimationInteractiveSequenceEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateAnimationInteractiveSequenceEffect', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'CreateAnimationInteractiveSequenceEffect', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateAnimationInteractiveSequenceEffect', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramsequence_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateAnimationInteractiveSequenceEffect', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationInteractiveSequenceEffect', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationInteractiveSequenceEffect', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateAnimationInteractiveSequenceEffect', 'Integer')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'CreateAnimationInteractiveSequenceEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'CreateAnimationInteractiveSequenceEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'CreateAnimationInteractiveSequenceEffect', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateAnimationInteractiveSequenceEffect', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramsequence_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateAnimationInteractiveSequenceEffect', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationInteractiveSequenceEffect', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationInteractiveSequenceEffect', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid sequence_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateAnimationInteractiveSequenceEffect', 'Integer')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'CreateAnimationInteractiveSequenceEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'CreateAnimationInteractiveSequenceEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateAnimationInteractiveSequenceEffect', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('sequenceIndex', 'CreateAnimationInteractiveSequenceEffect', paramsequence_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateAnimationInteractiveSequenceEffect', 'sequenceIndex', paramsequence_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramsequence_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateAnimationInteractiveSequenceEffect', 'sequenceIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationInteractiveSequenceEffect', 'sequenceIndex', paramsequence_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationInteractiveSequenceEffect', 'sequenceIndex', paramsequence_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid effect' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateAnimationInteractiveSequenceEffect', 'Integer')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'CreateAnimationInteractiveSequenceEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'CreateAnimationInteractiveSequenceEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateAnimationInteractiveSequenceEffect', 'String')
      parameffect = AsposeSlidesCloud::SpecUtils.invalidize_param_value('effect', 'CreateAnimationInteractiveSequenceEffect', parameffect, 'Effect')
      AsposeSlidesCloud::SpecUtils.initialize('CreateAnimationInteractiveSequenceEffect', 'effect', parameffect)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramsequence_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateAnimationInteractiveSequenceEffect', 'effect')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationInteractiveSequenceEffect', 'effect', parameffect)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationInteractiveSequenceEffect', 'effect', parameffect)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateAnimationInteractiveSequenceEffect', 'Integer')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'CreateAnimationInteractiveSequenceEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'CreateAnimationInteractiveSequenceEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateAnimationInteractiveSequenceEffect', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'CreateAnimationInteractiveSequenceEffect', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateAnimationInteractiveSequenceEffect', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramsequence_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateAnimationInteractiveSequenceEffect', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationInteractiveSequenceEffect', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationInteractiveSequenceEffect', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateAnimationInteractiveSequenceEffect', 'Integer')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'CreateAnimationInteractiveSequenceEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'CreateAnimationInteractiveSequenceEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'CreateAnimationInteractiveSequenceEffect', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateAnimationInteractiveSequenceEffect', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramsequence_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateAnimationInteractiveSequenceEffect', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationInteractiveSequenceEffect', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationInteractiveSequenceEffect', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateAnimationInteractiveSequenceEffect', 'Integer')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'CreateAnimationInteractiveSequenceEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'CreateAnimationInteractiveSequenceEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'CreateAnimationInteractiveSequenceEffect', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateAnimationInteractiveSequenceEffect', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramsequence_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateAnimationInteractiveSequenceEffect', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationInteractiveSequenceEffect', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateAnimationInteractiveSequenceEffect', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for create_chart_category
  # Add a new category to a chart.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param shape_index Shape index.
  # @param category Category DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Chart]
  describe 'create_chart_category test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateChartCategory', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateChartCategory', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateChartCategory', 'Integer')
      paramcategory = AsposeSlidesCloud::SpecUtils.get_param_value('category', 'CreateChartCategory', 'ChartCategory')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateChartCategory', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateChartCategory', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateChartCategory', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateChartCategory', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.create_chart_category_with_http_info(paramname, paramslide_index, paramshape_index, paramcategory, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartCategory', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateChartCategory', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateChartCategory', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateChartCategory', 'Integer')
      paramcategory = AsposeSlidesCloud::SpecUtils.get_param_value('category', 'CreateChartCategory', 'ChartCategory')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateChartCategory', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateChartCategory', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateChartCategory', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'CreateChartCategory', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateChartCategory', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_chart_category_with_http_info(paramname, paramslide_index, paramshape_index, paramcategory, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateChartCategory', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartCategory', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartCategory', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateChartCategory', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateChartCategory', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateChartCategory', 'Integer')
      paramcategory = AsposeSlidesCloud::SpecUtils.get_param_value('category', 'CreateChartCategory', 'ChartCategory')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateChartCategory', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateChartCategory', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateChartCategory', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'CreateChartCategory', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateChartCategory', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_chart_category_with_http_info(paramname, paramslide_index, paramshape_index, paramcategory, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateChartCategory', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartCategory', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartCategory', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateChartCategory', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateChartCategory', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateChartCategory', 'Integer')
      paramcategory = AsposeSlidesCloud::SpecUtils.get_param_value('category', 'CreateChartCategory', 'ChartCategory')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateChartCategory', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateChartCategory', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateChartCategory', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'CreateChartCategory', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateChartCategory', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_chart_category_with_http_info(paramname, paramslide_index, paramshape_index, paramcategory, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateChartCategory', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartCategory', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartCategory', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid category' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateChartCategory', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateChartCategory', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateChartCategory', 'Integer')
      paramcategory = AsposeSlidesCloud::SpecUtils.get_param_value('category', 'CreateChartCategory', 'ChartCategory')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateChartCategory', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateChartCategory', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateChartCategory', 'String')
      paramcategory = AsposeSlidesCloud::SpecUtils.invalidize_param_value('category', 'CreateChartCategory', paramcategory, 'ChartCategory')
      AsposeSlidesCloud::SpecUtils.initialize('CreateChartCategory', 'category', paramcategory)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_chart_category_with_http_info(paramname, paramslide_index, paramshape_index, paramcategory, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateChartCategory', 'category')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartCategory', 'category', paramcategory)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartCategory', 'category', paramcategory)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateChartCategory', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateChartCategory', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateChartCategory', 'Integer')
      paramcategory = AsposeSlidesCloud::SpecUtils.get_param_value('category', 'CreateChartCategory', 'ChartCategory')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateChartCategory', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateChartCategory', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateChartCategory', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'CreateChartCategory', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateChartCategory', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_chart_category_with_http_info(paramname, paramslide_index, paramshape_index, paramcategory, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateChartCategory', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartCategory', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartCategory', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateChartCategory', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateChartCategory', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateChartCategory', 'Integer')
      paramcategory = AsposeSlidesCloud::SpecUtils.get_param_value('category', 'CreateChartCategory', 'ChartCategory')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateChartCategory', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateChartCategory', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateChartCategory', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'CreateChartCategory', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateChartCategory', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_chart_category_with_http_info(paramname, paramslide_index, paramshape_index, paramcategory, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateChartCategory', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartCategory', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartCategory', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateChartCategory', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateChartCategory', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateChartCategory', 'Integer')
      paramcategory = AsposeSlidesCloud::SpecUtils.get_param_value('category', 'CreateChartCategory', 'ChartCategory')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateChartCategory', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateChartCategory', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateChartCategory', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'CreateChartCategory', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateChartCategory', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_chart_category_with_http_info(paramname, paramslide_index, paramshape_index, paramcategory, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateChartCategory', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartCategory', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartCategory', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for create_chart_data_point
  # Add a new data point to a chart series.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param shape_index Shape index.
  # @param series_index Series index.
  # @param data_point Data point DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Chart]
  describe 'create_chart_data_point test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateChartDataPoint', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateChartDataPoint', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateChartDataPoint', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'CreateChartDataPoint', 'Integer')
      paramdata_point = AsposeSlidesCloud::SpecUtils.get_param_value('dataPoint', 'CreateChartDataPoint', 'DataPoint')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateChartDataPoint', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateChartDataPoint', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateChartDataPoint', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateChartDataPoint', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.create_chart_data_point_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, paramdata_point, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartDataPoint', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateChartDataPoint', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateChartDataPoint', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateChartDataPoint', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'CreateChartDataPoint', 'Integer')
      paramdata_point = AsposeSlidesCloud::SpecUtils.get_param_value('dataPoint', 'CreateChartDataPoint', 'DataPoint')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateChartDataPoint', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateChartDataPoint', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateChartDataPoint', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'CreateChartDataPoint', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateChartDataPoint', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_chart_data_point_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, paramdata_point, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateChartDataPoint', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartDataPoint', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartDataPoint', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateChartDataPoint', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateChartDataPoint', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateChartDataPoint', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'CreateChartDataPoint', 'Integer')
      paramdata_point = AsposeSlidesCloud::SpecUtils.get_param_value('dataPoint', 'CreateChartDataPoint', 'DataPoint')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateChartDataPoint', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateChartDataPoint', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateChartDataPoint', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'CreateChartDataPoint', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateChartDataPoint', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_chart_data_point_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, paramdata_point, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateChartDataPoint', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartDataPoint', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartDataPoint', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateChartDataPoint', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateChartDataPoint', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateChartDataPoint', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'CreateChartDataPoint', 'Integer')
      paramdata_point = AsposeSlidesCloud::SpecUtils.get_param_value('dataPoint', 'CreateChartDataPoint', 'DataPoint')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateChartDataPoint', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateChartDataPoint', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateChartDataPoint', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'CreateChartDataPoint', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateChartDataPoint', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_chart_data_point_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, paramdata_point, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateChartDataPoint', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartDataPoint', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartDataPoint', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid series_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateChartDataPoint', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateChartDataPoint', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateChartDataPoint', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'CreateChartDataPoint', 'Integer')
      paramdata_point = AsposeSlidesCloud::SpecUtils.get_param_value('dataPoint', 'CreateChartDataPoint', 'DataPoint')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateChartDataPoint', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateChartDataPoint', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateChartDataPoint', 'String')
      paramseries_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('seriesIndex', 'CreateChartDataPoint', paramseries_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateChartDataPoint', 'seriesIndex', paramseries_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_chart_data_point_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, paramdata_point, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateChartDataPoint', 'seriesIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartDataPoint', 'seriesIndex', paramseries_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartDataPoint', 'seriesIndex', paramseries_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid data_point' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateChartDataPoint', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateChartDataPoint', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateChartDataPoint', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'CreateChartDataPoint', 'Integer')
      paramdata_point = AsposeSlidesCloud::SpecUtils.get_param_value('dataPoint', 'CreateChartDataPoint', 'DataPoint')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateChartDataPoint', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateChartDataPoint', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateChartDataPoint', 'String')
      paramdata_point = AsposeSlidesCloud::SpecUtils.invalidize_param_value('dataPoint', 'CreateChartDataPoint', paramdata_point, 'DataPoint')
      AsposeSlidesCloud::SpecUtils.initialize('CreateChartDataPoint', 'dataPoint', paramdata_point)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_chart_data_point_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, paramdata_point, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateChartDataPoint', 'dataPoint')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartDataPoint', 'dataPoint', paramdata_point)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartDataPoint', 'dataPoint', paramdata_point)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateChartDataPoint', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateChartDataPoint', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateChartDataPoint', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'CreateChartDataPoint', 'Integer')
      paramdata_point = AsposeSlidesCloud::SpecUtils.get_param_value('dataPoint', 'CreateChartDataPoint', 'DataPoint')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateChartDataPoint', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateChartDataPoint', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateChartDataPoint', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'CreateChartDataPoint', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateChartDataPoint', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_chart_data_point_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, paramdata_point, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateChartDataPoint', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartDataPoint', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartDataPoint', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateChartDataPoint', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateChartDataPoint', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateChartDataPoint', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'CreateChartDataPoint', 'Integer')
      paramdata_point = AsposeSlidesCloud::SpecUtils.get_param_value('dataPoint', 'CreateChartDataPoint', 'DataPoint')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateChartDataPoint', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateChartDataPoint', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateChartDataPoint', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'CreateChartDataPoint', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateChartDataPoint', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_chart_data_point_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, paramdata_point, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateChartDataPoint', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartDataPoint', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartDataPoint', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateChartDataPoint', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateChartDataPoint', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateChartDataPoint', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'CreateChartDataPoint', 'Integer')
      paramdata_point = AsposeSlidesCloud::SpecUtils.get_param_value('dataPoint', 'CreateChartDataPoint', 'DataPoint')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateChartDataPoint', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateChartDataPoint', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateChartDataPoint', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'CreateChartDataPoint', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateChartDataPoint', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_chart_data_point_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, paramdata_point, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateChartDataPoint', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartDataPoint', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartDataPoint', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for create_chart_series
  # Add a new series to a chart.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param shape_index Shape index (must be a chart).
  # @param series Series DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Chart]
  describe 'create_chart_series test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateChartSeries', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateChartSeries', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateChartSeries', 'Integer')
      paramseries = AsposeSlidesCloud::SpecUtils.get_param_value('series', 'CreateChartSeries', 'Series')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateChartSeries', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateChartSeries', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateChartSeries', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateChartSeries', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.create_chart_series_with_http_info(paramname, paramslide_index, paramshape_index, paramseries, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartSeries', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateChartSeries', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateChartSeries', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateChartSeries', 'Integer')
      paramseries = AsposeSlidesCloud::SpecUtils.get_param_value('series', 'CreateChartSeries', 'Series')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateChartSeries', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateChartSeries', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateChartSeries', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'CreateChartSeries', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateChartSeries', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_chart_series_with_http_info(paramname, paramslide_index, paramshape_index, paramseries, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateChartSeries', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartSeries', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartSeries', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateChartSeries', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateChartSeries', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateChartSeries', 'Integer')
      paramseries = AsposeSlidesCloud::SpecUtils.get_param_value('series', 'CreateChartSeries', 'Series')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateChartSeries', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateChartSeries', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateChartSeries', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'CreateChartSeries', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateChartSeries', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_chart_series_with_http_info(paramname, paramslide_index, paramshape_index, paramseries, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateChartSeries', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartSeries', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartSeries', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateChartSeries', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateChartSeries', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateChartSeries', 'Integer')
      paramseries = AsposeSlidesCloud::SpecUtils.get_param_value('series', 'CreateChartSeries', 'Series')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateChartSeries', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateChartSeries', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateChartSeries', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'CreateChartSeries', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateChartSeries', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_chart_series_with_http_info(paramname, paramslide_index, paramshape_index, paramseries, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateChartSeries', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartSeries', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartSeries', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid series' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateChartSeries', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateChartSeries', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateChartSeries', 'Integer')
      paramseries = AsposeSlidesCloud::SpecUtils.get_param_value('series', 'CreateChartSeries', 'Series')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateChartSeries', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateChartSeries', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateChartSeries', 'String')
      paramseries = AsposeSlidesCloud::SpecUtils.invalidize_param_value('series', 'CreateChartSeries', paramseries, 'Series')
      AsposeSlidesCloud::SpecUtils.initialize('CreateChartSeries', 'series', paramseries)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_chart_series_with_http_info(paramname, paramslide_index, paramshape_index, paramseries, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateChartSeries', 'series')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartSeries', 'series', paramseries)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartSeries', 'series', paramseries)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateChartSeries', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateChartSeries', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateChartSeries', 'Integer')
      paramseries = AsposeSlidesCloud::SpecUtils.get_param_value('series', 'CreateChartSeries', 'Series')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateChartSeries', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateChartSeries', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateChartSeries', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'CreateChartSeries', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateChartSeries', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_chart_series_with_http_info(paramname, paramslide_index, paramshape_index, paramseries, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateChartSeries', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartSeries', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartSeries', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateChartSeries', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateChartSeries', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateChartSeries', 'Integer')
      paramseries = AsposeSlidesCloud::SpecUtils.get_param_value('series', 'CreateChartSeries', 'Series')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateChartSeries', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateChartSeries', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateChartSeries', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'CreateChartSeries', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateChartSeries', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_chart_series_with_http_info(paramname, paramslide_index, paramshape_index, paramseries, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateChartSeries', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartSeries', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartSeries', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateChartSeries', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateChartSeries', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateChartSeries', 'Integer')
      paramseries = AsposeSlidesCloud::SpecUtils.get_param_value('series', 'CreateChartSeries', 'Series')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateChartSeries', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateChartSeries', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateChartSeries', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'CreateChartSeries', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateChartSeries', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_chart_series_with_http_info(paramname, paramslide_index, paramshape_index, paramseries, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateChartSeries', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartSeries', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateChartSeries', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for create_comment
  # Adds the comment on the slide.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param dto Comment DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [SlideComments]
  describe 'create_comment test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateComment', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateComment', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateComment', 'SlideComment')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateComment', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateComment', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateComment', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateComment', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.create_comment_with_http_info(paramname, paramslide_index, paramdto, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateComment', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateComment', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateComment', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateComment', 'SlideComment')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateComment', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateComment', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateComment', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'CreateComment', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateComment', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_comment_with_http_info(paramname, paramslide_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateComment', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateComment', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateComment', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateComment', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateComment', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateComment', 'SlideComment')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateComment', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateComment', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateComment', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'CreateComment', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateComment', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_comment_with_http_info(paramname, paramslide_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateComment', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateComment', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateComment', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dto' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateComment', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateComment', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateComment', 'SlideComment')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateComment', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateComment', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateComment', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('dto', 'CreateComment', paramdto, 'SlideComment')
      AsposeSlidesCloud::SpecUtils.initialize('CreateComment', 'dto', paramdto)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_comment_with_http_info(paramname, paramslide_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateComment', 'dto')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateComment', 'dto', paramdto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateComment', 'dto', paramdto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateComment', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateComment', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateComment', 'SlideComment')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateComment', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateComment', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateComment', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'CreateComment', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateComment', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_comment_with_http_info(paramname, paramslide_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateComment', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateComment', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateComment', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateComment', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateComment', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateComment', 'SlideComment')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateComment', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateComment', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateComment', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'CreateComment', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateComment', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_comment_with_http_info(paramname, paramslide_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateComment', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateComment', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateComment', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateComment', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateComment', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateComment', 'SlideComment')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateComment', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateComment', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateComment', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'CreateComment', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateComment', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_comment_with_http_info(paramname, paramslide_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateComment', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateComment', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateComment', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for create_comment_online
  # Adds the comment on the slide.
  # @param document Document data.
  # @param slide_index Slide index.
  # @param dto Comment DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @return [File]
  describe 'create_comment_online test' do
    it 'should work' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'CreateCommentOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateCommentOnline', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateCommentOnline', 'SlideComment')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateCommentOnline', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateCommentOnline', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.create_comment_online_with_http_info(paramdocument, paramslide_index, paramdto, parampassword)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateCommentOnline', nil, nil)
      expect(c).to eq(code)
    end

    it 'invalid document' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'CreateCommentOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateCommentOnline', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateCommentOnline', 'SlideComment')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateCommentOnline', 'String')
      paramdocument = AsposeSlidesCloud::SpecUtils.invalidize_param_value('document', 'CreateCommentOnline', paramdocument, 'File')
      AsposeSlidesCloud::SpecUtils.initialize('CreateCommentOnline', 'document', paramdocument)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_comment_online_with_http_info(paramdocument, paramslide_index, paramdto, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateCommentOnline', 'document')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateCommentOnline', 'document', paramdocument)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateCommentOnline', 'document', paramdocument)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'CreateCommentOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateCommentOnline', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateCommentOnline', 'SlideComment')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateCommentOnline', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'CreateCommentOnline', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateCommentOnline', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_comment_online_with_http_info(paramdocument, paramslide_index, paramdto, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateCommentOnline', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateCommentOnline', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateCommentOnline', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dto' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'CreateCommentOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateCommentOnline', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateCommentOnline', 'SlideComment')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateCommentOnline', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('dto', 'CreateCommentOnline', paramdto, 'SlideComment')
      AsposeSlidesCloud::SpecUtils.initialize('CreateCommentOnline', 'dto', paramdto)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_comment_online_with_http_info(paramdocument, paramslide_index, paramdto, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateCommentOnline', 'dto')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateCommentOnline', 'dto', paramdto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateCommentOnline', 'dto', paramdto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'CreateCommentOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateCommentOnline', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateCommentOnline', 'SlideComment')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateCommentOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'CreateCommentOnline', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateCommentOnline', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_comment_online_with_http_info(paramdocument, paramslide_index, paramdto, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateCommentOnline', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateCommentOnline', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateCommentOnline', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for create_folder
  # Create the folder
  # @param path Folder path to create e.g. &#39;folder_1/folder_2/&#39;
  # @param [Hash] opts the optional parameters
  # @option opts [String] :storage_name Storage name
  # @return [nil]
  describe 'create_folder test' do
    it 'should work' do
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateFolder', 'String')
      paramstorage_name = AsposeSlidesCloud::SpecUtils.get_param_value('storageName', 'CreateFolder', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateFolder', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.create_folder_with_http_info(parampath, paramstorage_name)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateFolder', nil, nil)
      expect(c).to eq(code)
    end

    it 'invalid path' do
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateFolder', 'String')
      paramstorage_name = AsposeSlidesCloud::SpecUtils.get_param_value('storageName', 'CreateFolder', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'CreateFolder', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateFolder', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_folder_with_http_info(parampath, paramstorage_name)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateFolder', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateFolder', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateFolder', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage_name' do
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateFolder', 'String')
      paramstorage_name = AsposeSlidesCloud::SpecUtils.get_param_value('storageName', 'CreateFolder', 'String')
      paramstorage_name = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storageName', 'CreateFolder', paramstorage_name, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateFolder', 'storageName', paramstorage_name)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_folder_with_http_info(parampath, paramstorage_name)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateFolder', 'storageName')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateFolder', 'storageName', paramstorage_name)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateFolder', 'storageName', paramstorage_name)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for create_image_watermark
  # Adds an image watermark to each slide of the presentation.  Image can be provided as a part of the form or withing PictureFrame DTO for detailed customization. Both options are applicable simultaneously. 
  # @param name Document name.
  # @param [Hash] opts the optional parameters
  # @option opts [File] :image Image data.
  # @option opts [PictureFrame] :picture_frame PictureFrame DTO
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [nil]
  describe 'create_image_watermark test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateImageWatermark', 'String')
      paramimage = AsposeSlidesCloud::SpecUtils.get_param_value('image', 'CreateImageWatermark', 'File')
      parampicture_frame = AsposeSlidesCloud::SpecUtils.get_param_value('pictureFrame', 'CreateImageWatermark', 'PictureFrame')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateImageWatermark', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateImageWatermark', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateImageWatermark', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateImageWatermark', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.create_image_watermark_with_http_info(paramname, paramimage, parampicture_frame, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateImageWatermark', nil, nil)
      expect(c).to eq(code)
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateImageWatermark', 'String')
      paramimage = AsposeSlidesCloud::SpecUtils.get_param_value('image', 'CreateImageWatermark', 'File')
      parampicture_frame = AsposeSlidesCloud::SpecUtils.get_param_value('pictureFrame', 'CreateImageWatermark', 'PictureFrame')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateImageWatermark', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateImageWatermark', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateImageWatermark', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'CreateImageWatermark', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateImageWatermark', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_image_watermark_with_http_info(paramname, paramimage, parampicture_frame, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateImageWatermark', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateImageWatermark', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateImageWatermark', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid image' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateImageWatermark', 'String')
      paramimage = AsposeSlidesCloud::SpecUtils.get_param_value('image', 'CreateImageWatermark', 'File')
      parampicture_frame = AsposeSlidesCloud::SpecUtils.get_param_value('pictureFrame', 'CreateImageWatermark', 'PictureFrame')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateImageWatermark', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateImageWatermark', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateImageWatermark', 'String')
      paramimage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('image', 'CreateImageWatermark', paramimage, 'File')
      AsposeSlidesCloud::SpecUtils.initialize('CreateImageWatermark', 'image', paramimage)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_image_watermark_with_http_info(paramname, paramimage, parampicture_frame, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateImageWatermark', 'image')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateImageWatermark', 'image', paramimage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateImageWatermark', 'image', paramimage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid picture_frame' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateImageWatermark', 'String')
      paramimage = AsposeSlidesCloud::SpecUtils.get_param_value('image', 'CreateImageWatermark', 'File')
      parampicture_frame = AsposeSlidesCloud::SpecUtils.get_param_value('pictureFrame', 'CreateImageWatermark', 'PictureFrame')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateImageWatermark', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateImageWatermark', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateImageWatermark', 'String')
      parampicture_frame = AsposeSlidesCloud::SpecUtils.invalidize_param_value('pictureFrame', 'CreateImageWatermark', parampicture_frame, 'PictureFrame')
      AsposeSlidesCloud::SpecUtils.initialize('CreateImageWatermark', 'pictureFrame', parampicture_frame)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_image_watermark_with_http_info(paramname, paramimage, parampicture_frame, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateImageWatermark', 'pictureFrame')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateImageWatermark', 'pictureFrame', parampicture_frame)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateImageWatermark', 'pictureFrame', parampicture_frame)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateImageWatermark', 'String')
      paramimage = AsposeSlidesCloud::SpecUtils.get_param_value('image', 'CreateImageWatermark', 'File')
      parampicture_frame = AsposeSlidesCloud::SpecUtils.get_param_value('pictureFrame', 'CreateImageWatermark', 'PictureFrame')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateImageWatermark', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateImageWatermark', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateImageWatermark', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'CreateImageWatermark', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateImageWatermark', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_image_watermark_with_http_info(paramname, paramimage, parampicture_frame, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateImageWatermark', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateImageWatermark', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateImageWatermark', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateImageWatermark', 'String')
      paramimage = AsposeSlidesCloud::SpecUtils.get_param_value('image', 'CreateImageWatermark', 'File')
      parampicture_frame = AsposeSlidesCloud::SpecUtils.get_param_value('pictureFrame', 'CreateImageWatermark', 'PictureFrame')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateImageWatermark', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateImageWatermark', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateImageWatermark', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'CreateImageWatermark', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateImageWatermark', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_image_watermark_with_http_info(paramname, paramimage, parampicture_frame, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateImageWatermark', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateImageWatermark', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateImageWatermark', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateImageWatermark', 'String')
      paramimage = AsposeSlidesCloud::SpecUtils.get_param_value('image', 'CreateImageWatermark', 'File')
      parampicture_frame = AsposeSlidesCloud::SpecUtils.get_param_value('pictureFrame', 'CreateImageWatermark', 'PictureFrame')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateImageWatermark', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateImageWatermark', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateImageWatermark', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'CreateImageWatermark', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateImageWatermark', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_image_watermark_with_http_info(paramname, paramimage, parampicture_frame, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateImageWatermark', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateImageWatermark', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateImageWatermark', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for create_image_watermark_online
  # Adds an image watermark to each slide of the presentation.  Image can be provided as a part of the form or withing PictureFrame DTO for detailed customization. Both options are applicable simultaneously. 
  # @param document Document data.
  # @param [Hash] opts the optional parameters
  # @option opts [File] :image Image data.
  # @option opts [PictureFrame] :picture_frame PictureFrame DTO.
  # @option opts [String] :password Document password.
  # @return [File]
  describe 'create_image_watermark_online test' do
    it 'should work' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'CreateImageWatermarkOnline', 'File')
      paramimage = AsposeSlidesCloud::SpecUtils.get_param_value('image', 'CreateImageWatermarkOnline', 'File')
      parampicture_frame = AsposeSlidesCloud::SpecUtils.get_param_value('pictureFrame', 'CreateImageWatermarkOnline', 'PictureFrame')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateImageWatermarkOnline', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateImageWatermarkOnline', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.create_image_watermark_online_with_http_info(paramdocument, paramimage, parampicture_frame, parampassword)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateImageWatermarkOnline', nil, nil)
      expect(c).to eq(code)
    end

    it 'invalid document' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'CreateImageWatermarkOnline', 'File')
      paramimage = AsposeSlidesCloud::SpecUtils.get_param_value('image', 'CreateImageWatermarkOnline', 'File')
      parampicture_frame = AsposeSlidesCloud::SpecUtils.get_param_value('pictureFrame', 'CreateImageWatermarkOnline', 'PictureFrame')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateImageWatermarkOnline', 'String')
      paramdocument = AsposeSlidesCloud::SpecUtils.invalidize_param_value('document', 'CreateImageWatermarkOnline', paramdocument, 'File')
      AsposeSlidesCloud::SpecUtils.initialize('CreateImageWatermarkOnline', 'document', paramdocument)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_image_watermark_online_with_http_info(paramdocument, paramimage, parampicture_frame, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateImageWatermarkOnline', 'document')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateImageWatermarkOnline', 'document', paramdocument)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateImageWatermarkOnline', 'document', paramdocument)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid image' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'CreateImageWatermarkOnline', 'File')
      paramimage = AsposeSlidesCloud::SpecUtils.get_param_value('image', 'CreateImageWatermarkOnline', 'File')
      parampicture_frame = AsposeSlidesCloud::SpecUtils.get_param_value('pictureFrame', 'CreateImageWatermarkOnline', 'PictureFrame')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateImageWatermarkOnline', 'String')
      paramimage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('image', 'CreateImageWatermarkOnline', paramimage, 'File')
      AsposeSlidesCloud::SpecUtils.initialize('CreateImageWatermarkOnline', 'image', paramimage)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_image_watermark_online_with_http_info(paramdocument, paramimage, parampicture_frame, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateImageWatermarkOnline', 'image')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateImageWatermarkOnline', 'image', paramimage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateImageWatermarkOnline', 'image', paramimage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid picture_frame' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'CreateImageWatermarkOnline', 'File')
      paramimage = AsposeSlidesCloud::SpecUtils.get_param_value('image', 'CreateImageWatermarkOnline', 'File')
      parampicture_frame = AsposeSlidesCloud::SpecUtils.get_param_value('pictureFrame', 'CreateImageWatermarkOnline', 'PictureFrame')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateImageWatermarkOnline', 'String')
      parampicture_frame = AsposeSlidesCloud::SpecUtils.invalidize_param_value('pictureFrame', 'CreateImageWatermarkOnline', parampicture_frame, 'PictureFrame')
      AsposeSlidesCloud::SpecUtils.initialize('CreateImageWatermarkOnline', 'pictureFrame', parampicture_frame)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_image_watermark_online_with_http_info(paramdocument, paramimage, parampicture_frame, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateImageWatermarkOnline', 'pictureFrame')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateImageWatermarkOnline', 'pictureFrame', parampicture_frame)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateImageWatermarkOnline', 'pictureFrame', parampicture_frame)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'CreateImageWatermarkOnline', 'File')
      paramimage = AsposeSlidesCloud::SpecUtils.get_param_value('image', 'CreateImageWatermarkOnline', 'File')
      parampicture_frame = AsposeSlidesCloud::SpecUtils.get_param_value('pictureFrame', 'CreateImageWatermarkOnline', 'PictureFrame')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateImageWatermarkOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'CreateImageWatermarkOnline', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateImageWatermarkOnline', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_image_watermark_online_with_http_info(paramdocument, paramimage, parampicture_frame, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateImageWatermarkOnline', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateImageWatermarkOnline', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateImageWatermarkOnline', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for create_notes_slide
  # Add new notes slide.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param dto A NotesSlide object with notes slide data.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [NotesSlide]
  describe 'create_notes_slide test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateNotesSlide', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateNotesSlide', 'NotesSlide')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateNotesSlide', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateNotesSlide', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.create_notes_slide_with_http_info(paramname, paramslide_index, paramdto, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateNotesSlide', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateNotesSlide', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateNotesSlide', 'NotesSlide')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateNotesSlide', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'CreateNotesSlide', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateNotesSlide', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_notes_slide_with_http_info(paramname, paramslide_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateNotesSlide', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateNotesSlide', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateNotesSlide', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateNotesSlide', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateNotesSlide', 'NotesSlide')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'CreateNotesSlide', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateNotesSlide', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_notes_slide_with_http_info(paramname, paramslide_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateNotesSlide', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateNotesSlide', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateNotesSlide', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dto' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateNotesSlide', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateNotesSlide', 'NotesSlide')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateNotesSlide', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('dto', 'CreateNotesSlide', paramdto, 'NotesSlide')
      AsposeSlidesCloud::SpecUtils.initialize('CreateNotesSlide', 'dto', paramdto)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_notes_slide_with_http_info(paramname, paramslide_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateNotesSlide', 'dto')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateNotesSlide', 'dto', paramdto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateNotesSlide', 'dto', paramdto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateNotesSlide', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateNotesSlide', 'NotesSlide')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateNotesSlide', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'CreateNotesSlide', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateNotesSlide', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_notes_slide_with_http_info(paramname, paramslide_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateNotesSlide', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateNotesSlide', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateNotesSlide', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateNotesSlide', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateNotesSlide', 'NotesSlide')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'CreateNotesSlide', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateNotesSlide', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_notes_slide_with_http_info(paramname, paramslide_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateNotesSlide', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateNotesSlide', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateNotesSlide', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateNotesSlide', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateNotesSlide', 'NotesSlide')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'CreateNotesSlide', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateNotesSlide', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_notes_slide_with_http_info(paramname, paramslide_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateNotesSlide', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateNotesSlide', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateNotesSlide', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for create_paragraph
  # Creates new paragraph.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param shape_index Shape index.
  # @param dto Paragraph DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :position Position of the new paragraph in the list. Default is at the end of the list.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Paragraph]
  describe 'create_paragraph test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateParagraph', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateParagraph', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateParagraph', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.create_paragraph_with_http_info(paramname, paramslide_index, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateParagraph', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateParagraph', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateParagraph', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'CreateParagraph', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateParagraph', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_paragraph_with_http_info(paramname, paramslide_index, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateParagraph', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateParagraph', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateParagraph', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateParagraph', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'CreateParagraph', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateParagraph', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_paragraph_with_http_info(paramname, paramslide_index, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateParagraph', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateParagraph', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateParagraph', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateParagraph', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'CreateParagraph', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateParagraph', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_paragraph_with_http_info(paramname, paramslide_index, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateParagraph', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateParagraph', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateParagraph', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dto' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateParagraph', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateParagraph', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('dto', 'CreateParagraph', paramdto, 'Paragraph')
      AsposeSlidesCloud::SpecUtils.initialize('CreateParagraph', 'dto', paramdto)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_paragraph_with_http_info(paramname, paramslide_index, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateParagraph', 'dto')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateParagraph', 'dto', paramdto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateParagraph', 'dto', paramdto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid position' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateParagraph', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateParagraph', 'String')
      paramposition = AsposeSlidesCloud::SpecUtils.invalidize_param_value('position', 'CreateParagraph', paramposition, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateParagraph', 'position', paramposition)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_paragraph_with_http_info(paramname, paramslide_index, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateParagraph', 'position')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateParagraph', 'position', paramposition)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateParagraph', 'position', paramposition)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateParagraph', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateParagraph', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'CreateParagraph', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateParagraph', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_paragraph_with_http_info(paramname, paramslide_index, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateParagraph', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateParagraph', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateParagraph', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateParagraph', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'CreateParagraph', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateParagraph', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_paragraph_with_http_info(paramname, paramslide_index, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateParagraph', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateParagraph', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateParagraph', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateParagraph', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'CreateParagraph', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateParagraph', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_paragraph_with_http_info(paramname, paramslide_index, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateParagraph', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateParagraph', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateParagraph', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for create_portion
  # Creates new portion.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param shape_index Shape index.
  # @param paragraph_index Paragraph index.
  # @param dto Portion DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :position Position of the new portion in the list. Default is at the end of the list.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Portion]
  describe 'create_portion test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreatePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreatePortion', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreatePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreatePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreatePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreatePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreatePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreatePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreatePortion', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreatePortion', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.create_portion_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePortion', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreatePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreatePortion', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreatePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreatePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreatePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreatePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreatePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreatePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreatePortion', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'CreatePortion', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreatePortion', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_portion_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreatePortion', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePortion', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePortion', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreatePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreatePortion', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreatePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreatePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreatePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreatePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreatePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreatePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreatePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'CreatePortion', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreatePortion', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_portion_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreatePortion', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePortion', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePortion', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreatePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreatePortion', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreatePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreatePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreatePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreatePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreatePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreatePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreatePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'CreatePortion', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreatePortion', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_portion_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreatePortion', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePortion', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePortion', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreatePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreatePortion', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreatePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreatePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreatePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreatePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreatePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreatePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreatePortion', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'CreatePortion', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreatePortion', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_portion_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreatePortion', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePortion', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePortion', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dto' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreatePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreatePortion', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreatePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreatePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreatePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreatePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreatePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreatePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreatePortion', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('dto', 'CreatePortion', paramdto, 'Portion')
      AsposeSlidesCloud::SpecUtils.initialize('CreatePortion', 'dto', paramdto)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_portion_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreatePortion', 'dto')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePortion', 'dto', paramdto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePortion', 'dto', paramdto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid position' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreatePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreatePortion', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreatePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreatePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreatePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreatePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreatePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreatePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreatePortion', 'String')
      paramposition = AsposeSlidesCloud::SpecUtils.invalidize_param_value('position', 'CreatePortion', paramposition, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreatePortion', 'position', paramposition)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_portion_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreatePortion', 'position')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePortion', 'position', paramposition)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePortion', 'position', paramposition)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreatePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreatePortion', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreatePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreatePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreatePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreatePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreatePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreatePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreatePortion', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'CreatePortion', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreatePortion', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_portion_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreatePortion', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePortion', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePortion', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreatePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreatePortion', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreatePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreatePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreatePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreatePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreatePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreatePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreatePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'CreatePortion', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreatePortion', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_portion_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreatePortion', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePortion', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePortion', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreatePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreatePortion', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreatePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreatePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreatePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreatePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreatePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreatePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreatePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'CreatePortion', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreatePortion', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_portion_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreatePortion', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePortion', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePortion', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for create_presentation
  # Create a presentation.
  # @param name Document name.
  # @param [Hash] opts the optional parameters
  # @option opts [File] :data Source presentation binary data.
  # @option opts [String] :input_password The password for source presentation.
  # @option opts [String] :password The document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Document]
  describe 'create_presentation test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreatePresentation', 'String')
      paramdata = AsposeSlidesCloud::SpecUtils.get_param_value('data', 'CreatePresentation', 'File')
      paraminput_password = AsposeSlidesCloud::SpecUtils.get_param_value('inputPassword', 'CreatePresentation', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreatePresentation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreatePresentation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreatePresentation', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreatePresentation', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.create_presentation_with_http_info(paramname, paramdata, paraminput_password, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentation', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreatePresentation', 'String')
      paramdata = AsposeSlidesCloud::SpecUtils.get_param_value('data', 'CreatePresentation', 'File')
      paraminput_password = AsposeSlidesCloud::SpecUtils.get_param_value('inputPassword', 'CreatePresentation', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreatePresentation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreatePresentation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreatePresentation', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'CreatePresentation', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreatePresentation', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_presentation_with_http_info(paramname, paramdata, paraminput_password, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreatePresentation', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentation', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentation', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid data' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreatePresentation', 'String')
      paramdata = AsposeSlidesCloud::SpecUtils.get_param_value('data', 'CreatePresentation', 'File')
      paraminput_password = AsposeSlidesCloud::SpecUtils.get_param_value('inputPassword', 'CreatePresentation', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreatePresentation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreatePresentation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreatePresentation', 'String')
      paramdata = AsposeSlidesCloud::SpecUtils.invalidize_param_value('data', 'CreatePresentation', paramdata, 'File')
      AsposeSlidesCloud::SpecUtils.initialize('CreatePresentation', 'data', paramdata)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_presentation_with_http_info(paramname, paramdata, paraminput_password, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreatePresentation', 'data')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentation', 'data', paramdata)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentation', 'data', paramdata)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid input_password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreatePresentation', 'String')
      paramdata = AsposeSlidesCloud::SpecUtils.get_param_value('data', 'CreatePresentation', 'File')
      paraminput_password = AsposeSlidesCloud::SpecUtils.get_param_value('inputPassword', 'CreatePresentation', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreatePresentation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreatePresentation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreatePresentation', 'String')
      paraminput_password = AsposeSlidesCloud::SpecUtils.invalidize_param_value('inputPassword', 'CreatePresentation', paraminput_password, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreatePresentation', 'inputPassword', paraminput_password)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_presentation_with_http_info(paramname, paramdata, paraminput_password, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreatePresentation', 'inputPassword')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentation', 'inputPassword', paraminput_password)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentation', 'inputPassword', paraminput_password)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreatePresentation', 'String')
      paramdata = AsposeSlidesCloud::SpecUtils.get_param_value('data', 'CreatePresentation', 'File')
      paraminput_password = AsposeSlidesCloud::SpecUtils.get_param_value('inputPassword', 'CreatePresentation', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreatePresentation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreatePresentation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreatePresentation', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'CreatePresentation', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreatePresentation', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_presentation_with_http_info(paramname, paramdata, paraminput_password, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreatePresentation', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentation', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentation', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreatePresentation', 'String')
      paramdata = AsposeSlidesCloud::SpecUtils.get_param_value('data', 'CreatePresentation', 'File')
      paraminput_password = AsposeSlidesCloud::SpecUtils.get_param_value('inputPassword', 'CreatePresentation', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreatePresentation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreatePresentation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreatePresentation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'CreatePresentation', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreatePresentation', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_presentation_with_http_info(paramname, paramdata, paraminput_password, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreatePresentation', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentation', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentation', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreatePresentation', 'String')
      paramdata = AsposeSlidesCloud::SpecUtils.get_param_value('data', 'CreatePresentation', 'File')
      paraminput_password = AsposeSlidesCloud::SpecUtils.get_param_value('inputPassword', 'CreatePresentation', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreatePresentation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreatePresentation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreatePresentation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'CreatePresentation', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreatePresentation', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_presentation_with_http_info(paramname, paramdata, paraminput_password, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreatePresentation', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentation', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentation', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for create_presentation_from_source
  # Create a presentation from an existing source.
  # @param name Document name.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :source_path Source file path.
  # @option opts [String] :source_password Source file password.
  # @option opts [String] :source_storage Source storage name.
  # @option opts [String] :password The document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Document]
  describe 'create_presentation_from_source test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreatePresentationFromSource', 'String')
      paramsource_path = AsposeSlidesCloud::SpecUtils.get_param_value('sourcePath', 'CreatePresentationFromSource', 'String')
      paramsource_password = AsposeSlidesCloud::SpecUtils.get_param_value('sourcePassword', 'CreatePresentationFromSource', 'String')
      paramsource_storage = AsposeSlidesCloud::SpecUtils.get_param_value('sourceStorage', 'CreatePresentationFromSource', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreatePresentationFromSource', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreatePresentationFromSource', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreatePresentationFromSource', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreatePresentationFromSource', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.create_presentation_from_source_with_http_info(paramname, paramsource_path, paramsource_password, paramsource_storage, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentationFromSource', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreatePresentationFromSource', 'String')
      paramsource_path = AsposeSlidesCloud::SpecUtils.get_param_value('sourcePath', 'CreatePresentationFromSource', 'String')
      paramsource_password = AsposeSlidesCloud::SpecUtils.get_param_value('sourcePassword', 'CreatePresentationFromSource', 'String')
      paramsource_storage = AsposeSlidesCloud::SpecUtils.get_param_value('sourceStorage', 'CreatePresentationFromSource', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreatePresentationFromSource', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreatePresentationFromSource', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreatePresentationFromSource', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'CreatePresentationFromSource', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreatePresentationFromSource', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_presentation_from_source_with_http_info(paramname, paramsource_path, paramsource_password, paramsource_storage, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreatePresentationFromSource', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentationFromSource', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentationFromSource', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid source_path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreatePresentationFromSource', 'String')
      paramsource_path = AsposeSlidesCloud::SpecUtils.get_param_value('sourcePath', 'CreatePresentationFromSource', 'String')
      paramsource_password = AsposeSlidesCloud::SpecUtils.get_param_value('sourcePassword', 'CreatePresentationFromSource', 'String')
      paramsource_storage = AsposeSlidesCloud::SpecUtils.get_param_value('sourceStorage', 'CreatePresentationFromSource', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreatePresentationFromSource', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreatePresentationFromSource', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreatePresentationFromSource', 'String')
      paramsource_path = AsposeSlidesCloud::SpecUtils.invalidize_param_value('sourcePath', 'CreatePresentationFromSource', paramsource_path, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreatePresentationFromSource', 'sourcePath', paramsource_path)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_presentation_from_source_with_http_info(paramname, paramsource_path, paramsource_password, paramsource_storage, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreatePresentationFromSource', 'sourcePath')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentationFromSource', 'sourcePath', paramsource_path)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentationFromSource', 'sourcePath', paramsource_path)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid source_password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreatePresentationFromSource', 'String')
      paramsource_path = AsposeSlidesCloud::SpecUtils.get_param_value('sourcePath', 'CreatePresentationFromSource', 'String')
      paramsource_password = AsposeSlidesCloud::SpecUtils.get_param_value('sourcePassword', 'CreatePresentationFromSource', 'String')
      paramsource_storage = AsposeSlidesCloud::SpecUtils.get_param_value('sourceStorage', 'CreatePresentationFromSource', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreatePresentationFromSource', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreatePresentationFromSource', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreatePresentationFromSource', 'String')
      paramsource_password = AsposeSlidesCloud::SpecUtils.invalidize_param_value('sourcePassword', 'CreatePresentationFromSource', paramsource_password, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreatePresentationFromSource', 'sourcePassword', paramsource_password)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_presentation_from_source_with_http_info(paramname, paramsource_path, paramsource_password, paramsource_storage, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreatePresentationFromSource', 'sourcePassword')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentationFromSource', 'sourcePassword', paramsource_password)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentationFromSource', 'sourcePassword', paramsource_password)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid source_storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreatePresentationFromSource', 'String')
      paramsource_path = AsposeSlidesCloud::SpecUtils.get_param_value('sourcePath', 'CreatePresentationFromSource', 'String')
      paramsource_password = AsposeSlidesCloud::SpecUtils.get_param_value('sourcePassword', 'CreatePresentationFromSource', 'String')
      paramsource_storage = AsposeSlidesCloud::SpecUtils.get_param_value('sourceStorage', 'CreatePresentationFromSource', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreatePresentationFromSource', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreatePresentationFromSource', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreatePresentationFromSource', 'String')
      paramsource_storage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('sourceStorage', 'CreatePresentationFromSource', paramsource_storage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreatePresentationFromSource', 'sourceStorage', paramsource_storage)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_presentation_from_source_with_http_info(paramname, paramsource_path, paramsource_password, paramsource_storage, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreatePresentationFromSource', 'sourceStorage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentationFromSource', 'sourceStorage', paramsource_storage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentationFromSource', 'sourceStorage', paramsource_storage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreatePresentationFromSource', 'String')
      paramsource_path = AsposeSlidesCloud::SpecUtils.get_param_value('sourcePath', 'CreatePresentationFromSource', 'String')
      paramsource_password = AsposeSlidesCloud::SpecUtils.get_param_value('sourcePassword', 'CreatePresentationFromSource', 'String')
      paramsource_storage = AsposeSlidesCloud::SpecUtils.get_param_value('sourceStorage', 'CreatePresentationFromSource', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreatePresentationFromSource', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreatePresentationFromSource', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreatePresentationFromSource', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'CreatePresentationFromSource', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreatePresentationFromSource', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_presentation_from_source_with_http_info(paramname, paramsource_path, paramsource_password, paramsource_storage, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreatePresentationFromSource', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentationFromSource', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentationFromSource', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreatePresentationFromSource', 'String')
      paramsource_path = AsposeSlidesCloud::SpecUtils.get_param_value('sourcePath', 'CreatePresentationFromSource', 'String')
      paramsource_password = AsposeSlidesCloud::SpecUtils.get_param_value('sourcePassword', 'CreatePresentationFromSource', 'String')
      paramsource_storage = AsposeSlidesCloud::SpecUtils.get_param_value('sourceStorage', 'CreatePresentationFromSource', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreatePresentationFromSource', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreatePresentationFromSource', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreatePresentationFromSource', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'CreatePresentationFromSource', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreatePresentationFromSource', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_presentation_from_source_with_http_info(paramname, paramsource_path, paramsource_password, paramsource_storage, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreatePresentationFromSource', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentationFromSource', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentationFromSource', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreatePresentationFromSource', 'String')
      paramsource_path = AsposeSlidesCloud::SpecUtils.get_param_value('sourcePath', 'CreatePresentationFromSource', 'String')
      paramsource_password = AsposeSlidesCloud::SpecUtils.get_param_value('sourcePassword', 'CreatePresentationFromSource', 'String')
      paramsource_storage = AsposeSlidesCloud::SpecUtils.get_param_value('sourceStorage', 'CreatePresentationFromSource', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreatePresentationFromSource', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreatePresentationFromSource', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreatePresentationFromSource', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'CreatePresentationFromSource', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreatePresentationFromSource', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_presentation_from_source_with_http_info(paramname, paramsource_path, paramsource_password, paramsource_storage, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreatePresentationFromSource', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentationFromSource', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentationFromSource', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for create_presentation_from_template
  # Create a presentation.
  # @param name Document name.
  # @param template_path Template file path.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :data Document input data.
  # @option opts [String] :template_password Template file password.
  # @option opts [String] :template_storage Template storage name.
  # @option opts [BOOLEAN] :is_image_data_embedded True if image data is embedded.
  # @option opts [String] :password The document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Document]
  describe 'create_presentation_from_template test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreatePresentationFromTemplate', 'String')
      paramtemplate_path = AsposeSlidesCloud::SpecUtils.get_param_value('templatePath', 'CreatePresentationFromTemplate', 'String')
      paramdata = AsposeSlidesCloud::SpecUtils.get_param_value('data', 'CreatePresentationFromTemplate', 'String')
      paramtemplate_password = AsposeSlidesCloud::SpecUtils.get_param_value('templatePassword', 'CreatePresentationFromTemplate', 'String')
      paramtemplate_storage = AsposeSlidesCloud::SpecUtils.get_param_value('templateStorage', 'CreatePresentationFromTemplate', 'String')
      paramis_image_data_embedded = AsposeSlidesCloud::SpecUtils.get_param_value('isImageDataEmbedded', 'CreatePresentationFromTemplate', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreatePresentationFromTemplate', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreatePresentationFromTemplate', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreatePresentationFromTemplate', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreatePresentationFromTemplate', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.create_presentation_from_template_with_http_info(paramname, paramtemplate_path, paramdata, paramtemplate_password, paramtemplate_storage, paramis_image_data_embedded, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentationFromTemplate', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreatePresentationFromTemplate', 'String')
      paramtemplate_path = AsposeSlidesCloud::SpecUtils.get_param_value('templatePath', 'CreatePresentationFromTemplate', 'String')
      paramdata = AsposeSlidesCloud::SpecUtils.get_param_value('data', 'CreatePresentationFromTemplate', 'String')
      paramtemplate_password = AsposeSlidesCloud::SpecUtils.get_param_value('templatePassword', 'CreatePresentationFromTemplate', 'String')
      paramtemplate_storage = AsposeSlidesCloud::SpecUtils.get_param_value('templateStorage', 'CreatePresentationFromTemplate', 'String')
      paramis_image_data_embedded = AsposeSlidesCloud::SpecUtils.get_param_value('isImageDataEmbedded', 'CreatePresentationFromTemplate', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreatePresentationFromTemplate', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreatePresentationFromTemplate', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreatePresentationFromTemplate', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'CreatePresentationFromTemplate', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreatePresentationFromTemplate', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_presentation_from_template_with_http_info(paramname, paramtemplate_path, paramdata, paramtemplate_password, paramtemplate_storage, paramis_image_data_embedded, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreatePresentationFromTemplate', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentationFromTemplate', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentationFromTemplate', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid template_path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreatePresentationFromTemplate', 'String')
      paramtemplate_path = AsposeSlidesCloud::SpecUtils.get_param_value('templatePath', 'CreatePresentationFromTemplate', 'String')
      paramdata = AsposeSlidesCloud::SpecUtils.get_param_value('data', 'CreatePresentationFromTemplate', 'String')
      paramtemplate_password = AsposeSlidesCloud::SpecUtils.get_param_value('templatePassword', 'CreatePresentationFromTemplate', 'String')
      paramtemplate_storage = AsposeSlidesCloud::SpecUtils.get_param_value('templateStorage', 'CreatePresentationFromTemplate', 'String')
      paramis_image_data_embedded = AsposeSlidesCloud::SpecUtils.get_param_value('isImageDataEmbedded', 'CreatePresentationFromTemplate', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreatePresentationFromTemplate', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreatePresentationFromTemplate', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreatePresentationFromTemplate', 'String')
      paramtemplate_path = AsposeSlidesCloud::SpecUtils.invalidize_param_value('templatePath', 'CreatePresentationFromTemplate', paramtemplate_path, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreatePresentationFromTemplate', 'templatePath', paramtemplate_path)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_presentation_from_template_with_http_info(paramname, paramtemplate_path, paramdata, paramtemplate_password, paramtemplate_storage, paramis_image_data_embedded, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreatePresentationFromTemplate', 'templatePath')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentationFromTemplate', 'templatePath', paramtemplate_path)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentationFromTemplate', 'templatePath', paramtemplate_path)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid data' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreatePresentationFromTemplate', 'String')
      paramtemplate_path = AsposeSlidesCloud::SpecUtils.get_param_value('templatePath', 'CreatePresentationFromTemplate', 'String')
      paramdata = AsposeSlidesCloud::SpecUtils.get_param_value('data', 'CreatePresentationFromTemplate', 'String')
      paramtemplate_password = AsposeSlidesCloud::SpecUtils.get_param_value('templatePassword', 'CreatePresentationFromTemplate', 'String')
      paramtemplate_storage = AsposeSlidesCloud::SpecUtils.get_param_value('templateStorage', 'CreatePresentationFromTemplate', 'String')
      paramis_image_data_embedded = AsposeSlidesCloud::SpecUtils.get_param_value('isImageDataEmbedded', 'CreatePresentationFromTemplate', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreatePresentationFromTemplate', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreatePresentationFromTemplate', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreatePresentationFromTemplate', 'String')
      paramdata = AsposeSlidesCloud::SpecUtils.invalidize_param_value('data', 'CreatePresentationFromTemplate', paramdata, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreatePresentationFromTemplate', 'data', paramdata)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_presentation_from_template_with_http_info(paramname, paramtemplate_path, paramdata, paramtemplate_password, paramtemplate_storage, paramis_image_data_embedded, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreatePresentationFromTemplate', 'data')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentationFromTemplate', 'data', paramdata)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentationFromTemplate', 'data', paramdata)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid template_password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreatePresentationFromTemplate', 'String')
      paramtemplate_path = AsposeSlidesCloud::SpecUtils.get_param_value('templatePath', 'CreatePresentationFromTemplate', 'String')
      paramdata = AsposeSlidesCloud::SpecUtils.get_param_value('data', 'CreatePresentationFromTemplate', 'String')
      paramtemplate_password = AsposeSlidesCloud::SpecUtils.get_param_value('templatePassword', 'CreatePresentationFromTemplate', 'String')
      paramtemplate_storage = AsposeSlidesCloud::SpecUtils.get_param_value('templateStorage', 'CreatePresentationFromTemplate', 'String')
      paramis_image_data_embedded = AsposeSlidesCloud::SpecUtils.get_param_value('isImageDataEmbedded', 'CreatePresentationFromTemplate', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreatePresentationFromTemplate', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreatePresentationFromTemplate', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreatePresentationFromTemplate', 'String')
      paramtemplate_password = AsposeSlidesCloud::SpecUtils.invalidize_param_value('templatePassword', 'CreatePresentationFromTemplate', paramtemplate_password, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreatePresentationFromTemplate', 'templatePassword', paramtemplate_password)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_presentation_from_template_with_http_info(paramname, paramtemplate_path, paramdata, paramtemplate_password, paramtemplate_storage, paramis_image_data_embedded, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreatePresentationFromTemplate', 'templatePassword')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentationFromTemplate', 'templatePassword', paramtemplate_password)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentationFromTemplate', 'templatePassword', paramtemplate_password)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid template_storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreatePresentationFromTemplate', 'String')
      paramtemplate_path = AsposeSlidesCloud::SpecUtils.get_param_value('templatePath', 'CreatePresentationFromTemplate', 'String')
      paramdata = AsposeSlidesCloud::SpecUtils.get_param_value('data', 'CreatePresentationFromTemplate', 'String')
      paramtemplate_password = AsposeSlidesCloud::SpecUtils.get_param_value('templatePassword', 'CreatePresentationFromTemplate', 'String')
      paramtemplate_storage = AsposeSlidesCloud::SpecUtils.get_param_value('templateStorage', 'CreatePresentationFromTemplate', 'String')
      paramis_image_data_embedded = AsposeSlidesCloud::SpecUtils.get_param_value('isImageDataEmbedded', 'CreatePresentationFromTemplate', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreatePresentationFromTemplate', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreatePresentationFromTemplate', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreatePresentationFromTemplate', 'String')
      paramtemplate_storage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('templateStorage', 'CreatePresentationFromTemplate', paramtemplate_storage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreatePresentationFromTemplate', 'templateStorage', paramtemplate_storage)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_presentation_from_template_with_http_info(paramname, paramtemplate_path, paramdata, paramtemplate_password, paramtemplate_storage, paramis_image_data_embedded, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreatePresentationFromTemplate', 'templateStorage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentationFromTemplate', 'templateStorage', paramtemplate_storage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentationFromTemplate', 'templateStorage', paramtemplate_storage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid is_image_data_embedded' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreatePresentationFromTemplate', 'String')
      paramtemplate_path = AsposeSlidesCloud::SpecUtils.get_param_value('templatePath', 'CreatePresentationFromTemplate', 'String')
      paramdata = AsposeSlidesCloud::SpecUtils.get_param_value('data', 'CreatePresentationFromTemplate', 'String')
      paramtemplate_password = AsposeSlidesCloud::SpecUtils.get_param_value('templatePassword', 'CreatePresentationFromTemplate', 'String')
      paramtemplate_storage = AsposeSlidesCloud::SpecUtils.get_param_value('templateStorage', 'CreatePresentationFromTemplate', 'String')
      paramis_image_data_embedded = AsposeSlidesCloud::SpecUtils.get_param_value('isImageDataEmbedded', 'CreatePresentationFromTemplate', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreatePresentationFromTemplate', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreatePresentationFromTemplate', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreatePresentationFromTemplate', 'String')
      paramis_image_data_embedded = AsposeSlidesCloud::SpecUtils.invalidize_param_value('isImageDataEmbedded', 'CreatePresentationFromTemplate', paramis_image_data_embedded, 'BOOLEAN')
      AsposeSlidesCloud::SpecUtils.initialize('CreatePresentationFromTemplate', 'isImageDataEmbedded', paramis_image_data_embedded)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_presentation_from_template_with_http_info(paramname, paramtemplate_path, paramdata, paramtemplate_password, paramtemplate_storage, paramis_image_data_embedded, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreatePresentationFromTemplate', 'isImageDataEmbedded')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentationFromTemplate', 'isImageDataEmbedded', paramis_image_data_embedded)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentationFromTemplate', 'isImageDataEmbedded', paramis_image_data_embedded)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreatePresentationFromTemplate', 'String')
      paramtemplate_path = AsposeSlidesCloud::SpecUtils.get_param_value('templatePath', 'CreatePresentationFromTemplate', 'String')
      paramdata = AsposeSlidesCloud::SpecUtils.get_param_value('data', 'CreatePresentationFromTemplate', 'String')
      paramtemplate_password = AsposeSlidesCloud::SpecUtils.get_param_value('templatePassword', 'CreatePresentationFromTemplate', 'String')
      paramtemplate_storage = AsposeSlidesCloud::SpecUtils.get_param_value('templateStorage', 'CreatePresentationFromTemplate', 'String')
      paramis_image_data_embedded = AsposeSlidesCloud::SpecUtils.get_param_value('isImageDataEmbedded', 'CreatePresentationFromTemplate', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreatePresentationFromTemplate', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreatePresentationFromTemplate', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreatePresentationFromTemplate', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'CreatePresentationFromTemplate', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreatePresentationFromTemplate', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_presentation_from_template_with_http_info(paramname, paramtemplate_path, paramdata, paramtemplate_password, paramtemplate_storage, paramis_image_data_embedded, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreatePresentationFromTemplate', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentationFromTemplate', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentationFromTemplate', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreatePresentationFromTemplate', 'String')
      paramtemplate_path = AsposeSlidesCloud::SpecUtils.get_param_value('templatePath', 'CreatePresentationFromTemplate', 'String')
      paramdata = AsposeSlidesCloud::SpecUtils.get_param_value('data', 'CreatePresentationFromTemplate', 'String')
      paramtemplate_password = AsposeSlidesCloud::SpecUtils.get_param_value('templatePassword', 'CreatePresentationFromTemplate', 'String')
      paramtemplate_storage = AsposeSlidesCloud::SpecUtils.get_param_value('templateStorage', 'CreatePresentationFromTemplate', 'String')
      paramis_image_data_embedded = AsposeSlidesCloud::SpecUtils.get_param_value('isImageDataEmbedded', 'CreatePresentationFromTemplate', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreatePresentationFromTemplate', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreatePresentationFromTemplate', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreatePresentationFromTemplate', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'CreatePresentationFromTemplate', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreatePresentationFromTemplate', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_presentation_from_template_with_http_info(paramname, paramtemplate_path, paramdata, paramtemplate_password, paramtemplate_storage, paramis_image_data_embedded, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreatePresentationFromTemplate', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentationFromTemplate', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentationFromTemplate', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreatePresentationFromTemplate', 'String')
      paramtemplate_path = AsposeSlidesCloud::SpecUtils.get_param_value('templatePath', 'CreatePresentationFromTemplate', 'String')
      paramdata = AsposeSlidesCloud::SpecUtils.get_param_value('data', 'CreatePresentationFromTemplate', 'String')
      paramtemplate_password = AsposeSlidesCloud::SpecUtils.get_param_value('templatePassword', 'CreatePresentationFromTemplate', 'String')
      paramtemplate_storage = AsposeSlidesCloud::SpecUtils.get_param_value('templateStorage', 'CreatePresentationFromTemplate', 'String')
      paramis_image_data_embedded = AsposeSlidesCloud::SpecUtils.get_param_value('isImageDataEmbedded', 'CreatePresentationFromTemplate', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreatePresentationFromTemplate', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreatePresentationFromTemplate', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreatePresentationFromTemplate', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'CreatePresentationFromTemplate', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreatePresentationFromTemplate', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_presentation_from_template_with_http_info(paramname, paramtemplate_path, paramdata, paramtemplate_password, paramtemplate_storage, paramis_image_data_embedded, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreatePresentationFromTemplate', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentationFromTemplate', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreatePresentationFromTemplate', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for create_section
  # Create a section starting at a specified slide index.
  # @param name Document name.
  # @param section_name Section name.
  # @param slide_index Slide index (one-based).
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Sections]
  describe 'create_section test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSection', 'String')
      paramsection_name = AsposeSlidesCloud::SpecUtils.get_param_value('sectionName', 'CreateSection', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSection', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSection', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSection', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.create_section_with_http_info(paramname, paramsection_name, paramslide_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSection', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSection', 'String')
      paramsection_name = AsposeSlidesCloud::SpecUtils.get_param_value('sectionName', 'CreateSection', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSection', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSection', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'CreateSection', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSection', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_section_with_http_info(paramname, paramsection_name, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSection', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSection', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSection', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid section_name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSection', 'String')
      paramsection_name = AsposeSlidesCloud::SpecUtils.get_param_value('sectionName', 'CreateSection', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSection', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSection', 'String')
      paramsection_name = AsposeSlidesCloud::SpecUtils.invalidize_param_value('sectionName', 'CreateSection', paramsection_name, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSection', 'sectionName', paramsection_name)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_section_with_http_info(paramname, paramsection_name, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSection', 'sectionName')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSection', 'sectionName', paramsection_name)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSection', 'sectionName', paramsection_name)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSection', 'String')
      paramsection_name = AsposeSlidesCloud::SpecUtils.get_param_value('sectionName', 'CreateSection', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSection', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSection', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'CreateSection', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSection', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_section_with_http_info(paramname, paramsection_name, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSection', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSection', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSection', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSection', 'String')
      paramsection_name = AsposeSlidesCloud::SpecUtils.get_param_value('sectionName', 'CreateSection', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSection', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSection', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'CreateSection', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSection', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_section_with_http_info(paramname, paramsection_name, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSection', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSection', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSection', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSection', 'String')
      paramsection_name = AsposeSlidesCloud::SpecUtils.get_param_value('sectionName', 'CreateSection', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSection', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'CreateSection', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSection', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_section_with_http_info(paramname, paramsection_name, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSection', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSection', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSection', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSection', 'String')
      paramsection_name = AsposeSlidesCloud::SpecUtils.get_param_value('sectionName', 'CreateSection', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSection', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'CreateSection', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSection', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_section_with_http_info(paramname, paramsection_name, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSection', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSection', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSection', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for create_shape
  # Create new shape.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param [Hash] opts the optional parameters
  # @option opts [ShapeBase] :dto Shape DTO.
  # @option opts [Integer] :shape_to_clone Optional index for clone shape instead of adding a new one.
  # @option opts [Integer] :position Position of the new shape in the list. Default is at the end of the list.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [ShapeBase]
  describe 'create_shape test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateShape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateShape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateShape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateShape', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateShape', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.create_shape_with_http_info(paramname, paramslide_index, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateShape', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateShape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateShape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateShape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateShape', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'CreateShape', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateShape', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_shape_with_http_info(paramname, paramslide_index, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateShape', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateShape', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateShape', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateShape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateShape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateShape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'CreateShape', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateShape', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_shape_with_http_info(paramname, paramslide_index, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateShape', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateShape', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateShape', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dto' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateShape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateShape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateShape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateShape', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('dto', 'CreateShape', paramdto, 'ShapeBase')
      AsposeSlidesCloud::SpecUtils.initialize('CreateShape', 'dto', paramdto)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_shape_with_http_info(paramname, paramslide_index, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateShape', 'dto')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateShape', 'dto', paramdto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateShape', 'dto', paramdto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_to_clone' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateShape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateShape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateShape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateShape', 'String')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeToClone', 'CreateShape', paramshape_to_clone, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateShape', 'shapeToClone', paramshape_to_clone)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_shape_with_http_info(paramname, paramslide_index, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateShape', 'shapeToClone')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateShape', 'shapeToClone', paramshape_to_clone)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateShape', 'shapeToClone', paramshape_to_clone)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid position' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateShape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateShape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateShape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateShape', 'String')
      paramposition = AsposeSlidesCloud::SpecUtils.invalidize_param_value('position', 'CreateShape', paramposition, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateShape', 'position', paramposition)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_shape_with_http_info(paramname, paramslide_index, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateShape', 'position')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateShape', 'position', paramposition)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateShape', 'position', paramposition)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateShape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateShape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateShape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'CreateShape', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateShape', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_shape_with_http_info(paramname, paramslide_index, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateShape', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateShape', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateShape', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateShape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateShape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateShape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'CreateShape', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateShape', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_shape_with_http_info(paramname, paramslide_index, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateShape', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateShape', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateShape', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateShape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateShape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateShape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'CreateShape', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateShape', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_shape_with_http_info(paramname, paramslide_index, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateShape', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateShape', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateShape', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for create_slide
  # Create a slide.
  # @param name Document name.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :layout_alias Alias of layout slide for new slide. Alias may be the type of layout, name of layout slide or index
  # @option opts [Integer] :position The target position at which to create the slide. Add to the end by default.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Slides]
  describe 'create_slide test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSlide', 'String')
      paramlayout_alias = AsposeSlidesCloud::SpecUtils.get_param_value('layoutAlias', 'CreateSlide', 'String')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSlide', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSlide', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.create_slide_with_http_info(paramname, paramlayout_alias, paramposition, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSlide', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSlide', 'String')
      paramlayout_alias = AsposeSlidesCloud::SpecUtils.get_param_value('layoutAlias', 'CreateSlide', 'String')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSlide', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'CreateSlide', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSlide', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_slide_with_http_info(paramname, paramlayout_alias, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSlide', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSlide', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSlide', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid layout_alias' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSlide', 'String')
      paramlayout_alias = AsposeSlidesCloud::SpecUtils.get_param_value('layoutAlias', 'CreateSlide', 'String')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSlide', 'String')
      paramlayout_alias = AsposeSlidesCloud::SpecUtils.invalidize_param_value('layoutAlias', 'CreateSlide', paramlayout_alias, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSlide', 'layoutAlias', paramlayout_alias)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_slide_with_http_info(paramname, paramlayout_alias, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSlide', 'layoutAlias')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSlide', 'layoutAlias', paramlayout_alias)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSlide', 'layoutAlias', paramlayout_alias)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid position' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSlide', 'String')
      paramlayout_alias = AsposeSlidesCloud::SpecUtils.get_param_value('layoutAlias', 'CreateSlide', 'String')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSlide', 'String')
      paramposition = AsposeSlidesCloud::SpecUtils.invalidize_param_value('position', 'CreateSlide', paramposition, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSlide', 'position', paramposition)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_slide_with_http_info(paramname, paramlayout_alias, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSlide', 'position')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSlide', 'position', paramposition)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSlide', 'position', paramposition)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSlide', 'String')
      paramlayout_alias = AsposeSlidesCloud::SpecUtils.get_param_value('layoutAlias', 'CreateSlide', 'String')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSlide', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'CreateSlide', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSlide', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_slide_with_http_info(paramname, paramlayout_alias, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSlide', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSlide', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSlide', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSlide', 'String')
      paramlayout_alias = AsposeSlidesCloud::SpecUtils.get_param_value('layoutAlias', 'CreateSlide', 'String')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'CreateSlide', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSlide', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_slide_with_http_info(paramname, paramlayout_alias, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSlide', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSlide', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSlide', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSlide', 'String')
      paramlayout_alias = AsposeSlidesCloud::SpecUtils.get_param_value('layoutAlias', 'CreateSlide', 'String')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'CreateSlide', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSlide', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_slide_with_http_info(paramname, paramlayout_alias, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSlide', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSlide', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSlide', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for create_special_slide_animation_effect
  # Add an effect to special slide (master, layout, notes) animation.
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param effect Animation effect DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [SlideAnimation]
  describe 'create_special_slide_animation_effect test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideAnimationEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideAnimationEffect', 'String')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'CreateSpecialSlideAnimationEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideAnimationEffect', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideAnimationEffect', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.create_special_slide_animation_effect_with_http_info(paramname, paramslide_index, paramslide_type, parameffect, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationEffect', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideAnimationEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideAnimationEffect', 'String')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'CreateSpecialSlideAnimationEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideAnimationEffect', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'CreateSpecialSlideAnimationEffect', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideAnimationEffect', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_animation_effect_with_http_info(paramname, paramslide_index, paramslide_type, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideAnimationEffect', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationEffect', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationEffect', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideAnimationEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideAnimationEffect', 'String')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'CreateSpecialSlideAnimationEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'CreateSpecialSlideAnimationEffect', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideAnimationEffect', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_animation_effect_with_http_info(paramname, paramslide_index, paramslide_type, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideAnimationEffect', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationEffect', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationEffect', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideAnimationEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideAnimationEffect', 'String')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'CreateSpecialSlideAnimationEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideAnimationEffect', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'CreateSpecialSlideAnimationEffect', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideAnimationEffect', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_animation_effect_with_http_info(paramname, paramslide_index, paramslide_type, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideAnimationEffect', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationEffect', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationEffect', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid effect' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideAnimationEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideAnimationEffect', 'String')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'CreateSpecialSlideAnimationEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideAnimationEffect', 'String')
      parameffect = AsposeSlidesCloud::SpecUtils.invalidize_param_value('effect', 'CreateSpecialSlideAnimationEffect', parameffect, 'Effect')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideAnimationEffect', 'effect', parameffect)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_animation_effect_with_http_info(paramname, paramslide_index, paramslide_type, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideAnimationEffect', 'effect')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationEffect', 'effect', parameffect)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationEffect', 'effect', parameffect)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideAnimationEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideAnimationEffect', 'String')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'CreateSpecialSlideAnimationEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideAnimationEffect', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'CreateSpecialSlideAnimationEffect', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideAnimationEffect', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_animation_effect_with_http_info(paramname, paramslide_index, paramslide_type, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideAnimationEffect', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationEffect', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationEffect', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideAnimationEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideAnimationEffect', 'String')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'CreateSpecialSlideAnimationEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'CreateSpecialSlideAnimationEffect', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideAnimationEffect', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_animation_effect_with_http_info(paramname, paramslide_index, paramslide_type, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideAnimationEffect', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationEffect', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationEffect', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideAnimationEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideAnimationEffect', 'String')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'CreateSpecialSlideAnimationEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'CreateSpecialSlideAnimationEffect', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideAnimationEffect', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_animation_effect_with_http_info(paramname, paramslide_index, paramslide_type, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideAnimationEffect', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationEffect', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationEffect', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for create_special_slide_animation_interactive_sequence
  # Set special slide (master, layout, notes) animation.
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param sequence Animation sequence DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [SlideAnimation]
  describe 'create_special_slide_animation_interactive_sequence test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideAnimationInteractiveSequence', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      paramsequence = AsposeSlidesCloud::SpecUtils.get_param_value('sequence', 'CreateSpecialSlideAnimationInteractiveSequence', 'InteractiveSequence')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideAnimationInteractiveSequence', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.create_special_slide_animation_interactive_sequence_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationInteractiveSequence', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideAnimationInteractiveSequence', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      paramsequence = AsposeSlidesCloud::SpecUtils.get_param_value('sequence', 'CreateSpecialSlideAnimationInteractiveSequence', 'InteractiveSequence')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'CreateSpecialSlideAnimationInteractiveSequence', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideAnimationInteractiveSequence', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_animation_interactive_sequence_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideAnimationInteractiveSequence', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationInteractiveSequence', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationInteractiveSequence', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideAnimationInteractiveSequence', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      paramsequence = AsposeSlidesCloud::SpecUtils.get_param_value('sequence', 'CreateSpecialSlideAnimationInteractiveSequence', 'InteractiveSequence')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'CreateSpecialSlideAnimationInteractiveSequence', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideAnimationInteractiveSequence', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_animation_interactive_sequence_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideAnimationInteractiveSequence', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationInteractiveSequence', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationInteractiveSequence', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideAnimationInteractiveSequence', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      paramsequence = AsposeSlidesCloud::SpecUtils.get_param_value('sequence', 'CreateSpecialSlideAnimationInteractiveSequence', 'InteractiveSequence')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'CreateSpecialSlideAnimationInteractiveSequence', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideAnimationInteractiveSequence', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_animation_interactive_sequence_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideAnimationInteractiveSequence', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationInteractiveSequence', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationInteractiveSequence', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid sequence' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideAnimationInteractiveSequence', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      paramsequence = AsposeSlidesCloud::SpecUtils.get_param_value('sequence', 'CreateSpecialSlideAnimationInteractiveSequence', 'InteractiveSequence')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      paramsequence = AsposeSlidesCloud::SpecUtils.invalidize_param_value('sequence', 'CreateSpecialSlideAnimationInteractiveSequence', paramsequence, 'InteractiveSequence')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideAnimationInteractiveSequence', 'sequence', paramsequence)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_animation_interactive_sequence_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideAnimationInteractiveSequence', 'sequence')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationInteractiveSequence', 'sequence', paramsequence)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationInteractiveSequence', 'sequence', paramsequence)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideAnimationInteractiveSequence', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      paramsequence = AsposeSlidesCloud::SpecUtils.get_param_value('sequence', 'CreateSpecialSlideAnimationInteractiveSequence', 'InteractiveSequence')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'CreateSpecialSlideAnimationInteractiveSequence', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideAnimationInteractiveSequence', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_animation_interactive_sequence_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideAnimationInteractiveSequence', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationInteractiveSequence', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationInteractiveSequence', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideAnimationInteractiveSequence', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      paramsequence = AsposeSlidesCloud::SpecUtils.get_param_value('sequence', 'CreateSpecialSlideAnimationInteractiveSequence', 'InteractiveSequence')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'CreateSpecialSlideAnimationInteractiveSequence', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideAnimationInteractiveSequence', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_animation_interactive_sequence_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideAnimationInteractiveSequence', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationInteractiveSequence', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationInteractiveSequence', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideAnimationInteractiveSequence', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      paramsequence = AsposeSlidesCloud::SpecUtils.get_param_value('sequence', 'CreateSpecialSlideAnimationInteractiveSequence', 'InteractiveSequence')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideAnimationInteractiveSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'CreateSpecialSlideAnimationInteractiveSequence', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideAnimationInteractiveSequence', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_animation_interactive_sequence_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideAnimationInteractiveSequence', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationInteractiveSequence', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationInteractiveSequence', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for create_special_slide_animation_interactive_sequence_effect
  # Add an animation effect to a special slide (master, layout, notes) interactive sequence.
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param sequence_index The position of the interactive sequence.
  # @param effect Animation effect DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [SlideAnimation]
  describe 'create_special_slide_animation_interactive_sequence_effect test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideAnimationInteractiveSequenceEffect', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.create_special_slide_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence_index, parameffect, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationInteractiveSequenceEffect', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideAnimationInteractiveSequenceEffect', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideAnimationInteractiveSequenceEffect', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationInteractiveSequenceEffect', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationInteractiveSequenceEffect', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideAnimationInteractiveSequenceEffect', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideAnimationInteractiveSequenceEffect', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationInteractiveSequenceEffect', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationInteractiveSequenceEffect', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideAnimationInteractiveSequenceEffect', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideAnimationInteractiveSequenceEffect', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationInteractiveSequenceEffect', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationInteractiveSequenceEffect', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid sequence_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('sequenceIndex', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', paramsequence_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideAnimationInteractiveSequenceEffect', 'sequenceIndex', paramsequence_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideAnimationInteractiveSequenceEffect', 'sequenceIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationInteractiveSequenceEffect', 'sequenceIndex', paramsequence_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationInteractiveSequenceEffect', 'sequenceIndex', paramsequence_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid effect' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      parameffect = AsposeSlidesCloud::SpecUtils.invalidize_param_value('effect', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', parameffect, 'Effect')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideAnimationInteractiveSequenceEffect', 'effect', parameffect)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideAnimationInteractiveSequenceEffect', 'effect')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationInteractiveSequenceEffect', 'effect', parameffect)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationInteractiveSequenceEffect', 'effect', parameffect)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideAnimationInteractiveSequenceEffect', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideAnimationInteractiveSequenceEffect', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationInteractiveSequenceEffect', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationInteractiveSequenceEffect', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideAnimationInteractiveSequenceEffect', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideAnimationInteractiveSequenceEffect', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationInteractiveSequenceEffect', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationInteractiveSequenceEffect', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'CreateSpecialSlideAnimationInteractiveSequenceEffect', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideAnimationInteractiveSequenceEffect', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideAnimationInteractiveSequenceEffect', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationInteractiveSequenceEffect', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideAnimationInteractiveSequenceEffect', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for create_special_slide_paragraph
  # Creates new paragraph.
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param shape_index Shape index.
  # @param dto Paragraph DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :position Position of the new paragraph in the list. Default is at the end of the list.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Paragraph]
  describe 'create_special_slide_paragraph test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlideParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideParagraph', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideParagraph', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.create_special_slide_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideParagraph', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlideParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideParagraph', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'CreateSpecialSlideParagraph', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideParagraph', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideParagraph', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideParagraph', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideParagraph', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlideParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'CreateSpecialSlideParagraph', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideParagraph', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideParagraph', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideParagraph', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideParagraph', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlideParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideParagraph', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'CreateSpecialSlideParagraph', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideParagraph', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideParagraph', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideParagraph', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideParagraph', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlideParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'CreateSpecialSlideParagraph', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideParagraph', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideParagraph', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideParagraph', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideParagraph', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dto' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlideParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideParagraph', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('dto', 'CreateSpecialSlideParagraph', paramdto, 'Paragraph')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideParagraph', 'dto', paramdto)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideParagraph', 'dto')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideParagraph', 'dto', paramdto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideParagraph', 'dto', paramdto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid position' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlideParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideParagraph', 'String')
      paramposition = AsposeSlidesCloud::SpecUtils.invalidize_param_value('position', 'CreateSpecialSlideParagraph', paramposition, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideParagraph', 'position', paramposition)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideParagraph', 'position')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideParagraph', 'position', paramposition)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideParagraph', 'position', paramposition)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlideParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideParagraph', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'CreateSpecialSlideParagraph', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideParagraph', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideParagraph', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideParagraph', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideParagraph', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlideParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'CreateSpecialSlideParagraph', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideParagraph', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideParagraph', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideParagraph', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideParagraph', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlideParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'CreateSpecialSlideParagraph', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideParagraph', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideParagraph', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideParagraph', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideParagraph', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for create_special_slide_portion
  # Creates new portion.
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param shape_index Shape index.
  # @param paragraph_index Paragraph index.
  # @param dto Portion DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :position Position of the new portion in the list. Default is at the end of the list.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Portion]
  describe 'create_special_slide_portion test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreateSpecialSlidePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlidePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlidePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlidePortion', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlidePortion', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.create_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlidePortion', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreateSpecialSlidePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlidePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlidePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlidePortion', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'CreateSpecialSlidePortion', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlidePortion', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlidePortion', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlidePortion', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlidePortion', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreateSpecialSlidePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlidePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlidePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'CreateSpecialSlidePortion', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlidePortion', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlidePortion', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlidePortion', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlidePortion', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreateSpecialSlidePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlidePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlidePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlidePortion', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'CreateSpecialSlidePortion', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlidePortion', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlidePortion', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlidePortion', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlidePortion', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreateSpecialSlidePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlidePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlidePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'CreateSpecialSlidePortion', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlidePortion', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlidePortion', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlidePortion', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlidePortion', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreateSpecialSlidePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlidePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlidePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlidePortion', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'CreateSpecialSlidePortion', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlidePortion', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlidePortion', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlidePortion', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlidePortion', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dto' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreateSpecialSlidePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlidePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlidePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlidePortion', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('dto', 'CreateSpecialSlidePortion', paramdto, 'Portion')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlidePortion', 'dto', paramdto)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlidePortion', 'dto')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlidePortion', 'dto', paramdto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlidePortion', 'dto', paramdto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid position' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreateSpecialSlidePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlidePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlidePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlidePortion', 'String')
      paramposition = AsposeSlidesCloud::SpecUtils.invalidize_param_value('position', 'CreateSpecialSlidePortion', paramposition, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlidePortion', 'position', paramposition)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlidePortion', 'position')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlidePortion', 'position', paramposition)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlidePortion', 'position', paramposition)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreateSpecialSlidePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlidePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlidePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlidePortion', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'CreateSpecialSlidePortion', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlidePortion', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlidePortion', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlidePortion', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlidePortion', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreateSpecialSlidePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlidePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlidePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'CreateSpecialSlidePortion', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlidePortion', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlidePortion', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlidePortion', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlidePortion', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreateSpecialSlidePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlidePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlidePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'CreateSpecialSlidePortion', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlidePortion', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlidePortion', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlidePortion', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlidePortion', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for create_special_slide_shape
  # Create new shape.
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param [Hash] opts the optional parameters
  # @option opts [ShapeBase] :dto Shape DTO.
  # @option opts [Integer] :shape_to_clone Optional index for clone shape instead of adding a new one.
  # @option opts [Integer] :position Position of the new shape in the list. Default is at the end of the list.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [ShapeBase]
  describe 'create_special_slide_shape test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideShape', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideShape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateSpecialSlideShape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideShape', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideShape', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.create_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideShape', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideShape', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideShape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateSpecialSlideShape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideShape', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'CreateSpecialSlideShape', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideShape', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideShape', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideShape', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideShape', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideShape', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideShape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateSpecialSlideShape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'CreateSpecialSlideShape', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideShape', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideShape', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideShape', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideShape', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideShape', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideShape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateSpecialSlideShape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideShape', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'CreateSpecialSlideShape', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideShape', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideShape', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideShape', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideShape', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dto' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideShape', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideShape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateSpecialSlideShape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideShape', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('dto', 'CreateSpecialSlideShape', paramdto, 'ShapeBase')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideShape', 'dto', paramdto)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideShape', 'dto')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideShape', 'dto', paramdto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideShape', 'dto', paramdto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_to_clone' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideShape', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideShape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateSpecialSlideShape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideShape', 'String')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeToClone', 'CreateSpecialSlideShape', paramshape_to_clone, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideShape', 'shapeToClone', paramshape_to_clone)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideShape', 'shapeToClone')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideShape', 'shapeToClone', paramshape_to_clone)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideShape', 'shapeToClone', paramshape_to_clone)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid position' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideShape', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideShape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateSpecialSlideShape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideShape', 'String')
      paramposition = AsposeSlidesCloud::SpecUtils.invalidize_param_value('position', 'CreateSpecialSlideShape', paramposition, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideShape', 'position', paramposition)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideShape', 'position')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideShape', 'position', paramposition)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideShape', 'position', paramposition)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideShape', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideShape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateSpecialSlideShape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'CreateSpecialSlideShape', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideShape', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideShape', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideShape', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideShape', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideShape', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideShape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateSpecialSlideShape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'CreateSpecialSlideShape', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideShape', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideShape', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideShape', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideShape', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideShape', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideShape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateSpecialSlideShape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'CreateSpecialSlideShape', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideShape', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideShape', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideShape', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideShape', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for create_special_slide_subshape
  # Create new shape (for smart art and group shapes).
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param path Shape path.
  # @param [Hash] opts the optional parameters
  # @option opts [ShapeBase] :dto Shape DTO.
  # @option opts [Integer] :shape_to_clone Optional index for clone shape instead of adding a new one.
  # @option opts [Integer] :position Position of the new shape in the list. Default is at the end of the list.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [ShapeBase]
  describe 'create_special_slide_subshape test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSpecialSlideSubshape', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideSubshape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateSpecialSlideSubshape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideSubshape', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideSubshape', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.create_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshape', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSpecialSlideSubshape', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideSubshape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateSpecialSlideSubshape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideSubshape', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'CreateSpecialSlideSubshape', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideSubshape', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideSubshape', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshape', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshape', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSpecialSlideSubshape', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideSubshape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateSpecialSlideSubshape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'CreateSpecialSlideSubshape', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideSubshape', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideSubshape', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshape', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshape', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSpecialSlideSubshape', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideSubshape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateSpecialSlideSubshape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideSubshape', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'CreateSpecialSlideSubshape', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideSubshape', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideSubshape', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshape', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshape', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSpecialSlideSubshape', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideSubshape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateSpecialSlideSubshape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'CreateSpecialSlideSubshape', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideSubshape', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideSubshape', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshape', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshape', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dto' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSpecialSlideSubshape', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideSubshape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateSpecialSlideSubshape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideSubshape', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('dto', 'CreateSpecialSlideSubshape', paramdto, 'ShapeBase')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideSubshape', 'dto', paramdto)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideSubshape', 'dto')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshape', 'dto', paramdto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshape', 'dto', paramdto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_to_clone' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSpecialSlideSubshape', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideSubshape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateSpecialSlideSubshape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideSubshape', 'String')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeToClone', 'CreateSpecialSlideSubshape', paramshape_to_clone, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideSubshape', 'shapeToClone', paramshape_to_clone)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideSubshape', 'shapeToClone')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshape', 'shapeToClone', paramshape_to_clone)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshape', 'shapeToClone', paramshape_to_clone)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid position' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSpecialSlideSubshape', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideSubshape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateSpecialSlideSubshape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideSubshape', 'String')
      paramposition = AsposeSlidesCloud::SpecUtils.invalidize_param_value('position', 'CreateSpecialSlideSubshape', paramposition, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideSubshape', 'position', paramposition)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideSubshape', 'position')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshape', 'position', paramposition)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshape', 'position', paramposition)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSpecialSlideSubshape', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideSubshape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateSpecialSlideSubshape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'CreateSpecialSlideSubshape', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideSubshape', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideSubshape', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshape', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshape', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSpecialSlideSubshape', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideSubshape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateSpecialSlideSubshape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'CreateSpecialSlideSubshape', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideSubshape', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideSubshape', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshape', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshape', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSpecialSlideSubshape', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideSubshape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateSpecialSlideSubshape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'CreateSpecialSlideSubshape', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideSubshape', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideSubshape', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshape', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshape', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for create_special_slide_subshape_paragraph
  # Creates new paragraph (for smart art and group shapes).
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param path Shape path.
  # @param shape_index Shape index.
  # @param dto Paragraph DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :position Position of the new paragraph in the list. Default is at the end of the list.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Paragraph]
  describe 'create_special_slide_subshape_paragraph test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlideSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideSubshapeParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideSubshapeParagraph', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideSubshapeParagraph', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.create_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapeParagraph', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlideSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideSubshapeParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'CreateSpecialSlideSubshapeParagraph', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideSubshapeParagraph', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideSubshapeParagraph', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapeParagraph', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapeParagraph', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlideSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideSubshapeParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'CreateSpecialSlideSubshapeParagraph', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideSubshapeParagraph', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideSubshapeParagraph', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapeParagraph', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapeParagraph', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlideSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideSubshapeParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'CreateSpecialSlideSubshapeParagraph', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideSubshapeParagraph', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideSubshapeParagraph', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapeParagraph', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapeParagraph', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlideSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideSubshapeParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'CreateSpecialSlideSubshapeParagraph', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideSubshapeParagraph', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideSubshapeParagraph', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapeParagraph', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapeParagraph', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlideSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideSubshapeParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'CreateSpecialSlideSubshapeParagraph', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideSubshapeParagraph', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideSubshapeParagraph', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapeParagraph', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapeParagraph', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dto' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlideSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideSubshapeParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('dto', 'CreateSpecialSlideSubshapeParagraph', paramdto, 'Paragraph')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideSubshapeParagraph', 'dto', paramdto)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideSubshapeParagraph', 'dto')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapeParagraph', 'dto', paramdto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapeParagraph', 'dto', paramdto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid position' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlideSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideSubshapeParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramposition = AsposeSlidesCloud::SpecUtils.invalidize_param_value('position', 'CreateSpecialSlideSubshapeParagraph', paramposition, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideSubshapeParagraph', 'position', paramposition)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideSubshapeParagraph', 'position')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapeParagraph', 'position', paramposition)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapeParagraph', 'position', paramposition)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlideSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideSubshapeParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideSubshapeParagraph', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'CreateSpecialSlideSubshapeParagraph', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideSubshapeParagraph', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideSubshapeParagraph', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapeParagraph', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapeParagraph', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlideSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideSubshapeParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'CreateSpecialSlideSubshapeParagraph', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideSubshapeParagraph', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideSubshapeParagraph', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapeParagraph', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapeParagraph', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlideSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideSubshapeParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'CreateSpecialSlideSubshapeParagraph', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideSubshapeParagraph', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideSubshapeParagraph', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapeParagraph', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapeParagraph', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for create_special_slide_subshape_portion
  # Creates new portion (for smart art and group shapes).
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param path Shape path.
  # @param shape_index Shape index.
  # @param paragraph_index Paragraph index.
  # @param dto Portion DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :position Position of the new portion in the list. Default is at the end of the list.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Portion]
  describe 'create_special_slide_subshape_portion test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreateSpecialSlideSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideSubshapePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideSubshapePortion', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideSubshapePortion', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.create_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapePortion', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreateSpecialSlideSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideSubshapePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideSubshapePortion', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'CreateSpecialSlideSubshapePortion', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideSubshapePortion', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideSubshapePortion', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapePortion', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapePortion', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreateSpecialSlideSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideSubshapePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'CreateSpecialSlideSubshapePortion', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideSubshapePortion', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideSubshapePortion', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapePortion', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapePortion', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreateSpecialSlideSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideSubshapePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideSubshapePortion', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'CreateSpecialSlideSubshapePortion', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideSubshapePortion', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideSubshapePortion', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapePortion', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapePortion', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreateSpecialSlideSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideSubshapePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'CreateSpecialSlideSubshapePortion', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideSubshapePortion', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideSubshapePortion', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapePortion', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapePortion', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreateSpecialSlideSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideSubshapePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'CreateSpecialSlideSubshapePortion', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideSubshapePortion', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideSubshapePortion', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapePortion', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapePortion', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreateSpecialSlideSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideSubshapePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideSubshapePortion', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'CreateSpecialSlideSubshapePortion', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideSubshapePortion', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideSubshapePortion', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapePortion', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapePortion', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dto' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreateSpecialSlideSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideSubshapePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideSubshapePortion', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('dto', 'CreateSpecialSlideSubshapePortion', paramdto, 'Portion')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideSubshapePortion', 'dto', paramdto)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideSubshapePortion', 'dto')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapePortion', 'dto', paramdto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapePortion', 'dto', paramdto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid position' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreateSpecialSlideSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideSubshapePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideSubshapePortion', 'String')
      paramposition = AsposeSlidesCloud::SpecUtils.invalidize_param_value('position', 'CreateSpecialSlideSubshapePortion', paramposition, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideSubshapePortion', 'position', paramposition)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideSubshapePortion', 'position')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapePortion', 'position', paramposition)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapePortion', 'position', paramposition)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreateSpecialSlideSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideSubshapePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideSubshapePortion', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'CreateSpecialSlideSubshapePortion', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideSubshapePortion', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideSubshapePortion', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapePortion', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapePortion', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreateSpecialSlideSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideSubshapePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'CreateSpecialSlideSubshapePortion', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideSubshapePortion', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideSubshapePortion', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapePortion', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapePortion', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'CreateSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreateSpecialSlideSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSpecialSlideSubshapePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSpecialSlideSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'CreateSpecialSlideSubshapePortion', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSpecialSlideSubshapePortion', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSpecialSlideSubshapePortion', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapePortion', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSpecialSlideSubshapePortion', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for create_subshape
  # Create new shape (for smart art and group shapes).
  # @param name Document name.
  # @param slide_index Slide index.
  # @param path Shape path.
  # @param [Hash] opts the optional parameters
  # @option opts [ShapeBase] :dto Shape DTO.
  # @option opts [Integer] :shape_to_clone Optional index for clone shape instead of adding a new one.
  # @option opts [Integer] :position Position of the new shape in the list. Default is at the end of the list.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [ShapeBase]
  describe 'create_subshape test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSubshape', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSubshape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateSubshape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSubshape', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSubshape', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.create_subshape_with_http_info(paramname, paramslide_index, parampath, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshape', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSubshape', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSubshape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateSubshape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSubshape', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'CreateSubshape', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSubshape', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_subshape_with_http_info(paramname, paramslide_index, parampath, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSubshape', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshape', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshape', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSubshape', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSubshape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateSubshape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'CreateSubshape', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSubshape', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_subshape_with_http_info(paramname, paramslide_index, parampath, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSubshape', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshape', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshape', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSubshape', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSubshape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateSubshape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'CreateSubshape', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSubshape', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_subshape_with_http_info(paramname, paramslide_index, parampath, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSubshape', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshape', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshape', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dto' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSubshape', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSubshape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateSubshape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSubshape', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('dto', 'CreateSubshape', paramdto, 'ShapeBase')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSubshape', 'dto', paramdto)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_subshape_with_http_info(paramname, paramslide_index, parampath, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSubshape', 'dto')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshape', 'dto', paramdto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshape', 'dto', paramdto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_to_clone' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSubshape', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSubshape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateSubshape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSubshape', 'String')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeToClone', 'CreateSubshape', paramshape_to_clone, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSubshape', 'shapeToClone', paramshape_to_clone)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_subshape_with_http_info(paramname, paramslide_index, parampath, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSubshape', 'shapeToClone')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshape', 'shapeToClone', paramshape_to_clone)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshape', 'shapeToClone', paramshape_to_clone)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid position' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSubshape', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSubshape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateSubshape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSubshape', 'String')
      paramposition = AsposeSlidesCloud::SpecUtils.invalidize_param_value('position', 'CreateSubshape', paramposition, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSubshape', 'position', paramposition)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_subshape_with_http_info(paramname, paramslide_index, parampath, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSubshape', 'position')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshape', 'position', paramposition)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshape', 'position', paramposition)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSubshape', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSubshape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateSubshape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'CreateSubshape', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSubshape', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_subshape_with_http_info(paramname, paramslide_index, parampath, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSubshape', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshape', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshape', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSubshape', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSubshape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateSubshape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'CreateSubshape', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSubshape', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_subshape_with_http_info(paramname, paramslide_index, parampath, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSubshape', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshape', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshape', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSubshape', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSubshape', 'ShapeBase')
      paramshape_to_clone = AsposeSlidesCloud::SpecUtils.get_param_value('shapeToClone', 'CreateSubshape', 'Integer')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'CreateSubshape', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSubshape', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_subshape_with_http_info(paramname, paramslide_index, parampath, paramdto, paramshape_to_clone, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSubshape', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshape', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshape', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for create_subshape_paragraph
  # Creates new paragraph (for smart art and group shapes).
  # @param name Document name.
  # @param slide_index Slide index.
  # @param path Shape path.
  # @param shape_index Shape index.
  # @param dto Paragraph DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :position Position of the new paragraph in the list. Default is at the end of the list.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Paragraph]
  describe 'create_subshape_paragraph test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSubshapeParagraph', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSubshapeParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSubshapeParagraph', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSubshapeParagraph', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.create_subshape_paragraph_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapeParagraph', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSubshapeParagraph', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSubshapeParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSubshapeParagraph', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'CreateSubshapeParagraph', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSubshapeParagraph', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_subshape_paragraph_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSubshapeParagraph', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapeParagraph', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapeParagraph', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSubshapeParagraph', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSubshapeParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'CreateSubshapeParagraph', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSubshapeParagraph', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_subshape_paragraph_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSubshapeParagraph', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapeParagraph', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapeParagraph', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSubshapeParagraph', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSubshapeParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'CreateSubshapeParagraph', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSubshapeParagraph', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_subshape_paragraph_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSubshapeParagraph', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapeParagraph', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapeParagraph', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSubshapeParagraph', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSubshapeParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'CreateSubshapeParagraph', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSubshapeParagraph', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_subshape_paragraph_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSubshapeParagraph', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapeParagraph', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapeParagraph', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dto' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSubshapeParagraph', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSubshapeParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSubshapeParagraph', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('dto', 'CreateSubshapeParagraph', paramdto, 'Paragraph')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSubshapeParagraph', 'dto', paramdto)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_subshape_paragraph_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSubshapeParagraph', 'dto')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapeParagraph', 'dto', paramdto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapeParagraph', 'dto', paramdto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid position' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSubshapeParagraph', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSubshapeParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSubshapeParagraph', 'String')
      paramposition = AsposeSlidesCloud::SpecUtils.invalidize_param_value('position', 'CreateSubshapeParagraph', paramposition, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSubshapeParagraph', 'position', paramposition)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_subshape_paragraph_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSubshapeParagraph', 'position')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapeParagraph', 'position', paramposition)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapeParagraph', 'position', paramposition)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSubshapeParagraph', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSubshapeParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSubshapeParagraph', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'CreateSubshapeParagraph', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSubshapeParagraph', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_subshape_paragraph_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSubshapeParagraph', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapeParagraph', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapeParagraph', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSubshapeParagraph', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSubshapeParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'CreateSubshapeParagraph', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSubshapeParagraph', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_subshape_paragraph_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSubshapeParagraph', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapeParagraph', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapeParagraph', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSubshapeParagraph', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSubshapeParagraph', 'Paragraph')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'CreateSubshapeParagraph', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSubshapeParagraph', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_subshape_paragraph_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSubshapeParagraph', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapeParagraph', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapeParagraph', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for create_subshape_portion
  # Creates new portion (for smart art and group shapes).
  # @param name Document name.
  # @param slide_index Slide index.
  # @param path Shape path.
  # @param shape_index Shape index.
  # @param paragraph_index Paragraph index.
  # @param dto Portion DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :position Position of the new portion in the list. Default is at the end of the list.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Portion]
  describe 'create_subshape_portion test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreateSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSubshapePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSubshapePortion', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSubshapePortion', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.create_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapePortion', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreateSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSubshapePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSubshapePortion', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'CreateSubshapePortion', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSubshapePortion', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSubshapePortion', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapePortion', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapePortion', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreateSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSubshapePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'CreateSubshapePortion', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSubshapePortion', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSubshapePortion', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapePortion', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapePortion', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreateSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSubshapePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'CreateSubshapePortion', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSubshapePortion', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSubshapePortion', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapePortion', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapePortion', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreateSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSubshapePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'CreateSubshapePortion', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSubshapePortion', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSubshapePortion', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapePortion', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapePortion', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreateSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSubshapePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSubshapePortion', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'CreateSubshapePortion', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSubshapePortion', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSubshapePortion', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapePortion', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapePortion', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dto' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreateSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSubshapePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSubshapePortion', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('dto', 'CreateSubshapePortion', paramdto, 'Portion')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSubshapePortion', 'dto', paramdto)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSubshapePortion', 'dto')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapePortion', 'dto', paramdto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapePortion', 'dto', paramdto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid position' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreateSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSubshapePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSubshapePortion', 'String')
      paramposition = AsposeSlidesCloud::SpecUtils.invalidize_param_value('position', 'CreateSubshapePortion', paramposition, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSubshapePortion', 'position', paramposition)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSubshapePortion', 'position')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapePortion', 'position', paramposition)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapePortion', 'position', paramposition)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreateSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSubshapePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSubshapePortion', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'CreateSubshapePortion', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSubshapePortion', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSubshapePortion', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapePortion', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapePortion', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreateSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSubshapePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'CreateSubshapePortion', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSubshapePortion', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSubshapePortion', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapePortion', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapePortion', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'CreateSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'CreateSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'CreateSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'CreateSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'CreateSubshapePortion', 'Portion')
      paramposition = AsposeSlidesCloud::SpecUtils.get_param_value('position', 'CreateSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'CreateSubshapePortion', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateSubshapePortion', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramdto, paramposition, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateSubshapePortion', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapePortion', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateSubshapePortion', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for create_watermark
  # Adds a text watermark to each slide of the presentation. Text watermark can be setup via method arguments or withing Shape DTO for detailed customization. Both options are applicable simultaneously. 
  # @param name Document name.
  # @param [Hash] opts the optional parameters
  # @option opts [Shape] :shape Shape DTO
  # @option opts [Float] :font_height Watermark font height.
  # @option opts [String] :text Watermark text.
  # @option opts [String] :font_name Watermark font name.
  # @option opts [String] :font_color Watermark font color.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [nil]
  describe 'create_watermark test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateWatermark', 'String')
      paramshape = AsposeSlidesCloud::SpecUtils.get_param_value('shape', 'CreateWatermark', 'Shape')
      paramfont_height = AsposeSlidesCloud::SpecUtils.get_param_value('fontHeight', 'CreateWatermark', 'Float')
      paramtext = AsposeSlidesCloud::SpecUtils.get_param_value('text', 'CreateWatermark', 'String')
      paramfont_name = AsposeSlidesCloud::SpecUtils.get_param_value('fontName', 'CreateWatermark', 'String')
      paramfont_color = AsposeSlidesCloud::SpecUtils.get_param_value('fontColor', 'CreateWatermark', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateWatermark', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateWatermark', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateWatermark', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateWatermark', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.create_watermark_with_http_info(paramname, paramshape, paramfont_height, paramtext, paramfont_name, paramfont_color, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateWatermark', nil, nil)
      expect(c).to eq(code)
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateWatermark', 'String')
      paramshape = AsposeSlidesCloud::SpecUtils.get_param_value('shape', 'CreateWatermark', 'Shape')
      paramfont_height = AsposeSlidesCloud::SpecUtils.get_param_value('fontHeight', 'CreateWatermark', 'Float')
      paramtext = AsposeSlidesCloud::SpecUtils.get_param_value('text', 'CreateWatermark', 'String')
      paramfont_name = AsposeSlidesCloud::SpecUtils.get_param_value('fontName', 'CreateWatermark', 'String')
      paramfont_color = AsposeSlidesCloud::SpecUtils.get_param_value('fontColor', 'CreateWatermark', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateWatermark', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateWatermark', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateWatermark', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'CreateWatermark', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateWatermark', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_watermark_with_http_info(paramname, paramshape, paramfont_height, paramtext, paramfont_name, paramfont_color, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateWatermark', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateWatermark', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateWatermark', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateWatermark', 'String')
      paramshape = AsposeSlidesCloud::SpecUtils.get_param_value('shape', 'CreateWatermark', 'Shape')
      paramfont_height = AsposeSlidesCloud::SpecUtils.get_param_value('fontHeight', 'CreateWatermark', 'Float')
      paramtext = AsposeSlidesCloud::SpecUtils.get_param_value('text', 'CreateWatermark', 'String')
      paramfont_name = AsposeSlidesCloud::SpecUtils.get_param_value('fontName', 'CreateWatermark', 'String')
      paramfont_color = AsposeSlidesCloud::SpecUtils.get_param_value('fontColor', 'CreateWatermark', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateWatermark', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateWatermark', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateWatermark', 'String')
      paramshape = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shape', 'CreateWatermark', paramshape, 'Shape')
      AsposeSlidesCloud::SpecUtils.initialize('CreateWatermark', 'shape', paramshape)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_watermark_with_http_info(paramname, paramshape, paramfont_height, paramtext, paramfont_name, paramfont_color, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateWatermark', 'shape')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateWatermark', 'shape', paramshape)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateWatermark', 'shape', paramshape)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid font_height' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateWatermark', 'String')
      paramshape = AsposeSlidesCloud::SpecUtils.get_param_value('shape', 'CreateWatermark', 'Shape')
      paramfont_height = AsposeSlidesCloud::SpecUtils.get_param_value('fontHeight', 'CreateWatermark', 'Float')
      paramtext = AsposeSlidesCloud::SpecUtils.get_param_value('text', 'CreateWatermark', 'String')
      paramfont_name = AsposeSlidesCloud::SpecUtils.get_param_value('fontName', 'CreateWatermark', 'String')
      paramfont_color = AsposeSlidesCloud::SpecUtils.get_param_value('fontColor', 'CreateWatermark', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateWatermark', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateWatermark', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateWatermark', 'String')
      paramfont_height = AsposeSlidesCloud::SpecUtils.invalidize_param_value('fontHeight', 'CreateWatermark', paramfont_height, 'Float')
      AsposeSlidesCloud::SpecUtils.initialize('CreateWatermark', 'fontHeight', paramfont_height)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_watermark_with_http_info(paramname, paramshape, paramfont_height, paramtext, paramfont_name, paramfont_color, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateWatermark', 'fontHeight')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateWatermark', 'fontHeight', paramfont_height)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateWatermark', 'fontHeight', paramfont_height)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid text' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateWatermark', 'String')
      paramshape = AsposeSlidesCloud::SpecUtils.get_param_value('shape', 'CreateWatermark', 'Shape')
      paramfont_height = AsposeSlidesCloud::SpecUtils.get_param_value('fontHeight', 'CreateWatermark', 'Float')
      paramtext = AsposeSlidesCloud::SpecUtils.get_param_value('text', 'CreateWatermark', 'String')
      paramfont_name = AsposeSlidesCloud::SpecUtils.get_param_value('fontName', 'CreateWatermark', 'String')
      paramfont_color = AsposeSlidesCloud::SpecUtils.get_param_value('fontColor', 'CreateWatermark', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateWatermark', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateWatermark', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateWatermark', 'String')
      paramtext = AsposeSlidesCloud::SpecUtils.invalidize_param_value('text', 'CreateWatermark', paramtext, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateWatermark', 'text', paramtext)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_watermark_with_http_info(paramname, paramshape, paramfont_height, paramtext, paramfont_name, paramfont_color, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateWatermark', 'text')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateWatermark', 'text', paramtext)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateWatermark', 'text', paramtext)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid font_name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateWatermark', 'String')
      paramshape = AsposeSlidesCloud::SpecUtils.get_param_value('shape', 'CreateWatermark', 'Shape')
      paramfont_height = AsposeSlidesCloud::SpecUtils.get_param_value('fontHeight', 'CreateWatermark', 'Float')
      paramtext = AsposeSlidesCloud::SpecUtils.get_param_value('text', 'CreateWatermark', 'String')
      paramfont_name = AsposeSlidesCloud::SpecUtils.get_param_value('fontName', 'CreateWatermark', 'String')
      paramfont_color = AsposeSlidesCloud::SpecUtils.get_param_value('fontColor', 'CreateWatermark', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateWatermark', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateWatermark', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateWatermark', 'String')
      paramfont_name = AsposeSlidesCloud::SpecUtils.invalidize_param_value('fontName', 'CreateWatermark', paramfont_name, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateWatermark', 'fontName', paramfont_name)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_watermark_with_http_info(paramname, paramshape, paramfont_height, paramtext, paramfont_name, paramfont_color, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateWatermark', 'fontName')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateWatermark', 'fontName', paramfont_name)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateWatermark', 'fontName', paramfont_name)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid font_color' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateWatermark', 'String')
      paramshape = AsposeSlidesCloud::SpecUtils.get_param_value('shape', 'CreateWatermark', 'Shape')
      paramfont_height = AsposeSlidesCloud::SpecUtils.get_param_value('fontHeight', 'CreateWatermark', 'Float')
      paramtext = AsposeSlidesCloud::SpecUtils.get_param_value('text', 'CreateWatermark', 'String')
      paramfont_name = AsposeSlidesCloud::SpecUtils.get_param_value('fontName', 'CreateWatermark', 'String')
      paramfont_color = AsposeSlidesCloud::SpecUtils.get_param_value('fontColor', 'CreateWatermark', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateWatermark', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateWatermark', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateWatermark', 'String')
      paramfont_color = AsposeSlidesCloud::SpecUtils.invalidize_param_value('fontColor', 'CreateWatermark', paramfont_color, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateWatermark', 'fontColor', paramfont_color)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_watermark_with_http_info(paramname, paramshape, paramfont_height, paramtext, paramfont_name, paramfont_color, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateWatermark', 'fontColor')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateWatermark', 'fontColor', paramfont_color)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateWatermark', 'fontColor', paramfont_color)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateWatermark', 'String')
      paramshape = AsposeSlidesCloud::SpecUtils.get_param_value('shape', 'CreateWatermark', 'Shape')
      paramfont_height = AsposeSlidesCloud::SpecUtils.get_param_value('fontHeight', 'CreateWatermark', 'Float')
      paramtext = AsposeSlidesCloud::SpecUtils.get_param_value('text', 'CreateWatermark', 'String')
      paramfont_name = AsposeSlidesCloud::SpecUtils.get_param_value('fontName', 'CreateWatermark', 'String')
      paramfont_color = AsposeSlidesCloud::SpecUtils.get_param_value('fontColor', 'CreateWatermark', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateWatermark', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateWatermark', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateWatermark', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'CreateWatermark', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateWatermark', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_watermark_with_http_info(paramname, paramshape, paramfont_height, paramtext, paramfont_name, paramfont_color, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateWatermark', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateWatermark', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateWatermark', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateWatermark', 'String')
      paramshape = AsposeSlidesCloud::SpecUtils.get_param_value('shape', 'CreateWatermark', 'Shape')
      paramfont_height = AsposeSlidesCloud::SpecUtils.get_param_value('fontHeight', 'CreateWatermark', 'Float')
      paramtext = AsposeSlidesCloud::SpecUtils.get_param_value('text', 'CreateWatermark', 'String')
      paramfont_name = AsposeSlidesCloud::SpecUtils.get_param_value('fontName', 'CreateWatermark', 'String')
      paramfont_color = AsposeSlidesCloud::SpecUtils.get_param_value('fontColor', 'CreateWatermark', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateWatermark', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateWatermark', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateWatermark', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'CreateWatermark', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateWatermark', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_watermark_with_http_info(paramname, paramshape, paramfont_height, paramtext, paramfont_name, paramfont_color, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateWatermark', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateWatermark', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateWatermark', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'CreateWatermark', 'String')
      paramshape = AsposeSlidesCloud::SpecUtils.get_param_value('shape', 'CreateWatermark', 'Shape')
      paramfont_height = AsposeSlidesCloud::SpecUtils.get_param_value('fontHeight', 'CreateWatermark', 'Float')
      paramtext = AsposeSlidesCloud::SpecUtils.get_param_value('text', 'CreateWatermark', 'String')
      paramfont_name = AsposeSlidesCloud::SpecUtils.get_param_value('fontName', 'CreateWatermark', 'String')
      paramfont_color = AsposeSlidesCloud::SpecUtils.get_param_value('fontColor', 'CreateWatermark', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateWatermark', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'CreateWatermark', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'CreateWatermark', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'CreateWatermark', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateWatermark', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_watermark_with_http_info(paramname, paramshape, paramfont_height, paramtext, paramfont_name, paramfont_color, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateWatermark', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateWatermark', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateWatermark', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for create_watermark_online
  # Adds a text watermark to each slide of the presentation. Text watermark can be setup via method arguments or withing Shape DTO for detailed customization. Both options are applicable simultaneously. 
  # @param document Document data.
  # @param [Hash] opts the optional parameters
  # @option opts [Shape] :shape Shape DTO
  # @option opts [Float] :font_height Watermark font height.
  # @option opts [String] :text Watermark text.
  # @option opts [String] :font_name Watermark font name.
  # @option opts [String] :font_color Watermark font color.
  # @option opts [String] :password Document password.
  # @return [File]
  describe 'create_watermark_online test' do
    it 'should work' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'CreateWatermarkOnline', 'File')
      paramshape = AsposeSlidesCloud::SpecUtils.get_param_value('shape', 'CreateWatermarkOnline', 'Shape')
      paramfont_height = AsposeSlidesCloud::SpecUtils.get_param_value('fontHeight', 'CreateWatermarkOnline', 'Float')
      paramtext = AsposeSlidesCloud::SpecUtils.get_param_value('text', 'CreateWatermarkOnline', 'String')
      paramfont_name = AsposeSlidesCloud::SpecUtils.get_param_value('fontName', 'CreateWatermarkOnline', 'String')
      paramfont_color = AsposeSlidesCloud::SpecUtils.get_param_value('fontColor', 'CreateWatermarkOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateWatermarkOnline', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateWatermarkOnline', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.create_watermark_online_with_http_info(paramdocument, paramshape, paramfont_height, paramtext, paramfont_name, paramfont_color, parampassword)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateWatermarkOnline', nil, nil)
      expect(c).to eq(code)
    end

    it 'invalid document' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'CreateWatermarkOnline', 'File')
      paramshape = AsposeSlidesCloud::SpecUtils.get_param_value('shape', 'CreateWatermarkOnline', 'Shape')
      paramfont_height = AsposeSlidesCloud::SpecUtils.get_param_value('fontHeight', 'CreateWatermarkOnline', 'Float')
      paramtext = AsposeSlidesCloud::SpecUtils.get_param_value('text', 'CreateWatermarkOnline', 'String')
      paramfont_name = AsposeSlidesCloud::SpecUtils.get_param_value('fontName', 'CreateWatermarkOnline', 'String')
      paramfont_color = AsposeSlidesCloud::SpecUtils.get_param_value('fontColor', 'CreateWatermarkOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateWatermarkOnline', 'String')
      paramdocument = AsposeSlidesCloud::SpecUtils.invalidize_param_value('document', 'CreateWatermarkOnline', paramdocument, 'File')
      AsposeSlidesCloud::SpecUtils.initialize('CreateWatermarkOnline', 'document', paramdocument)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_watermark_online_with_http_info(paramdocument, paramshape, paramfont_height, paramtext, paramfont_name, paramfont_color, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateWatermarkOnline', 'document')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateWatermarkOnline', 'document', paramdocument)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateWatermarkOnline', 'document', paramdocument)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'CreateWatermarkOnline', 'File')
      paramshape = AsposeSlidesCloud::SpecUtils.get_param_value('shape', 'CreateWatermarkOnline', 'Shape')
      paramfont_height = AsposeSlidesCloud::SpecUtils.get_param_value('fontHeight', 'CreateWatermarkOnline', 'Float')
      paramtext = AsposeSlidesCloud::SpecUtils.get_param_value('text', 'CreateWatermarkOnline', 'String')
      paramfont_name = AsposeSlidesCloud::SpecUtils.get_param_value('fontName', 'CreateWatermarkOnline', 'String')
      paramfont_color = AsposeSlidesCloud::SpecUtils.get_param_value('fontColor', 'CreateWatermarkOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateWatermarkOnline', 'String')
      paramshape = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shape', 'CreateWatermarkOnline', paramshape, 'Shape')
      AsposeSlidesCloud::SpecUtils.initialize('CreateWatermarkOnline', 'shape', paramshape)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_watermark_online_with_http_info(paramdocument, paramshape, paramfont_height, paramtext, paramfont_name, paramfont_color, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateWatermarkOnline', 'shape')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateWatermarkOnline', 'shape', paramshape)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateWatermarkOnline', 'shape', paramshape)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid font_height' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'CreateWatermarkOnline', 'File')
      paramshape = AsposeSlidesCloud::SpecUtils.get_param_value('shape', 'CreateWatermarkOnline', 'Shape')
      paramfont_height = AsposeSlidesCloud::SpecUtils.get_param_value('fontHeight', 'CreateWatermarkOnline', 'Float')
      paramtext = AsposeSlidesCloud::SpecUtils.get_param_value('text', 'CreateWatermarkOnline', 'String')
      paramfont_name = AsposeSlidesCloud::SpecUtils.get_param_value('fontName', 'CreateWatermarkOnline', 'String')
      paramfont_color = AsposeSlidesCloud::SpecUtils.get_param_value('fontColor', 'CreateWatermarkOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateWatermarkOnline', 'String')
      paramfont_height = AsposeSlidesCloud::SpecUtils.invalidize_param_value('fontHeight', 'CreateWatermarkOnline', paramfont_height, 'Float')
      AsposeSlidesCloud::SpecUtils.initialize('CreateWatermarkOnline', 'fontHeight', paramfont_height)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_watermark_online_with_http_info(paramdocument, paramshape, paramfont_height, paramtext, paramfont_name, paramfont_color, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateWatermarkOnline', 'fontHeight')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateWatermarkOnline', 'fontHeight', paramfont_height)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateWatermarkOnline', 'fontHeight', paramfont_height)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid text' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'CreateWatermarkOnline', 'File')
      paramshape = AsposeSlidesCloud::SpecUtils.get_param_value('shape', 'CreateWatermarkOnline', 'Shape')
      paramfont_height = AsposeSlidesCloud::SpecUtils.get_param_value('fontHeight', 'CreateWatermarkOnline', 'Float')
      paramtext = AsposeSlidesCloud::SpecUtils.get_param_value('text', 'CreateWatermarkOnline', 'String')
      paramfont_name = AsposeSlidesCloud::SpecUtils.get_param_value('fontName', 'CreateWatermarkOnline', 'String')
      paramfont_color = AsposeSlidesCloud::SpecUtils.get_param_value('fontColor', 'CreateWatermarkOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateWatermarkOnline', 'String')
      paramtext = AsposeSlidesCloud::SpecUtils.invalidize_param_value('text', 'CreateWatermarkOnline', paramtext, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateWatermarkOnline', 'text', paramtext)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_watermark_online_with_http_info(paramdocument, paramshape, paramfont_height, paramtext, paramfont_name, paramfont_color, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateWatermarkOnline', 'text')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateWatermarkOnline', 'text', paramtext)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateWatermarkOnline', 'text', paramtext)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid font_name' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'CreateWatermarkOnline', 'File')
      paramshape = AsposeSlidesCloud::SpecUtils.get_param_value('shape', 'CreateWatermarkOnline', 'Shape')
      paramfont_height = AsposeSlidesCloud::SpecUtils.get_param_value('fontHeight', 'CreateWatermarkOnline', 'Float')
      paramtext = AsposeSlidesCloud::SpecUtils.get_param_value('text', 'CreateWatermarkOnline', 'String')
      paramfont_name = AsposeSlidesCloud::SpecUtils.get_param_value('fontName', 'CreateWatermarkOnline', 'String')
      paramfont_color = AsposeSlidesCloud::SpecUtils.get_param_value('fontColor', 'CreateWatermarkOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateWatermarkOnline', 'String')
      paramfont_name = AsposeSlidesCloud::SpecUtils.invalidize_param_value('fontName', 'CreateWatermarkOnline', paramfont_name, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateWatermarkOnline', 'fontName', paramfont_name)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_watermark_online_with_http_info(paramdocument, paramshape, paramfont_height, paramtext, paramfont_name, paramfont_color, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateWatermarkOnline', 'fontName')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateWatermarkOnline', 'fontName', paramfont_name)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateWatermarkOnline', 'fontName', paramfont_name)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid font_color' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'CreateWatermarkOnline', 'File')
      paramshape = AsposeSlidesCloud::SpecUtils.get_param_value('shape', 'CreateWatermarkOnline', 'Shape')
      paramfont_height = AsposeSlidesCloud::SpecUtils.get_param_value('fontHeight', 'CreateWatermarkOnline', 'Float')
      paramtext = AsposeSlidesCloud::SpecUtils.get_param_value('text', 'CreateWatermarkOnline', 'String')
      paramfont_name = AsposeSlidesCloud::SpecUtils.get_param_value('fontName', 'CreateWatermarkOnline', 'String')
      paramfont_color = AsposeSlidesCloud::SpecUtils.get_param_value('fontColor', 'CreateWatermarkOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateWatermarkOnline', 'String')
      paramfont_color = AsposeSlidesCloud::SpecUtils.invalidize_param_value('fontColor', 'CreateWatermarkOnline', paramfont_color, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateWatermarkOnline', 'fontColor', paramfont_color)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_watermark_online_with_http_info(paramdocument, paramshape, paramfont_height, paramtext, paramfont_name, paramfont_color, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateWatermarkOnline', 'fontColor')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateWatermarkOnline', 'fontColor', paramfont_color)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateWatermarkOnline', 'fontColor', paramfont_color)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'CreateWatermarkOnline', 'File')
      paramshape = AsposeSlidesCloud::SpecUtils.get_param_value('shape', 'CreateWatermarkOnline', 'Shape')
      paramfont_height = AsposeSlidesCloud::SpecUtils.get_param_value('fontHeight', 'CreateWatermarkOnline', 'Float')
      paramtext = AsposeSlidesCloud::SpecUtils.get_param_value('text', 'CreateWatermarkOnline', 'String')
      paramfont_name = AsposeSlidesCloud::SpecUtils.get_param_value('fontName', 'CreateWatermarkOnline', 'String')
      paramfont_color = AsposeSlidesCloud::SpecUtils.get_param_value('fontColor', 'CreateWatermarkOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'CreateWatermarkOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'CreateWatermarkOnline', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('CreateWatermarkOnline', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.create_watermark_online_with_http_info(paramdocument, paramshape, paramfont_height, paramtext, paramfont_name, paramfont_color, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('CreateWatermarkOnline', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateWatermarkOnline', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('CreateWatermarkOnline', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_animation
  # Remove animation from a slide.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [SlideAnimation]
  describe 'delete_animation test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimation', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimation', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimation', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_animation_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimation', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimation', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimation', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteAnimation', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimation', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_animation_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteAnimation', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimation', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimation', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimation', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteAnimation', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimation', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_animation_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteAnimation', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimation', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimation', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimation', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimation', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteAnimation', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimation', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_animation_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteAnimation', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimation', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimation', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimation', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteAnimation', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimation', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_animation_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteAnimation', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimation', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimation', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimation', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteAnimation', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimation', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_animation_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteAnimation', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimation', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimation', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_animation_effect
  # Remove an effect from slide animation.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param effect_index Index of the effect to be removed.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [SlideAnimation]
  describe 'delete_animation_effect test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimationEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'DeleteAnimationEffect', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimationEffect', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimationEffect', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_animation_effect_with_http_info(paramname, paramslide_index, parameffect_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationEffect', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimationEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'DeleteAnimationEffect', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimationEffect', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteAnimationEffect', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimationEffect', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_animation_effect_with_http_info(paramname, paramslide_index, parameffect_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteAnimationEffect', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationEffect', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationEffect', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimationEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'DeleteAnimationEffect', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteAnimationEffect', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimationEffect', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_animation_effect_with_http_info(paramname, paramslide_index, parameffect_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteAnimationEffect', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationEffect', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationEffect', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid effect_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimationEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'DeleteAnimationEffect', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimationEffect', 'String')
      parameffect_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('effectIndex', 'DeleteAnimationEffect', parameffect_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimationEffect', 'effectIndex', parameffect_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_animation_effect_with_http_info(paramname, paramslide_index, parameffect_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteAnimationEffect', 'effectIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationEffect', 'effectIndex', parameffect_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationEffect', 'effectIndex', parameffect_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimationEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'DeleteAnimationEffect', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimationEffect', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteAnimationEffect', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimationEffect', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_animation_effect_with_http_info(paramname, paramslide_index, parameffect_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteAnimationEffect', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationEffect', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationEffect', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimationEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'DeleteAnimationEffect', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteAnimationEffect', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimationEffect', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_animation_effect_with_http_info(paramname, paramslide_index, parameffect_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteAnimationEffect', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationEffect', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationEffect', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimationEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'DeleteAnimationEffect', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteAnimationEffect', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimationEffect', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_animation_effect_with_http_info(paramname, paramslide_index, parameffect_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteAnimationEffect', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationEffect', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationEffect', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_animation_interactive_sequence
  # Remove an interactive sequence from slide animation.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param sequence_index The index of an interactive sequence to be deleted.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [SlideAnimation]
  describe 'delete_animation_interactive_sequence test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimationInteractiveSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimationInteractiveSequence', 'Integer')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'DeleteAnimationInteractiveSequence', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimationInteractiveSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimationInteractiveSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimationInteractiveSequence', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimationInteractiveSequence', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_animation_interactive_sequence_with_http_info(paramname, paramslide_index, paramsequence_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationInteractiveSequence', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimationInteractiveSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimationInteractiveSequence', 'Integer')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'DeleteAnimationInteractiveSequence', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimationInteractiveSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimationInteractiveSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimationInteractiveSequence', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteAnimationInteractiveSequence', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimationInteractiveSequence', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_animation_interactive_sequence_with_http_info(paramname, paramslide_index, paramsequence_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteAnimationInteractiveSequence', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationInteractiveSequence', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationInteractiveSequence', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimationInteractiveSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimationInteractiveSequence', 'Integer')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'DeleteAnimationInteractiveSequence', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimationInteractiveSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimationInteractiveSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimationInteractiveSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteAnimationInteractiveSequence', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimationInteractiveSequence', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_animation_interactive_sequence_with_http_info(paramname, paramslide_index, paramsequence_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteAnimationInteractiveSequence', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationInteractiveSequence', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationInteractiveSequence', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid sequence_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimationInteractiveSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimationInteractiveSequence', 'Integer')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'DeleteAnimationInteractiveSequence', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimationInteractiveSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimationInteractiveSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimationInteractiveSequence', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('sequenceIndex', 'DeleteAnimationInteractiveSequence', paramsequence_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimationInteractiveSequence', 'sequenceIndex', paramsequence_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_animation_interactive_sequence_with_http_info(paramname, paramslide_index, paramsequence_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteAnimationInteractiveSequence', 'sequenceIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationInteractiveSequence', 'sequenceIndex', paramsequence_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationInteractiveSequence', 'sequenceIndex', paramsequence_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimationInteractiveSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimationInteractiveSequence', 'Integer')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'DeleteAnimationInteractiveSequence', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimationInteractiveSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimationInteractiveSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimationInteractiveSequence', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteAnimationInteractiveSequence', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimationInteractiveSequence', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_animation_interactive_sequence_with_http_info(paramname, paramslide_index, paramsequence_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteAnimationInteractiveSequence', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationInteractiveSequence', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationInteractiveSequence', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimationInteractiveSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimationInteractiveSequence', 'Integer')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'DeleteAnimationInteractiveSequence', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimationInteractiveSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimationInteractiveSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimationInteractiveSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteAnimationInteractiveSequence', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimationInteractiveSequence', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_animation_interactive_sequence_with_http_info(paramname, paramslide_index, paramsequence_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteAnimationInteractiveSequence', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationInteractiveSequence', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationInteractiveSequence', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimationInteractiveSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimationInteractiveSequence', 'Integer')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'DeleteAnimationInteractiveSequence', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimationInteractiveSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimationInteractiveSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimationInteractiveSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteAnimationInteractiveSequence', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimationInteractiveSequence', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_animation_interactive_sequence_with_http_info(paramname, paramslide_index, paramsequence_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteAnimationInteractiveSequence', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationInteractiveSequence', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationInteractiveSequence', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_animation_interactive_sequence_effect
  # Remove an effect from slide animation interactive sequence.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param sequence_index Interactive sequence index.
  # @param effect_index Index of the effect to be removed.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [SlideAnimation]
  describe 'delete_animation_interactive_sequence_effect test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimationInteractiveSequenceEffect', 'Integer')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'DeleteAnimationInteractiveSequenceEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'DeleteAnimationInteractiveSequenceEffect', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimationInteractiveSequenceEffect', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimationInteractiveSequenceEffect', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramsequence_index, parameffect_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationInteractiveSequenceEffect', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimationInteractiveSequenceEffect', 'Integer')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'DeleteAnimationInteractiveSequenceEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'DeleteAnimationInteractiveSequenceEffect', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimationInteractiveSequenceEffect', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteAnimationInteractiveSequenceEffect', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimationInteractiveSequenceEffect', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramsequence_index, parameffect_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteAnimationInteractiveSequenceEffect', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationInteractiveSequenceEffect', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationInteractiveSequenceEffect', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimationInteractiveSequenceEffect', 'Integer')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'DeleteAnimationInteractiveSequenceEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'DeleteAnimationInteractiveSequenceEffect', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteAnimationInteractiveSequenceEffect', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimationInteractiveSequenceEffect', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramsequence_index, parameffect_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteAnimationInteractiveSequenceEffect', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationInteractiveSequenceEffect', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationInteractiveSequenceEffect', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid sequence_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimationInteractiveSequenceEffect', 'Integer')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'DeleteAnimationInteractiveSequenceEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'DeleteAnimationInteractiveSequenceEffect', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimationInteractiveSequenceEffect', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('sequenceIndex', 'DeleteAnimationInteractiveSequenceEffect', paramsequence_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimationInteractiveSequenceEffect', 'sequenceIndex', paramsequence_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramsequence_index, parameffect_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteAnimationInteractiveSequenceEffect', 'sequenceIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationInteractiveSequenceEffect', 'sequenceIndex', paramsequence_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationInteractiveSequenceEffect', 'sequenceIndex', paramsequence_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid effect_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimationInteractiveSequenceEffect', 'Integer')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'DeleteAnimationInteractiveSequenceEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'DeleteAnimationInteractiveSequenceEffect', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimationInteractiveSequenceEffect', 'String')
      parameffect_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('effectIndex', 'DeleteAnimationInteractiveSequenceEffect', parameffect_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimationInteractiveSequenceEffect', 'effectIndex', parameffect_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramsequence_index, parameffect_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteAnimationInteractiveSequenceEffect', 'effectIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationInteractiveSequenceEffect', 'effectIndex', parameffect_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationInteractiveSequenceEffect', 'effectIndex', parameffect_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimationInteractiveSequenceEffect', 'Integer')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'DeleteAnimationInteractiveSequenceEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'DeleteAnimationInteractiveSequenceEffect', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimationInteractiveSequenceEffect', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteAnimationInteractiveSequenceEffect', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimationInteractiveSequenceEffect', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramsequence_index, parameffect_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteAnimationInteractiveSequenceEffect', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationInteractiveSequenceEffect', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationInteractiveSequenceEffect', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimationInteractiveSequenceEffect', 'Integer')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'DeleteAnimationInteractiveSequenceEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'DeleteAnimationInteractiveSequenceEffect', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteAnimationInteractiveSequenceEffect', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimationInteractiveSequenceEffect', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramsequence_index, parameffect_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteAnimationInteractiveSequenceEffect', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationInteractiveSequenceEffect', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationInteractiveSequenceEffect', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimationInteractiveSequenceEffect', 'Integer')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'DeleteAnimationInteractiveSequenceEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'DeleteAnimationInteractiveSequenceEffect', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteAnimationInteractiveSequenceEffect', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimationInteractiveSequenceEffect', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramsequence_index, parameffect_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteAnimationInteractiveSequenceEffect', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationInteractiveSequenceEffect', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationInteractiveSequenceEffect', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_animation_interactive_sequences
  # Clear all interactive sequences from slide animation.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [SlideAnimation]
  describe 'delete_animation_interactive_sequences test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimationInteractiveSequences', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimationInteractiveSequences', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimationInteractiveSequences', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimationInteractiveSequences', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimationInteractiveSequences', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimationInteractiveSequences', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_animation_interactive_sequences_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationInteractiveSequences', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimationInteractiveSequences', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimationInteractiveSequences', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimationInteractiveSequences', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimationInteractiveSequences', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimationInteractiveSequences', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteAnimationInteractiveSequences', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimationInteractiveSequences', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_animation_interactive_sequences_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteAnimationInteractiveSequences', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationInteractiveSequences', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationInteractiveSequences', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimationInteractiveSequences', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimationInteractiveSequences', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimationInteractiveSequences', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimationInteractiveSequences', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimationInteractiveSequences', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteAnimationInteractiveSequences', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimationInteractiveSequences', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_animation_interactive_sequences_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteAnimationInteractiveSequences', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationInteractiveSequences', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationInteractiveSequences', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimationInteractiveSequences', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimationInteractiveSequences', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimationInteractiveSequences', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimationInteractiveSequences', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimationInteractiveSequences', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteAnimationInteractiveSequences', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimationInteractiveSequences', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_animation_interactive_sequences_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteAnimationInteractiveSequences', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationInteractiveSequences', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationInteractiveSequences', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimationInteractiveSequences', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimationInteractiveSequences', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimationInteractiveSequences', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimationInteractiveSequences', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimationInteractiveSequences', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteAnimationInteractiveSequences', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimationInteractiveSequences', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_animation_interactive_sequences_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteAnimationInteractiveSequences', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationInteractiveSequences', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationInteractiveSequences', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimationInteractiveSequences', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimationInteractiveSequences', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimationInteractiveSequences', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimationInteractiveSequences', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimationInteractiveSequences', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteAnimationInteractiveSequences', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimationInteractiveSequences', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_animation_interactive_sequences_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteAnimationInteractiveSequences', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationInteractiveSequences', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationInteractiveSequences', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_animation_main_sequence
  # Clear main sequence in slide animation.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [SlideAnimation]
  describe 'delete_animation_main_sequence test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimationMainSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimationMainSequence', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimationMainSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimationMainSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimationMainSequence', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimationMainSequence', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_animation_main_sequence_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationMainSequence', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimationMainSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimationMainSequence', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimationMainSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimationMainSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimationMainSequence', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteAnimationMainSequence', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimationMainSequence', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_animation_main_sequence_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteAnimationMainSequence', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationMainSequence', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationMainSequence', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimationMainSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimationMainSequence', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimationMainSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimationMainSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimationMainSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteAnimationMainSequence', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimationMainSequence', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_animation_main_sequence_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteAnimationMainSequence', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationMainSequence', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationMainSequence', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimationMainSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimationMainSequence', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimationMainSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimationMainSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimationMainSequence', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteAnimationMainSequence', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimationMainSequence', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_animation_main_sequence_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteAnimationMainSequence', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationMainSequence', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationMainSequence', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimationMainSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimationMainSequence', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimationMainSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimationMainSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimationMainSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteAnimationMainSequence', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimationMainSequence', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_animation_main_sequence_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteAnimationMainSequence', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationMainSequence', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationMainSequence', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteAnimationMainSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteAnimationMainSequence', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteAnimationMainSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteAnimationMainSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteAnimationMainSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteAnimationMainSequence', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteAnimationMainSequence', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_animation_main_sequence_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteAnimationMainSequence', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationMainSequence', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteAnimationMainSequence', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_background
  # Remove background from a slide.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [SlideBackground]
  describe 'delete_background test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteBackground', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteBackground', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteBackground', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteBackground', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteBackground', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteBackground', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_background_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteBackground', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteBackground', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteBackground', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteBackground', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteBackground', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteBackground', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteBackground', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteBackground', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_background_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteBackground', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteBackground', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteBackground', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteBackground', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteBackground', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteBackground', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteBackground', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteBackground', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteBackground', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteBackground', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_background_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteBackground', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteBackground', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteBackground', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteBackground', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteBackground', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteBackground', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteBackground', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteBackground', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteBackground', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteBackground', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_background_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteBackground', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteBackground', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteBackground', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteBackground', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteBackground', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteBackground', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteBackground', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteBackground', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteBackground', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteBackground', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_background_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteBackground', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteBackground', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteBackground', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteBackground', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteBackground', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteBackground', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteBackground', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteBackground', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteBackground', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteBackground', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_background_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteBackground', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteBackground', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteBackground', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_chart_category
  # Delete a category from a chart.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param shape_index Shape index.
  # @param category_index Category index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Chart]
  describe 'delete_chart_category test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteChartCategory', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteChartCategory', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteChartCategory', 'Integer')
      paramcategory_index = AsposeSlidesCloud::SpecUtils.get_param_value('categoryIndex', 'DeleteChartCategory', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteChartCategory', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteChartCategory', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteChartCategory', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteChartCategory', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_chart_category_with_http_info(paramname, paramslide_index, paramshape_index, paramcategory_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartCategory', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteChartCategory', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteChartCategory', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteChartCategory', 'Integer')
      paramcategory_index = AsposeSlidesCloud::SpecUtils.get_param_value('categoryIndex', 'DeleteChartCategory', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteChartCategory', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteChartCategory', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteChartCategory', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteChartCategory', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteChartCategory', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_chart_category_with_http_info(paramname, paramslide_index, paramshape_index, paramcategory_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteChartCategory', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartCategory', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartCategory', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteChartCategory', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteChartCategory', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteChartCategory', 'Integer')
      paramcategory_index = AsposeSlidesCloud::SpecUtils.get_param_value('categoryIndex', 'DeleteChartCategory', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteChartCategory', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteChartCategory', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteChartCategory', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteChartCategory', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteChartCategory', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_chart_category_with_http_info(paramname, paramslide_index, paramshape_index, paramcategory_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteChartCategory', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartCategory', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartCategory', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteChartCategory', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteChartCategory', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteChartCategory', 'Integer')
      paramcategory_index = AsposeSlidesCloud::SpecUtils.get_param_value('categoryIndex', 'DeleteChartCategory', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteChartCategory', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteChartCategory', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteChartCategory', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'DeleteChartCategory', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteChartCategory', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_chart_category_with_http_info(paramname, paramslide_index, paramshape_index, paramcategory_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteChartCategory', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartCategory', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartCategory', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid category_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteChartCategory', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteChartCategory', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteChartCategory', 'Integer')
      paramcategory_index = AsposeSlidesCloud::SpecUtils.get_param_value('categoryIndex', 'DeleteChartCategory', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteChartCategory', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteChartCategory', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteChartCategory', 'String')
      paramcategory_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('categoryIndex', 'DeleteChartCategory', paramcategory_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteChartCategory', 'categoryIndex', paramcategory_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_chart_category_with_http_info(paramname, paramslide_index, paramshape_index, paramcategory_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteChartCategory', 'categoryIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartCategory', 'categoryIndex', paramcategory_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartCategory', 'categoryIndex', paramcategory_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteChartCategory', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteChartCategory', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteChartCategory', 'Integer')
      paramcategory_index = AsposeSlidesCloud::SpecUtils.get_param_value('categoryIndex', 'DeleteChartCategory', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteChartCategory', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteChartCategory', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteChartCategory', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteChartCategory', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteChartCategory', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_chart_category_with_http_info(paramname, paramslide_index, paramshape_index, paramcategory_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteChartCategory', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartCategory', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartCategory', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteChartCategory', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteChartCategory', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteChartCategory', 'Integer')
      paramcategory_index = AsposeSlidesCloud::SpecUtils.get_param_value('categoryIndex', 'DeleteChartCategory', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteChartCategory', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteChartCategory', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteChartCategory', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteChartCategory', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteChartCategory', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_chart_category_with_http_info(paramname, paramslide_index, paramshape_index, paramcategory_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteChartCategory', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartCategory', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartCategory', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteChartCategory', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteChartCategory', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteChartCategory', 'Integer')
      paramcategory_index = AsposeSlidesCloud::SpecUtils.get_param_value('categoryIndex', 'DeleteChartCategory', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteChartCategory', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteChartCategory', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteChartCategory', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteChartCategory', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteChartCategory', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_chart_category_with_http_info(paramname, paramslide_index, paramshape_index, paramcategory_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteChartCategory', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartCategory', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartCategory', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_chart_data_point
  # Delete a data point from a chart series.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param shape_index Shape index.
  # @param series_index Series index.
  # @param point_index Data point index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Chart]
  describe 'delete_chart_data_point test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteChartDataPoint', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteChartDataPoint', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteChartDataPoint', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'DeleteChartDataPoint', 'Integer')
      parampoint_index = AsposeSlidesCloud::SpecUtils.get_param_value('pointIndex', 'DeleteChartDataPoint', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteChartDataPoint', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteChartDataPoint', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteChartDataPoint', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteChartDataPoint', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_chart_data_point_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, parampoint_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartDataPoint', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteChartDataPoint', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteChartDataPoint', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteChartDataPoint', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'DeleteChartDataPoint', 'Integer')
      parampoint_index = AsposeSlidesCloud::SpecUtils.get_param_value('pointIndex', 'DeleteChartDataPoint', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteChartDataPoint', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteChartDataPoint', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteChartDataPoint', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteChartDataPoint', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteChartDataPoint', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_chart_data_point_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, parampoint_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteChartDataPoint', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartDataPoint', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartDataPoint', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteChartDataPoint', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteChartDataPoint', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteChartDataPoint', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'DeleteChartDataPoint', 'Integer')
      parampoint_index = AsposeSlidesCloud::SpecUtils.get_param_value('pointIndex', 'DeleteChartDataPoint', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteChartDataPoint', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteChartDataPoint', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteChartDataPoint', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteChartDataPoint', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteChartDataPoint', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_chart_data_point_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, parampoint_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteChartDataPoint', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartDataPoint', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartDataPoint', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteChartDataPoint', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteChartDataPoint', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteChartDataPoint', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'DeleteChartDataPoint', 'Integer')
      parampoint_index = AsposeSlidesCloud::SpecUtils.get_param_value('pointIndex', 'DeleteChartDataPoint', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteChartDataPoint', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteChartDataPoint', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteChartDataPoint', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'DeleteChartDataPoint', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteChartDataPoint', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_chart_data_point_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, parampoint_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteChartDataPoint', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartDataPoint', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartDataPoint', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid series_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteChartDataPoint', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteChartDataPoint', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteChartDataPoint', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'DeleteChartDataPoint', 'Integer')
      parampoint_index = AsposeSlidesCloud::SpecUtils.get_param_value('pointIndex', 'DeleteChartDataPoint', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteChartDataPoint', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteChartDataPoint', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteChartDataPoint', 'String')
      paramseries_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('seriesIndex', 'DeleteChartDataPoint', paramseries_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteChartDataPoint', 'seriesIndex', paramseries_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_chart_data_point_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, parampoint_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteChartDataPoint', 'seriesIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartDataPoint', 'seriesIndex', paramseries_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartDataPoint', 'seriesIndex', paramseries_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid point_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteChartDataPoint', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteChartDataPoint', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteChartDataPoint', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'DeleteChartDataPoint', 'Integer')
      parampoint_index = AsposeSlidesCloud::SpecUtils.get_param_value('pointIndex', 'DeleteChartDataPoint', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteChartDataPoint', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteChartDataPoint', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteChartDataPoint', 'String')
      parampoint_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('pointIndex', 'DeleteChartDataPoint', parampoint_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteChartDataPoint', 'pointIndex', parampoint_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_chart_data_point_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, parampoint_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteChartDataPoint', 'pointIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartDataPoint', 'pointIndex', parampoint_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartDataPoint', 'pointIndex', parampoint_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteChartDataPoint', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteChartDataPoint', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteChartDataPoint', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'DeleteChartDataPoint', 'Integer')
      parampoint_index = AsposeSlidesCloud::SpecUtils.get_param_value('pointIndex', 'DeleteChartDataPoint', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteChartDataPoint', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteChartDataPoint', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteChartDataPoint', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteChartDataPoint', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteChartDataPoint', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_chart_data_point_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, parampoint_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteChartDataPoint', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartDataPoint', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartDataPoint', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteChartDataPoint', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteChartDataPoint', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteChartDataPoint', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'DeleteChartDataPoint', 'Integer')
      parampoint_index = AsposeSlidesCloud::SpecUtils.get_param_value('pointIndex', 'DeleteChartDataPoint', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteChartDataPoint', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteChartDataPoint', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteChartDataPoint', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteChartDataPoint', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteChartDataPoint', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_chart_data_point_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, parampoint_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteChartDataPoint', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartDataPoint', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartDataPoint', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteChartDataPoint', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteChartDataPoint', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteChartDataPoint', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'DeleteChartDataPoint', 'Integer')
      parampoint_index = AsposeSlidesCloud::SpecUtils.get_param_value('pointIndex', 'DeleteChartDataPoint', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteChartDataPoint', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteChartDataPoint', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteChartDataPoint', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteChartDataPoint', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteChartDataPoint', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_chart_data_point_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, parampoint_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteChartDataPoint', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartDataPoint', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartDataPoint', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_chart_series
  # Delete a series from a chart.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param shape_index Shape index (must be a chart).
  # @param series_index Series index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Chart]
  describe 'delete_chart_series test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteChartSeries', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteChartSeries', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteChartSeries', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'DeleteChartSeries', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteChartSeries', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteChartSeries', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteChartSeries', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteChartSeries', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_chart_series_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartSeries', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteChartSeries', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteChartSeries', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteChartSeries', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'DeleteChartSeries', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteChartSeries', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteChartSeries', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteChartSeries', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteChartSeries', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteChartSeries', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_chart_series_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteChartSeries', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartSeries', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartSeries', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteChartSeries', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteChartSeries', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteChartSeries', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'DeleteChartSeries', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteChartSeries', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteChartSeries', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteChartSeries', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteChartSeries', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteChartSeries', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_chart_series_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteChartSeries', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartSeries', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartSeries', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteChartSeries', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteChartSeries', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteChartSeries', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'DeleteChartSeries', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteChartSeries', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteChartSeries', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteChartSeries', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'DeleteChartSeries', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteChartSeries', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_chart_series_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteChartSeries', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartSeries', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartSeries', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid series_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteChartSeries', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteChartSeries', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteChartSeries', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'DeleteChartSeries', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteChartSeries', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteChartSeries', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteChartSeries', 'String')
      paramseries_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('seriesIndex', 'DeleteChartSeries', paramseries_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteChartSeries', 'seriesIndex', paramseries_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_chart_series_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteChartSeries', 'seriesIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartSeries', 'seriesIndex', paramseries_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartSeries', 'seriesIndex', paramseries_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteChartSeries', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteChartSeries', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteChartSeries', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'DeleteChartSeries', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteChartSeries', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteChartSeries', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteChartSeries', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteChartSeries', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteChartSeries', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_chart_series_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteChartSeries', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartSeries', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartSeries', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteChartSeries', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteChartSeries', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteChartSeries', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'DeleteChartSeries', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteChartSeries', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteChartSeries', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteChartSeries', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteChartSeries', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteChartSeries', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_chart_series_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteChartSeries', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartSeries', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartSeries', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteChartSeries', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteChartSeries', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteChartSeries', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'DeleteChartSeries', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteChartSeries', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteChartSeries', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteChartSeries', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteChartSeries', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteChartSeries', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_chart_series_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteChartSeries', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartSeries', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteChartSeries', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_comments
  # Removes comments of the specified author from the presentation. If author value is not provided all comments will be removed. 
  # @param name Document name.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :author Author of comments.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [nil]
  describe 'delete_comments test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteComments', 'String')
      paramauthor = AsposeSlidesCloud::SpecUtils.get_param_value('author', 'DeleteComments', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteComments', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteComments', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteComments', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteComments', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_comments_with_http_info(paramname, paramauthor, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteComments', nil, nil)
      expect(c).to eq(code)
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteComments', 'String')
      paramauthor = AsposeSlidesCloud::SpecUtils.get_param_value('author', 'DeleteComments', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteComments', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteComments', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteComments', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteComments', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteComments', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_comments_with_http_info(paramname, paramauthor, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteComments', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteComments', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteComments', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid author' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteComments', 'String')
      paramauthor = AsposeSlidesCloud::SpecUtils.get_param_value('author', 'DeleteComments', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteComments', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteComments', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteComments', 'String')
      paramauthor = AsposeSlidesCloud::SpecUtils.invalidize_param_value('author', 'DeleteComments', paramauthor, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteComments', 'author', paramauthor)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_comments_with_http_info(paramname, paramauthor, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteComments', 'author')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteComments', 'author', paramauthor)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteComments', 'author', paramauthor)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteComments', 'String')
      paramauthor = AsposeSlidesCloud::SpecUtils.get_param_value('author', 'DeleteComments', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteComments', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteComments', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteComments', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteComments', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteComments', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_comments_with_http_info(paramname, paramauthor, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteComments', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteComments', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteComments', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteComments', 'String')
      paramauthor = AsposeSlidesCloud::SpecUtils.get_param_value('author', 'DeleteComments', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteComments', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteComments', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteComments', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteComments', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteComments', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_comments_with_http_info(paramname, paramauthor, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteComments', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteComments', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteComments', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteComments', 'String')
      paramauthor = AsposeSlidesCloud::SpecUtils.get_param_value('author', 'DeleteComments', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteComments', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteComments', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteComments', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteComments', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteComments', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_comments_with_http_info(paramname, paramauthor, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteComments', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteComments', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteComments', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_comments_online
  # Removes comments of the specified author from the presentation. If author value is not provided all comments will be removed. 
  # @param document Document data.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :author Author of comments.
  # @option opts [String] :password Document password.
  # @return [File]
  describe 'delete_comments_online test' do
    it 'should work' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DeleteCommentsOnline', 'File')
      paramauthor = AsposeSlidesCloud::SpecUtils.get_param_value('author', 'DeleteCommentsOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteCommentsOnline', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteCommentsOnline', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_comments_online_with_http_info(paramdocument, paramauthor, parampassword)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteCommentsOnline', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid document' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DeleteCommentsOnline', 'File')
      paramauthor = AsposeSlidesCloud::SpecUtils.get_param_value('author', 'DeleteCommentsOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteCommentsOnline', 'String')
      paramdocument = AsposeSlidesCloud::SpecUtils.invalidize_param_value('document', 'DeleteCommentsOnline', paramdocument, 'File')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteCommentsOnline', 'document', paramdocument)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_comments_online_with_http_info(paramdocument, paramauthor, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteCommentsOnline', 'document')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteCommentsOnline', 'document', paramdocument)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteCommentsOnline', 'document', paramdocument)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid author' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DeleteCommentsOnline', 'File')
      paramauthor = AsposeSlidesCloud::SpecUtils.get_param_value('author', 'DeleteCommentsOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteCommentsOnline', 'String')
      paramauthor = AsposeSlidesCloud::SpecUtils.invalidize_param_value('author', 'DeleteCommentsOnline', paramauthor, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteCommentsOnline', 'author', paramauthor)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_comments_online_with_http_info(paramdocument, paramauthor, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteCommentsOnline', 'author')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteCommentsOnline', 'author', paramauthor)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteCommentsOnline', 'author', paramauthor)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DeleteCommentsOnline', 'File')
      paramauthor = AsposeSlidesCloud::SpecUtils.get_param_value('author', 'DeleteCommentsOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteCommentsOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteCommentsOnline', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteCommentsOnline', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_comments_online_with_http_info(paramdocument, paramauthor, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteCommentsOnline', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteCommentsOnline', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteCommentsOnline', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_document_properties
  # Clean document properties.
  # @param name Document name.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [DocumentProperties]
  describe 'delete_document_properties test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteDocumentProperties', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteDocumentProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteDocumentProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteDocumentProperties', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteDocumentProperties', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_document_properties_with_http_info(paramname, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteDocumentProperties', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteDocumentProperties', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteDocumentProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteDocumentProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteDocumentProperties', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteDocumentProperties', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteDocumentProperties', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_document_properties_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteDocumentProperties', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteDocumentProperties', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteDocumentProperties', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteDocumentProperties', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteDocumentProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteDocumentProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteDocumentProperties', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteDocumentProperties', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteDocumentProperties', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_document_properties_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteDocumentProperties', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteDocumentProperties', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteDocumentProperties', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteDocumentProperties', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteDocumentProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteDocumentProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteDocumentProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteDocumentProperties', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteDocumentProperties', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_document_properties_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteDocumentProperties', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteDocumentProperties', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteDocumentProperties', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteDocumentProperties', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteDocumentProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteDocumentProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteDocumentProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteDocumentProperties', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteDocumentProperties', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_document_properties_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteDocumentProperties', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteDocumentProperties', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteDocumentProperties', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_document_property
  # Delete document property.
  # @param name Document name.
  # @param property_name The property name.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [DocumentProperties]
  describe 'delete_document_property test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteDocumentProperty', 'String')
      paramproperty_name = AsposeSlidesCloud::SpecUtils.get_param_value('propertyName', 'DeleteDocumentProperty', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteDocumentProperty', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteDocumentProperty', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteDocumentProperty', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteDocumentProperty', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_document_property_with_http_info(paramname, paramproperty_name, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteDocumentProperty', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteDocumentProperty', 'String')
      paramproperty_name = AsposeSlidesCloud::SpecUtils.get_param_value('propertyName', 'DeleteDocumentProperty', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteDocumentProperty', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteDocumentProperty', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteDocumentProperty', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteDocumentProperty', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteDocumentProperty', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_document_property_with_http_info(paramname, paramproperty_name, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteDocumentProperty', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteDocumentProperty', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteDocumentProperty', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid property_name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteDocumentProperty', 'String')
      paramproperty_name = AsposeSlidesCloud::SpecUtils.get_param_value('propertyName', 'DeleteDocumentProperty', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteDocumentProperty', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteDocumentProperty', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteDocumentProperty', 'String')
      paramproperty_name = AsposeSlidesCloud::SpecUtils.invalidize_param_value('propertyName', 'DeleteDocumentProperty', paramproperty_name, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteDocumentProperty', 'propertyName', paramproperty_name)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_document_property_with_http_info(paramname, paramproperty_name, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteDocumentProperty', 'propertyName')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteDocumentProperty', 'propertyName', paramproperty_name)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteDocumentProperty', 'propertyName', paramproperty_name)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteDocumentProperty', 'String')
      paramproperty_name = AsposeSlidesCloud::SpecUtils.get_param_value('propertyName', 'DeleteDocumentProperty', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteDocumentProperty', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteDocumentProperty', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteDocumentProperty', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteDocumentProperty', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteDocumentProperty', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_document_property_with_http_info(paramname, paramproperty_name, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteDocumentProperty', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteDocumentProperty', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteDocumentProperty', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteDocumentProperty', 'String')
      paramproperty_name = AsposeSlidesCloud::SpecUtils.get_param_value('propertyName', 'DeleteDocumentProperty', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteDocumentProperty', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteDocumentProperty', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteDocumentProperty', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteDocumentProperty', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteDocumentProperty', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_document_property_with_http_info(paramname, paramproperty_name, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteDocumentProperty', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteDocumentProperty', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteDocumentProperty', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteDocumentProperty', 'String')
      paramproperty_name = AsposeSlidesCloud::SpecUtils.get_param_value('propertyName', 'DeleteDocumentProperty', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteDocumentProperty', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteDocumentProperty', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteDocumentProperty', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteDocumentProperty', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteDocumentProperty', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_document_property_with_http_info(paramname, paramproperty_name, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteDocumentProperty', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteDocumentProperty', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteDocumentProperty', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_file
  # Delete file
  # @param path File path e.g. &#39;/folder/file.ext&#39;
  # @param [Hash] opts the optional parameters
  # @option opts [String] :storage_name Storage name
  # @option opts [String] :version_id File version ID to delete
  # @return [nil]
  describe 'delete_file test' do
    it 'should work' do
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteFile', 'String')
      paramstorage_name = AsposeSlidesCloud::SpecUtils.get_param_value('storageName', 'DeleteFile', 'String')
      paramversion_id = AsposeSlidesCloud::SpecUtils.get_param_value('versionId', 'DeleteFile', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteFile', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_file_with_http_info(parampath, paramstorage_name, paramversion_id)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteFile', nil, nil)
      expect(c).to eq(code)
    end

    it 'invalid path' do
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteFile', 'String')
      paramstorage_name = AsposeSlidesCloud::SpecUtils.get_param_value('storageName', 'DeleteFile', 'String')
      paramversion_id = AsposeSlidesCloud::SpecUtils.get_param_value('versionId', 'DeleteFile', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'DeleteFile', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteFile', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_file_with_http_info(parampath, paramstorage_name, paramversion_id)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteFile', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteFile', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteFile', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage_name' do
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteFile', 'String')
      paramstorage_name = AsposeSlidesCloud::SpecUtils.get_param_value('storageName', 'DeleteFile', 'String')
      paramversion_id = AsposeSlidesCloud::SpecUtils.get_param_value('versionId', 'DeleteFile', 'String')
      paramstorage_name = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storageName', 'DeleteFile', paramstorage_name, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteFile', 'storageName', paramstorage_name)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_file_with_http_info(parampath, paramstorage_name, paramversion_id)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteFile', 'storageName')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteFile', 'storageName', paramstorage_name)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteFile', 'storageName', paramstorage_name)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid version_id' do
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteFile', 'String')
      paramstorage_name = AsposeSlidesCloud::SpecUtils.get_param_value('storageName', 'DeleteFile', 'String')
      paramversion_id = AsposeSlidesCloud::SpecUtils.get_param_value('versionId', 'DeleteFile', 'String')
      paramversion_id = AsposeSlidesCloud::SpecUtils.invalidize_param_value('versionId', 'DeleteFile', paramversion_id, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteFile', 'versionId', paramversion_id)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_file_with_http_info(parampath, paramstorage_name, paramversion_id)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteFile', 'versionId')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteFile', 'versionId', paramversion_id)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteFile', 'versionId', paramversion_id)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_folder
  # Delete folder
  # @param path Folder path e.g. &#39;/folder&#39;
  # @param [Hash] opts the optional parameters
  # @option opts [String] :storage_name Storage name
  # @option opts [BOOLEAN] :recursive Enable to delete folders, subfolders and files
  # @return [nil]
  describe 'delete_folder test' do
    it 'should work' do
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteFolder', 'String')
      paramstorage_name = AsposeSlidesCloud::SpecUtils.get_param_value('storageName', 'DeleteFolder', 'String')
      paramrecursive = AsposeSlidesCloud::SpecUtils.get_param_value('recursive', 'DeleteFolder', 'BOOLEAN')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteFolder', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_folder_with_http_info(parampath, paramstorage_name, paramrecursive)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteFolder', nil, nil)
      expect(c).to eq(code)
    end

    it 'invalid path' do
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteFolder', 'String')
      paramstorage_name = AsposeSlidesCloud::SpecUtils.get_param_value('storageName', 'DeleteFolder', 'String')
      paramrecursive = AsposeSlidesCloud::SpecUtils.get_param_value('recursive', 'DeleteFolder', 'BOOLEAN')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'DeleteFolder', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteFolder', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_folder_with_http_info(parampath, paramstorage_name, paramrecursive)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteFolder', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteFolder', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteFolder', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage_name' do
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteFolder', 'String')
      paramstorage_name = AsposeSlidesCloud::SpecUtils.get_param_value('storageName', 'DeleteFolder', 'String')
      paramrecursive = AsposeSlidesCloud::SpecUtils.get_param_value('recursive', 'DeleteFolder', 'BOOLEAN')
      paramstorage_name = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storageName', 'DeleteFolder', paramstorage_name, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteFolder', 'storageName', paramstorage_name)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_folder_with_http_info(parampath, paramstorage_name, paramrecursive)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteFolder', 'storageName')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteFolder', 'storageName', paramstorage_name)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteFolder', 'storageName', paramstorage_name)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid recursive' do
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteFolder', 'String')
      paramstorage_name = AsposeSlidesCloud::SpecUtils.get_param_value('storageName', 'DeleteFolder', 'String')
      paramrecursive = AsposeSlidesCloud::SpecUtils.get_param_value('recursive', 'DeleteFolder', 'BOOLEAN')
      paramrecursive = AsposeSlidesCloud::SpecUtils.invalidize_param_value('recursive', 'DeleteFolder', paramrecursive, 'BOOLEAN')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteFolder', 'recursive', paramrecursive)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_folder_with_http_info(parampath, paramstorage_name, paramrecursive)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteFolder', 'recursive')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteFolder', 'recursive', paramrecursive)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteFolder', 'recursive', paramrecursive)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_notes_slide
  # Remove notes slide.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Slide]
  describe 'delete_notes_slide test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteNotesSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteNotesSlide', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteNotesSlide', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_notes_slide_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteNotesSlide', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteNotesSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteNotesSlide', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteNotesSlide', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteNotesSlide', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_notes_slide_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteNotesSlide', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteNotesSlide', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteNotesSlide', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteNotesSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteNotesSlide', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteNotesSlide', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_notes_slide_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteNotesSlide', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteNotesSlide', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteNotesSlide', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteNotesSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteNotesSlide', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteNotesSlide', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteNotesSlide', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_notes_slide_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteNotesSlide', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteNotesSlide', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteNotesSlide', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteNotesSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteNotesSlide', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteNotesSlide', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_notes_slide_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteNotesSlide', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteNotesSlide', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteNotesSlide', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteNotesSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteNotesSlide', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteNotesSlide', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_notes_slide_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteNotesSlide', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteNotesSlide', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteNotesSlide', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_paragraph
  # Remove a paragraph.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param shape_index Shape index.
  # @param paragraph_index Paragraph index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Paragraphs]
  describe 'delete_paragraph test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteParagraph', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteParagraph', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteParagraph', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_paragraph_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteParagraph', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteParagraph', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteParagraph', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteParagraph', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteParagraph', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_paragraph_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteParagraph', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteParagraph', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteParagraph', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteParagraph', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteParagraph', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteParagraph', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_paragraph_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteParagraph', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteParagraph', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteParagraph', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteParagraph', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'DeleteParagraph', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteParagraph', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_paragraph_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteParagraph', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteParagraph', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteParagraph', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteParagraph', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteParagraph', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'DeleteParagraph', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteParagraph', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_paragraph_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteParagraph', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteParagraph', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteParagraph', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteParagraph', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteParagraph', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteParagraph', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteParagraph', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_paragraph_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteParagraph', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteParagraph', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteParagraph', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteParagraph', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteParagraph', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteParagraph', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_paragraph_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteParagraph', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteParagraph', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteParagraph', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteParagraph', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteParagraph', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteParagraph', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_paragraph_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteParagraph', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteParagraph', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteParagraph', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_paragraphs
  # Remove a range of paragraphs.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param shape_index Shape index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :paragraphs The indices of the paragraphs to be deleted; delete all by default.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Paragraphs]
  describe 'delete_paragraphs test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteParagraphs', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteParagraphs', 'Integer')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphs', 'DeleteParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteParagraphs', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteParagraphs', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_paragraphs_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraphs, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteParagraphs', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteParagraphs', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteParagraphs', 'Integer')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphs', 'DeleteParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteParagraphs', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteParagraphs', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteParagraphs', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_paragraphs_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraphs, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteParagraphs', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteParagraphs', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteParagraphs', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteParagraphs', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteParagraphs', 'Integer')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphs', 'DeleteParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteParagraphs', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteParagraphs', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_paragraphs_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraphs, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteParagraphs', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteParagraphs', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteParagraphs', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteParagraphs', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteParagraphs', 'Integer')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphs', 'DeleteParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'DeleteParagraphs', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteParagraphs', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_paragraphs_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraphs, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteParagraphs', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteParagraphs', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteParagraphs', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraphs' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteParagraphs', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteParagraphs', 'Integer')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphs', 'DeleteParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteParagraphs', 'String')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphs', 'DeleteParagraphs', paramparagraphs, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteParagraphs', 'paragraphs', paramparagraphs)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_paragraphs_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraphs, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteParagraphs', 'paragraphs')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteParagraphs', 'paragraphs', paramparagraphs)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteParagraphs', 'paragraphs', paramparagraphs)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteParagraphs', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteParagraphs', 'Integer')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphs', 'DeleteParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteParagraphs', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteParagraphs', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_paragraphs_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraphs, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteParagraphs', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteParagraphs', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteParagraphs', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteParagraphs', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteParagraphs', 'Integer')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphs', 'DeleteParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteParagraphs', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteParagraphs', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_paragraphs_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraphs, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteParagraphs', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteParagraphs', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteParagraphs', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteParagraphs', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteParagraphs', 'Integer')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphs', 'DeleteParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteParagraphs', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteParagraphs', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_paragraphs_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraphs, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteParagraphs', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteParagraphs', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteParagraphs', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_portion
  # Remove a portion.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param shape_index Shape index.
  # @param paragraph_index Paragraph index.
  # @param portion_index Portion index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Portions]
  describe 'delete_portion test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeletePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeletePortion', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeletePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeletePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeletePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeletePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeletePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeletePortion', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeletePortion', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_portion_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeletePortion', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeletePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeletePortion', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeletePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeletePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeletePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeletePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeletePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeletePortion', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeletePortion', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeletePortion', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_portion_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeletePortion', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeletePortion', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeletePortion', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeletePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeletePortion', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeletePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeletePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeletePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeletePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeletePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeletePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeletePortion', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeletePortion', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_portion_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeletePortion', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeletePortion', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeletePortion', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeletePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeletePortion', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeletePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeletePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeletePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeletePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeletePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeletePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'DeletePortion', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeletePortion', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_portion_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeletePortion', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeletePortion', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeletePortion', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeletePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeletePortion', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeletePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeletePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeletePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeletePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeletePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeletePortion', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'DeletePortion', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeletePortion', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_portion_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeletePortion', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeletePortion', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeletePortion', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid portion_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeletePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeletePortion', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeletePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeletePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeletePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeletePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeletePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeletePortion', 'String')
      paramportion_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('portionIndex', 'DeletePortion', paramportion_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeletePortion', 'portionIndex', paramportion_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_portion_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeletePortion', 'portionIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeletePortion', 'portionIndex', paramportion_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeletePortion', 'portionIndex', paramportion_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeletePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeletePortion', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeletePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeletePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeletePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeletePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeletePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeletePortion', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeletePortion', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeletePortion', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_portion_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeletePortion', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeletePortion', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeletePortion', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeletePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeletePortion', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeletePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeletePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeletePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeletePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeletePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeletePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeletePortion', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeletePortion', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_portion_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeletePortion', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeletePortion', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeletePortion', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeletePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeletePortion', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeletePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeletePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeletePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeletePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeletePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeletePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeletePortion', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeletePortion', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_portion_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeletePortion', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeletePortion', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeletePortion', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_portions
  # Remove a range of portions.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param shape_index Shape index.
  # @param paragraph_index Paragraph index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :portions The indices of the portions to be deleted; delete all by default.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Portions]
  describe 'delete_portions test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeletePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeletePortions', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeletePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeletePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeletePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeletePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeletePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeletePortions', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeletePortions', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_portions_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeletePortions', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeletePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeletePortions', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeletePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeletePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeletePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeletePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeletePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeletePortions', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeletePortions', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeletePortions', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_portions_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeletePortions', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeletePortions', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeletePortions', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeletePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeletePortions', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeletePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeletePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeletePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeletePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeletePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeletePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeletePortions', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeletePortions', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_portions_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeletePortions', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeletePortions', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeletePortions', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeletePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeletePortions', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeletePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeletePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeletePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeletePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeletePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeletePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'DeletePortions', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeletePortions', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_portions_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeletePortions', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeletePortions', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeletePortions', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeletePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeletePortions', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeletePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeletePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeletePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeletePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeletePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeletePortions', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'DeletePortions', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeletePortions', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_portions_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeletePortions', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeletePortions', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeletePortions', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid portions' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeletePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeletePortions', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeletePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeletePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeletePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeletePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeletePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeletePortions', 'String')
      paramportions = AsposeSlidesCloud::SpecUtils.invalidize_param_value('portions', 'DeletePortions', paramportions, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeletePortions', 'portions', paramportions)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_portions_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeletePortions', 'portions')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeletePortions', 'portions', paramportions)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeletePortions', 'portions', paramportions)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeletePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeletePortions', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeletePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeletePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeletePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeletePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeletePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeletePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeletePortions', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeletePortions', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_portions_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeletePortions', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeletePortions', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeletePortions', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeletePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeletePortions', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeletePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeletePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeletePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeletePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeletePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeletePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeletePortions', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeletePortions', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_portions_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeletePortions', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeletePortions', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeletePortions', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeletePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeletePortions', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeletePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeletePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeletePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeletePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeletePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeletePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeletePortions', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeletePortions', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_portions_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeletePortions', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeletePortions', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeletePortions', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_protection
  # Resets all presentation protection settings. 
  # @param name Document name.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Presentation password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [ProtectionProperties]
  describe 'delete_protection test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteProtection', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteProtection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteProtection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteProtection', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteProtection', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_protection_with_http_info(paramname, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteProtection', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteProtection', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteProtection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteProtection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteProtection', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteProtection', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteProtection', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_protection_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteProtection', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteProtection', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteProtection', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteProtection', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteProtection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteProtection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteProtection', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteProtection', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteProtection', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_protection_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteProtection', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteProtection', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteProtection', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteProtection', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteProtection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteProtection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteProtection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteProtection', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteProtection', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_protection_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteProtection', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteProtection', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteProtection', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteProtection', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteProtection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteProtection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteProtection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteProtection', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteProtection', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_protection_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteProtection', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteProtection', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteProtection', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_protection_online
  # Resets all presentation protection settings. 
  # @param document Document data.
  # @param password Presentation password.
  # @param [Hash] opts the optional parameters
  # @return [File]
  describe 'delete_protection_online test' do
    it 'should work' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DeleteProtectionOnline', 'File')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteProtectionOnline', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteProtectionOnline', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_protection_online_with_http_info(paramdocument, parampassword)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteProtectionOnline', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid document' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DeleteProtectionOnline', 'File')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteProtectionOnline', 'String')
      paramdocument = AsposeSlidesCloud::SpecUtils.invalidize_param_value('document', 'DeleteProtectionOnline', paramdocument, 'File')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteProtectionOnline', 'document', paramdocument)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_protection_online_with_http_info(paramdocument, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteProtectionOnline', 'document')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteProtectionOnline', 'document', paramdocument)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteProtectionOnline', 'document', paramdocument)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DeleteProtectionOnline', 'File')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteProtectionOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteProtectionOnline', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteProtectionOnline', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_protection_online_with_http_info(paramdocument, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteProtectionOnline', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteProtectionOnline', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteProtectionOnline', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_section
  # Delete a presentation section.
  # @param name Document name.
  # @param section_index Section index.
  # @param [Hash] opts the optional parameters
  # @option opts [BOOLEAN] :with_slides True to delete the slides related to the deleted section; move them to the remaining sections otherwise.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Sections]
  describe 'delete_section test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSection', 'String')
      paramsection_index = AsposeSlidesCloud::SpecUtils.get_param_value('sectionIndex', 'DeleteSection', 'Integer')
      paramwith_slides = AsposeSlidesCloud::SpecUtils.get_param_value('withSlides', 'DeleteSection', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSection', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSection', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_section_with_http_info(paramname, paramsection_index, paramwith_slides, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSection', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSection', 'String')
      paramsection_index = AsposeSlidesCloud::SpecUtils.get_param_value('sectionIndex', 'DeleteSection', 'Integer')
      paramwith_slides = AsposeSlidesCloud::SpecUtils.get_param_value('withSlides', 'DeleteSection', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSection', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteSection', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSection', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_section_with_http_info(paramname, paramsection_index, paramwith_slides, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSection', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSection', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSection', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid section_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSection', 'String')
      paramsection_index = AsposeSlidesCloud::SpecUtils.get_param_value('sectionIndex', 'DeleteSection', 'Integer')
      paramwith_slides = AsposeSlidesCloud::SpecUtils.get_param_value('withSlides', 'DeleteSection', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSection', 'String')
      paramsection_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('sectionIndex', 'DeleteSection', paramsection_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSection', 'sectionIndex', paramsection_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_section_with_http_info(paramname, paramsection_index, paramwith_slides, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSection', 'sectionIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSection', 'sectionIndex', paramsection_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSection', 'sectionIndex', paramsection_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid with_slides' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSection', 'String')
      paramsection_index = AsposeSlidesCloud::SpecUtils.get_param_value('sectionIndex', 'DeleteSection', 'Integer')
      paramwith_slides = AsposeSlidesCloud::SpecUtils.get_param_value('withSlides', 'DeleteSection', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSection', 'String')
      paramwith_slides = AsposeSlidesCloud::SpecUtils.invalidize_param_value('withSlides', 'DeleteSection', paramwith_slides, 'BOOLEAN')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSection', 'withSlides', paramwith_slides)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_section_with_http_info(paramname, paramsection_index, paramwith_slides, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSection', 'withSlides')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSection', 'withSlides', paramwith_slides)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSection', 'withSlides', paramwith_slides)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSection', 'String')
      paramsection_index = AsposeSlidesCloud::SpecUtils.get_param_value('sectionIndex', 'DeleteSection', 'Integer')
      paramwith_slides = AsposeSlidesCloud::SpecUtils.get_param_value('withSlides', 'DeleteSection', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSection', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteSection', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSection', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_section_with_http_info(paramname, paramsection_index, paramwith_slides, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSection', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSection', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSection', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSection', 'String')
      paramsection_index = AsposeSlidesCloud::SpecUtils.get_param_value('sectionIndex', 'DeleteSection', 'Integer')
      paramwith_slides = AsposeSlidesCloud::SpecUtils.get_param_value('withSlides', 'DeleteSection', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteSection', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSection', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_section_with_http_info(paramname, paramsection_index, paramwith_slides, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSection', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSection', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSection', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSection', 'String')
      paramsection_index = AsposeSlidesCloud::SpecUtils.get_param_value('sectionIndex', 'DeleteSection', 'Integer')
      paramwith_slides = AsposeSlidesCloud::SpecUtils.get_param_value('withSlides', 'DeleteSection', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteSection', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSection', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_section_with_http_info(paramname, paramsection_index, paramwith_slides, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSection', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSection', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSection', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_sections
  # Delete presentation sections.
  # @param name Document name.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :sections The indices of the sections to be deleted; delete all by default.
  # @option opts [BOOLEAN] :with_slides True to delete the slides related to the deleted sections; move them to the remaining sections otherwise.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Sections]
  describe 'delete_sections test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSections', 'String')
      paramsections = AsposeSlidesCloud::SpecUtils.get_param_value('sections', 'DeleteSections', 'String')
      paramwith_slides = AsposeSlidesCloud::SpecUtils.get_param_value('withSlides', 'DeleteSections', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSections', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSections', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSections', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSections', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_sections_with_http_info(paramname, paramsections, paramwith_slides, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSections', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSections', 'String')
      paramsections = AsposeSlidesCloud::SpecUtils.get_param_value('sections', 'DeleteSections', 'String')
      paramwith_slides = AsposeSlidesCloud::SpecUtils.get_param_value('withSlides', 'DeleteSections', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSections', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSections', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSections', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteSections', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSections', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_sections_with_http_info(paramname, paramsections, paramwith_slides, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSections', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSections', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSections', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid sections' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSections', 'String')
      paramsections = AsposeSlidesCloud::SpecUtils.get_param_value('sections', 'DeleteSections', 'String')
      paramwith_slides = AsposeSlidesCloud::SpecUtils.get_param_value('withSlides', 'DeleteSections', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSections', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSections', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSections', 'String')
      paramsections = AsposeSlidesCloud::SpecUtils.invalidize_param_value('sections', 'DeleteSections', paramsections, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSections', 'sections', paramsections)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_sections_with_http_info(paramname, paramsections, paramwith_slides, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSections', 'sections')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSections', 'sections', paramsections)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSections', 'sections', paramsections)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid with_slides' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSections', 'String')
      paramsections = AsposeSlidesCloud::SpecUtils.get_param_value('sections', 'DeleteSections', 'String')
      paramwith_slides = AsposeSlidesCloud::SpecUtils.get_param_value('withSlides', 'DeleteSections', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSections', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSections', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSections', 'String')
      paramwith_slides = AsposeSlidesCloud::SpecUtils.invalidize_param_value('withSlides', 'DeleteSections', paramwith_slides, 'BOOLEAN')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSections', 'withSlides', paramwith_slides)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_sections_with_http_info(paramname, paramsections, paramwith_slides, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSections', 'withSlides')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSections', 'withSlides', paramwith_slides)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSections', 'withSlides', paramwith_slides)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSections', 'String')
      paramsections = AsposeSlidesCloud::SpecUtils.get_param_value('sections', 'DeleteSections', 'String')
      paramwith_slides = AsposeSlidesCloud::SpecUtils.get_param_value('withSlides', 'DeleteSections', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSections', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSections', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSections', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteSections', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSections', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_sections_with_http_info(paramname, paramsections, paramwith_slides, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSections', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSections', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSections', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSections', 'String')
      paramsections = AsposeSlidesCloud::SpecUtils.get_param_value('sections', 'DeleteSections', 'String')
      paramwith_slides = AsposeSlidesCloud::SpecUtils.get_param_value('withSlides', 'DeleteSections', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSections', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSections', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSections', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteSections', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSections', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_sections_with_http_info(paramname, paramsections, paramwith_slides, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSections', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSections', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSections', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSections', 'String')
      paramsections = AsposeSlidesCloud::SpecUtils.get_param_value('sections', 'DeleteSections', 'String')
      paramwith_slides = AsposeSlidesCloud::SpecUtils.get_param_value('withSlides', 'DeleteSections', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSections', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSections', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSections', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteSections', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSections', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_sections_with_http_info(paramname, paramsections, paramwith_slides, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSections', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSections', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSections', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_shape
  # Remove a shape.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param shape_index Shape index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Shapes]
  describe 'delete_shape test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteShape', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteShape', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_shape_with_http_info(paramname, paramslide_index, paramshape_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteShape', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteShape', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteShape', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteShape', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_shape_with_http_info(paramname, paramslide_index, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteShape', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteShape', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteShape', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteShape', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteShape', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_shape_with_http_info(paramname, paramslide_index, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteShape', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteShape', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteShape', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'DeleteShape', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteShape', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_shape_with_http_info(paramname, paramslide_index, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteShape', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteShape', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteShape', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteShape', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteShape', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_shape_with_http_info(paramname, paramslide_index, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteShape', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteShape', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteShape', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteShape', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteShape', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_shape_with_http_info(paramname, paramslide_index, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteShape', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteShape', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteShape', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteShape', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteShape', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_shape_with_http_info(paramname, paramslide_index, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteShape', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteShape', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteShape', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_shapes
  # Remove a range of shapes.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :shapes The indices of the shapes to be deleted; delete all by default.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Shapes]
  describe 'delete_shapes test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteShapes', 'Integer')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'DeleteShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteShapes', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteShapes', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_shapes_with_http_info(paramname, paramslide_index, paramshapes, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteShapes', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteShapes', 'Integer')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'DeleteShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteShapes', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteShapes', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteShapes', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_shapes_with_http_info(paramname, paramslide_index, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteShapes', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteShapes', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteShapes', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteShapes', 'Integer')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'DeleteShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteShapes', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteShapes', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_shapes_with_http_info(paramname, paramslide_index, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteShapes', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteShapes', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteShapes', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shapes' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteShapes', 'Integer')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'DeleteShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteShapes', 'String')
      paramshapes = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapes', 'DeleteShapes', paramshapes, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteShapes', 'shapes', paramshapes)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_shapes_with_http_info(paramname, paramslide_index, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteShapes', 'shapes')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteShapes', 'shapes', paramshapes)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteShapes', 'shapes', paramshapes)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteShapes', 'Integer')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'DeleteShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteShapes', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteShapes', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_shapes_with_http_info(paramname, paramslide_index, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteShapes', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteShapes', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteShapes', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteShapes', 'Integer')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'DeleteShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteShapes', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteShapes', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_shapes_with_http_info(paramname, paramslide_index, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteShapes', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteShapes', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteShapes', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteShapes', 'Integer')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'DeleteShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteShapes', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteShapes', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_shapes_with_http_info(paramname, paramslide_index, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteShapes', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteShapes', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteShapes', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_slide
  # Delete a presentation slide by index.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Slides]
  describe 'delete_slide test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSlide', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSlide', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_slide_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlide', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSlide', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteSlide', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSlide', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_slide_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSlide', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlide', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlide', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteSlide', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSlide', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_slide_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSlide', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlide', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlide', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSlide', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteSlide', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSlide', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_slide_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSlide', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlide', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlide', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteSlide', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSlide', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_slide_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSlide', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlide', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlide', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteSlide', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSlide', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_slide_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSlide', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlide', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlide', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_slide_comments
  # Removes comments of the specified author from the slide. If author value is not provided all comments will be removed. 
  # @param name Document name.
  # @param slide_index Slide index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :author Author of comments.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [SlideComments]
  describe 'delete_slide_comments test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSlideComments', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSlideComments', 'Integer')
      paramauthor = AsposeSlidesCloud::SpecUtils.get_param_value('author', 'DeleteSlideComments', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSlideComments', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSlideComments', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSlideComments', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSlideComments', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_slide_comments_with_http_info(paramname, paramslide_index, paramauthor, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlideComments', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSlideComments', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSlideComments', 'Integer')
      paramauthor = AsposeSlidesCloud::SpecUtils.get_param_value('author', 'DeleteSlideComments', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSlideComments', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSlideComments', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSlideComments', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteSlideComments', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSlideComments', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_slide_comments_with_http_info(paramname, paramslide_index, paramauthor, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSlideComments', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlideComments', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlideComments', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSlideComments', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSlideComments', 'Integer')
      paramauthor = AsposeSlidesCloud::SpecUtils.get_param_value('author', 'DeleteSlideComments', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSlideComments', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSlideComments', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSlideComments', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteSlideComments', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSlideComments', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_slide_comments_with_http_info(paramname, paramslide_index, paramauthor, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSlideComments', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlideComments', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlideComments', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid author' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSlideComments', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSlideComments', 'Integer')
      paramauthor = AsposeSlidesCloud::SpecUtils.get_param_value('author', 'DeleteSlideComments', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSlideComments', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSlideComments', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSlideComments', 'String')
      paramauthor = AsposeSlidesCloud::SpecUtils.invalidize_param_value('author', 'DeleteSlideComments', paramauthor, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSlideComments', 'author', paramauthor)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_slide_comments_with_http_info(paramname, paramslide_index, paramauthor, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSlideComments', 'author')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlideComments', 'author', paramauthor)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlideComments', 'author', paramauthor)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSlideComments', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSlideComments', 'Integer')
      paramauthor = AsposeSlidesCloud::SpecUtils.get_param_value('author', 'DeleteSlideComments', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSlideComments', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSlideComments', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSlideComments', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteSlideComments', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSlideComments', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_slide_comments_with_http_info(paramname, paramslide_index, paramauthor, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSlideComments', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlideComments', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlideComments', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSlideComments', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSlideComments', 'Integer')
      paramauthor = AsposeSlidesCloud::SpecUtils.get_param_value('author', 'DeleteSlideComments', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSlideComments', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSlideComments', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSlideComments', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteSlideComments', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSlideComments', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_slide_comments_with_http_info(paramname, paramslide_index, paramauthor, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSlideComments', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlideComments', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlideComments', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSlideComments', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSlideComments', 'Integer')
      paramauthor = AsposeSlidesCloud::SpecUtils.get_param_value('author', 'DeleteSlideComments', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSlideComments', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSlideComments', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSlideComments', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteSlideComments', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSlideComments', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_slide_comments_with_http_info(paramname, paramslide_index, paramauthor, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSlideComments', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlideComments', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlideComments', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_slide_comments_online
  # Removes comments of the specified author from the slide. If author value is not provided all comments will be removed.              
  # @param document Document data.
  # @param slide_index 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :author Author of comments.
  # @option opts [String] :password Document password.
  # @return [File]
  describe 'delete_slide_comments_online test' do
    it 'should work' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DeleteSlideCommentsOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSlideCommentsOnline', 'Integer')
      paramauthor = AsposeSlidesCloud::SpecUtils.get_param_value('author', 'DeleteSlideCommentsOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSlideCommentsOnline', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSlideCommentsOnline', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_slide_comments_online_with_http_info(paramdocument, paramslide_index, paramauthor, parampassword)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlideCommentsOnline', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid document' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DeleteSlideCommentsOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSlideCommentsOnline', 'Integer')
      paramauthor = AsposeSlidesCloud::SpecUtils.get_param_value('author', 'DeleteSlideCommentsOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSlideCommentsOnline', 'String')
      paramdocument = AsposeSlidesCloud::SpecUtils.invalidize_param_value('document', 'DeleteSlideCommentsOnline', paramdocument, 'File')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSlideCommentsOnline', 'document', paramdocument)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_slide_comments_online_with_http_info(paramdocument, paramslide_index, paramauthor, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSlideCommentsOnline', 'document')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlideCommentsOnline', 'document', paramdocument)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlideCommentsOnline', 'document', paramdocument)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DeleteSlideCommentsOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSlideCommentsOnline', 'Integer')
      paramauthor = AsposeSlidesCloud::SpecUtils.get_param_value('author', 'DeleteSlideCommentsOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSlideCommentsOnline', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteSlideCommentsOnline', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSlideCommentsOnline', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_slide_comments_online_with_http_info(paramdocument, paramslide_index, paramauthor, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSlideCommentsOnline', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlideCommentsOnline', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlideCommentsOnline', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid author' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DeleteSlideCommentsOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSlideCommentsOnline', 'Integer')
      paramauthor = AsposeSlidesCloud::SpecUtils.get_param_value('author', 'DeleteSlideCommentsOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSlideCommentsOnline', 'String')
      paramauthor = AsposeSlidesCloud::SpecUtils.invalidize_param_value('author', 'DeleteSlideCommentsOnline', paramauthor, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSlideCommentsOnline', 'author', paramauthor)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_slide_comments_online_with_http_info(paramdocument, paramslide_index, paramauthor, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSlideCommentsOnline', 'author')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlideCommentsOnline', 'author', paramauthor)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlideCommentsOnline', 'author', paramauthor)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DeleteSlideCommentsOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSlideCommentsOnline', 'Integer')
      paramauthor = AsposeSlidesCloud::SpecUtils.get_param_value('author', 'DeleteSlideCommentsOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSlideCommentsOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteSlideCommentsOnline', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSlideCommentsOnline', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_slide_comments_online_with_http_info(paramdocument, paramslide_index, paramauthor, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSlideCommentsOnline', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlideCommentsOnline', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlideCommentsOnline', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_slides
  # Delete presentation slides.
  # @param name Document name.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :slides The indices of the slides to be deleted; delete all by default.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Slides]
  describe 'delete_slides test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSlides', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'DeleteSlides', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSlides', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSlides', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSlides', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSlides', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_slides_with_http_info(paramname, paramslides, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlides', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSlides', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'DeleteSlides', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSlides', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSlides', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSlides', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteSlides', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSlides', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_slides_with_http_info(paramname, paramslides, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSlides', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlides', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlides', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slides' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSlides', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'DeleteSlides', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSlides', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSlides', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSlides', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slides', 'DeleteSlides', paramslides, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSlides', 'slides', paramslides)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_slides_with_http_info(paramname, paramslides, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSlides', 'slides')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlides', 'slides', paramslides)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlides', 'slides', paramslides)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSlides', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'DeleteSlides', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSlides', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSlides', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSlides', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteSlides', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSlides', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_slides_with_http_info(paramname, paramslides, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSlides', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlides', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlides', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSlides', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'DeleteSlides', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSlides', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSlides', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSlides', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteSlides', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSlides', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_slides_with_http_info(paramname, paramslides, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSlides', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlides', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlides', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSlides', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'DeleteSlides', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSlides', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSlides', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSlides', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteSlides', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSlides', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_slides_with_http_info(paramname, paramslides, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSlides', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlides', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSlides', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_special_slide_animation
  # Remove animation from a special slide (master, layout, notes).
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [SlideAnimation]
  describe 'delete_special_slide_animation test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimation', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimation', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimation', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimation', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_with_http_info(paramname, paramslide_index, paramslide_type, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimation', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimation', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimation', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimation', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteSpecialSlideAnimation', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimation', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_with_http_info(paramname, paramslide_index, paramslide_type, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimation', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimation', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimation', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimation', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimation', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteSpecialSlideAnimation', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimation', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_with_http_info(paramname, paramslide_index, paramslide_type, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimation', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimation', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimation', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimation', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimation', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimation', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'DeleteSpecialSlideAnimation', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimation', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_with_http_info(paramname, paramslide_index, paramslide_type, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimation', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimation', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimation', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimation', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimation', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimation', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteSpecialSlideAnimation', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimation', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_with_http_info(paramname, paramslide_index, paramslide_type, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimation', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimation', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimation', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimation', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimation', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteSpecialSlideAnimation', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimation', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_with_http_info(paramname, paramslide_index, paramslide_type, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimation', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimation', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimation', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimation', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimation', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteSpecialSlideAnimation', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimation', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_with_http_info(paramname, paramslide_index, paramslide_type, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimation', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimation', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimation', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_special_slide_animation_effect
  # Remove an effect from special slide (master, layout, notes) animation.
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param effect_index Index of the effect to be removed.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [SlideAnimation]
  describe 'delete_special_slide_animation_effect test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimationEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimationEffect', 'String')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'DeleteSpecialSlideAnimationEffect', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimationEffect', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimationEffect', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_effect_with_http_info(paramname, paramslide_index, paramslide_type, parameffect_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationEffect', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimationEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimationEffect', 'String')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'DeleteSpecialSlideAnimationEffect', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimationEffect', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteSpecialSlideAnimationEffect', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimationEffect', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_effect_with_http_info(paramname, paramslide_index, paramslide_type, parameffect_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimationEffect', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationEffect', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationEffect', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimationEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimationEffect', 'String')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'DeleteSpecialSlideAnimationEffect', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteSpecialSlideAnimationEffect', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimationEffect', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_effect_with_http_info(paramname, paramslide_index, paramslide_type, parameffect_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimationEffect', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationEffect', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationEffect', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimationEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimationEffect', 'String')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'DeleteSpecialSlideAnimationEffect', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimationEffect', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'DeleteSpecialSlideAnimationEffect', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimationEffect', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_effect_with_http_info(paramname, paramslide_index, paramslide_type, parameffect_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimationEffect', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationEffect', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationEffect', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid effect_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimationEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimationEffect', 'String')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'DeleteSpecialSlideAnimationEffect', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimationEffect', 'String')
      parameffect_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('effectIndex', 'DeleteSpecialSlideAnimationEffect', parameffect_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimationEffect', 'effectIndex', parameffect_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_effect_with_http_info(paramname, paramslide_index, paramslide_type, parameffect_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimationEffect', 'effectIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationEffect', 'effectIndex', parameffect_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationEffect', 'effectIndex', parameffect_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimationEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimationEffect', 'String')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'DeleteSpecialSlideAnimationEffect', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimationEffect', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteSpecialSlideAnimationEffect', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimationEffect', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_effect_with_http_info(paramname, paramslide_index, paramslide_type, parameffect_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimationEffect', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationEffect', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationEffect', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimationEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimationEffect', 'String')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'DeleteSpecialSlideAnimationEffect', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteSpecialSlideAnimationEffect', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimationEffect', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_effect_with_http_info(paramname, paramslide_index, paramslide_type, parameffect_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimationEffect', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationEffect', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationEffect', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimationEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimationEffect', 'String')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'DeleteSpecialSlideAnimationEffect', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteSpecialSlideAnimationEffect', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimationEffect', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_effect_with_http_info(paramname, paramslide_index, paramslide_type, parameffect_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimationEffect', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationEffect', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationEffect', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_special_slide_animation_interactive_sequence
  # Remove an interactive sequence from special slide (master, layout, notes) animation.
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param sequence_index The index of an interactive sequence to be deleted.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [SlideAnimation]
  describe 'delete_special_slide_animation_interactive_sequence test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimationInteractiveSequence', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'DeleteSpecialSlideAnimationInteractiveSequence', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimationInteractiveSequence', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_interactive_sequence_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequence', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimationInteractiveSequence', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'DeleteSpecialSlideAnimationInteractiveSequence', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteSpecialSlideAnimationInteractiveSequence', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimationInteractiveSequence', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_interactive_sequence_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimationInteractiveSequence', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequence', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequence', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimationInteractiveSequence', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'DeleteSpecialSlideAnimationInteractiveSequence', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteSpecialSlideAnimationInteractiveSequence', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimationInteractiveSequence', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_interactive_sequence_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimationInteractiveSequence', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequence', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequence', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimationInteractiveSequence', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'DeleteSpecialSlideAnimationInteractiveSequence', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'DeleteSpecialSlideAnimationInteractiveSequence', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimationInteractiveSequence', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_interactive_sequence_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimationInteractiveSequence', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequence', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequence', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid sequence_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimationInteractiveSequence', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'DeleteSpecialSlideAnimationInteractiveSequence', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('sequenceIndex', 'DeleteSpecialSlideAnimationInteractiveSequence', paramsequence_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimationInteractiveSequence', 'sequenceIndex', paramsequence_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_interactive_sequence_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimationInteractiveSequence', 'sequenceIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequence', 'sequenceIndex', paramsequence_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequence', 'sequenceIndex', paramsequence_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimationInteractiveSequence', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'DeleteSpecialSlideAnimationInteractiveSequence', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteSpecialSlideAnimationInteractiveSequence', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimationInteractiveSequence', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_interactive_sequence_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimationInteractiveSequence', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequence', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequence', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimationInteractiveSequence', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'DeleteSpecialSlideAnimationInteractiveSequence', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteSpecialSlideAnimationInteractiveSequence', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimationInteractiveSequence', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_interactive_sequence_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimationInteractiveSequence', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequence', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequence', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimationInteractiveSequence', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'DeleteSpecialSlideAnimationInteractiveSequence', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimationInteractiveSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteSpecialSlideAnimationInteractiveSequence', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimationInteractiveSequence', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_interactive_sequence_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimationInteractiveSequence', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequence', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequence', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_special_slide_animation_interactive_sequence_effect
  # Remove an effect from special slide (master, layout, notes) animation interactive sequence.
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param sequence_index Interactive sequence index.
  # @param effect_index Index of the effect to be removed.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [SlideAnimation]
  describe 'delete_special_slide_animation_interactive_sequence_effect test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimationInteractiveSequenceEffect', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence_index, parameffect_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequenceEffect', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence_index, parameffect_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence_index, parameffect_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence_index, parameffect_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid sequence_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('sequenceIndex', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', paramsequence_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'sequenceIndex', paramsequence_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence_index, parameffect_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'sequenceIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'sequenceIndex', paramsequence_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'sequenceIndex', paramsequence_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid effect_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      parameffect_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('effectIndex', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', parameffect_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'effectIndex', parameffect_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence_index, parameffect_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'effectIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'effectIndex', parameffect_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'effectIndex', parameffect_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence_index, parameffect_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence_index, parameffect_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteSpecialSlideAnimationInteractiveSequenceEffect', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence_index, parameffect_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequenceEffect', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_special_slide_animation_interactive_sequences
  # Clear all interactive sequences from special slide (master, layout, notes) animation.
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [SlideAnimation]
  describe 'delete_special_slide_animation_interactive_sequences test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimationInteractiveSequences', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimationInteractiveSequences', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimationInteractiveSequences', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimationInteractiveSequences', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimationInteractiveSequences', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimationInteractiveSequences', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimationInteractiveSequences', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_interactive_sequences_with_http_info(paramname, paramslide_index, paramslide_type, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequences', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimationInteractiveSequences', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimationInteractiveSequences', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimationInteractiveSequences', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimationInteractiveSequences', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimationInteractiveSequences', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimationInteractiveSequences', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteSpecialSlideAnimationInteractiveSequences', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimationInteractiveSequences', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_interactive_sequences_with_http_info(paramname, paramslide_index, paramslide_type, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimationInteractiveSequences', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequences', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequences', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimationInteractiveSequences', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimationInteractiveSequences', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimationInteractiveSequences', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimationInteractiveSequences', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimationInteractiveSequences', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimationInteractiveSequences', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteSpecialSlideAnimationInteractiveSequences', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimationInteractiveSequences', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_interactive_sequences_with_http_info(paramname, paramslide_index, paramslide_type, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimationInteractiveSequences', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequences', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequences', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimationInteractiveSequences', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimationInteractiveSequences', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimationInteractiveSequences', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimationInteractiveSequences', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimationInteractiveSequences', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimationInteractiveSequences', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'DeleteSpecialSlideAnimationInteractiveSequences', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimationInteractiveSequences', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_interactive_sequences_with_http_info(paramname, paramslide_index, paramslide_type, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimationInteractiveSequences', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequences', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequences', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimationInteractiveSequences', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimationInteractiveSequences', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimationInteractiveSequences', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimationInteractiveSequences', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimationInteractiveSequences', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimationInteractiveSequences', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteSpecialSlideAnimationInteractiveSequences', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimationInteractiveSequences', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_interactive_sequences_with_http_info(paramname, paramslide_index, paramslide_type, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimationInteractiveSequences', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequences', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequences', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimationInteractiveSequences', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimationInteractiveSequences', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimationInteractiveSequences', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimationInteractiveSequences', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimationInteractiveSequences', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimationInteractiveSequences', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteSpecialSlideAnimationInteractiveSequences', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimationInteractiveSequences', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_interactive_sequences_with_http_info(paramname, paramslide_index, paramslide_type, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimationInteractiveSequences', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequences', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequences', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimationInteractiveSequences', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimationInteractiveSequences', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimationInteractiveSequences', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimationInteractiveSequences', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimationInteractiveSequences', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimationInteractiveSequences', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteSpecialSlideAnimationInteractiveSequences', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimationInteractiveSequences', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_interactive_sequences_with_http_info(paramname, paramslide_index, paramslide_type, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimationInteractiveSequences', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequences', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationInteractiveSequences', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_special_slide_animation_main_sequence
  # Clear main sequence in special slide (master, layout, notes) animation.
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [SlideAnimation]
  describe 'delete_special_slide_animation_main_sequence test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimationMainSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimationMainSequence', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimationMainSequence', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimationMainSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimationMainSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimationMainSequence', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimationMainSequence', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_main_sequence_with_http_info(paramname, paramslide_index, paramslide_type, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationMainSequence', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimationMainSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimationMainSequence', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimationMainSequence', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimationMainSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimationMainSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimationMainSequence', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteSpecialSlideAnimationMainSequence', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimationMainSequence', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_main_sequence_with_http_info(paramname, paramslide_index, paramslide_type, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimationMainSequence', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationMainSequence', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationMainSequence', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimationMainSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimationMainSequence', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimationMainSequence', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimationMainSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimationMainSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimationMainSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteSpecialSlideAnimationMainSequence', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimationMainSequence', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_main_sequence_with_http_info(paramname, paramslide_index, paramslide_type, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimationMainSequence', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationMainSequence', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationMainSequence', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimationMainSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimationMainSequence', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimationMainSequence', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimationMainSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimationMainSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimationMainSequence', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'DeleteSpecialSlideAnimationMainSequence', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimationMainSequence', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_main_sequence_with_http_info(paramname, paramslide_index, paramslide_type, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimationMainSequence', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationMainSequence', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationMainSequence', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimationMainSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimationMainSequence', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimationMainSequence', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimationMainSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimationMainSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimationMainSequence', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteSpecialSlideAnimationMainSequence', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimationMainSequence', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_main_sequence_with_http_info(paramname, paramslide_index, paramslide_type, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimationMainSequence', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationMainSequence', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationMainSequence', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimationMainSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimationMainSequence', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimationMainSequence', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimationMainSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimationMainSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimationMainSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteSpecialSlideAnimationMainSequence', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimationMainSequence', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_main_sequence_with_http_info(paramname, paramslide_index, paramslide_type, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimationMainSequence', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationMainSequence', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationMainSequence', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideAnimationMainSequence', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideAnimationMainSequence', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideAnimationMainSequence', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideAnimationMainSequence', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideAnimationMainSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideAnimationMainSequence', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteSpecialSlideAnimationMainSequence', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideAnimationMainSequence', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_animation_main_sequence_with_http_info(paramname, paramslide_index, paramslide_type, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideAnimationMainSequence', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationMainSequence', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideAnimationMainSequence', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_special_slide_paragraph
  # Remove a paragraph.
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param shape_index Shape index.
  # @param paragraph_index Paragraph index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Paragraphs]
  describe 'delete_special_slide_paragraph test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideParagraph', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideParagraph', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_special_slide_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideParagraph', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideParagraph', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteSpecialSlideParagraph', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideParagraph', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideParagraph', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideParagraph', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideParagraph', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteSpecialSlideParagraph', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideParagraph', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideParagraph', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideParagraph', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideParagraph', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideParagraph', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'DeleteSpecialSlideParagraph', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideParagraph', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideParagraph', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideParagraph', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideParagraph', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'DeleteSpecialSlideParagraph', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideParagraph', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideParagraph', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideParagraph', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideParagraph', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideParagraph', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'DeleteSpecialSlideParagraph', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideParagraph', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideParagraph', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideParagraph', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideParagraph', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideParagraph', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteSpecialSlideParagraph', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideParagraph', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideParagraph', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideParagraph', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideParagraph', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteSpecialSlideParagraph', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideParagraph', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideParagraph', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideParagraph', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideParagraph', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteSpecialSlideParagraph', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideParagraph', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideParagraph', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideParagraph', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideParagraph', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_special_slide_paragraphs
  # Remove a range of paragraphs.
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param shape_index Shape index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :paragraphs The indices of the shapes to be deleted; delete all by default.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Paragraphs]
  describe 'delete_special_slide_paragraphs test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideParagraphs', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideParagraphs', 'Integer')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphs', 'DeleteSpecialSlideParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideParagraphs', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideParagraphs', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_special_slide_paragraphs_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraphs, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideParagraphs', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideParagraphs', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideParagraphs', 'Integer')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphs', 'DeleteSpecialSlideParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideParagraphs', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteSpecialSlideParagraphs', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideParagraphs', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_paragraphs_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraphs, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideParagraphs', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideParagraphs', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideParagraphs', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideParagraphs', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideParagraphs', 'Integer')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphs', 'DeleteSpecialSlideParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteSpecialSlideParagraphs', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideParagraphs', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_paragraphs_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraphs, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideParagraphs', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideParagraphs', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideParagraphs', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideParagraphs', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideParagraphs', 'Integer')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphs', 'DeleteSpecialSlideParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideParagraphs', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'DeleteSpecialSlideParagraphs', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideParagraphs', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_paragraphs_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraphs, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideParagraphs', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideParagraphs', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideParagraphs', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideParagraphs', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideParagraphs', 'Integer')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphs', 'DeleteSpecialSlideParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'DeleteSpecialSlideParagraphs', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideParagraphs', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_paragraphs_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraphs, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideParagraphs', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideParagraphs', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideParagraphs', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraphs' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideParagraphs', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideParagraphs', 'Integer')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphs', 'DeleteSpecialSlideParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideParagraphs', 'String')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphs', 'DeleteSpecialSlideParagraphs', paramparagraphs, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideParagraphs', 'paragraphs', paramparagraphs)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_paragraphs_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraphs, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideParagraphs', 'paragraphs')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideParagraphs', 'paragraphs', paramparagraphs)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideParagraphs', 'paragraphs', paramparagraphs)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideParagraphs', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideParagraphs', 'Integer')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphs', 'DeleteSpecialSlideParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteSpecialSlideParagraphs', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideParagraphs', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_paragraphs_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraphs, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideParagraphs', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideParagraphs', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideParagraphs', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideParagraphs', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideParagraphs', 'Integer')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphs', 'DeleteSpecialSlideParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteSpecialSlideParagraphs', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideParagraphs', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_paragraphs_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraphs, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideParagraphs', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideParagraphs', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideParagraphs', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideParagraphs', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideParagraphs', 'Integer')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphs', 'DeleteSpecialSlideParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteSpecialSlideParagraphs', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideParagraphs', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_paragraphs_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraphs, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideParagraphs', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideParagraphs', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideParagraphs', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_special_slide_portion
  # Remove a portion.
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param shape_index Shape index.
  # @param paragraph_index Paragraph index.
  # @param portion_index Portion index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Portions]
  describe 'delete_special_slide_portion test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlidePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeleteSpecialSlidePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlidePortion', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlidePortion', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlidePortion', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlidePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeleteSpecialSlidePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlidePortion', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteSpecialSlidePortion', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlidePortion', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlidePortion', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlidePortion', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlidePortion', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlidePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeleteSpecialSlidePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteSpecialSlidePortion', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlidePortion', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlidePortion', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlidePortion', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlidePortion', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlidePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeleteSpecialSlidePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlidePortion', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'DeleteSpecialSlidePortion', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlidePortion', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlidePortion', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlidePortion', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlidePortion', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlidePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeleteSpecialSlidePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'DeleteSpecialSlidePortion', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlidePortion', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlidePortion', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlidePortion', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlidePortion', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlidePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeleteSpecialSlidePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlidePortion', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'DeleteSpecialSlidePortion', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlidePortion', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlidePortion', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlidePortion', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlidePortion', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid portion_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlidePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeleteSpecialSlidePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlidePortion', 'String')
      paramportion_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('portionIndex', 'DeleteSpecialSlidePortion', paramportion_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlidePortion', 'portionIndex', paramportion_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlidePortion', 'portionIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlidePortion', 'portionIndex', paramportion_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlidePortion', 'portionIndex', paramportion_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlidePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeleteSpecialSlidePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlidePortion', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteSpecialSlidePortion', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlidePortion', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlidePortion', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlidePortion', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlidePortion', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlidePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeleteSpecialSlidePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteSpecialSlidePortion', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlidePortion', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlidePortion', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlidePortion', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlidePortion', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlidePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeleteSpecialSlidePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteSpecialSlidePortion', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlidePortion', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlidePortion', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlidePortion', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlidePortion', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_special_slide_portions
  # Remove a range of portions.
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param shape_index Shape index.
  # @param paragraph_index Paragraph index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :portions The indices of the shapes to be deleted; delete all by default.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Portions]
  describe 'delete_special_slide_portions test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlidePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlidePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlidePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlidePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlidePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeleteSpecialSlidePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlidePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlidePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlidePortions', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlidePortions', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_special_slide_portions_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlidePortions', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlidePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlidePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlidePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlidePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlidePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeleteSpecialSlidePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlidePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlidePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlidePortions', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteSpecialSlidePortions', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlidePortions', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_portions_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlidePortions', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlidePortions', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlidePortions', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlidePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlidePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlidePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlidePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlidePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeleteSpecialSlidePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlidePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlidePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlidePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteSpecialSlidePortions', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlidePortions', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_portions_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlidePortions', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlidePortions', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlidePortions', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlidePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlidePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlidePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlidePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlidePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeleteSpecialSlidePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlidePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlidePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlidePortions', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'DeleteSpecialSlidePortions', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlidePortions', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_portions_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlidePortions', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlidePortions', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlidePortions', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlidePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlidePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlidePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlidePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlidePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeleteSpecialSlidePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlidePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlidePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlidePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'DeleteSpecialSlidePortions', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlidePortions', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_portions_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlidePortions', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlidePortions', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlidePortions', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlidePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlidePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlidePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlidePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlidePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeleteSpecialSlidePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlidePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlidePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlidePortions', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'DeleteSpecialSlidePortions', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlidePortions', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_portions_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlidePortions', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlidePortions', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlidePortions', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid portions' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlidePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlidePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlidePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlidePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlidePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeleteSpecialSlidePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlidePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlidePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlidePortions', 'String')
      paramportions = AsposeSlidesCloud::SpecUtils.invalidize_param_value('portions', 'DeleteSpecialSlidePortions', paramportions, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlidePortions', 'portions', paramportions)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_portions_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlidePortions', 'portions')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlidePortions', 'portions', paramportions)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlidePortions', 'portions', paramportions)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlidePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlidePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlidePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlidePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlidePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeleteSpecialSlidePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlidePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlidePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlidePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteSpecialSlidePortions', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlidePortions', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_portions_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlidePortions', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlidePortions', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlidePortions', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlidePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlidePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlidePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlidePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlidePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeleteSpecialSlidePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlidePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlidePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlidePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteSpecialSlidePortions', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlidePortions', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_portions_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlidePortions', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlidePortions', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlidePortions', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlidePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlidePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlidePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlidePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlidePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeleteSpecialSlidePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlidePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlidePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlidePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteSpecialSlidePortions', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlidePortions', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_portions_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlidePortions', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlidePortions', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlidePortions', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_special_slide_shape
  # Remove a shape.
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param shape_index Shape index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Shapes]
  describe 'delete_special_slide_shape test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideShape', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideShape', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideShape', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideShape', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteSpecialSlideShape', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideShape', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideShape', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideShape', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideShape', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteSpecialSlideShape', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideShape', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideShape', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideShape', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideShape', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideShape', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'DeleteSpecialSlideShape', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideShape', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideShape', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideShape', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideShape', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'DeleteSpecialSlideShape', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideShape', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideShape', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideShape', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideShape', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteSpecialSlideShape', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideShape', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideShape', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideShape', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideShape', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteSpecialSlideShape', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideShape', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideShape', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideShape', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideShape', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteSpecialSlideShape', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideShape', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideShape', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideShape', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideShape', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_special_slide_shapes
  # Remove a range of shapes.
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param [Hash] opts the optional parameters
  # @option opts [String] :shapes The indices of the shapes to be deleted; delete all by default.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Shapes]
  describe 'delete_special_slide_shapes test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideShapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideShapes', 'String')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'DeleteSpecialSlideShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideShapes', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideShapes', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_special_slide_shapes_with_http_info(paramname, paramslide_index, paramslide_type, paramshapes, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideShapes', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideShapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideShapes', 'String')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'DeleteSpecialSlideShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideShapes', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteSpecialSlideShapes', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideShapes', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_shapes_with_http_info(paramname, paramslide_index, paramslide_type, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideShapes', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideShapes', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideShapes', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideShapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideShapes', 'String')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'DeleteSpecialSlideShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteSpecialSlideShapes', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideShapes', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_shapes_with_http_info(paramname, paramslide_index, paramslide_type, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideShapes', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideShapes', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideShapes', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideShapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideShapes', 'String')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'DeleteSpecialSlideShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideShapes', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'DeleteSpecialSlideShapes', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideShapes', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_shapes_with_http_info(paramname, paramslide_index, paramslide_type, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideShapes', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideShapes', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideShapes', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shapes' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideShapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideShapes', 'String')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'DeleteSpecialSlideShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideShapes', 'String')
      paramshapes = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapes', 'DeleteSpecialSlideShapes', paramshapes, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideShapes', 'shapes', paramshapes)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_shapes_with_http_info(paramname, paramslide_index, paramslide_type, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideShapes', 'shapes')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideShapes', 'shapes', paramshapes)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideShapes', 'shapes', paramshapes)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideShapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideShapes', 'String')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'DeleteSpecialSlideShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteSpecialSlideShapes', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideShapes', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_shapes_with_http_info(paramname, paramslide_index, paramslide_type, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideShapes', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideShapes', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideShapes', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideShapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideShapes', 'String')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'DeleteSpecialSlideShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteSpecialSlideShapes', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideShapes', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_shapes_with_http_info(paramname, paramslide_index, paramslide_type, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideShapes', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideShapes', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideShapes', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideShapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideShapes', 'String')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'DeleteSpecialSlideShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteSpecialSlideShapes', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideShapes', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_shapes_with_http_info(paramname, paramslide_index, paramslide_type, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideShapes', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideShapes', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideShapes', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_special_slide_subshape
  # Remove a shape (for smart art and group shapes).
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param path Shape path.
  # @param shape_index Shape index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Shapes]
  describe 'delete_special_slide_subshape test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshape', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshape', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshape', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshape', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteSpecialSlideSubshape', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshape', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshape', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshape', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshape', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteSpecialSlideSubshape', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshape', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshape', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshape', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshape', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshape', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'DeleteSpecialSlideSubshape', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshape', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshape', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshape', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshape', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'DeleteSpecialSlideSubshape', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshape', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshape', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshape', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshape', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'DeleteSpecialSlideSubshape', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshape', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshape', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshape', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshape', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteSpecialSlideSubshape', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshape', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshape', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshape', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshape', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteSpecialSlideSubshape', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshape', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshape', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshape', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshape', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteSpecialSlideSubshape', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshape', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshape', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshape', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshape', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_special_slide_subshape_paragraph
  # Remove a paragraph (for smart art and group shapes).
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param path Shape path.
  # @param shape_index Shape index.
  # @param paragraph_index Paragraph index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Paragraphs]
  describe 'delete_special_slide_subshape_paragraph test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapeParagraph', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapeParagraph', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteSpecialSlideSubshapeParagraph', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapeParagraph', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapeParagraph', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapeParagraph', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapeParagraph', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteSpecialSlideSubshapeParagraph', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapeParagraph', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapeParagraph', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapeParagraph', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapeParagraph', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'DeleteSpecialSlideSubshapeParagraph', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapeParagraph', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapeParagraph', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapeParagraph', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapeParagraph', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'DeleteSpecialSlideSubshapeParagraph', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapeParagraph', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapeParagraph', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapeParagraph', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapeParagraph', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'DeleteSpecialSlideSubshapeParagraph', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapeParagraph', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapeParagraph', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapeParagraph', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapeParagraph', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'DeleteSpecialSlideSubshapeParagraph', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapeParagraph', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapeParagraph', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapeParagraph', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapeParagraph', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteSpecialSlideSubshapeParagraph', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapeParagraph', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapeParagraph', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapeParagraph', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapeParagraph', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteSpecialSlideSubshapeParagraph', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapeParagraph', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapeParagraph', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapeParagraph', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapeParagraph', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteSpecialSlideSubshapeParagraph', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapeParagraph', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapeParagraph', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapeParagraph', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapeParagraph', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_special_slide_subshape_paragraphs
  # Remove a range of paragraphs (for smart art and group shapes).
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param path Shape path.
  # @param shape_index Shape index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :paragraphs The indices of the shapes to be deleted; delete all by default.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Paragraphs]
  describe 'delete_special_slide_subshape_paragraphs test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapeParagraphs', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapeParagraphs', 'Integer')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphs', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapeParagraphs', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_paragraphs_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraphs, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapeParagraphs', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapeParagraphs', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapeParagraphs', 'Integer')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphs', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteSpecialSlideSubshapeParagraphs', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapeParagraphs', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_paragraphs_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraphs, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapeParagraphs', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapeParagraphs', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapeParagraphs', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapeParagraphs', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapeParagraphs', 'Integer')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphs', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteSpecialSlideSubshapeParagraphs', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapeParagraphs', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_paragraphs_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraphs, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapeParagraphs', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapeParagraphs', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapeParagraphs', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapeParagraphs', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapeParagraphs', 'Integer')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphs', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'DeleteSpecialSlideSubshapeParagraphs', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapeParagraphs', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_paragraphs_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraphs, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapeParagraphs', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapeParagraphs', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapeParagraphs', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapeParagraphs', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapeParagraphs', 'Integer')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphs', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'DeleteSpecialSlideSubshapeParagraphs', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapeParagraphs', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_paragraphs_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraphs, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapeParagraphs', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapeParagraphs', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapeParagraphs', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapeParagraphs', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapeParagraphs', 'Integer')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphs', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'DeleteSpecialSlideSubshapeParagraphs', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapeParagraphs', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_paragraphs_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraphs, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapeParagraphs', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapeParagraphs', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapeParagraphs', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraphs' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapeParagraphs', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapeParagraphs', 'Integer')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphs', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphs', 'DeleteSpecialSlideSubshapeParagraphs', paramparagraphs, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapeParagraphs', 'paragraphs', paramparagraphs)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_paragraphs_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraphs, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapeParagraphs', 'paragraphs')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapeParagraphs', 'paragraphs', paramparagraphs)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapeParagraphs', 'paragraphs', paramparagraphs)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapeParagraphs', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapeParagraphs', 'Integer')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphs', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteSpecialSlideSubshapeParagraphs', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapeParagraphs', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_paragraphs_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraphs, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapeParagraphs', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapeParagraphs', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapeParagraphs', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapeParagraphs', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapeParagraphs', 'Integer')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphs', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteSpecialSlideSubshapeParagraphs', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapeParagraphs', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_paragraphs_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraphs, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapeParagraphs', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapeParagraphs', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapeParagraphs', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapeParagraphs', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapeParagraphs', 'Integer')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphs', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteSpecialSlideSubshapeParagraphs', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapeParagraphs', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_paragraphs_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraphs, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapeParagraphs', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapeParagraphs', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapeParagraphs', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_special_slide_subshape_portion
  # Remove a portion (for smart art and group shapes).
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param path Shape path.
  # @param shape_index Shape index.
  # @param paragraph_index Paragraph index.
  # @param portion_index Portion index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Portions]
  describe 'delete_special_slide_subshape_portion test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapePortion', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapePortion', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortion', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteSpecialSlideSubshapePortion', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapePortion', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapePortion', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortion', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortion', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteSpecialSlideSubshapePortion', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapePortion', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapePortion', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortion', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortion', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'DeleteSpecialSlideSubshapePortion', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapePortion', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapePortion', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortion', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortion', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'DeleteSpecialSlideSubshapePortion', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapePortion', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapePortion', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortion', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortion', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'DeleteSpecialSlideSubshapePortion', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapePortion', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapePortion', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortion', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortion', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'DeleteSpecialSlideSubshapePortion', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapePortion', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapePortion', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortion', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortion', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid portion_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramportion_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('portionIndex', 'DeleteSpecialSlideSubshapePortion', paramportion_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapePortion', 'portionIndex', paramportion_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapePortion', 'portionIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortion', 'portionIndex', paramportion_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortion', 'portionIndex', paramportion_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapePortion', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteSpecialSlideSubshapePortion', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapePortion', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapePortion', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortion', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortion', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteSpecialSlideSubshapePortion', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapePortion', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapePortion', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortion', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortion', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeleteSpecialSlideSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteSpecialSlideSubshapePortion', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapePortion', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapePortion', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortion', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortion', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_special_slide_subshape_portions
  # Remove a range of portions (for smart art and group shapes).
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param path Shape path.
  # @param shape_index Shape index.
  # @param paragraph_index Paragraph index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :portions The indices of the shapes to be deleted; delete all by default.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Portions]
  describe 'delete_special_slide_subshape_portions test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapePortions', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideSubshapePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeleteSpecialSlideSubshapePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapePortions', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapePortions', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_portions_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortions', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapePortions', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideSubshapePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeleteSpecialSlideSubshapePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteSpecialSlideSubshapePortions', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapePortions', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_portions_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapePortions', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortions', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortions', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapePortions', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideSubshapePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeleteSpecialSlideSubshapePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteSpecialSlideSubshapePortions', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapePortions', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_portions_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapePortions', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortions', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortions', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapePortions', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideSubshapePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeleteSpecialSlideSubshapePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'DeleteSpecialSlideSubshapePortions', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapePortions', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_portions_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapePortions', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortions', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortions', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapePortions', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideSubshapePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeleteSpecialSlideSubshapePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapePortions', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'DeleteSpecialSlideSubshapePortions', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapePortions', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_portions_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapePortions', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortions', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortions', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapePortions', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideSubshapePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeleteSpecialSlideSubshapePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'DeleteSpecialSlideSubshapePortions', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapePortions', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_portions_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapePortions', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortions', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortions', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapePortions', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideSubshapePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeleteSpecialSlideSubshapePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'DeleteSpecialSlideSubshapePortions', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapePortions', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_portions_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapePortions', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortions', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortions', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid portions' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapePortions', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideSubshapePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeleteSpecialSlideSubshapePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramportions = AsposeSlidesCloud::SpecUtils.invalidize_param_value('portions', 'DeleteSpecialSlideSubshapePortions', paramportions, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapePortions', 'portions', paramportions)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_portions_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapePortions', 'portions')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortions', 'portions', paramportions)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortions', 'portions', paramportions)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapePortions', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideSubshapePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeleteSpecialSlideSubshapePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteSpecialSlideSubshapePortions', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapePortions', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_portions_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapePortions', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortions', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortions', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapePortions', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideSubshapePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeleteSpecialSlideSubshapePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteSpecialSlideSubshapePortions', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapePortions', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_portions_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapePortions', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortions', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortions', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapePortions', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSpecialSlideSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSpecialSlideSubshapePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeleteSpecialSlideSubshapePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteSpecialSlideSubshapePortions', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapePortions', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshape_portions_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapePortions', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortions', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapePortions', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_special_slide_subshapes
  # Remove a range of shapes (for smart art and group shapes).
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param path Shape path.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :shapes The indices of the shapes to be deleted; delete all by default.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Shapes]
  describe 'delete_special_slide_subshapes test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapes', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapes', 'String')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'DeleteSpecialSlideSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapes', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapes', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshapes_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshapes, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapes', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapes', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapes', 'String')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'DeleteSpecialSlideSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapes', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteSpecialSlideSubshapes', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapes', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshapes_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapes', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapes', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapes', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapes', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapes', 'String')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'DeleteSpecialSlideSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteSpecialSlideSubshapes', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapes', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshapes_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapes', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapes', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapes', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapes', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapes', 'String')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'DeleteSpecialSlideSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapes', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'DeleteSpecialSlideSubshapes', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapes', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshapes_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapes', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapes', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapes', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapes', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapes', 'String')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'DeleteSpecialSlideSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapes', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'DeleteSpecialSlideSubshapes', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapes', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshapes_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapes', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapes', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapes', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shapes' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapes', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapes', 'String')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'DeleteSpecialSlideSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapes', 'String')
      paramshapes = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapes', 'DeleteSpecialSlideSubshapes', paramshapes, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapes', 'shapes', paramshapes)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshapes_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapes', 'shapes')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapes', 'shapes', paramshapes)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapes', 'shapes', paramshapes)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapes', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapes', 'String')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'DeleteSpecialSlideSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteSpecialSlideSubshapes', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapes', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshapes_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapes', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapes', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapes', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapes', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapes', 'String')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'DeleteSpecialSlideSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteSpecialSlideSubshapes', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapes', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshapes_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapes', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapes', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapes', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSpecialSlideSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSpecialSlideSubshapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DeleteSpecialSlideSubshapes', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSpecialSlideSubshapes', 'String')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'DeleteSpecialSlideSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSpecialSlideSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSpecialSlideSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSpecialSlideSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteSpecialSlideSubshapes', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSpecialSlideSubshapes', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_special_slide_subshapes_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSpecialSlideSubshapes', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapes', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSpecialSlideSubshapes', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_subshape
  # Remove a shape (for smart art and group shapes).
  # @param name Document name.
  # @param slide_index Slide index.
  # @param path Shape path.
  # @param shape_index Shape index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Shapes]
  describe 'delete_subshape test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshape', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshape', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshape', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshape', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteSubshape', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshape', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshape', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshape', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshape', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteSubshape', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshape', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshape', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshape', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshape', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'DeleteSubshape', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshape', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshape', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshape', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshape', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'DeleteSubshape', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshape', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshape', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshape', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshape', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteSubshape', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshape', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshape', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshape', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshape', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteSubshape', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshape', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshape', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshape', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshape', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteSubshape', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshape', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshape', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshape', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshape', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_subshape_paragraph
  # Remove a paragraph (for smart art and group shapes).
  # @param name Document name.
  # @param slide_index Slide index.
  # @param path Shape path.
  # @param shape_index Shape index.
  # @param paragraph_index Paragraph index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Paragraphs]
  describe 'delete_subshape_paragraph test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapeParagraph', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapeParagraph', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapeParagraph', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_subshape_paragraph_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapeParagraph', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapeParagraph', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapeParagraph', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteSubshapeParagraph', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapeParagraph', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_paragraph_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapeParagraph', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapeParagraph', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapeParagraph', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapeParagraph', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteSubshapeParagraph', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapeParagraph', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_paragraph_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapeParagraph', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapeParagraph', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapeParagraph', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapeParagraph', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'DeleteSubshapeParagraph', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapeParagraph', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_paragraph_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapeParagraph', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapeParagraph', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapeParagraph', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapeParagraph', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'DeleteSubshapeParagraph', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapeParagraph', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_paragraph_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapeParagraph', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapeParagraph', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapeParagraph', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapeParagraph', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapeParagraph', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'DeleteSubshapeParagraph', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapeParagraph', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_paragraph_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapeParagraph', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapeParagraph', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapeParagraph', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapeParagraph', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapeParagraph', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteSubshapeParagraph', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapeParagraph', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_paragraph_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapeParagraph', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapeParagraph', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapeParagraph', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapeParagraph', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteSubshapeParagraph', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapeParagraph', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_paragraph_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapeParagraph', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapeParagraph', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapeParagraph', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapeParagraph', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteSubshapeParagraph', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapeParagraph', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_paragraph_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapeParagraph', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapeParagraph', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapeParagraph', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_subshape_paragraphs
  # Remove a range of paragraphs (for smart art and group shapes).
  # @param name Document name.
  # @param slide_index Slide index.
  # @param path Shape path.
  # @param shape_index Shape index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :paragraphs The indices of the paragraphs to be deleted; delete all by default.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Paragraphs]
  describe 'delete_subshape_paragraphs test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapeParagraphs', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshapeParagraphs', 'Integer')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphs', 'DeleteSubshapeParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapeParagraphs', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapeParagraphs', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_subshape_paragraphs_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraphs, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapeParagraphs', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapeParagraphs', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshapeParagraphs', 'Integer')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphs', 'DeleteSubshapeParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapeParagraphs', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteSubshapeParagraphs', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapeParagraphs', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_paragraphs_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraphs, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapeParagraphs', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapeParagraphs', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapeParagraphs', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapeParagraphs', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshapeParagraphs', 'Integer')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphs', 'DeleteSubshapeParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteSubshapeParagraphs', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapeParagraphs', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_paragraphs_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraphs, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapeParagraphs', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapeParagraphs', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapeParagraphs', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapeParagraphs', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshapeParagraphs', 'Integer')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphs', 'DeleteSubshapeParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapeParagraphs', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'DeleteSubshapeParagraphs', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapeParagraphs', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_paragraphs_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraphs, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapeParagraphs', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapeParagraphs', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapeParagraphs', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapeParagraphs', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshapeParagraphs', 'Integer')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphs', 'DeleteSubshapeParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'DeleteSubshapeParagraphs', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapeParagraphs', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_paragraphs_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraphs, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapeParagraphs', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapeParagraphs', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapeParagraphs', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraphs' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapeParagraphs', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshapeParagraphs', 'Integer')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphs', 'DeleteSubshapeParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapeParagraphs', 'String')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphs', 'DeleteSubshapeParagraphs', paramparagraphs, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapeParagraphs', 'paragraphs', paramparagraphs)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_paragraphs_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraphs, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapeParagraphs', 'paragraphs')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapeParagraphs', 'paragraphs', paramparagraphs)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapeParagraphs', 'paragraphs', paramparagraphs)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapeParagraphs', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshapeParagraphs', 'Integer')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphs', 'DeleteSubshapeParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapeParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteSubshapeParagraphs', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapeParagraphs', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_paragraphs_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraphs, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapeParagraphs', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapeParagraphs', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapeParagraphs', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapeParagraphs', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshapeParagraphs', 'Integer')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphs', 'DeleteSubshapeParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteSubshapeParagraphs', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapeParagraphs', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_paragraphs_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraphs, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapeParagraphs', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapeParagraphs', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapeParagraphs', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapeParagraphs', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshapeParagraphs', 'Integer')
      paramparagraphs = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphs', 'DeleteSubshapeParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteSubshapeParagraphs', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapeParagraphs', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_paragraphs_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraphs, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapeParagraphs', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapeParagraphs', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapeParagraphs', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_subshape_portion
  # Remove a portion (for smart art and group shapes).
  # @param name Document name.
  # @param slide_index Slide index.
  # @param path Shape path.
  # @param shape_index Shape index.
  # @param paragraph_index Paragraph index.
  # @param portion_index Portion index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Portions]
  describe 'delete_subshape_portion test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeleteSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapePortion', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapePortion', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapePortion', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeleteSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapePortion', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteSubshapePortion', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapePortion', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapePortion', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapePortion', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapePortion', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeleteSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteSubshapePortion', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapePortion', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapePortion', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapePortion', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapePortion', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeleteSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'DeleteSubshapePortion', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapePortion', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapePortion', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapePortion', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapePortion', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeleteSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'DeleteSubshapePortion', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapePortion', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapePortion', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapePortion', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapePortion', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeleteSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapePortion', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'DeleteSubshapePortion', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapePortion', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapePortion', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapePortion', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapePortion', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid portion_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeleteSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapePortion', 'String')
      paramportion_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('portionIndex', 'DeleteSubshapePortion', paramportion_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapePortion', 'portionIndex', paramportion_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapePortion', 'portionIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapePortion', 'portionIndex', paramportion_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapePortion', 'portionIndex', paramportion_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeleteSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapePortion', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteSubshapePortion', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapePortion', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapePortion', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapePortion', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapePortion', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeleteSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteSubshapePortion', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapePortion', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapePortion', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapePortion', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapePortion', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DeleteSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteSubshapePortion', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapePortion', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapePortion', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapePortion', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapePortion', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_subshape_portions
  # Remove a range of portions (for smart art and group shapes).
  # @param name Document name.
  # @param slide_index Slide index.
  # @param path Shape path.
  # @param shape_index Shape index.
  # @param paragraph_index Paragraph index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :portions The indices of the portions to be deleted; delete all by default.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Portions]
  describe 'delete_subshape_portions test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapePortions', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSubshapePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeleteSubshapePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapePortions', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapePortions', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_subshape_portions_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapePortions', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapePortions', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSubshapePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeleteSubshapePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapePortions', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteSubshapePortions', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapePortions', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_portions_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapePortions', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapePortions', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapePortions', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapePortions', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSubshapePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeleteSubshapePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteSubshapePortions', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapePortions', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_portions_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapePortions', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapePortions', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapePortions', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapePortions', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSubshapePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeleteSubshapePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapePortions', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'DeleteSubshapePortions', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapePortions', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_portions_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapePortions', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapePortions', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapePortions', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapePortions', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSubshapePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeleteSubshapePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'DeleteSubshapePortions', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapePortions', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_portions_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapePortions', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapePortions', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapePortions', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapePortions', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSubshapePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeleteSubshapePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapePortions', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'DeleteSubshapePortions', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapePortions', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_portions_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapePortions', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapePortions', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapePortions', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid portions' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapePortions', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSubshapePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeleteSubshapePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapePortions', 'String')
      paramportions = AsposeSlidesCloud::SpecUtils.invalidize_param_value('portions', 'DeleteSubshapePortions', paramportions, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapePortions', 'portions', paramportions)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_portions_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapePortions', 'portions')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapePortions', 'portions', paramportions)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapePortions', 'portions', paramportions)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapePortions', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSubshapePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeleteSubshapePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteSubshapePortions', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapePortions', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_portions_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapePortions', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapePortions', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapePortions', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapePortions', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSubshapePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeleteSubshapePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteSubshapePortions', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapePortions', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_portions_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapePortions', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapePortions', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapePortions', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapePortions', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DeleteSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DeleteSubshapePortions', 'Integer')
      paramportions = AsposeSlidesCloud::SpecUtils.get_param_value('portions', 'DeleteSubshapePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteSubshapePortions', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapePortions', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshape_portions_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapePortions', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapePortions', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapePortions', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_subshapes
  # Remove a range of shapes (for smart art and group shapes).
  # @param name Document name.
  # @param slide_index Slide index.
  # @param path Shape path.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :shapes The indices of the shapes to be deleted; delete all by default.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Shapes]
  describe 'delete_subshapes test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapes', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapes', 'String')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'DeleteSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapes', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapes', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_subshapes_with_http_info(paramname, paramslide_index, parampath, paramshapes, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapes', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapes', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapes', 'String')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'DeleteSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapes', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteSubshapes', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapes', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshapes_with_http_info(paramname, paramslide_index, parampath, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapes', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapes', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapes', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapes', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapes', 'String')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'DeleteSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DeleteSubshapes', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapes', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshapes_with_http_info(paramname, paramslide_index, parampath, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapes', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapes', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapes', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapes', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapes', 'String')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'DeleteSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapes', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'DeleteSubshapes', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapes', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshapes_with_http_info(paramname, paramslide_index, parampath, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapes', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapes', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapes', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shapes' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapes', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapes', 'String')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'DeleteSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapes', 'String')
      paramshapes = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapes', 'DeleteSubshapes', paramshapes, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapes', 'shapes', paramshapes)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshapes_with_http_info(paramname, paramslide_index, parampath, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapes', 'shapes')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapes', 'shapes', paramshapes)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapes', 'shapes', paramshapes)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapes', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapes', 'String')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'DeleteSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteSubshapes', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapes', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshapes_with_http_info(paramname, paramslide_index, parampath, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapes', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapes', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapes', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapes', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapes', 'String')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'DeleteSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteSubshapes', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapes', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshapes_with_http_info(paramname, paramslide_index, parampath, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapes', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapes', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapes', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DeleteSubshapes', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DeleteSubshapes', 'String')
      paramshapes = AsposeSlidesCloud::SpecUtils.get_param_value('shapes', 'DeleteSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteSubshapes', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteSubshapes', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_subshapes_with_http_info(paramname, paramslide_index, parampath, paramshapes, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteSubshapes', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapes', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteSubshapes', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_unused_layout_slides
  # Removes unused layout slides.
  # @param name Document name.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [LayoutSlides]
  describe 'delete_unused_layout_slides test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteUnusedLayoutSlides', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteUnusedLayoutSlides', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteUnusedLayoutSlides', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteUnusedLayoutSlides', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteUnusedLayoutSlides', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_unused_layout_slides_with_http_info(paramname, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteUnusedLayoutSlides', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteUnusedLayoutSlides', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteUnusedLayoutSlides', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteUnusedLayoutSlides', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteUnusedLayoutSlides', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteUnusedLayoutSlides', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteUnusedLayoutSlides', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_unused_layout_slides_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteUnusedLayoutSlides', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteUnusedLayoutSlides', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteUnusedLayoutSlides', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteUnusedLayoutSlides', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteUnusedLayoutSlides', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteUnusedLayoutSlides', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteUnusedLayoutSlides', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteUnusedLayoutSlides', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteUnusedLayoutSlides', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_unused_layout_slides_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteUnusedLayoutSlides', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteUnusedLayoutSlides', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteUnusedLayoutSlides', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteUnusedLayoutSlides', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteUnusedLayoutSlides', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteUnusedLayoutSlides', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteUnusedLayoutSlides', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteUnusedLayoutSlides', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteUnusedLayoutSlides', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_unused_layout_slides_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteUnusedLayoutSlides', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteUnusedLayoutSlides', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteUnusedLayoutSlides', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteUnusedLayoutSlides', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteUnusedLayoutSlides', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteUnusedLayoutSlides', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteUnusedLayoutSlides', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteUnusedLayoutSlides', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteUnusedLayoutSlides', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_unused_layout_slides_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteUnusedLayoutSlides', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteUnusedLayoutSlides', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteUnusedLayoutSlides', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_unused_layout_slides_online
  # Removes unused layout slides.
  # @param document Document data
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @return [File]
  describe 'delete_unused_layout_slides_online test' do
    it 'should work' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DeleteUnusedLayoutSlidesOnline', 'File')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteUnusedLayoutSlidesOnline', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteUnusedLayoutSlidesOnline', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_unused_layout_slides_online_with_http_info(paramdocument, parampassword)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteUnusedLayoutSlidesOnline', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid document' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DeleteUnusedLayoutSlidesOnline', 'File')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteUnusedLayoutSlidesOnline', 'String')
      paramdocument = AsposeSlidesCloud::SpecUtils.invalidize_param_value('document', 'DeleteUnusedLayoutSlidesOnline', paramdocument, 'File')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteUnusedLayoutSlidesOnline', 'document', paramdocument)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_unused_layout_slides_online_with_http_info(paramdocument, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteUnusedLayoutSlidesOnline', 'document')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteUnusedLayoutSlidesOnline', 'document', paramdocument)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteUnusedLayoutSlidesOnline', 'document', paramdocument)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DeleteUnusedLayoutSlidesOnline', 'File')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteUnusedLayoutSlidesOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteUnusedLayoutSlidesOnline', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteUnusedLayoutSlidesOnline', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_unused_layout_slides_online_with_http_info(paramdocument, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteUnusedLayoutSlidesOnline', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteUnusedLayoutSlidesOnline', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteUnusedLayoutSlidesOnline', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_watermark
  # Removes shapes with name \&quot;watermark\&quot; from the presentation.
  # @param name Document name.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :shape_name Name of the watermark shape. If null, default value \&quot;watermark\&quot;is used.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [nil]
  describe 'delete_watermark test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteWatermark', 'String')
      paramshape_name = AsposeSlidesCloud::SpecUtils.get_param_value('shapeName', 'DeleteWatermark', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteWatermark', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteWatermark', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteWatermark', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteWatermark', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_watermark_with_http_info(paramname, paramshape_name, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteWatermark', nil, nil)
      expect(c).to eq(code)
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteWatermark', 'String')
      paramshape_name = AsposeSlidesCloud::SpecUtils.get_param_value('shapeName', 'DeleteWatermark', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteWatermark', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteWatermark', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteWatermark', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DeleteWatermark', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteWatermark', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_watermark_with_http_info(paramname, paramshape_name, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteWatermark', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteWatermark', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteWatermark', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteWatermark', 'String')
      paramshape_name = AsposeSlidesCloud::SpecUtils.get_param_value('shapeName', 'DeleteWatermark', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteWatermark', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteWatermark', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteWatermark', 'String')
      paramshape_name = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeName', 'DeleteWatermark', paramshape_name, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteWatermark', 'shapeName', paramshape_name)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_watermark_with_http_info(paramname, paramshape_name, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteWatermark', 'shapeName')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteWatermark', 'shapeName', paramshape_name)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteWatermark', 'shapeName', paramshape_name)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteWatermark', 'String')
      paramshape_name = AsposeSlidesCloud::SpecUtils.get_param_value('shapeName', 'DeleteWatermark', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteWatermark', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteWatermark', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteWatermark', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteWatermark', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteWatermark', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_watermark_with_http_info(paramname, paramshape_name, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteWatermark', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteWatermark', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteWatermark', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteWatermark', 'String')
      paramshape_name = AsposeSlidesCloud::SpecUtils.get_param_value('shapeName', 'DeleteWatermark', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteWatermark', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteWatermark', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteWatermark', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DeleteWatermark', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteWatermark', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_watermark_with_http_info(paramname, paramshape_name, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteWatermark', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteWatermark', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteWatermark', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DeleteWatermark', 'String')
      paramshape_name = AsposeSlidesCloud::SpecUtils.get_param_value('shapeName', 'DeleteWatermark', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteWatermark', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DeleteWatermark', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DeleteWatermark', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DeleteWatermark', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteWatermark', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_watermark_with_http_info(paramname, paramshape_name, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteWatermark', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteWatermark', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteWatermark', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for delete_watermark_online
  # Removes shapes with name \&quot;watermark\&quot; from the presentation.
  # @param document Document data.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :shape_name Name of the watermark shape. If null, default value \&quot;watermark\&quot;is used.
  # @option opts [String] :password Document password.
  # @return [File]
  describe 'delete_watermark_online test' do
    it 'should work' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DeleteWatermarkOnline', 'File')
      paramshape_name = AsposeSlidesCloud::SpecUtils.get_param_value('shapeName', 'DeleteWatermarkOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteWatermarkOnline', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteWatermarkOnline', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.delete_watermark_online_with_http_info(paramdocument, paramshape_name, parampassword)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteWatermarkOnline', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid document' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DeleteWatermarkOnline', 'File')
      paramshape_name = AsposeSlidesCloud::SpecUtils.get_param_value('shapeName', 'DeleteWatermarkOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteWatermarkOnline', 'String')
      paramdocument = AsposeSlidesCloud::SpecUtils.invalidize_param_value('document', 'DeleteWatermarkOnline', paramdocument, 'File')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteWatermarkOnline', 'document', paramdocument)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_watermark_online_with_http_info(paramdocument, paramshape_name, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteWatermarkOnline', 'document')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteWatermarkOnline', 'document', paramdocument)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteWatermarkOnline', 'document', paramdocument)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_name' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DeleteWatermarkOnline', 'File')
      paramshape_name = AsposeSlidesCloud::SpecUtils.get_param_value('shapeName', 'DeleteWatermarkOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteWatermarkOnline', 'String')
      paramshape_name = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeName', 'DeleteWatermarkOnline', paramshape_name, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteWatermarkOnline', 'shapeName', paramshape_name)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_watermark_online_with_http_info(paramdocument, paramshape_name, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteWatermarkOnline', 'shapeName')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteWatermarkOnline', 'shapeName', paramshape_name)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteWatermarkOnline', 'shapeName', paramshape_name)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DeleteWatermarkOnline', 'File')
      paramshape_name = AsposeSlidesCloud::SpecUtils.get_param_value('shapeName', 'DeleteWatermarkOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DeleteWatermarkOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DeleteWatermarkOnline', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DeleteWatermarkOnline', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.delete_watermark_online_with_http_info(paramdocument, paramshape_name, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DeleteWatermarkOnline', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteWatermarkOnline', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DeleteWatermarkOnline', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for download_file
  # Download file
  # @param path File path e.g. &#39;/folder/file.ext&#39;
  # @param [Hash] opts the optional parameters
  # @option opts [String] :storage_name Storage name
  # @option opts [String] :version_id File version ID to download
  # @return [File]
  describe 'download_file test' do
    it 'should work' do
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DownloadFile', 'String')
      paramstorage_name = AsposeSlidesCloud::SpecUtils.get_param_value('storageName', 'DownloadFile', 'String')
      paramversion_id = AsposeSlidesCloud::SpecUtils.get_param_value('versionId', 'DownloadFile', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadFile', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.download_file_with_http_info(parampath, paramstorage_name, paramversion_id)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadFile', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid path' do
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DownloadFile', 'String')
      paramstorage_name = AsposeSlidesCloud::SpecUtils.get_param_value('storageName', 'DownloadFile', 'String')
      paramversion_id = AsposeSlidesCloud::SpecUtils.get_param_value('versionId', 'DownloadFile', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'DownloadFile', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadFile', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_file_with_http_info(parampath, paramstorage_name, paramversion_id)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadFile', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadFile', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadFile', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage_name' do
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DownloadFile', 'String')
      paramstorage_name = AsposeSlidesCloud::SpecUtils.get_param_value('storageName', 'DownloadFile', 'String')
      paramversion_id = AsposeSlidesCloud::SpecUtils.get_param_value('versionId', 'DownloadFile', 'String')
      paramstorage_name = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storageName', 'DownloadFile', paramstorage_name, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadFile', 'storageName', paramstorage_name)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_file_with_http_info(parampath, paramstorage_name, paramversion_id)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadFile', 'storageName')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadFile', 'storageName', paramstorage_name)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadFile', 'storageName', paramstorage_name)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid version_id' do
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DownloadFile', 'String')
      paramstorage_name = AsposeSlidesCloud::SpecUtils.get_param_value('storageName', 'DownloadFile', 'String')
      paramversion_id = AsposeSlidesCloud::SpecUtils.get_param_value('versionId', 'DownloadFile', 'String')
      paramversion_id = AsposeSlidesCloud::SpecUtils.invalidize_param_value('versionId', 'DownloadFile', paramversion_id, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadFile', 'versionId', paramversion_id)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_file_with_http_info(parampath, paramstorage_name, paramversion_id)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadFile', 'versionId')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadFile', 'versionId', paramversion_id)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadFile', 'versionId', paramversion_id)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for download_image
  # Get image in specified format.
  # @param name Document name.
  # @param index Image index.
  # @param format Export format (png, jpg, gif).
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [File]
  describe 'download_image test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadImage', 'String')
      paramindex = AsposeSlidesCloud::SpecUtils.get_param_value('index', 'DownloadImage', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadImage', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImage', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadImage', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadImage', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImage', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.download_image_with_http_info(paramname, paramindex, paramformat, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImage', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadImage', 'String')
      paramindex = AsposeSlidesCloud::SpecUtils.get_param_value('index', 'DownloadImage', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadImage', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImage', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadImage', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadImage', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DownloadImage', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImage', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_image_with_http_info(paramname, paramindex, paramformat, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadImage', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImage', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImage', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadImage', 'String')
      paramindex = AsposeSlidesCloud::SpecUtils.get_param_value('index', 'DownloadImage', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadImage', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImage', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadImage', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadImage', 'String')
      paramindex = AsposeSlidesCloud::SpecUtils.invalidize_param_value('index', 'DownloadImage', paramindex, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImage', 'index', paramindex)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_image_with_http_info(paramname, paramindex, paramformat, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadImage', 'index')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImage', 'index', paramindex)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImage', 'index', paramindex)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid format' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadImage', 'String')
      paramindex = AsposeSlidesCloud::SpecUtils.get_param_value('index', 'DownloadImage', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadImage', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImage', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadImage', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadImage', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.invalidize_param_value('format', 'DownloadImage', paramformat, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImage', 'format', paramformat)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_image_with_http_info(paramname, paramindex, paramformat, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadImage', 'format')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImage', 'format', paramformat)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImage', 'format', paramformat)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadImage', 'String')
      paramindex = AsposeSlidesCloud::SpecUtils.get_param_value('index', 'DownloadImage', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadImage', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImage', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadImage', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadImage', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DownloadImage', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImage', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_image_with_http_info(paramname, paramindex, paramformat, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadImage', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImage', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImage', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadImage', 'String')
      paramindex = AsposeSlidesCloud::SpecUtils.get_param_value('index', 'DownloadImage', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadImage', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImage', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadImage', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadImage', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DownloadImage', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImage', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_image_with_http_info(paramname, paramindex, paramformat, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadImage', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImage', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImage', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadImage', 'String')
      paramindex = AsposeSlidesCloud::SpecUtils.get_param_value('index', 'DownloadImage', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadImage', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImage', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadImage', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadImage', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DownloadImage', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImage', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_image_with_http_info(paramname, paramindex, paramformat, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadImage', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImage', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImage', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for download_image_default_format
  # Get image binary data.
  # @param name Document name.
  # @param index Image index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [File]
  describe 'download_image_default_format test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadImageDefaultFormat', 'String')
      paramindex = AsposeSlidesCloud::SpecUtils.get_param_value('index', 'DownloadImageDefaultFormat', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImageDefaultFormat', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadImageDefaultFormat', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadImageDefaultFormat', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImageDefaultFormat', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.download_image_default_format_with_http_info(paramname, paramindex, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImageDefaultFormat', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadImageDefaultFormat', 'String')
      paramindex = AsposeSlidesCloud::SpecUtils.get_param_value('index', 'DownloadImageDefaultFormat', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImageDefaultFormat', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadImageDefaultFormat', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadImageDefaultFormat', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DownloadImageDefaultFormat', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImageDefaultFormat', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_image_default_format_with_http_info(paramname, paramindex, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadImageDefaultFormat', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImageDefaultFormat', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImageDefaultFormat', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadImageDefaultFormat', 'String')
      paramindex = AsposeSlidesCloud::SpecUtils.get_param_value('index', 'DownloadImageDefaultFormat', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImageDefaultFormat', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadImageDefaultFormat', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadImageDefaultFormat', 'String')
      paramindex = AsposeSlidesCloud::SpecUtils.invalidize_param_value('index', 'DownloadImageDefaultFormat', paramindex, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImageDefaultFormat', 'index', paramindex)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_image_default_format_with_http_info(paramname, paramindex, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadImageDefaultFormat', 'index')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImageDefaultFormat', 'index', paramindex)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImageDefaultFormat', 'index', paramindex)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadImageDefaultFormat', 'String')
      paramindex = AsposeSlidesCloud::SpecUtils.get_param_value('index', 'DownloadImageDefaultFormat', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImageDefaultFormat', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadImageDefaultFormat', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadImageDefaultFormat', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DownloadImageDefaultFormat', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImageDefaultFormat', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_image_default_format_with_http_info(paramname, paramindex, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadImageDefaultFormat', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImageDefaultFormat', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImageDefaultFormat', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadImageDefaultFormat', 'String')
      paramindex = AsposeSlidesCloud::SpecUtils.get_param_value('index', 'DownloadImageDefaultFormat', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImageDefaultFormat', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadImageDefaultFormat', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadImageDefaultFormat', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DownloadImageDefaultFormat', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImageDefaultFormat', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_image_default_format_with_http_info(paramname, paramindex, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadImageDefaultFormat', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImageDefaultFormat', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImageDefaultFormat', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadImageDefaultFormat', 'String')
      paramindex = AsposeSlidesCloud::SpecUtils.get_param_value('index', 'DownloadImageDefaultFormat', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImageDefaultFormat', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadImageDefaultFormat', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadImageDefaultFormat', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DownloadImageDefaultFormat', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImageDefaultFormat', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_image_default_format_with_http_info(paramname, paramindex, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadImageDefaultFormat', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImageDefaultFormat', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImageDefaultFormat', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for download_image_default_format_online
  # Get image binary data.
  # @param document Document data.
  # @param index Image index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @return [File]
  describe 'download_image_default_format_online test' do
    it 'should work' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadImageDefaultFormatOnline', 'File')
      paramindex = AsposeSlidesCloud::SpecUtils.get_param_value('index', 'DownloadImageDefaultFormatOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImageDefaultFormatOnline', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImageDefaultFormatOnline', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.download_image_default_format_online_with_http_info(paramdocument, paramindex, parampassword)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImageDefaultFormatOnline', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid document' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadImageDefaultFormatOnline', 'File')
      paramindex = AsposeSlidesCloud::SpecUtils.get_param_value('index', 'DownloadImageDefaultFormatOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImageDefaultFormatOnline', 'String')
      paramdocument = AsposeSlidesCloud::SpecUtils.invalidize_param_value('document', 'DownloadImageDefaultFormatOnline', paramdocument, 'File')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImageDefaultFormatOnline', 'document', paramdocument)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_image_default_format_online_with_http_info(paramdocument, paramindex, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadImageDefaultFormatOnline', 'document')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImageDefaultFormatOnline', 'document', paramdocument)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImageDefaultFormatOnline', 'document', paramdocument)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid index' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadImageDefaultFormatOnline', 'File')
      paramindex = AsposeSlidesCloud::SpecUtils.get_param_value('index', 'DownloadImageDefaultFormatOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImageDefaultFormatOnline', 'String')
      paramindex = AsposeSlidesCloud::SpecUtils.invalidize_param_value('index', 'DownloadImageDefaultFormatOnline', paramindex, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImageDefaultFormatOnline', 'index', paramindex)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_image_default_format_online_with_http_info(paramdocument, paramindex, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadImageDefaultFormatOnline', 'index')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImageDefaultFormatOnline', 'index', paramindex)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImageDefaultFormatOnline', 'index', paramindex)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadImageDefaultFormatOnline', 'File')
      paramindex = AsposeSlidesCloud::SpecUtils.get_param_value('index', 'DownloadImageDefaultFormatOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImageDefaultFormatOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DownloadImageDefaultFormatOnline', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImageDefaultFormatOnline', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_image_default_format_online_with_http_info(paramdocument, paramindex, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadImageDefaultFormatOnline', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImageDefaultFormatOnline', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImageDefaultFormatOnline', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for download_image_online
  # Get image in specified format.
  # @param document Document data.
  # @param index Image index.
  # @param format Export format (png, jpg, gif).
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @return [File]
  describe 'download_image_online test' do
    it 'should work' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadImageOnline', 'File')
      paramindex = AsposeSlidesCloud::SpecUtils.get_param_value('index', 'DownloadImageOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadImageOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImageOnline', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImageOnline', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.download_image_online_with_http_info(paramdocument, paramindex, paramformat, parampassword)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImageOnline', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid document' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadImageOnline', 'File')
      paramindex = AsposeSlidesCloud::SpecUtils.get_param_value('index', 'DownloadImageOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadImageOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImageOnline', 'String')
      paramdocument = AsposeSlidesCloud::SpecUtils.invalidize_param_value('document', 'DownloadImageOnline', paramdocument, 'File')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImageOnline', 'document', paramdocument)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_image_online_with_http_info(paramdocument, paramindex, paramformat, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadImageOnline', 'document')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImageOnline', 'document', paramdocument)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImageOnline', 'document', paramdocument)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid index' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadImageOnline', 'File')
      paramindex = AsposeSlidesCloud::SpecUtils.get_param_value('index', 'DownloadImageOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadImageOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImageOnline', 'String')
      paramindex = AsposeSlidesCloud::SpecUtils.invalidize_param_value('index', 'DownloadImageOnline', paramindex, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImageOnline', 'index', paramindex)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_image_online_with_http_info(paramdocument, paramindex, paramformat, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadImageOnline', 'index')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImageOnline', 'index', paramindex)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImageOnline', 'index', paramindex)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid format' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadImageOnline', 'File')
      paramindex = AsposeSlidesCloud::SpecUtils.get_param_value('index', 'DownloadImageOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadImageOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImageOnline', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.invalidize_param_value('format', 'DownloadImageOnline', paramformat, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImageOnline', 'format', paramformat)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_image_online_with_http_info(paramdocument, paramindex, paramformat, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadImageOnline', 'format')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImageOnline', 'format', paramformat)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImageOnline', 'format', paramformat)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadImageOnline', 'File')
      paramindex = AsposeSlidesCloud::SpecUtils.get_param_value('index', 'DownloadImageOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadImageOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImageOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DownloadImageOnline', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImageOnline', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_image_online_with_http_info(paramdocument, paramindex, paramformat, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadImageOnline', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImageOnline', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImageOnline', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for download_images
  # Get all presentation images in specified format.
  # @param name 
  # @param format Export format (png, jpg, gif).
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [File]
  describe 'download_images test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadImages', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadImages', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImages', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadImages', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadImages', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImages', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.download_images_with_http_info(paramname, paramformat, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImages', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadImages', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadImages', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImages', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadImages', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadImages', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DownloadImages', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImages', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_images_with_http_info(paramname, paramformat, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadImages', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImages', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImages', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid format' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadImages', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadImages', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImages', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadImages', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadImages', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.invalidize_param_value('format', 'DownloadImages', paramformat, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImages', 'format', paramformat)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_images_with_http_info(paramname, paramformat, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadImages', 'format')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImages', 'format', paramformat)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImages', 'format', paramformat)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadImages', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadImages', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImages', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadImages', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadImages', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DownloadImages', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImages', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_images_with_http_info(paramname, paramformat, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadImages', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImages', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImages', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadImages', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadImages', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImages', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadImages', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadImages', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DownloadImages', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImages', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_images_with_http_info(paramname, paramformat, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadImages', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImages', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImages', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadImages', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadImages', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImages', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadImages', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadImages', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DownloadImages', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImages', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_images_with_http_info(paramname, paramformat, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadImages', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImages', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImages', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for download_images_default_format
  # Get all presentation images.
  # @param name 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [File]
  describe 'download_images_default_format test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadImagesDefaultFormat', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImagesDefaultFormat', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadImagesDefaultFormat', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadImagesDefaultFormat', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImagesDefaultFormat', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.download_images_default_format_with_http_info(paramname, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImagesDefaultFormat', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadImagesDefaultFormat', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImagesDefaultFormat', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadImagesDefaultFormat', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadImagesDefaultFormat', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DownloadImagesDefaultFormat', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImagesDefaultFormat', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_images_default_format_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadImagesDefaultFormat', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImagesDefaultFormat', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImagesDefaultFormat', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadImagesDefaultFormat', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImagesDefaultFormat', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadImagesDefaultFormat', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadImagesDefaultFormat', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DownloadImagesDefaultFormat', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImagesDefaultFormat', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_images_default_format_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadImagesDefaultFormat', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImagesDefaultFormat', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImagesDefaultFormat', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadImagesDefaultFormat', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImagesDefaultFormat', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadImagesDefaultFormat', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadImagesDefaultFormat', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DownloadImagesDefaultFormat', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImagesDefaultFormat', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_images_default_format_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadImagesDefaultFormat', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImagesDefaultFormat', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImagesDefaultFormat', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadImagesDefaultFormat', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImagesDefaultFormat', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadImagesDefaultFormat', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadImagesDefaultFormat', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DownloadImagesDefaultFormat', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImagesDefaultFormat', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_images_default_format_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadImagesDefaultFormat', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImagesDefaultFormat', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImagesDefaultFormat', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for download_images_default_format_online
  # Get all presentation images.
  # @param document Document data.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @return [File]
  describe 'download_images_default_format_online test' do
    it 'should work' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadImagesDefaultFormatOnline', 'File')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImagesDefaultFormatOnline', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImagesDefaultFormatOnline', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.download_images_default_format_online_with_http_info(paramdocument, parampassword)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImagesDefaultFormatOnline', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid document' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadImagesDefaultFormatOnline', 'File')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImagesDefaultFormatOnline', 'String')
      paramdocument = AsposeSlidesCloud::SpecUtils.invalidize_param_value('document', 'DownloadImagesDefaultFormatOnline', paramdocument, 'File')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImagesDefaultFormatOnline', 'document', paramdocument)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_images_default_format_online_with_http_info(paramdocument, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadImagesDefaultFormatOnline', 'document')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImagesDefaultFormatOnline', 'document', paramdocument)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImagesDefaultFormatOnline', 'document', paramdocument)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadImagesDefaultFormatOnline', 'File')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImagesDefaultFormatOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DownloadImagesDefaultFormatOnline', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImagesDefaultFormatOnline', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_images_default_format_online_with_http_info(paramdocument, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadImagesDefaultFormatOnline', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImagesDefaultFormatOnline', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImagesDefaultFormatOnline', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for download_images_online
  # Get all presentation images in specified format. 
  # @param document Document data.
  # @param format Export format (png, jpg, gif).
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @return [File]
  describe 'download_images_online test' do
    it 'should work' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadImagesOnline', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadImagesOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImagesOnline', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImagesOnline', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.download_images_online_with_http_info(paramdocument, paramformat, parampassword)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImagesOnline', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid document' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadImagesOnline', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadImagesOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImagesOnline', 'String')
      paramdocument = AsposeSlidesCloud::SpecUtils.invalidize_param_value('document', 'DownloadImagesOnline', paramdocument, 'File')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImagesOnline', 'document', paramdocument)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_images_online_with_http_info(paramdocument, paramformat, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadImagesOnline', 'document')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImagesOnline', 'document', paramdocument)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImagesOnline', 'document', paramdocument)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid format' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadImagesOnline', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadImagesOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImagesOnline', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.invalidize_param_value('format', 'DownloadImagesOnline', paramformat, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImagesOnline', 'format', paramformat)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_images_online_with_http_info(paramdocument, paramformat, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadImagesOnline', 'format')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImagesOnline', 'format', paramformat)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImagesOnline', 'format', paramformat)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadImagesOnline', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadImagesOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadImagesOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DownloadImagesOnline', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadImagesOnline', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_images_online_with_http_info(paramdocument, paramformat, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadImagesOnline', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImagesOnline', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadImagesOnline', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for download_notes_slide
  # Convert notes slide to the specified image format.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param format Output file format.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :width Output file width.
  # @option opts [Integer] :height Output file height.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @option opts [String] :fonts_folder Storage folder containing custom fonts to be used with the document.
  # @return [File]
  describe 'download_notes_slide test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadNotesSlide', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadNotesSlide', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'DownloadNotesSlide', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'DownloadNotesSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadNotesSlide', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadNotesSlide', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadNotesSlide', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.download_notes_slide_with_http_info(paramname, paramslide_index, paramformat, paramwidth, paramheight, parampassword, paramfolder, paramstorage, paramfonts_folder)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadNotesSlide', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadNotesSlide', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadNotesSlide', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'DownloadNotesSlide', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'DownloadNotesSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadNotesSlide', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadNotesSlide', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DownloadNotesSlide', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadNotesSlide', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_notes_slide_with_http_info(paramname, paramslide_index, paramformat, paramwidth, paramheight, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadNotesSlide', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadNotesSlide', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadNotesSlide', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadNotesSlide', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadNotesSlide', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'DownloadNotesSlide', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'DownloadNotesSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadNotesSlide', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DownloadNotesSlide', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadNotesSlide', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_notes_slide_with_http_info(paramname, paramslide_index, paramformat, paramwidth, paramheight, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadNotesSlide', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadNotesSlide', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadNotesSlide', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid format' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadNotesSlide', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadNotesSlide', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'DownloadNotesSlide', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'DownloadNotesSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadNotesSlide', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadNotesSlide', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.invalidize_param_value('format', 'DownloadNotesSlide', paramformat, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadNotesSlide', 'format', paramformat)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_notes_slide_with_http_info(paramname, paramslide_index, paramformat, paramwidth, paramheight, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadNotesSlide', 'format')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadNotesSlide', 'format', paramformat)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadNotesSlide', 'format', paramformat)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid width' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadNotesSlide', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadNotesSlide', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'DownloadNotesSlide', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'DownloadNotesSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadNotesSlide', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadNotesSlide', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.invalidize_param_value('width', 'DownloadNotesSlide', paramwidth, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadNotesSlide', 'width', paramwidth)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_notes_slide_with_http_info(paramname, paramslide_index, paramformat, paramwidth, paramheight, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadNotesSlide', 'width')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadNotesSlide', 'width', paramwidth)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadNotesSlide', 'width', paramwidth)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid height' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadNotesSlide', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadNotesSlide', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'DownloadNotesSlide', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'DownloadNotesSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadNotesSlide', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadNotesSlide', 'String')
      paramheight = AsposeSlidesCloud::SpecUtils.invalidize_param_value('height', 'DownloadNotesSlide', paramheight, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadNotesSlide', 'height', paramheight)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_notes_slide_with_http_info(paramname, paramslide_index, paramformat, paramwidth, paramheight, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadNotesSlide', 'height')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadNotesSlide', 'height', paramheight)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadNotesSlide', 'height', paramheight)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadNotesSlide', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadNotesSlide', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'DownloadNotesSlide', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'DownloadNotesSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadNotesSlide', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadNotesSlide', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DownloadNotesSlide', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadNotesSlide', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_notes_slide_with_http_info(paramname, paramslide_index, paramformat, paramwidth, paramheight, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadNotesSlide', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadNotesSlide', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadNotesSlide', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadNotesSlide', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadNotesSlide', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'DownloadNotesSlide', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'DownloadNotesSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadNotesSlide', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DownloadNotesSlide', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadNotesSlide', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_notes_slide_with_http_info(paramname, paramslide_index, paramformat, paramwidth, paramheight, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadNotesSlide', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadNotesSlide', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadNotesSlide', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadNotesSlide', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadNotesSlide', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'DownloadNotesSlide', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'DownloadNotesSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadNotesSlide', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DownloadNotesSlide', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadNotesSlide', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_notes_slide_with_http_info(paramname, paramslide_index, paramformat, paramwidth, paramheight, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadNotesSlide', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadNotesSlide', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadNotesSlide', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid fonts_folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadNotesSlide', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadNotesSlide', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'DownloadNotesSlide', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'DownloadNotesSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadNotesSlide', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadNotesSlide', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('fontsFolder', 'DownloadNotesSlide', paramfonts_folder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadNotesSlide', 'fontsFolder', paramfonts_folder)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_notes_slide_with_http_info(paramname, paramslide_index, paramformat, paramwidth, paramheight, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadNotesSlide', 'fontsFolder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadNotesSlide', 'fontsFolder', paramfonts_folder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadNotesSlide', 'fontsFolder', paramfonts_folder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for download_notes_slide_online
  # Convert notes slide to the specified image format.
  # @param document Document data.
  # @param slide_index Slide index.
  # @param format Output file format.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :width Output file width.
  # @option opts [Integer] :height Output file height.
  # @option opts [String] :password Document password.
  # @option opts [String] :fonts_folder Storage folder containing custom fonts to be used with the document.
  # @return [File]
  describe 'download_notes_slide_online test' do
    it 'should work' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadNotesSlideOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadNotesSlideOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadNotesSlideOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'DownloadNotesSlideOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'DownloadNotesSlideOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadNotesSlideOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadNotesSlideOnline', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadNotesSlideOnline', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.download_notes_slide_online_with_http_info(paramdocument, paramslide_index, paramformat, paramwidth, paramheight, parampassword, paramfonts_folder)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadNotesSlideOnline', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid document' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadNotesSlideOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadNotesSlideOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadNotesSlideOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'DownloadNotesSlideOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'DownloadNotesSlideOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadNotesSlideOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadNotesSlideOnline', 'String')
      paramdocument = AsposeSlidesCloud::SpecUtils.invalidize_param_value('document', 'DownloadNotesSlideOnline', paramdocument, 'File')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadNotesSlideOnline', 'document', paramdocument)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_notes_slide_online_with_http_info(paramdocument, paramslide_index, paramformat, paramwidth, paramheight, parampassword, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadNotesSlideOnline', 'document')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadNotesSlideOnline', 'document', paramdocument)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadNotesSlideOnline', 'document', paramdocument)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadNotesSlideOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadNotesSlideOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadNotesSlideOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'DownloadNotesSlideOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'DownloadNotesSlideOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadNotesSlideOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadNotesSlideOnline', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DownloadNotesSlideOnline', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadNotesSlideOnline', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_notes_slide_online_with_http_info(paramdocument, paramslide_index, paramformat, paramwidth, paramheight, parampassword, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadNotesSlideOnline', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadNotesSlideOnline', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadNotesSlideOnline', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid format' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadNotesSlideOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadNotesSlideOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadNotesSlideOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'DownloadNotesSlideOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'DownloadNotesSlideOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadNotesSlideOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadNotesSlideOnline', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.invalidize_param_value('format', 'DownloadNotesSlideOnline', paramformat, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadNotesSlideOnline', 'format', paramformat)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_notes_slide_online_with_http_info(paramdocument, paramslide_index, paramformat, paramwidth, paramheight, parampassword, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadNotesSlideOnline', 'format')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadNotesSlideOnline', 'format', paramformat)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadNotesSlideOnline', 'format', paramformat)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid width' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadNotesSlideOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadNotesSlideOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadNotesSlideOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'DownloadNotesSlideOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'DownloadNotesSlideOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadNotesSlideOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadNotesSlideOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.invalidize_param_value('width', 'DownloadNotesSlideOnline', paramwidth, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadNotesSlideOnline', 'width', paramwidth)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_notes_slide_online_with_http_info(paramdocument, paramslide_index, paramformat, paramwidth, paramheight, parampassword, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadNotesSlideOnline', 'width')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadNotesSlideOnline', 'width', paramwidth)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadNotesSlideOnline', 'width', paramwidth)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid height' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadNotesSlideOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadNotesSlideOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadNotesSlideOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'DownloadNotesSlideOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'DownloadNotesSlideOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadNotesSlideOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadNotesSlideOnline', 'String')
      paramheight = AsposeSlidesCloud::SpecUtils.invalidize_param_value('height', 'DownloadNotesSlideOnline', paramheight, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadNotesSlideOnline', 'height', paramheight)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_notes_slide_online_with_http_info(paramdocument, paramslide_index, paramformat, paramwidth, paramheight, parampassword, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadNotesSlideOnline', 'height')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadNotesSlideOnline', 'height', paramheight)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadNotesSlideOnline', 'height', paramheight)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadNotesSlideOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadNotesSlideOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadNotesSlideOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'DownloadNotesSlideOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'DownloadNotesSlideOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadNotesSlideOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadNotesSlideOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DownloadNotesSlideOnline', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadNotesSlideOnline', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_notes_slide_online_with_http_info(paramdocument, paramslide_index, paramformat, paramwidth, paramheight, parampassword, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadNotesSlideOnline', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadNotesSlideOnline', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadNotesSlideOnline', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid fonts_folder' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadNotesSlideOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadNotesSlideOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadNotesSlideOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'DownloadNotesSlideOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'DownloadNotesSlideOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadNotesSlideOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadNotesSlideOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('fontsFolder', 'DownloadNotesSlideOnline', paramfonts_folder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadNotesSlideOnline', 'fontsFolder', paramfonts_folder)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_notes_slide_online_with_http_info(paramdocument, paramslide_index, paramformat, paramwidth, paramheight, parampassword, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadNotesSlideOnline', 'fontsFolder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadNotesSlideOnline', 'fontsFolder', paramfonts_folder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadNotesSlideOnline', 'fontsFolder', paramfonts_folder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for download_portion_as_math_ml
  # Convert Mathematical Text to MathML Format
  # @param name Document name.
  # @param slide_index Slide index.
  # @param shape_index Shape index.
  # @param paragraph_index Paragraph index.
  # @param portion_index Portion index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [File]
  describe 'download_portion_as_math_ml test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadPortionAsMathMl', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadPortionAsMathMl', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadPortionAsMathMl', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DownloadPortionAsMathMl', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DownloadPortionAsMathMl', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadPortionAsMathMl', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadPortionAsMathMl', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadPortionAsMathMl', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadPortionAsMathMl', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.download_portion_as_math_ml_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadPortionAsMathMl', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadPortionAsMathMl', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadPortionAsMathMl', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadPortionAsMathMl', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DownloadPortionAsMathMl', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DownloadPortionAsMathMl', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadPortionAsMathMl', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadPortionAsMathMl', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadPortionAsMathMl', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DownloadPortionAsMathMl', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadPortionAsMathMl', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_portion_as_math_ml_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadPortionAsMathMl', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadPortionAsMathMl', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadPortionAsMathMl', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadPortionAsMathMl', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadPortionAsMathMl', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadPortionAsMathMl', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DownloadPortionAsMathMl', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DownloadPortionAsMathMl', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadPortionAsMathMl', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadPortionAsMathMl', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadPortionAsMathMl', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DownloadPortionAsMathMl', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadPortionAsMathMl', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_portion_as_math_ml_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadPortionAsMathMl', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadPortionAsMathMl', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadPortionAsMathMl', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadPortionAsMathMl', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadPortionAsMathMl', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadPortionAsMathMl', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DownloadPortionAsMathMl', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DownloadPortionAsMathMl', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadPortionAsMathMl', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadPortionAsMathMl', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadPortionAsMathMl', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'DownloadPortionAsMathMl', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadPortionAsMathMl', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_portion_as_math_ml_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadPortionAsMathMl', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadPortionAsMathMl', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadPortionAsMathMl', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadPortionAsMathMl', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadPortionAsMathMl', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadPortionAsMathMl', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DownloadPortionAsMathMl', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DownloadPortionAsMathMl', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadPortionAsMathMl', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadPortionAsMathMl', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadPortionAsMathMl', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'DownloadPortionAsMathMl', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadPortionAsMathMl', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_portion_as_math_ml_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadPortionAsMathMl', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadPortionAsMathMl', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadPortionAsMathMl', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid portion_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadPortionAsMathMl', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadPortionAsMathMl', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadPortionAsMathMl', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DownloadPortionAsMathMl', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DownloadPortionAsMathMl', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadPortionAsMathMl', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadPortionAsMathMl', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadPortionAsMathMl', 'String')
      paramportion_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('portionIndex', 'DownloadPortionAsMathMl', paramportion_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadPortionAsMathMl', 'portionIndex', paramportion_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_portion_as_math_ml_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadPortionAsMathMl', 'portionIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadPortionAsMathMl', 'portionIndex', paramportion_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadPortionAsMathMl', 'portionIndex', paramportion_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadPortionAsMathMl', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadPortionAsMathMl', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadPortionAsMathMl', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DownloadPortionAsMathMl', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DownloadPortionAsMathMl', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadPortionAsMathMl', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadPortionAsMathMl', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadPortionAsMathMl', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DownloadPortionAsMathMl', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadPortionAsMathMl', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_portion_as_math_ml_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadPortionAsMathMl', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadPortionAsMathMl', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadPortionAsMathMl', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadPortionAsMathMl', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadPortionAsMathMl', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadPortionAsMathMl', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DownloadPortionAsMathMl', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DownloadPortionAsMathMl', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadPortionAsMathMl', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadPortionAsMathMl', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadPortionAsMathMl', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DownloadPortionAsMathMl', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadPortionAsMathMl', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_portion_as_math_ml_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadPortionAsMathMl', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadPortionAsMathMl', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadPortionAsMathMl', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadPortionAsMathMl', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadPortionAsMathMl', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadPortionAsMathMl', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'DownloadPortionAsMathMl', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'DownloadPortionAsMathMl', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadPortionAsMathMl', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadPortionAsMathMl', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadPortionAsMathMl', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DownloadPortionAsMathMl', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadPortionAsMathMl', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_portion_as_math_ml_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadPortionAsMathMl', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadPortionAsMathMl', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadPortionAsMathMl', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for download_presentation
  # Save a presentation to a specified format.
  # @param name Document name.
  # @param format Export format.
  # @param [Hash] opts the optional parameters
  # @option opts [ExportOptions] :options Export options.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @option opts [String] :fonts_folder Custom fonts folder.
  # @option opts [String] :slides The indices of the slides to be saved. If not specified, all slides are saved by default.
  # @return [File]
  describe 'download_presentation test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadPresentation', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadPresentation', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadPresentation', 'ExportOptions')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadPresentation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadPresentation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadPresentation', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadPresentation', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'DownloadPresentation', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadPresentation', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.download_presentation_with_http_info(paramname, paramformat, paramoptions, parampassword, paramfolder, paramstorage, paramfonts_folder, paramslides)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadPresentation', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadPresentation', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadPresentation', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadPresentation', 'ExportOptions')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadPresentation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadPresentation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadPresentation', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadPresentation', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'DownloadPresentation', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DownloadPresentation', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadPresentation', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_presentation_with_http_info(paramname, paramformat, paramoptions, parampassword, paramfolder, paramstorage, paramfonts_folder, paramslides)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadPresentation', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadPresentation', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadPresentation', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid format' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadPresentation', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadPresentation', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadPresentation', 'ExportOptions')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadPresentation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadPresentation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadPresentation', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadPresentation', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'DownloadPresentation', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.invalidize_param_value('format', 'DownloadPresentation', paramformat, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadPresentation', 'format', paramformat)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_presentation_with_http_info(paramname, paramformat, paramoptions, parampassword, paramfolder, paramstorage, paramfonts_folder, paramslides)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadPresentation', 'format')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadPresentation', 'format', paramformat)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadPresentation', 'format', paramformat)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid options' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadPresentation', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadPresentation', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadPresentation', 'ExportOptions')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadPresentation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadPresentation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadPresentation', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadPresentation', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'DownloadPresentation', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.invalidize_param_value('options', 'DownloadPresentation', paramoptions, 'ExportOptions')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadPresentation', 'options', paramoptions)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_presentation_with_http_info(paramname, paramformat, paramoptions, parampassword, paramfolder, paramstorage, paramfonts_folder, paramslides)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadPresentation', 'options')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadPresentation', 'options', paramoptions)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadPresentation', 'options', paramoptions)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadPresentation', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadPresentation', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadPresentation', 'ExportOptions')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadPresentation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadPresentation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadPresentation', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadPresentation', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'DownloadPresentation', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DownloadPresentation', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadPresentation', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_presentation_with_http_info(paramname, paramformat, paramoptions, parampassword, paramfolder, paramstorage, paramfonts_folder, paramslides)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadPresentation', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadPresentation', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadPresentation', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadPresentation', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadPresentation', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadPresentation', 'ExportOptions')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadPresentation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadPresentation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadPresentation', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadPresentation', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'DownloadPresentation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DownloadPresentation', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadPresentation', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_presentation_with_http_info(paramname, paramformat, paramoptions, parampassword, paramfolder, paramstorage, paramfonts_folder, paramslides)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadPresentation', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadPresentation', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadPresentation', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadPresentation', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadPresentation', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadPresentation', 'ExportOptions')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadPresentation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadPresentation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadPresentation', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadPresentation', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'DownloadPresentation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DownloadPresentation', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadPresentation', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_presentation_with_http_info(paramname, paramformat, paramoptions, parampassword, paramfolder, paramstorage, paramfonts_folder, paramslides)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadPresentation', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadPresentation', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadPresentation', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid fonts_folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadPresentation', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadPresentation', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadPresentation', 'ExportOptions')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadPresentation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadPresentation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadPresentation', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadPresentation', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'DownloadPresentation', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('fontsFolder', 'DownloadPresentation', paramfonts_folder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadPresentation', 'fontsFolder', paramfonts_folder)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_presentation_with_http_info(paramname, paramformat, paramoptions, parampassword, paramfolder, paramstorage, paramfonts_folder, paramslides)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadPresentation', 'fontsFolder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadPresentation', 'fontsFolder', paramfonts_folder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadPresentation', 'fontsFolder', paramfonts_folder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slides' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadPresentation', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadPresentation', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadPresentation', 'ExportOptions')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadPresentation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadPresentation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadPresentation', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadPresentation', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'DownloadPresentation', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slides', 'DownloadPresentation', paramslides, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadPresentation', 'slides', paramslides)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_presentation_with_http_info(paramname, paramformat, paramoptions, parampassword, paramfolder, paramstorage, paramfonts_folder, paramslides)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadPresentation', 'slides')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadPresentation', 'slides', paramslides)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadPresentation', 'slides', paramslides)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for download_shape
  # Render shape to specified picture format.
  # @param name Presentation name.
  # @param slide_index Slide index.
  # @param shape_index Index of shape starting from 1
  # @param format Export picture format.
  # @param [Hash] opts the optional parameters
  # @option opts [IShapeExportOptions] :options export options
  # @option opts [Float] :scale_x X scale ratio.
  # @option opts [Float] :scale_y Y scale ratio.
  # @option opts [String] :bounds Shape thumbnail bounds type.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Presentation folder.
  # @option opts [String] :storage Presentation storage.
  # @option opts [String] :fonts_folder Fonts folder.
  # @return [File]
  describe 'download_shape test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadShape', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadShape', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.download_shape_with_http_info(paramname, paramslide_index, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShape', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadShape', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DownloadShape', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadShape', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_shape_with_http_info(paramname, paramslide_index, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadShape', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShape', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShape', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DownloadShape', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadShape', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_shape_with_http_info(paramname, paramslide_index, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadShape', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShape', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShape', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'DownloadShape', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadShape', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_shape_with_http_info(paramname, paramslide_index, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadShape', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShape', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShape', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid format' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadShape', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.invalidize_param_value('format', 'DownloadShape', paramformat, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadShape', 'format', paramformat)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_shape_with_http_info(paramname, paramslide_index, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadShape', 'format')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShape', 'format', paramformat)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShape', 'format', paramformat)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid options' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.invalidize_param_value('options', 'DownloadShape', paramoptions, 'IShapeExportOptions')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadShape', 'options', paramoptions)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_shape_with_http_info(paramname, paramslide_index, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadShape', 'options')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShape', 'options', paramoptions)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShape', 'options', paramoptions)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid scale_x' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadShape', 'String')
      paramscale_x = AsposeSlidesCloud::SpecUtils.invalidize_param_value('scaleX', 'DownloadShape', paramscale_x, 'Float')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadShape', 'scaleX', paramscale_x)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_shape_with_http_info(paramname, paramslide_index, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadShape', 'scaleX')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShape', 'scaleX', paramscale_x)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShape', 'scaleX', paramscale_x)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid scale_y' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadShape', 'String')
      paramscale_y = AsposeSlidesCloud::SpecUtils.invalidize_param_value('scaleY', 'DownloadShape', paramscale_y, 'Float')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadShape', 'scaleY', paramscale_y)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_shape_with_http_info(paramname, paramslide_index, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadShape', 'scaleY')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShape', 'scaleY', paramscale_y)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShape', 'scaleY', paramscale_y)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid bounds' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadShape', 'String')
      parambounds = AsposeSlidesCloud::SpecUtils.invalidize_param_value('bounds', 'DownloadShape', parambounds, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadShape', 'bounds', parambounds)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_shape_with_http_info(paramname, paramslide_index, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadShape', 'bounds')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShape', 'bounds', parambounds)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShape', 'bounds', parambounds)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DownloadShape', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadShape', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_shape_with_http_info(paramname, paramslide_index, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadShape', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShape', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShape', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DownloadShape', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadShape', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_shape_with_http_info(paramname, paramslide_index, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadShape', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShape', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShape', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DownloadShape', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadShape', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_shape_with_http_info(paramname, paramslide_index, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadShape', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShape', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShape', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid fonts_folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('fontsFolder', 'DownloadShape', paramfonts_folder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadShape', 'fontsFolder', paramfonts_folder)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_shape_with_http_info(paramname, paramslide_index, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadShape', 'fontsFolder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShape', 'fontsFolder', paramfonts_folder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShape', 'fontsFolder', paramfonts_folder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for download_shape_online
  # Render shape to specified picture format.
  # @param document Document data.
  # @param slide_index Slide index.
  # @param shape_index Index of shape starting from 1
  # @param format Export picture format.
  # @param [Hash] opts the optional parameters
  # @option opts [Float] :scale_x X scale ratio.
  # @option opts [Float] :scale_y Y scale ratio.
  # @option opts [String] :bounds Shape thumbnail bounds type.
  # @option opts [String] :password Document password.
  # @option opts [String] :storage Document storage.
  # @option opts [String] :fonts_folder Fonts folder.
  # @option opts [IShapeExportOptions] :options Export options.
  # @return [File]
  describe 'download_shape_online test' do
    it 'should work' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadShapeOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadShapeOnline', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadShapeOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadShapeOnline', 'String')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadShapeOnline', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadShapeOnline', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadShapeOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadShapeOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadShapeOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadShapeOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadShapeOnline', 'IShapeExportOptions')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadShapeOnline', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.download_shape_online_with_http_info(paramdocument, paramslide_index, paramshape_index, paramformat, paramscale_x, paramscale_y, parambounds, parampassword, paramstorage, paramfonts_folder, paramoptions)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShapeOnline', nil, nil)
      expect(c).to eq(code)
    end

    it 'invalid document' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadShapeOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadShapeOnline', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadShapeOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadShapeOnline', 'String')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadShapeOnline', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadShapeOnline', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadShapeOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadShapeOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadShapeOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadShapeOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadShapeOnline', 'IShapeExportOptions')
      paramdocument = AsposeSlidesCloud::SpecUtils.invalidize_param_value('document', 'DownloadShapeOnline', paramdocument, 'File')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadShapeOnline', 'document', paramdocument)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_shape_online_with_http_info(paramdocument, paramslide_index, paramshape_index, paramformat, paramscale_x, paramscale_y, parambounds, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadShapeOnline', 'document')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShapeOnline', 'document', paramdocument)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShapeOnline', 'document', paramdocument)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadShapeOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadShapeOnline', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadShapeOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadShapeOnline', 'String')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadShapeOnline', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadShapeOnline', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadShapeOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadShapeOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadShapeOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadShapeOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadShapeOnline', 'IShapeExportOptions')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DownloadShapeOnline', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadShapeOnline', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_shape_online_with_http_info(paramdocument, paramslide_index, paramshape_index, paramformat, paramscale_x, paramscale_y, parambounds, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadShapeOnline', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShapeOnline', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShapeOnline', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadShapeOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadShapeOnline', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadShapeOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadShapeOnline', 'String')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadShapeOnline', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadShapeOnline', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadShapeOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadShapeOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadShapeOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadShapeOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadShapeOnline', 'IShapeExportOptions')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'DownloadShapeOnline', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadShapeOnline', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_shape_online_with_http_info(paramdocument, paramslide_index, paramshape_index, paramformat, paramscale_x, paramscale_y, parambounds, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadShapeOnline', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShapeOnline', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShapeOnline', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid format' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadShapeOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadShapeOnline', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadShapeOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadShapeOnline', 'String')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadShapeOnline', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadShapeOnline', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadShapeOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadShapeOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadShapeOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadShapeOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadShapeOnline', 'IShapeExportOptions')
      paramformat = AsposeSlidesCloud::SpecUtils.invalidize_param_value('format', 'DownloadShapeOnline', paramformat, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadShapeOnline', 'format', paramformat)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_shape_online_with_http_info(paramdocument, paramslide_index, paramshape_index, paramformat, paramscale_x, paramscale_y, parambounds, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadShapeOnline', 'format')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShapeOnline', 'format', paramformat)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShapeOnline', 'format', paramformat)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid scale_x' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadShapeOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadShapeOnline', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadShapeOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadShapeOnline', 'String')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadShapeOnline', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadShapeOnline', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadShapeOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadShapeOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadShapeOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadShapeOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadShapeOnline', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.invalidize_param_value('scaleX', 'DownloadShapeOnline', paramscale_x, 'Float')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadShapeOnline', 'scaleX', paramscale_x)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_shape_online_with_http_info(paramdocument, paramslide_index, paramshape_index, paramformat, paramscale_x, paramscale_y, parambounds, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadShapeOnline', 'scaleX')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShapeOnline', 'scaleX', paramscale_x)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShapeOnline', 'scaleX', paramscale_x)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid scale_y' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadShapeOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadShapeOnline', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadShapeOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadShapeOnline', 'String')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadShapeOnline', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadShapeOnline', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadShapeOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadShapeOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadShapeOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadShapeOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadShapeOnline', 'IShapeExportOptions')
      paramscale_y = AsposeSlidesCloud::SpecUtils.invalidize_param_value('scaleY', 'DownloadShapeOnline', paramscale_y, 'Float')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadShapeOnline', 'scaleY', paramscale_y)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_shape_online_with_http_info(paramdocument, paramslide_index, paramshape_index, paramformat, paramscale_x, paramscale_y, parambounds, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadShapeOnline', 'scaleY')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShapeOnline', 'scaleY', paramscale_y)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShapeOnline', 'scaleY', paramscale_y)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid bounds' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadShapeOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadShapeOnline', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadShapeOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadShapeOnline', 'String')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadShapeOnline', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadShapeOnline', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadShapeOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadShapeOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadShapeOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadShapeOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadShapeOnline', 'IShapeExportOptions')
      parambounds = AsposeSlidesCloud::SpecUtils.invalidize_param_value('bounds', 'DownloadShapeOnline', parambounds, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadShapeOnline', 'bounds', parambounds)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_shape_online_with_http_info(paramdocument, paramslide_index, paramshape_index, paramformat, paramscale_x, paramscale_y, parambounds, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadShapeOnline', 'bounds')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShapeOnline', 'bounds', parambounds)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShapeOnline', 'bounds', parambounds)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadShapeOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadShapeOnline', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadShapeOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadShapeOnline', 'String')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadShapeOnline', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadShapeOnline', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadShapeOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadShapeOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadShapeOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadShapeOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadShapeOnline', 'IShapeExportOptions')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DownloadShapeOnline', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadShapeOnline', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_shape_online_with_http_info(paramdocument, paramslide_index, paramshape_index, paramformat, paramscale_x, paramscale_y, parambounds, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadShapeOnline', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShapeOnline', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShapeOnline', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadShapeOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadShapeOnline', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadShapeOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadShapeOnline', 'String')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadShapeOnline', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadShapeOnline', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadShapeOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadShapeOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadShapeOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadShapeOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadShapeOnline', 'IShapeExportOptions')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DownloadShapeOnline', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadShapeOnline', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_shape_online_with_http_info(paramdocument, paramslide_index, paramshape_index, paramformat, paramscale_x, paramscale_y, parambounds, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadShapeOnline', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShapeOnline', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShapeOnline', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid fonts_folder' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadShapeOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadShapeOnline', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadShapeOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadShapeOnline', 'String')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadShapeOnline', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadShapeOnline', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadShapeOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadShapeOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadShapeOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadShapeOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadShapeOnline', 'IShapeExportOptions')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('fontsFolder', 'DownloadShapeOnline', paramfonts_folder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadShapeOnline', 'fontsFolder', paramfonts_folder)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_shape_online_with_http_info(paramdocument, paramslide_index, paramshape_index, paramformat, paramscale_x, paramscale_y, parambounds, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadShapeOnline', 'fontsFolder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShapeOnline', 'fontsFolder', paramfonts_folder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShapeOnline', 'fontsFolder', paramfonts_folder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid options' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadShapeOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadShapeOnline', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadShapeOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadShapeOnline', 'String')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadShapeOnline', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadShapeOnline', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadShapeOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadShapeOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadShapeOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadShapeOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadShapeOnline', 'IShapeExportOptions')
      paramoptions = AsposeSlidesCloud::SpecUtils.invalidize_param_value('options', 'DownloadShapeOnline', paramoptions, 'IShapeExportOptions')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadShapeOnline', 'options', paramoptions)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_shape_online_with_http_info(paramdocument, paramslide_index, paramshape_index, paramformat, paramscale_x, paramscale_y, parambounds, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadShapeOnline', 'options')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShapeOnline', 'options', paramoptions)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadShapeOnline', 'options', paramoptions)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for download_slide
  # Save a slide to a specified format.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param format Output file format.
  # @param [Hash] opts the optional parameters
  # @option opts [ExportOptions] :options Export options.
  # @option opts [Integer] :width Output file width; 0 to not adjust the size. Default is 0.
  # @option opts [Integer] :height Output file height; 0 to not adjust the size. Default is 0.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @option opts [String] :fonts_folder Storage folder containing custom fonts to be used with the document.
  # @return [File]
  describe 'download_slide test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSlide', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSlide', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSlide', 'ExportOptions')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'DownloadSlide', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'DownloadSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSlide', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSlide', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSlide', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.download_slide_with_http_info(paramname, paramslide_index, paramformat, paramoptions, paramwidth, paramheight, parampassword, paramfolder, paramstorage, paramfonts_folder)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlide', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSlide', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSlide', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSlide', 'ExportOptions')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'DownloadSlide', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'DownloadSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSlide', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSlide', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DownloadSlide', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSlide', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_slide_with_http_info(paramname, paramslide_index, paramformat, paramoptions, paramwidth, paramheight, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSlide', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlide', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlide', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSlide', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSlide', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSlide', 'ExportOptions')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'DownloadSlide', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'DownloadSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSlide', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DownloadSlide', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSlide', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_slide_with_http_info(paramname, paramslide_index, paramformat, paramoptions, paramwidth, paramheight, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSlide', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlide', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlide', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid format' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSlide', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSlide', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSlide', 'ExportOptions')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'DownloadSlide', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'DownloadSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSlide', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSlide', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.invalidize_param_value('format', 'DownloadSlide', paramformat, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSlide', 'format', paramformat)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_slide_with_http_info(paramname, paramslide_index, paramformat, paramoptions, paramwidth, paramheight, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSlide', 'format')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlide', 'format', paramformat)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlide', 'format', paramformat)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid options' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSlide', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSlide', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSlide', 'ExportOptions')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'DownloadSlide', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'DownloadSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSlide', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSlide', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.invalidize_param_value('options', 'DownloadSlide', paramoptions, 'ExportOptions')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSlide', 'options', paramoptions)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_slide_with_http_info(paramname, paramslide_index, paramformat, paramoptions, paramwidth, paramheight, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSlide', 'options')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlide', 'options', paramoptions)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlide', 'options', paramoptions)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid width' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSlide', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSlide', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSlide', 'ExportOptions')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'DownloadSlide', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'DownloadSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSlide', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSlide', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.invalidize_param_value('width', 'DownloadSlide', paramwidth, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSlide', 'width', paramwidth)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_slide_with_http_info(paramname, paramslide_index, paramformat, paramoptions, paramwidth, paramheight, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSlide', 'width')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlide', 'width', paramwidth)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlide', 'width', paramwidth)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid height' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSlide', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSlide', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSlide', 'ExportOptions')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'DownloadSlide', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'DownloadSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSlide', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSlide', 'String')
      paramheight = AsposeSlidesCloud::SpecUtils.invalidize_param_value('height', 'DownloadSlide', paramheight, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSlide', 'height', paramheight)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_slide_with_http_info(paramname, paramslide_index, paramformat, paramoptions, paramwidth, paramheight, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSlide', 'height')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlide', 'height', paramheight)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlide', 'height', paramheight)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSlide', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSlide', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSlide', 'ExportOptions')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'DownloadSlide', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'DownloadSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSlide', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSlide', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DownloadSlide', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSlide', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_slide_with_http_info(paramname, paramslide_index, paramformat, paramoptions, paramwidth, paramheight, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSlide', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlide', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlide', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSlide', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSlide', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSlide', 'ExportOptions')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'DownloadSlide', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'DownloadSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSlide', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DownloadSlide', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSlide', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_slide_with_http_info(paramname, paramslide_index, paramformat, paramoptions, paramwidth, paramheight, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSlide', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlide', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlide', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSlide', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSlide', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSlide', 'ExportOptions')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'DownloadSlide', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'DownloadSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSlide', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DownloadSlide', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSlide', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_slide_with_http_info(paramname, paramslide_index, paramformat, paramoptions, paramwidth, paramheight, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSlide', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlide', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlide', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid fonts_folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSlide', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSlide', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSlide', 'ExportOptions')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'DownloadSlide', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'DownloadSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSlide', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSlide', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('fontsFolder', 'DownloadSlide', paramfonts_folder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSlide', 'fontsFolder', paramfonts_folder)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_slide_with_http_info(paramname, paramslide_index, paramformat, paramoptions, paramwidth, paramheight, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSlide', 'fontsFolder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlide', 'fontsFolder', paramfonts_folder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlide', 'fontsFolder', paramfonts_folder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for download_slide_online
  # Save a slide to a specified format.
  # @param document Document data.
  # @param slide_index Slide index.
  # @param format Output file format.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :width Output file width; 0 to not adjust the size. Default is 0.
  # @option opts [Integer] :height Output file height; 0 to not adjust the size. Default is 0.
  # @option opts [String] :password Document password.
  # @option opts [String] :storage Document storage.
  # @option opts [String] :fonts_folder Storage folder containing custom fonts to be used with the document.
  # @option opts [ExportOptions] :options Export options.
  # @return [File]
  describe 'download_slide_online test' do
    it 'should work' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadSlideOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSlideOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSlideOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'DownloadSlideOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'DownloadSlideOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSlideOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSlideOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSlideOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSlideOnline', 'ExportOptions')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSlideOnline', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.download_slide_online_with_http_info(paramdocument, paramslide_index, paramformat, paramwidth, paramheight, parampassword, paramstorage, paramfonts_folder, paramoptions)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlideOnline', nil, nil)
      expect(c).to eq(code)
    end

    it 'invalid document' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadSlideOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSlideOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSlideOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'DownloadSlideOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'DownloadSlideOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSlideOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSlideOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSlideOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSlideOnline', 'ExportOptions')
      paramdocument = AsposeSlidesCloud::SpecUtils.invalidize_param_value('document', 'DownloadSlideOnline', paramdocument, 'File')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSlideOnline', 'document', paramdocument)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_slide_online_with_http_info(paramdocument, paramslide_index, paramformat, paramwidth, paramheight, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSlideOnline', 'document')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlideOnline', 'document', paramdocument)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlideOnline', 'document', paramdocument)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadSlideOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSlideOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSlideOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'DownloadSlideOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'DownloadSlideOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSlideOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSlideOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSlideOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSlideOnline', 'ExportOptions')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DownloadSlideOnline', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSlideOnline', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_slide_online_with_http_info(paramdocument, paramslide_index, paramformat, paramwidth, paramheight, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSlideOnline', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlideOnline', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlideOnline', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid format' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadSlideOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSlideOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSlideOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'DownloadSlideOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'DownloadSlideOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSlideOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSlideOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSlideOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSlideOnline', 'ExportOptions')
      paramformat = AsposeSlidesCloud::SpecUtils.invalidize_param_value('format', 'DownloadSlideOnline', paramformat, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSlideOnline', 'format', paramformat)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_slide_online_with_http_info(paramdocument, paramslide_index, paramformat, paramwidth, paramheight, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSlideOnline', 'format')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlideOnline', 'format', paramformat)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlideOnline', 'format', paramformat)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid width' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadSlideOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSlideOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSlideOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'DownloadSlideOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'DownloadSlideOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSlideOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSlideOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSlideOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSlideOnline', 'ExportOptions')
      paramwidth = AsposeSlidesCloud::SpecUtils.invalidize_param_value('width', 'DownloadSlideOnline', paramwidth, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSlideOnline', 'width', paramwidth)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_slide_online_with_http_info(paramdocument, paramslide_index, paramformat, paramwidth, paramheight, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSlideOnline', 'width')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlideOnline', 'width', paramwidth)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlideOnline', 'width', paramwidth)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid height' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadSlideOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSlideOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSlideOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'DownloadSlideOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'DownloadSlideOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSlideOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSlideOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSlideOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSlideOnline', 'ExportOptions')
      paramheight = AsposeSlidesCloud::SpecUtils.invalidize_param_value('height', 'DownloadSlideOnline', paramheight, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSlideOnline', 'height', paramheight)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_slide_online_with_http_info(paramdocument, paramslide_index, paramformat, paramwidth, paramheight, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSlideOnline', 'height')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlideOnline', 'height', paramheight)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlideOnline', 'height', paramheight)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadSlideOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSlideOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSlideOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'DownloadSlideOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'DownloadSlideOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSlideOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSlideOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSlideOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSlideOnline', 'ExportOptions')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DownloadSlideOnline', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSlideOnline', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_slide_online_with_http_info(paramdocument, paramslide_index, paramformat, paramwidth, paramheight, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSlideOnline', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlideOnline', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlideOnline', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadSlideOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSlideOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSlideOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'DownloadSlideOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'DownloadSlideOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSlideOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSlideOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSlideOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSlideOnline', 'ExportOptions')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DownloadSlideOnline', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSlideOnline', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_slide_online_with_http_info(paramdocument, paramslide_index, paramformat, paramwidth, paramheight, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSlideOnline', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlideOnline', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlideOnline', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid fonts_folder' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadSlideOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSlideOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSlideOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'DownloadSlideOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'DownloadSlideOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSlideOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSlideOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSlideOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSlideOnline', 'ExportOptions')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('fontsFolder', 'DownloadSlideOnline', paramfonts_folder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSlideOnline', 'fontsFolder', paramfonts_folder)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_slide_online_with_http_info(paramdocument, paramslide_index, paramformat, paramwidth, paramheight, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSlideOnline', 'fontsFolder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlideOnline', 'fontsFolder', paramfonts_folder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlideOnline', 'fontsFolder', paramfonts_folder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid options' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'DownloadSlideOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSlideOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSlideOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'DownloadSlideOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'DownloadSlideOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSlideOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSlideOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSlideOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSlideOnline', 'ExportOptions')
      paramoptions = AsposeSlidesCloud::SpecUtils.invalidize_param_value('options', 'DownloadSlideOnline', paramoptions, 'ExportOptions')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSlideOnline', 'options', paramoptions)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_slide_online_with_http_info(paramdocument, paramslide_index, paramformat, paramwidth, paramheight, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSlideOnline', 'options')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlideOnline', 'options', paramoptions)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSlideOnline', 'options', paramoptions)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for download_special_slide_shape
  # Render shape to specified picture format.
  # @param name Presentation name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param shape_index Index of shape starting from 1
  # @param format Export picture format.
  # @param [Hash] opts the optional parameters
  # @option opts [IShapeExportOptions] :options Export options
  # @option opts [Float] :scale_x X scale ratio.
  # @option opts [Float] :scale_y Y scale ratio.
  # @option opts [String] :bounds Shape thumbnail bounds type.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Presentation folder.
  # @option opts [String] :storage Presentation storage.
  # @option opts [String] :fonts_folder Fonts folder.
  # @return [File]
  describe 'download_special_slide_shape test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DownloadSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSpecialSlideShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSpecialSlideShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSpecialSlideShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSpecialSlideShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSpecialSlideShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSpecialSlideShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSpecialSlideShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSpecialSlideShape', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSpecialSlideShape', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.download_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideShape', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DownloadSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSpecialSlideShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSpecialSlideShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSpecialSlideShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSpecialSlideShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSpecialSlideShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSpecialSlideShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSpecialSlideShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSpecialSlideShape', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DownloadSpecialSlideShape', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSpecialSlideShape', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSpecialSlideShape', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideShape', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideShape', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DownloadSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSpecialSlideShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSpecialSlideShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSpecialSlideShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSpecialSlideShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSpecialSlideShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSpecialSlideShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSpecialSlideShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DownloadSpecialSlideShape', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSpecialSlideShape', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSpecialSlideShape', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideShape', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideShape', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DownloadSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSpecialSlideShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSpecialSlideShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSpecialSlideShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSpecialSlideShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSpecialSlideShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSpecialSlideShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSpecialSlideShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSpecialSlideShape', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'DownloadSpecialSlideShape', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSpecialSlideShape', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSpecialSlideShape', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideShape', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideShape', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DownloadSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSpecialSlideShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSpecialSlideShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSpecialSlideShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSpecialSlideShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSpecialSlideShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSpecialSlideShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSpecialSlideShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'DownloadSpecialSlideShape', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSpecialSlideShape', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSpecialSlideShape', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideShape', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideShape', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid format' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DownloadSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSpecialSlideShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSpecialSlideShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSpecialSlideShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSpecialSlideShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSpecialSlideShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSpecialSlideShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSpecialSlideShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSpecialSlideShape', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.invalidize_param_value('format', 'DownloadSpecialSlideShape', paramformat, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSpecialSlideShape', 'format', paramformat)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSpecialSlideShape', 'format')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideShape', 'format', paramformat)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideShape', 'format', paramformat)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid options' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DownloadSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSpecialSlideShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSpecialSlideShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSpecialSlideShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSpecialSlideShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSpecialSlideShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSpecialSlideShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSpecialSlideShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSpecialSlideShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.invalidize_param_value('options', 'DownloadSpecialSlideShape', paramoptions, 'IShapeExportOptions')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSpecialSlideShape', 'options', paramoptions)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSpecialSlideShape', 'options')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideShape', 'options', paramoptions)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideShape', 'options', paramoptions)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid scale_x' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DownloadSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSpecialSlideShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSpecialSlideShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSpecialSlideShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSpecialSlideShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSpecialSlideShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSpecialSlideShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSpecialSlideShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSpecialSlideShape', 'String')
      paramscale_x = AsposeSlidesCloud::SpecUtils.invalidize_param_value('scaleX', 'DownloadSpecialSlideShape', paramscale_x, 'Float')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSpecialSlideShape', 'scaleX', paramscale_x)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSpecialSlideShape', 'scaleX')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideShape', 'scaleX', paramscale_x)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideShape', 'scaleX', paramscale_x)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid scale_y' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DownloadSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSpecialSlideShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSpecialSlideShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSpecialSlideShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSpecialSlideShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSpecialSlideShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSpecialSlideShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSpecialSlideShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSpecialSlideShape', 'String')
      paramscale_y = AsposeSlidesCloud::SpecUtils.invalidize_param_value('scaleY', 'DownloadSpecialSlideShape', paramscale_y, 'Float')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSpecialSlideShape', 'scaleY', paramscale_y)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSpecialSlideShape', 'scaleY')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideShape', 'scaleY', paramscale_y)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideShape', 'scaleY', paramscale_y)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid bounds' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DownloadSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSpecialSlideShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSpecialSlideShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSpecialSlideShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSpecialSlideShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSpecialSlideShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSpecialSlideShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSpecialSlideShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSpecialSlideShape', 'String')
      parambounds = AsposeSlidesCloud::SpecUtils.invalidize_param_value('bounds', 'DownloadSpecialSlideShape', parambounds, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSpecialSlideShape', 'bounds', parambounds)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSpecialSlideShape', 'bounds')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideShape', 'bounds', parambounds)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideShape', 'bounds', parambounds)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DownloadSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSpecialSlideShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSpecialSlideShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSpecialSlideShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSpecialSlideShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSpecialSlideShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSpecialSlideShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSpecialSlideShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSpecialSlideShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DownloadSpecialSlideShape', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSpecialSlideShape', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSpecialSlideShape', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideShape', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideShape', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DownloadSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSpecialSlideShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSpecialSlideShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSpecialSlideShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSpecialSlideShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSpecialSlideShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSpecialSlideShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSpecialSlideShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DownloadSpecialSlideShape', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSpecialSlideShape', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSpecialSlideShape', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideShape', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideShape', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DownloadSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSpecialSlideShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSpecialSlideShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSpecialSlideShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSpecialSlideShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSpecialSlideShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSpecialSlideShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSpecialSlideShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DownloadSpecialSlideShape', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSpecialSlideShape', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSpecialSlideShape', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideShape', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideShape', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid fonts_folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DownloadSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSpecialSlideShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSpecialSlideShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSpecialSlideShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSpecialSlideShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSpecialSlideShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSpecialSlideShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSpecialSlideShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSpecialSlideShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('fontsFolder', 'DownloadSpecialSlideShape', paramfonts_folder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSpecialSlideShape', 'fontsFolder', paramfonts_folder)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSpecialSlideShape', 'fontsFolder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideShape', 'fontsFolder', paramfonts_folder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideShape', 'fontsFolder', paramfonts_folder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for download_special_slide_subshape
  # Render shape to specified picture format (for smart art and group shapes).
  # @param name Presentation name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param path Shape path.
  # @param shape_index Index of shape starting from 1
  # @param format Export picture format.
  # @param [Hash] opts the optional parameters
  # @option opts [IShapeExportOptions] :options export options
  # @option opts [Float] :scale_x X scale ratio.
  # @option opts [Float] :scale_y Y scale ratio.
  # @option opts [String] :bounds Shape thumbnail bounds type.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Presentation folder.
  # @option opts [String] :storage Presentation storage.
  # @option opts [String] :fonts_folder Fonts folder.
  # @return [File]
  describe 'download_special_slide_subshape test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DownloadSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DownloadSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSpecialSlideSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSpecialSlideSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSpecialSlideSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSpecialSlideSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSpecialSlideSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSpecialSlideSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSpecialSlideSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSpecialSlideSubshape', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSpecialSlideSubshape', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.download_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideSubshape', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DownloadSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DownloadSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSpecialSlideSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSpecialSlideSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSpecialSlideSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSpecialSlideSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSpecialSlideSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSpecialSlideSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSpecialSlideSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSpecialSlideSubshape', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DownloadSpecialSlideSubshape', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSpecialSlideSubshape', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSpecialSlideSubshape', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideSubshape', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideSubshape', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DownloadSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DownloadSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSpecialSlideSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSpecialSlideSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSpecialSlideSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSpecialSlideSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSpecialSlideSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSpecialSlideSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSpecialSlideSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DownloadSpecialSlideSubshape', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSpecialSlideSubshape', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSpecialSlideSubshape', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideSubshape', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideSubshape', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DownloadSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DownloadSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSpecialSlideSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSpecialSlideSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSpecialSlideSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSpecialSlideSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSpecialSlideSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSpecialSlideSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSpecialSlideSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSpecialSlideSubshape', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'DownloadSpecialSlideSubshape', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSpecialSlideSubshape', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSpecialSlideSubshape', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideSubshape', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideSubshape', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DownloadSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DownloadSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSpecialSlideSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSpecialSlideSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSpecialSlideSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSpecialSlideSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSpecialSlideSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSpecialSlideSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSpecialSlideSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'DownloadSpecialSlideSubshape', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSpecialSlideSubshape', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSpecialSlideSubshape', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideSubshape', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideSubshape', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DownloadSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DownloadSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSpecialSlideSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSpecialSlideSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSpecialSlideSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSpecialSlideSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSpecialSlideSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSpecialSlideSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSpecialSlideSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'DownloadSpecialSlideSubshape', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSpecialSlideSubshape', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSpecialSlideSubshape', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideSubshape', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideSubshape', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid format' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DownloadSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DownloadSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSpecialSlideSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSpecialSlideSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSpecialSlideSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSpecialSlideSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSpecialSlideSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSpecialSlideSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSpecialSlideSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSpecialSlideSubshape', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.invalidize_param_value('format', 'DownloadSpecialSlideSubshape', paramformat, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSpecialSlideSubshape', 'format', paramformat)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSpecialSlideSubshape', 'format')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideSubshape', 'format', paramformat)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideSubshape', 'format', paramformat)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid options' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DownloadSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DownloadSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSpecialSlideSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSpecialSlideSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSpecialSlideSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSpecialSlideSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSpecialSlideSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSpecialSlideSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSpecialSlideSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSpecialSlideSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.invalidize_param_value('options', 'DownloadSpecialSlideSubshape', paramoptions, 'IShapeExportOptions')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSpecialSlideSubshape', 'options', paramoptions)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSpecialSlideSubshape', 'options')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideSubshape', 'options', paramoptions)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideSubshape', 'options', paramoptions)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid scale_x' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DownloadSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DownloadSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSpecialSlideSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSpecialSlideSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSpecialSlideSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSpecialSlideSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSpecialSlideSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSpecialSlideSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSpecialSlideSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSpecialSlideSubshape', 'String')
      paramscale_x = AsposeSlidesCloud::SpecUtils.invalidize_param_value('scaleX', 'DownloadSpecialSlideSubshape', paramscale_x, 'Float')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSpecialSlideSubshape', 'scaleX', paramscale_x)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSpecialSlideSubshape', 'scaleX')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideSubshape', 'scaleX', paramscale_x)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideSubshape', 'scaleX', paramscale_x)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid scale_y' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DownloadSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DownloadSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSpecialSlideSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSpecialSlideSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSpecialSlideSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSpecialSlideSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSpecialSlideSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSpecialSlideSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSpecialSlideSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSpecialSlideSubshape', 'String')
      paramscale_y = AsposeSlidesCloud::SpecUtils.invalidize_param_value('scaleY', 'DownloadSpecialSlideSubshape', paramscale_y, 'Float')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSpecialSlideSubshape', 'scaleY', paramscale_y)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSpecialSlideSubshape', 'scaleY')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideSubshape', 'scaleY', paramscale_y)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideSubshape', 'scaleY', paramscale_y)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid bounds' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DownloadSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DownloadSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSpecialSlideSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSpecialSlideSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSpecialSlideSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSpecialSlideSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSpecialSlideSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSpecialSlideSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSpecialSlideSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSpecialSlideSubshape', 'String')
      parambounds = AsposeSlidesCloud::SpecUtils.invalidize_param_value('bounds', 'DownloadSpecialSlideSubshape', parambounds, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSpecialSlideSubshape', 'bounds', parambounds)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSpecialSlideSubshape', 'bounds')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideSubshape', 'bounds', parambounds)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideSubshape', 'bounds', parambounds)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DownloadSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DownloadSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSpecialSlideSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSpecialSlideSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSpecialSlideSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSpecialSlideSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSpecialSlideSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSpecialSlideSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSpecialSlideSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSpecialSlideSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DownloadSpecialSlideSubshape', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSpecialSlideSubshape', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSpecialSlideSubshape', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideSubshape', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideSubshape', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DownloadSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DownloadSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSpecialSlideSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSpecialSlideSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSpecialSlideSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSpecialSlideSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSpecialSlideSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSpecialSlideSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSpecialSlideSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DownloadSpecialSlideSubshape', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSpecialSlideSubshape', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSpecialSlideSubshape', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideSubshape', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideSubshape', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DownloadSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DownloadSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSpecialSlideSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSpecialSlideSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSpecialSlideSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSpecialSlideSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSpecialSlideSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSpecialSlideSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSpecialSlideSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DownloadSpecialSlideSubshape', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSpecialSlideSubshape', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSpecialSlideSubshape', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideSubshape', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideSubshape', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid fonts_folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'DownloadSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DownloadSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSpecialSlideSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSpecialSlideSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSpecialSlideSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSpecialSlideSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSpecialSlideSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSpecialSlideSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSpecialSlideSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSpecialSlideSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('fontsFolder', 'DownloadSpecialSlideSubshape', paramfonts_folder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSpecialSlideSubshape', 'fontsFolder', paramfonts_folder)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSpecialSlideSubshape', 'fontsFolder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideSubshape', 'fontsFolder', paramfonts_folder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSpecialSlideSubshape', 'fontsFolder', paramfonts_folder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for download_subshape
  # Render shape to specified picture format (for smart art and group shapes).
  # @param name Presentation name.
  # @param slide_index Slide index.
  # @param path Shape path.
  # @param shape_index Index of shape starting from 1
  # @param format Export picture format.
  # @param [Hash] opts the optional parameters
  # @option opts [IShapeExportOptions] :options export options
  # @option opts [Float] :scale_x X scale ratio.
  # @option opts [Float] :scale_y Y scale ratio.
  # @option opts [String] :bounds Shape thumbnail bounds type.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Presentation folder.
  # @option opts [String] :storage Presentation storage.
  # @option opts [String] :fonts_folder Fonts folder.
  # @return [File]
  describe 'download_subshape test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DownloadSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSubshape', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSubshape', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.download_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSubshape', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DownloadSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSubshape', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'DownloadSubshape', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSubshape', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSubshape', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSubshape', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSubshape', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DownloadSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'DownloadSubshape', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSubshape', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSubshape', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSubshape', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSubshape', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DownloadSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'DownloadSubshape', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSubshape', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSubshape', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSubshape', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSubshape', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DownloadSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'DownloadSubshape', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSubshape', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSubshape', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSubshape', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSubshape', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid format' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DownloadSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSubshape', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.invalidize_param_value('format', 'DownloadSubshape', paramformat, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSubshape', 'format', paramformat)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSubshape', 'format')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSubshape', 'format', paramformat)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSubshape', 'format', paramformat)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid options' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DownloadSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.invalidize_param_value('options', 'DownloadSubshape', paramoptions, 'IShapeExportOptions')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSubshape', 'options', paramoptions)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSubshape', 'options')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSubshape', 'options', paramoptions)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSubshape', 'options', paramoptions)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid scale_x' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DownloadSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSubshape', 'String')
      paramscale_x = AsposeSlidesCloud::SpecUtils.invalidize_param_value('scaleX', 'DownloadSubshape', paramscale_x, 'Float')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSubshape', 'scaleX', paramscale_x)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSubshape', 'scaleX')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSubshape', 'scaleX', paramscale_x)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSubshape', 'scaleX', paramscale_x)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid scale_y' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DownloadSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSubshape', 'String')
      paramscale_y = AsposeSlidesCloud::SpecUtils.invalidize_param_value('scaleY', 'DownloadSubshape', paramscale_y, 'Float')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSubshape', 'scaleY', paramscale_y)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSubshape', 'scaleY')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSubshape', 'scaleY', paramscale_y)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSubshape', 'scaleY', paramscale_y)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid bounds' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DownloadSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSubshape', 'String')
      parambounds = AsposeSlidesCloud::SpecUtils.invalidize_param_value('bounds', 'DownloadSubshape', parambounds, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSubshape', 'bounds', parambounds)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSubshape', 'bounds')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSubshape', 'bounds', parambounds)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSubshape', 'bounds', parambounds)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DownloadSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'DownloadSubshape', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSubshape', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSubshape', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSubshape', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSubshape', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DownloadSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'DownloadSubshape', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSubshape', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSubshape', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSubshape', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSubshape', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DownloadSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'DownloadSubshape', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSubshape', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSubshape', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSubshape', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSubshape', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid fonts_folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'DownloadSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'DownloadSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'DownloadSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'DownloadSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'DownloadSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'DownloadSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'DownloadSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'DownloadSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'DownloadSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'DownloadSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'DownloadSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'DownloadSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'DownloadSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('fontsFolder', 'DownloadSubshape', paramfonts_folder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('DownloadSubshape', 'fontsFolder', paramfonts_folder)
      begin
        AsposeSlidesCloud::SpecUtils.api.download_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramformat, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('DownloadSubshape', 'fontsFolder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSubshape', 'fontsFolder', paramfonts_folder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('DownloadSubshape', 'fontsFolder', paramfonts_folder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_animation
  # Read slide animation effects.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :shape_index Shape index. If specified, only effects related to that shape are returned.
  # @option opts [Integer] :paragraph_index Paragraph index.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [SlideAnimation]
  describe 'get_animation test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetAnimation', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetAnimation', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetAnimation', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetAnimation', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetAnimation', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_animation_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetAnimation', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetAnimation', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetAnimation', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetAnimation', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetAnimation', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetAnimation', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetAnimation', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_animation_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetAnimation', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetAnimation', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetAnimation', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetAnimation', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetAnimation', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetAnimation', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetAnimation', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetAnimation', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_animation_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetAnimation', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetAnimation', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetAnimation', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetAnimation', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetAnimation', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetAnimation', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetAnimation', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'GetAnimation', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetAnimation', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_animation_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetAnimation', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetAnimation', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetAnimation', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetAnimation', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetAnimation', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetAnimation', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetAnimation', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'GetAnimation', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetAnimation', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_animation_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetAnimation', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetAnimation', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetAnimation', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetAnimation', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetAnimation', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetAnimation', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetAnimation', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetAnimation', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetAnimation', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_animation_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetAnimation', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetAnimation', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetAnimation', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetAnimation', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetAnimation', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetAnimation', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetAnimation', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetAnimation', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_animation_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetAnimation', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetAnimation', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetAnimation', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetAnimation', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetAnimation', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetAnimation', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetAnimation', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetAnimation', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_animation_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetAnimation', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetAnimation', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetAnimation', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_api_info
  # Get API info.
  # @param [Hash] opts the optional parameters
  # @return [ApiInfo]
  describe 'get_api_info test' do
    it 'should work' do
      AsposeSlidesCloud::SpecUtils.initialize('GetApiInfo', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_api_info_with_http_info
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetApiInfo', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end
  end

  # unit tests for get_background
  # Read slide background info.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [SlideBackground]
  describe 'get_background test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetBackground', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetBackground', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetBackground', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetBackground', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetBackground', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetBackground', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_background_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetBackground', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetBackground', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetBackground', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetBackground', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetBackground', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetBackground', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetBackground', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetBackground', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_background_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetBackground', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetBackground', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetBackground', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetBackground', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetBackground', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetBackground', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetBackground', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetBackground', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetBackground', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetBackground', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_background_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetBackground', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetBackground', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetBackground', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetBackground', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetBackground', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetBackground', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetBackground', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetBackground', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetBackground', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetBackground', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_background_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetBackground', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetBackground', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetBackground', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetBackground', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetBackground', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetBackground', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetBackground', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetBackground', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetBackground', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetBackground', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_background_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetBackground', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetBackground', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetBackground', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetBackground', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetBackground', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetBackground', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetBackground', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetBackground', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetBackground', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetBackground', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_background_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetBackground', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetBackground', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetBackground', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_color_scheme
  # Read slide theme color scheme info.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [ColorScheme]
  describe 'get_color_scheme test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetColorScheme', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetColorScheme', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetColorScheme', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetColorScheme', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetColorScheme', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetColorScheme', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_color_scheme_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetColorScheme', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetColorScheme', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetColorScheme', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetColorScheme', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetColorScheme', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetColorScheme', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetColorScheme', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetColorScheme', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_color_scheme_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetColorScheme', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetColorScheme', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetColorScheme', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetColorScheme', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetColorScheme', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetColorScheme', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetColorScheme', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetColorScheme', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetColorScheme', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetColorScheme', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_color_scheme_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetColorScheme', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetColorScheme', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetColorScheme', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetColorScheme', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetColorScheme', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetColorScheme', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetColorScheme', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetColorScheme', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetColorScheme', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetColorScheme', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_color_scheme_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetColorScheme', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetColorScheme', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetColorScheme', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetColorScheme', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetColorScheme', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetColorScheme', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetColorScheme', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetColorScheme', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetColorScheme', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetColorScheme', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_color_scheme_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetColorScheme', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetColorScheme', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetColorScheme', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetColorScheme', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetColorScheme', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetColorScheme', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetColorScheme', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetColorScheme', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetColorScheme', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetColorScheme', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_color_scheme_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetColorScheme', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetColorScheme', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetColorScheme', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_disc_usage
  # Get disc usage
  # @param [Hash] opts the optional parameters
  # @option opts [String] :storage_name Storage name
  # @return [DiscUsage]
  describe 'get_disc_usage test' do
    it 'should work' do
      paramstorage_name = AsposeSlidesCloud::SpecUtils.get_param_value('storageName', 'GetDiscUsage', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetDiscUsage', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_disc_usage_with_http_info(paramstorage_name)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetDiscUsage', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid storage_name' do
      paramstorage_name = AsposeSlidesCloud::SpecUtils.get_param_value('storageName', 'GetDiscUsage', 'String')
      paramstorage_name = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storageName', 'GetDiscUsage', paramstorage_name, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetDiscUsage', 'storageName', paramstorage_name)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_disc_usage_with_http_info(paramstorage_name)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetDiscUsage', 'storageName')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetDiscUsage', 'storageName', paramstorage_name)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetDiscUsage', 'storageName', paramstorage_name)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_document_properties
  # Read presentation document properties.
  # @param name Document name.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [DocumentProperties]
  describe 'get_document_properties test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetDocumentProperties', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetDocumentProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetDocumentProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetDocumentProperties', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetDocumentProperties', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_document_properties_with_http_info(paramname, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetDocumentProperties', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetDocumentProperties', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetDocumentProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetDocumentProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetDocumentProperties', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetDocumentProperties', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetDocumentProperties', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_document_properties_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetDocumentProperties', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetDocumentProperties', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetDocumentProperties', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetDocumentProperties', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetDocumentProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetDocumentProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetDocumentProperties', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetDocumentProperties', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetDocumentProperties', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_document_properties_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetDocumentProperties', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetDocumentProperties', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetDocumentProperties', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetDocumentProperties', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetDocumentProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetDocumentProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetDocumentProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetDocumentProperties', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetDocumentProperties', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_document_properties_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetDocumentProperties', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetDocumentProperties', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetDocumentProperties', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetDocumentProperties', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetDocumentProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetDocumentProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetDocumentProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetDocumentProperties', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetDocumentProperties', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_document_properties_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetDocumentProperties', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetDocumentProperties', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetDocumentProperties', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_document_property
  # Read presentation document property.
  # @param name Document name.
  # @param property_name The property name.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [DocumentProperty]
  describe 'get_document_property test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetDocumentProperty', 'String')
      paramproperty_name = AsposeSlidesCloud::SpecUtils.get_param_value('propertyName', 'GetDocumentProperty', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetDocumentProperty', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetDocumentProperty', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetDocumentProperty', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetDocumentProperty', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_document_property_with_http_info(paramname, paramproperty_name, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetDocumentProperty', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetDocumentProperty', 'String')
      paramproperty_name = AsposeSlidesCloud::SpecUtils.get_param_value('propertyName', 'GetDocumentProperty', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetDocumentProperty', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetDocumentProperty', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetDocumentProperty', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetDocumentProperty', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetDocumentProperty', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_document_property_with_http_info(paramname, paramproperty_name, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetDocumentProperty', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetDocumentProperty', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetDocumentProperty', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid property_name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetDocumentProperty', 'String')
      paramproperty_name = AsposeSlidesCloud::SpecUtils.get_param_value('propertyName', 'GetDocumentProperty', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetDocumentProperty', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetDocumentProperty', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetDocumentProperty', 'String')
      paramproperty_name = AsposeSlidesCloud::SpecUtils.invalidize_param_value('propertyName', 'GetDocumentProperty', paramproperty_name, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetDocumentProperty', 'propertyName', paramproperty_name)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_document_property_with_http_info(paramname, paramproperty_name, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetDocumentProperty', 'propertyName')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetDocumentProperty', 'propertyName', paramproperty_name)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetDocumentProperty', 'propertyName', paramproperty_name)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetDocumentProperty', 'String')
      paramproperty_name = AsposeSlidesCloud::SpecUtils.get_param_value('propertyName', 'GetDocumentProperty', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetDocumentProperty', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetDocumentProperty', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetDocumentProperty', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetDocumentProperty', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetDocumentProperty', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_document_property_with_http_info(paramname, paramproperty_name, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetDocumentProperty', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetDocumentProperty', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetDocumentProperty', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetDocumentProperty', 'String')
      paramproperty_name = AsposeSlidesCloud::SpecUtils.get_param_value('propertyName', 'GetDocumentProperty', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetDocumentProperty', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetDocumentProperty', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetDocumentProperty', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetDocumentProperty', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetDocumentProperty', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_document_property_with_http_info(paramname, paramproperty_name, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetDocumentProperty', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetDocumentProperty', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetDocumentProperty', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetDocumentProperty', 'String')
      paramproperty_name = AsposeSlidesCloud::SpecUtils.get_param_value('propertyName', 'GetDocumentProperty', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetDocumentProperty', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetDocumentProperty', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetDocumentProperty', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetDocumentProperty', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetDocumentProperty', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_document_property_with_http_info(paramname, paramproperty_name, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetDocumentProperty', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetDocumentProperty', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetDocumentProperty', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_file_versions
  # Get file versions
  # @param path File path e.g. &#39;/file.ext&#39;
  # @param [Hash] opts the optional parameters
  # @option opts [String] :storage_name Storage name
  # @return [FileVersions]
  describe 'get_file_versions test' do
    it 'should work' do
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetFileVersions', 'String')
      paramstorage_name = AsposeSlidesCloud::SpecUtils.get_param_value('storageName', 'GetFileVersions', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetFileVersions', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_file_versions_with_http_info(parampath, paramstorage_name)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetFileVersions', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid path' do
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetFileVersions', 'String')
      paramstorage_name = AsposeSlidesCloud::SpecUtils.get_param_value('storageName', 'GetFileVersions', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'GetFileVersions', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetFileVersions', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_file_versions_with_http_info(parampath, paramstorage_name)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetFileVersions', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetFileVersions', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetFileVersions', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage_name' do
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetFileVersions', 'String')
      paramstorage_name = AsposeSlidesCloud::SpecUtils.get_param_value('storageName', 'GetFileVersions', 'String')
      paramstorage_name = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storageName', 'GetFileVersions', paramstorage_name, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetFileVersions', 'storageName', paramstorage_name)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_file_versions_with_http_info(parampath, paramstorage_name)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetFileVersions', 'storageName')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetFileVersions', 'storageName', paramstorage_name)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetFileVersions', 'storageName', paramstorage_name)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_files_list
  # Get all files and folders within a folder
  # @param path Folder path e.g. &#39;/folder&#39;
  # @param [Hash] opts the optional parameters
  # @option opts [String] :storage_name Storage name
  # @return [FilesList]
  describe 'get_files_list test' do
    it 'should work' do
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetFilesList', 'String')
      paramstorage_name = AsposeSlidesCloud::SpecUtils.get_param_value('storageName', 'GetFilesList', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetFilesList', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_files_list_with_http_info(parampath, paramstorage_name)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetFilesList', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid path' do
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetFilesList', 'String')
      paramstorage_name = AsposeSlidesCloud::SpecUtils.get_param_value('storageName', 'GetFilesList', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'GetFilesList', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetFilesList', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_files_list_with_http_info(parampath, paramstorage_name)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetFilesList', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetFilesList', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetFilesList', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage_name' do
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetFilesList', 'String')
      paramstorage_name = AsposeSlidesCloud::SpecUtils.get_param_value('storageName', 'GetFilesList', 'String')
      paramstorage_name = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storageName', 'GetFilesList', paramstorage_name, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetFilesList', 'storageName', paramstorage_name)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_files_list_with_http_info(parampath, paramstorage_name)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetFilesList', 'storageName')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetFilesList', 'storageName', paramstorage_name)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetFilesList', 'storageName', paramstorage_name)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_font_scheme
  # Read slide theme font scheme info.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [FontScheme]
  describe 'get_font_scheme test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetFontScheme', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetFontScheme', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetFontScheme', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetFontScheme', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetFontScheme', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetFontScheme', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_font_scheme_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetFontScheme', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetFontScheme', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetFontScheme', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetFontScheme', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetFontScheme', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetFontScheme', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetFontScheme', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetFontScheme', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_font_scheme_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetFontScheme', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetFontScheme', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetFontScheme', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetFontScheme', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetFontScheme', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetFontScheme', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetFontScheme', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetFontScheme', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetFontScheme', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetFontScheme', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_font_scheme_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetFontScheme', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetFontScheme', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetFontScheme', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetFontScheme', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetFontScheme', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetFontScheme', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetFontScheme', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetFontScheme', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetFontScheme', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetFontScheme', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_font_scheme_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetFontScheme', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetFontScheme', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetFontScheme', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetFontScheme', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetFontScheme', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetFontScheme', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetFontScheme', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetFontScheme', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetFontScheme', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetFontScheme', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_font_scheme_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetFontScheme', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetFontScheme', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetFontScheme', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetFontScheme', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetFontScheme', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetFontScheme', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetFontScheme', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetFontScheme', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetFontScheme', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetFontScheme', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_font_scheme_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetFontScheme', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetFontScheme', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetFontScheme', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_format_scheme
  # Read slide theme format scheme info.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [FormatScheme]
  describe 'get_format_scheme test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetFormatScheme', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetFormatScheme', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetFormatScheme', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetFormatScheme', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetFormatScheme', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetFormatScheme', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_format_scheme_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetFormatScheme', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetFormatScheme', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetFormatScheme', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetFormatScheme', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetFormatScheme', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetFormatScheme', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetFormatScheme', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetFormatScheme', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_format_scheme_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetFormatScheme', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetFormatScheme', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetFormatScheme', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetFormatScheme', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetFormatScheme', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetFormatScheme', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetFormatScheme', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetFormatScheme', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetFormatScheme', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetFormatScheme', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_format_scheme_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetFormatScheme', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetFormatScheme', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetFormatScheme', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetFormatScheme', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetFormatScheme', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetFormatScheme', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetFormatScheme', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetFormatScheme', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetFormatScheme', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetFormatScheme', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_format_scheme_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetFormatScheme', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetFormatScheme', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetFormatScheme', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetFormatScheme', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetFormatScheme', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetFormatScheme', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetFormatScheme', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetFormatScheme', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetFormatScheme', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetFormatScheme', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_format_scheme_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetFormatScheme', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetFormatScheme', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetFormatScheme', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetFormatScheme', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetFormatScheme', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetFormatScheme', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetFormatScheme', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetFormatScheme', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetFormatScheme', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetFormatScheme', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_format_scheme_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetFormatScheme', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetFormatScheme', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetFormatScheme', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_layout_slide
  # Read presentation layoutSlide info.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [LayoutSlide]
  describe 'get_layout_slide test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetLayoutSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetLayoutSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetLayoutSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetLayoutSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetLayoutSlide', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetLayoutSlide', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_layout_slide_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetLayoutSlide', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetLayoutSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetLayoutSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetLayoutSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetLayoutSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetLayoutSlide', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetLayoutSlide', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetLayoutSlide', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_layout_slide_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetLayoutSlide', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetLayoutSlide', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetLayoutSlide', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetLayoutSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetLayoutSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetLayoutSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetLayoutSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetLayoutSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetLayoutSlide', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetLayoutSlide', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_layout_slide_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetLayoutSlide', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetLayoutSlide', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetLayoutSlide', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetLayoutSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetLayoutSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetLayoutSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetLayoutSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetLayoutSlide', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetLayoutSlide', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetLayoutSlide', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_layout_slide_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetLayoutSlide', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetLayoutSlide', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetLayoutSlide', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetLayoutSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetLayoutSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetLayoutSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetLayoutSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetLayoutSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetLayoutSlide', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetLayoutSlide', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_layout_slide_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetLayoutSlide', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetLayoutSlide', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetLayoutSlide', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetLayoutSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetLayoutSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetLayoutSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetLayoutSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetLayoutSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetLayoutSlide', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetLayoutSlide', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_layout_slide_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetLayoutSlide', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetLayoutSlide', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetLayoutSlide', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_layout_slides
  # Read presentation layoutSlides info.
  # @param name Document name.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [LayoutSlides]
  describe 'get_layout_slides test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetLayoutSlides', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetLayoutSlides', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetLayoutSlides', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetLayoutSlides', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetLayoutSlides', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_layout_slides_with_http_info(paramname, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetLayoutSlides', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetLayoutSlides', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetLayoutSlides', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetLayoutSlides', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetLayoutSlides', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetLayoutSlides', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetLayoutSlides', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_layout_slides_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetLayoutSlides', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetLayoutSlides', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetLayoutSlides', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetLayoutSlides', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetLayoutSlides', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetLayoutSlides', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetLayoutSlides', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetLayoutSlides', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetLayoutSlides', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_layout_slides_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetLayoutSlides', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetLayoutSlides', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetLayoutSlides', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetLayoutSlides', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetLayoutSlides', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetLayoutSlides', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetLayoutSlides', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetLayoutSlides', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetLayoutSlides', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_layout_slides_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetLayoutSlides', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetLayoutSlides', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetLayoutSlides', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetLayoutSlides', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetLayoutSlides', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetLayoutSlides', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetLayoutSlides', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetLayoutSlides', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetLayoutSlides', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_layout_slides_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetLayoutSlides', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetLayoutSlides', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetLayoutSlides', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_master_slide
  # Read presentation masterSlide info.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [MasterSlide]
  describe 'get_master_slide test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetMasterSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetMasterSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetMasterSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetMasterSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetMasterSlide', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetMasterSlide', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_master_slide_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetMasterSlide', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetMasterSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetMasterSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetMasterSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetMasterSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetMasterSlide', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetMasterSlide', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetMasterSlide', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_master_slide_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetMasterSlide', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetMasterSlide', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetMasterSlide', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetMasterSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetMasterSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetMasterSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetMasterSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetMasterSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetMasterSlide', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetMasterSlide', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_master_slide_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetMasterSlide', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetMasterSlide', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetMasterSlide', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetMasterSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetMasterSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetMasterSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetMasterSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetMasterSlide', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetMasterSlide', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetMasterSlide', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_master_slide_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetMasterSlide', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetMasterSlide', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetMasterSlide', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetMasterSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetMasterSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetMasterSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetMasterSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetMasterSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetMasterSlide', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetMasterSlide', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_master_slide_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetMasterSlide', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetMasterSlide', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetMasterSlide', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetMasterSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetMasterSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetMasterSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetMasterSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetMasterSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetMasterSlide', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetMasterSlide', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_master_slide_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetMasterSlide', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetMasterSlide', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetMasterSlide', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_master_slides
  # Read presentation masterSlides info.
  # @param name Document name.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [MasterSlides]
  describe 'get_master_slides test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetMasterSlides', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetMasterSlides', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetMasterSlides', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetMasterSlides', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetMasterSlides', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_master_slides_with_http_info(paramname, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetMasterSlides', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetMasterSlides', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetMasterSlides', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetMasterSlides', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetMasterSlides', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetMasterSlides', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetMasterSlides', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_master_slides_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetMasterSlides', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetMasterSlides', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetMasterSlides', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetMasterSlides', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetMasterSlides', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetMasterSlides', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetMasterSlides', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetMasterSlides', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetMasterSlides', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_master_slides_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetMasterSlides', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetMasterSlides', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetMasterSlides', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetMasterSlides', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetMasterSlides', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetMasterSlides', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetMasterSlides', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetMasterSlides', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetMasterSlides', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_master_slides_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetMasterSlides', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetMasterSlides', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetMasterSlides', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetMasterSlides', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetMasterSlides', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetMasterSlides', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetMasterSlides', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetMasterSlides', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetMasterSlides', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_master_slides_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetMasterSlides', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetMasterSlides', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetMasterSlides', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_notes_slide
  # Read notes slide info.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [NotesSlide]
  describe 'get_notes_slide test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetNotesSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetNotesSlide', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetNotesSlide', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_notes_slide_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetNotesSlide', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetNotesSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetNotesSlide', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetNotesSlide', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetNotesSlide', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_notes_slide_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetNotesSlide', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetNotesSlide', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetNotesSlide', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetNotesSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetNotesSlide', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetNotesSlide', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_notes_slide_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetNotesSlide', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetNotesSlide', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetNotesSlide', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetNotesSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetNotesSlide', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetNotesSlide', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetNotesSlide', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_notes_slide_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetNotesSlide', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetNotesSlide', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetNotesSlide', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetNotesSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetNotesSlide', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetNotesSlide', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_notes_slide_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetNotesSlide', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetNotesSlide', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetNotesSlide', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetNotesSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetNotesSlide', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetNotesSlide', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_notes_slide_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetNotesSlide', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetNotesSlide', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetNotesSlide', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_notes_slide_header_footer
  # Get header/footer info for the notes slide.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [NotesSlideHeaderFooter]
  describe 'get_notes_slide_header_footer test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetNotesSlideHeaderFooter', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetNotesSlideHeaderFooter', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetNotesSlideHeaderFooter', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetNotesSlideHeaderFooter', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetNotesSlideHeaderFooter', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetNotesSlideHeaderFooter', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_notes_slide_header_footer_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetNotesSlideHeaderFooter', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetNotesSlideHeaderFooter', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetNotesSlideHeaderFooter', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetNotesSlideHeaderFooter', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetNotesSlideHeaderFooter', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetNotesSlideHeaderFooter', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetNotesSlideHeaderFooter', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetNotesSlideHeaderFooter', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_notes_slide_header_footer_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetNotesSlideHeaderFooter', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetNotesSlideHeaderFooter', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetNotesSlideHeaderFooter', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetNotesSlideHeaderFooter', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetNotesSlideHeaderFooter', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetNotesSlideHeaderFooter', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetNotesSlideHeaderFooter', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetNotesSlideHeaderFooter', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetNotesSlideHeaderFooter', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetNotesSlideHeaderFooter', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_notes_slide_header_footer_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetNotesSlideHeaderFooter', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetNotesSlideHeaderFooter', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetNotesSlideHeaderFooter', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetNotesSlideHeaderFooter', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetNotesSlideHeaderFooter', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetNotesSlideHeaderFooter', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetNotesSlideHeaderFooter', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetNotesSlideHeaderFooter', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetNotesSlideHeaderFooter', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetNotesSlideHeaderFooter', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_notes_slide_header_footer_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetNotesSlideHeaderFooter', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetNotesSlideHeaderFooter', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetNotesSlideHeaderFooter', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetNotesSlideHeaderFooter', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetNotesSlideHeaderFooter', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetNotesSlideHeaderFooter', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetNotesSlideHeaderFooter', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetNotesSlideHeaderFooter', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetNotesSlideHeaderFooter', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetNotesSlideHeaderFooter', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_notes_slide_header_footer_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetNotesSlideHeaderFooter', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetNotesSlideHeaderFooter', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetNotesSlideHeaderFooter', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetNotesSlideHeaderFooter', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetNotesSlideHeaderFooter', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetNotesSlideHeaderFooter', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetNotesSlideHeaderFooter', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetNotesSlideHeaderFooter', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetNotesSlideHeaderFooter', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetNotesSlideHeaderFooter', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_notes_slide_header_footer_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetNotesSlideHeaderFooter', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetNotesSlideHeaderFooter', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetNotesSlideHeaderFooter', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_notes_slide_online
  # Read notes slide info.
  # @param document Document data.
  # @param slide_index Slide index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @return [NotesSlide]
  describe 'get_notes_slide_online test' do
    it 'should work' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'GetNotesSlideOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetNotesSlideOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetNotesSlideOnline', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetNotesSlideOnline', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_notes_slide_online_with_http_info(paramdocument, paramslide_index, parampassword)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetNotesSlideOnline', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid document' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'GetNotesSlideOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetNotesSlideOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetNotesSlideOnline', 'String')
      paramdocument = AsposeSlidesCloud::SpecUtils.invalidize_param_value('document', 'GetNotesSlideOnline', paramdocument, 'File')
      AsposeSlidesCloud::SpecUtils.initialize('GetNotesSlideOnline', 'document', paramdocument)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_notes_slide_online_with_http_info(paramdocument, paramslide_index, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetNotesSlideOnline', 'document')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetNotesSlideOnline', 'document', paramdocument)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetNotesSlideOnline', 'document', paramdocument)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'GetNotesSlideOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetNotesSlideOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetNotesSlideOnline', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetNotesSlideOnline', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetNotesSlideOnline', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_notes_slide_online_with_http_info(paramdocument, paramslide_index, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetNotesSlideOnline', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetNotesSlideOnline', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetNotesSlideOnline', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'GetNotesSlideOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetNotesSlideOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetNotesSlideOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetNotesSlideOnline', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetNotesSlideOnline', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_notes_slide_online_with_http_info(paramdocument, paramslide_index, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetNotesSlideOnline', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetNotesSlideOnline', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetNotesSlideOnline', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_paragraph
  # Read shape paragraph info.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param shape_index Shape index.
  # @param paragraph_index Paragraph index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Paragraph]
  describe 'get_paragraph test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetParagraph', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetParagraph', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetParagraph', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_paragraph_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetParagraph', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetParagraph', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetParagraph', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetParagraph', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetParagraph', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_paragraph_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetParagraph', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetParagraph', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetParagraph', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetParagraph', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetParagraph', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetParagraph', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_paragraph_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetParagraph', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetParagraph', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetParagraph', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetParagraph', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'GetParagraph', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetParagraph', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_paragraph_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetParagraph', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetParagraph', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetParagraph', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetParagraph', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetParagraph', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'GetParagraph', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetParagraph', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_paragraph_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetParagraph', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetParagraph', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetParagraph', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetParagraph', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetParagraph', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetParagraph', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetParagraph', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_paragraph_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetParagraph', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetParagraph', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetParagraph', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetParagraph', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetParagraph', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetParagraph', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_paragraph_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetParagraph', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetParagraph', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetParagraph', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetParagraph', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetParagraph', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetParagraph', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_paragraph_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetParagraph', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetParagraph', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetParagraph', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_paragraphs
  # Read shape paragraphs info.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param shape_index Shape index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Paragraphs]
  describe 'get_paragraphs test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetParagraphs', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetParagraphs', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetParagraphs', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetParagraphs', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_paragraphs_with_http_info(paramname, paramslide_index, paramshape_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetParagraphs', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetParagraphs', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetParagraphs', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetParagraphs', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetParagraphs', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetParagraphs', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_paragraphs_with_http_info(paramname, paramslide_index, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetParagraphs', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetParagraphs', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetParagraphs', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetParagraphs', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetParagraphs', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetParagraphs', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetParagraphs', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_paragraphs_with_http_info(paramname, paramslide_index, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetParagraphs', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetParagraphs', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetParagraphs', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetParagraphs', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetParagraphs', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'GetParagraphs', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetParagraphs', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_paragraphs_with_http_info(paramname, paramslide_index, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetParagraphs', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetParagraphs', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetParagraphs', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetParagraphs', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetParagraphs', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetParagraphs', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetParagraphs', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_paragraphs_with_http_info(paramname, paramslide_index, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetParagraphs', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetParagraphs', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetParagraphs', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetParagraphs', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetParagraphs', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetParagraphs', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetParagraphs', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_paragraphs_with_http_info(paramname, paramslide_index, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetParagraphs', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetParagraphs', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetParagraphs', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetParagraphs', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetParagraphs', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetParagraphs', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetParagraphs', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_paragraphs_with_http_info(paramname, paramslide_index, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetParagraphs', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetParagraphs', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetParagraphs', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_placeholder
  # Read slide placeholder info.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param placeholder_index Placeholder index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Placeholder]
  describe 'get_placeholder test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPlaceholder', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetPlaceholder', 'Integer')
      paramplaceholder_index = AsposeSlidesCloud::SpecUtils.get_param_value('placeholderIndex', 'GetPlaceholder', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPlaceholder', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPlaceholder', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPlaceholder', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetPlaceholder', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_placeholder_with_http_info(paramname, paramslide_index, paramplaceholder_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPlaceholder', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPlaceholder', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetPlaceholder', 'Integer')
      paramplaceholder_index = AsposeSlidesCloud::SpecUtils.get_param_value('placeholderIndex', 'GetPlaceholder', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPlaceholder', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPlaceholder', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPlaceholder', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetPlaceholder', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetPlaceholder', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_placeholder_with_http_info(paramname, paramslide_index, paramplaceholder_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetPlaceholder', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPlaceholder', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPlaceholder', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPlaceholder', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetPlaceholder', 'Integer')
      paramplaceholder_index = AsposeSlidesCloud::SpecUtils.get_param_value('placeholderIndex', 'GetPlaceholder', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPlaceholder', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPlaceholder', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPlaceholder', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetPlaceholder', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetPlaceholder', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_placeholder_with_http_info(paramname, paramslide_index, paramplaceholder_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetPlaceholder', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPlaceholder', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPlaceholder', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid placeholder_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPlaceholder', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetPlaceholder', 'Integer')
      paramplaceholder_index = AsposeSlidesCloud::SpecUtils.get_param_value('placeholderIndex', 'GetPlaceholder', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPlaceholder', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPlaceholder', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPlaceholder', 'String')
      paramplaceholder_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('placeholderIndex', 'GetPlaceholder', paramplaceholder_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetPlaceholder', 'placeholderIndex', paramplaceholder_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_placeholder_with_http_info(paramname, paramslide_index, paramplaceholder_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetPlaceholder', 'placeholderIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPlaceholder', 'placeholderIndex', paramplaceholder_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPlaceholder', 'placeholderIndex', paramplaceholder_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPlaceholder', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetPlaceholder', 'Integer')
      paramplaceholder_index = AsposeSlidesCloud::SpecUtils.get_param_value('placeholderIndex', 'GetPlaceholder', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPlaceholder', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPlaceholder', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPlaceholder', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetPlaceholder', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetPlaceholder', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_placeholder_with_http_info(paramname, paramslide_index, paramplaceholder_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetPlaceholder', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPlaceholder', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPlaceholder', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPlaceholder', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetPlaceholder', 'Integer')
      paramplaceholder_index = AsposeSlidesCloud::SpecUtils.get_param_value('placeholderIndex', 'GetPlaceholder', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPlaceholder', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPlaceholder', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPlaceholder', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetPlaceholder', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetPlaceholder', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_placeholder_with_http_info(paramname, paramslide_index, paramplaceholder_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetPlaceholder', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPlaceholder', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPlaceholder', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPlaceholder', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetPlaceholder', 'Integer')
      paramplaceholder_index = AsposeSlidesCloud::SpecUtils.get_param_value('placeholderIndex', 'GetPlaceholder', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPlaceholder', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPlaceholder', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPlaceholder', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetPlaceholder', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetPlaceholder', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_placeholder_with_http_info(paramname, paramslide_index, paramplaceholder_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetPlaceholder', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPlaceholder', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPlaceholder', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_placeholders
  # Read slide placeholders info.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Placeholders]
  describe 'get_placeholders test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPlaceholders', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetPlaceholders', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPlaceholders', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPlaceholders', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPlaceholders', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetPlaceholders', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_placeholders_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPlaceholders', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPlaceholders', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetPlaceholders', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPlaceholders', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPlaceholders', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPlaceholders', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetPlaceholders', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetPlaceholders', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_placeholders_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetPlaceholders', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPlaceholders', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPlaceholders', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPlaceholders', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetPlaceholders', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPlaceholders', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPlaceholders', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPlaceholders', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetPlaceholders', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetPlaceholders', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_placeholders_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetPlaceholders', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPlaceholders', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPlaceholders', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPlaceholders', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetPlaceholders', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPlaceholders', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPlaceholders', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPlaceholders', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetPlaceholders', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetPlaceholders', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_placeholders_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetPlaceholders', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPlaceholders', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPlaceholders', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPlaceholders', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetPlaceholders', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPlaceholders', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPlaceholders', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPlaceholders', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetPlaceholders', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetPlaceholders', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_placeholders_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetPlaceholders', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPlaceholders', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPlaceholders', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPlaceholders', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetPlaceholders', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPlaceholders', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPlaceholders', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPlaceholders', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetPlaceholders', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetPlaceholders', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_placeholders_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetPlaceholders', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPlaceholders', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPlaceholders', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_portion
  # Read paragraph portion info.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param shape_index Shape index.
  # @param paragraph_index Paragraph index.
  # @param portion_index Portion index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Portion]
  describe 'get_portion test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetPortion', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetPortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetPortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetPortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPortion', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetPortion', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_portion_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPortion', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetPortion', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetPortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetPortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetPortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPortion', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetPortion', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetPortion', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_portion_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetPortion', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPortion', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPortion', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetPortion', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetPortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetPortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetPortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetPortion', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetPortion', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_portion_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetPortion', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPortion', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPortion', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetPortion', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetPortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetPortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetPortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'GetPortion', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetPortion', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_portion_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetPortion', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPortion', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPortion', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetPortion', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetPortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetPortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetPortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPortion', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'GetPortion', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetPortion', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_portion_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetPortion', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPortion', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPortion', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid portion_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetPortion', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetPortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetPortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetPortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPortion', 'String')
      paramportion_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('portionIndex', 'GetPortion', paramportion_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetPortion', 'portionIndex', paramportion_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_portion_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetPortion', 'portionIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPortion', 'portionIndex', paramportion_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPortion', 'portionIndex', paramportion_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetPortion', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetPortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetPortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetPortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPortion', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetPortion', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetPortion', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_portion_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetPortion', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPortion', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPortion', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetPortion', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetPortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetPortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetPortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetPortion', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetPortion', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_portion_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetPortion', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPortion', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPortion', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetPortion', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetPortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetPortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetPortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetPortion', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetPortion', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_portion_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetPortion', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPortion', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPortion', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_portions
  # Read paragraph portions info.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param shape_index Shape index.
  # @param paragraph_index Paragraph index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Portions]
  describe 'get_portions test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetPortions', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetPortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetPortions', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPortions', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetPortions', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_portions_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPortions', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetPortions', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetPortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetPortions', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPortions', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetPortions', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetPortions', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_portions_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetPortions', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPortions', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPortions', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetPortions', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetPortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetPortions', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetPortions', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetPortions', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_portions_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetPortions', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPortions', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPortions', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetPortions', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetPortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetPortions', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'GetPortions', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetPortions', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_portions_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetPortions', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPortions', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPortions', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetPortions', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetPortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetPortions', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPortions', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'GetPortions', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetPortions', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_portions_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetPortions', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPortions', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPortions', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetPortions', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetPortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetPortions', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetPortions', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetPortions', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_portions_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetPortions', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPortions', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPortions', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetPortions', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetPortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetPortions', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetPortions', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetPortions', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_portions_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetPortions', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPortions', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPortions', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetPortions', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetPortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetPortions', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetPortions', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetPortions', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_portions_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetPortions', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPortions', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPortions', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_presentation
  # Read presentation info.
  # @param name Document name.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Document]
  describe 'get_presentation test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPresentation', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPresentation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPresentation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPresentation', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetPresentation', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_presentation_with_http_info(paramname, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPresentation', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPresentation', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPresentation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPresentation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPresentation', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetPresentation', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetPresentation', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_presentation_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetPresentation', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPresentation', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPresentation', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPresentation', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPresentation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPresentation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPresentation', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetPresentation', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetPresentation', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_presentation_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetPresentation', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPresentation', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPresentation', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPresentation', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPresentation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPresentation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPresentation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetPresentation', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetPresentation', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_presentation_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetPresentation', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPresentation', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPresentation', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPresentation', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPresentation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPresentation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPresentation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetPresentation', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetPresentation', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_presentation_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetPresentation', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPresentation', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPresentation', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_presentation_images
  # Read presentation images info.
  # @param name Document name.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Images]
  describe 'get_presentation_images test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPresentationImages', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPresentationImages', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPresentationImages', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPresentationImages', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetPresentationImages', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_presentation_images_with_http_info(paramname, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPresentationImages', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPresentationImages', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPresentationImages', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPresentationImages', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPresentationImages', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetPresentationImages', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetPresentationImages', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_presentation_images_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetPresentationImages', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPresentationImages', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPresentationImages', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPresentationImages', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPresentationImages', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPresentationImages', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPresentationImages', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetPresentationImages', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetPresentationImages', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_presentation_images_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetPresentationImages', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPresentationImages', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPresentationImages', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPresentationImages', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPresentationImages', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPresentationImages', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPresentationImages', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetPresentationImages', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetPresentationImages', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_presentation_images_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetPresentationImages', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPresentationImages', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPresentationImages', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPresentationImages', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPresentationImages', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPresentationImages', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPresentationImages', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetPresentationImages', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetPresentationImages', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_presentation_images_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetPresentationImages', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPresentationImages', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPresentationImages', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_presentation_text_items
  # Extract presentation text items.
  # @param name Document name.
  # @param [Hash] opts the optional parameters
  # @option opts [BOOLEAN] :with_empty True to incude empty items.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [TextItems]
  describe 'get_presentation_text_items test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPresentationTextItems', 'String')
      paramwith_empty = AsposeSlidesCloud::SpecUtils.get_param_value('withEmpty', 'GetPresentationTextItems', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPresentationTextItems', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPresentationTextItems', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPresentationTextItems', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetPresentationTextItems', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_presentation_text_items_with_http_info(paramname, paramwith_empty, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPresentationTextItems', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPresentationTextItems', 'String')
      paramwith_empty = AsposeSlidesCloud::SpecUtils.get_param_value('withEmpty', 'GetPresentationTextItems', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPresentationTextItems', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPresentationTextItems', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPresentationTextItems', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetPresentationTextItems', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetPresentationTextItems', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_presentation_text_items_with_http_info(paramname, paramwith_empty, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetPresentationTextItems', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPresentationTextItems', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPresentationTextItems', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid with_empty' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPresentationTextItems', 'String')
      paramwith_empty = AsposeSlidesCloud::SpecUtils.get_param_value('withEmpty', 'GetPresentationTextItems', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPresentationTextItems', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPresentationTextItems', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPresentationTextItems', 'String')
      paramwith_empty = AsposeSlidesCloud::SpecUtils.invalidize_param_value('withEmpty', 'GetPresentationTextItems', paramwith_empty, 'BOOLEAN')
      AsposeSlidesCloud::SpecUtils.initialize('GetPresentationTextItems', 'withEmpty', paramwith_empty)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_presentation_text_items_with_http_info(paramname, paramwith_empty, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetPresentationTextItems', 'withEmpty')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPresentationTextItems', 'withEmpty', paramwith_empty)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPresentationTextItems', 'withEmpty', paramwith_empty)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPresentationTextItems', 'String')
      paramwith_empty = AsposeSlidesCloud::SpecUtils.get_param_value('withEmpty', 'GetPresentationTextItems', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPresentationTextItems', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPresentationTextItems', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPresentationTextItems', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetPresentationTextItems', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetPresentationTextItems', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_presentation_text_items_with_http_info(paramname, paramwith_empty, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetPresentationTextItems', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPresentationTextItems', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPresentationTextItems', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPresentationTextItems', 'String')
      paramwith_empty = AsposeSlidesCloud::SpecUtils.get_param_value('withEmpty', 'GetPresentationTextItems', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPresentationTextItems', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPresentationTextItems', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPresentationTextItems', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetPresentationTextItems', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetPresentationTextItems', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_presentation_text_items_with_http_info(paramname, paramwith_empty, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetPresentationTextItems', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPresentationTextItems', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPresentationTextItems', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetPresentationTextItems', 'String')
      paramwith_empty = AsposeSlidesCloud::SpecUtils.get_param_value('withEmpty', 'GetPresentationTextItems', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetPresentationTextItems', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetPresentationTextItems', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetPresentationTextItems', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetPresentationTextItems', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetPresentationTextItems', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_presentation_text_items_with_http_info(paramname, paramwith_empty, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetPresentationTextItems', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPresentationTextItems', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetPresentationTextItems', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_protection_properties
  # Read presentation protection properties.
  # @param name Document name.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [ProtectionProperties]
  describe 'get_protection_properties test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetProtectionProperties', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetProtectionProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetProtectionProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetProtectionProperties', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetProtectionProperties', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_protection_properties_with_http_info(paramname, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetProtectionProperties', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetProtectionProperties', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetProtectionProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetProtectionProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetProtectionProperties', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetProtectionProperties', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetProtectionProperties', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_protection_properties_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetProtectionProperties', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetProtectionProperties', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetProtectionProperties', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetProtectionProperties', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetProtectionProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetProtectionProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetProtectionProperties', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetProtectionProperties', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetProtectionProperties', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_protection_properties_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetProtectionProperties', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetProtectionProperties', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetProtectionProperties', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetProtectionProperties', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetProtectionProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetProtectionProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetProtectionProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetProtectionProperties', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetProtectionProperties', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_protection_properties_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetProtectionProperties', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetProtectionProperties', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetProtectionProperties', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetProtectionProperties', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetProtectionProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetProtectionProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetProtectionProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetProtectionProperties', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetProtectionProperties', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_protection_properties_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetProtectionProperties', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetProtectionProperties', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetProtectionProperties', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_sections
  # Read presentation sections info.
  # @param name Document name.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Sections]
  describe 'get_sections test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSections', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSections', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSections', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSections', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSections', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_sections_with_http_info(paramname, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSections', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSections', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSections', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSections', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSections', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetSections', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSections', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_sections_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSections', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSections', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSections', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSections', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSections', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSections', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSections', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetSections', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSections', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_sections_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSections', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSections', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSections', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSections', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSections', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSections', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSections', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetSections', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSections', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_sections_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSections', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSections', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSections', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSections', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSections', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSections', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSections', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetSections', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSections', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_sections_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSections', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSections', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSections', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_shape
  # Read slide shape info.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param shape_index Shape index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [ShapeBase]
  describe 'get_shape test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetShape', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetShape', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_shape_with_http_info(paramname, paramslide_index, paramshape_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetShape', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetShape', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetShape', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetShape', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_shape_with_http_info(paramname, paramslide_index, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetShape', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetShape', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetShape', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetShape', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetShape', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_shape_with_http_info(paramname, paramslide_index, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetShape', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetShape', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetShape', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'GetShape', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetShape', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_shape_with_http_info(paramname, paramslide_index, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetShape', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetShape', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetShape', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetShape', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetShape', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_shape_with_http_info(paramname, paramslide_index, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetShape', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetShape', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetShape', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetShape', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetShape', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_shape_with_http_info(paramname, paramslide_index, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetShape', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetShape', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetShape', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetShape', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetShape', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_shape_with_http_info(paramname, paramslide_index, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetShape', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetShape', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetShape', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_shape_geometry_path
  # Returns geometry path of the shape
  # @param name Document name.
  # @param slide_index Slide index.
  # @param shape_index Shape index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [GeometryPaths]
  describe 'get_shape_geometry_path test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetShapeGeometryPath', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetShapeGeometryPath', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetShapeGeometryPath', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetShapeGeometryPath', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetShapeGeometryPath', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetShapeGeometryPath', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetShapeGeometryPath', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_shape_geometry_path_with_http_info(paramname, paramslide_index, paramshape_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetShapeGeometryPath', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetShapeGeometryPath', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetShapeGeometryPath', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetShapeGeometryPath', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetShapeGeometryPath', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetShapeGeometryPath', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetShapeGeometryPath', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetShapeGeometryPath', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetShapeGeometryPath', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_shape_geometry_path_with_http_info(paramname, paramslide_index, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetShapeGeometryPath', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetShapeGeometryPath', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetShapeGeometryPath', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetShapeGeometryPath', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetShapeGeometryPath', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetShapeGeometryPath', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetShapeGeometryPath', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetShapeGeometryPath', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetShapeGeometryPath', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetShapeGeometryPath', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetShapeGeometryPath', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_shape_geometry_path_with_http_info(paramname, paramslide_index, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetShapeGeometryPath', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetShapeGeometryPath', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetShapeGeometryPath', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetShapeGeometryPath', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetShapeGeometryPath', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetShapeGeometryPath', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetShapeGeometryPath', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetShapeGeometryPath', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetShapeGeometryPath', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'GetShapeGeometryPath', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetShapeGeometryPath', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_shape_geometry_path_with_http_info(paramname, paramslide_index, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetShapeGeometryPath', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetShapeGeometryPath', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetShapeGeometryPath', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetShapeGeometryPath', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetShapeGeometryPath', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetShapeGeometryPath', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetShapeGeometryPath', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetShapeGeometryPath', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetShapeGeometryPath', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetShapeGeometryPath', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetShapeGeometryPath', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_shape_geometry_path_with_http_info(paramname, paramslide_index, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetShapeGeometryPath', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetShapeGeometryPath', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetShapeGeometryPath', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetShapeGeometryPath', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetShapeGeometryPath', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetShapeGeometryPath', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetShapeGeometryPath', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetShapeGeometryPath', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetShapeGeometryPath', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetShapeGeometryPath', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetShapeGeometryPath', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_shape_geometry_path_with_http_info(paramname, paramslide_index, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetShapeGeometryPath', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetShapeGeometryPath', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetShapeGeometryPath', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetShapeGeometryPath', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetShapeGeometryPath', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetShapeGeometryPath', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetShapeGeometryPath', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetShapeGeometryPath', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetShapeGeometryPath', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetShapeGeometryPath', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetShapeGeometryPath', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_shape_geometry_path_with_http_info(paramname, paramslide_index, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetShapeGeometryPath', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetShapeGeometryPath', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetShapeGeometryPath', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_shapes
  # Read slide shapes info.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Shapes]
  describe 'get_shapes test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetShapes', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetShapes', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetShapes', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_shapes_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetShapes', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetShapes', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetShapes', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetShapes', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetShapes', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_shapes_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetShapes', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetShapes', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetShapes', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetShapes', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetShapes', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetShapes', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_shapes_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetShapes', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetShapes', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetShapes', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetShapes', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetShapes', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetShapes', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_shapes_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetShapes', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetShapes', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetShapes', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetShapes', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetShapes', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetShapes', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_shapes_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetShapes', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetShapes', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetShapes', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetShapes', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetShapes', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetShapes', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_shapes_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetShapes', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetShapes', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetShapes', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_slide
  # Read presentation slide info.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Slide]
  describe 'get_slide test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlide', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlide', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_slide_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlide', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlide', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetSlide', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlide', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_slide_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSlide', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlide', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlide', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetSlide', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlide', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_slide_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSlide', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlide', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlide', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlide', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetSlide', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlide', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_slide_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSlide', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlide', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlide', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetSlide', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlide', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_slide_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSlide', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlide', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlide', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetSlide', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlide', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_slide_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSlide', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlide', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlide', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_slide_comments
  # Read presentation slide comments.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [SlideComments]
  describe 'get_slide_comments test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlideComments', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSlideComments', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlideComments', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlideComments', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlideComments', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlideComments', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_slide_comments_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideComments', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlideComments', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSlideComments', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlideComments', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlideComments', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlideComments', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetSlideComments', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlideComments', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_slide_comments_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSlideComments', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideComments', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideComments', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlideComments', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSlideComments', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlideComments', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlideComments', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlideComments', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetSlideComments', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlideComments', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_slide_comments_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSlideComments', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideComments', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideComments', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlideComments', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSlideComments', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlideComments', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlideComments', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlideComments', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetSlideComments', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlideComments', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_slide_comments_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSlideComments', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideComments', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideComments', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlideComments', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSlideComments', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlideComments', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlideComments', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlideComments', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetSlideComments', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlideComments', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_slide_comments_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSlideComments', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideComments', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideComments', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlideComments', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSlideComments', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlideComments', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlideComments', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlideComments', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetSlideComments', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlideComments', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_slide_comments_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSlideComments', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideComments', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideComments', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_slide_header_footer
  # Get footer info for the slide.
  # @param name Document name.
  # @param slide_index The position of the slide to be reordered.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [HeaderFooter]
  describe 'get_slide_header_footer test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlideHeaderFooter', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSlideHeaderFooter', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlideHeaderFooter', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlideHeaderFooter', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlideHeaderFooter', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlideHeaderFooter', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_slide_header_footer_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideHeaderFooter', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlideHeaderFooter', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSlideHeaderFooter', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlideHeaderFooter', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlideHeaderFooter', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlideHeaderFooter', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetSlideHeaderFooter', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlideHeaderFooter', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_slide_header_footer_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSlideHeaderFooter', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideHeaderFooter', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideHeaderFooter', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlideHeaderFooter', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSlideHeaderFooter', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlideHeaderFooter', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlideHeaderFooter', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlideHeaderFooter', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetSlideHeaderFooter', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlideHeaderFooter', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_slide_header_footer_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSlideHeaderFooter', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideHeaderFooter', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideHeaderFooter', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlideHeaderFooter', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSlideHeaderFooter', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlideHeaderFooter', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlideHeaderFooter', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlideHeaderFooter', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetSlideHeaderFooter', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlideHeaderFooter', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_slide_header_footer_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSlideHeaderFooter', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideHeaderFooter', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideHeaderFooter', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlideHeaderFooter', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSlideHeaderFooter', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlideHeaderFooter', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlideHeaderFooter', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlideHeaderFooter', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetSlideHeaderFooter', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlideHeaderFooter', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_slide_header_footer_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSlideHeaderFooter', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideHeaderFooter', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideHeaderFooter', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlideHeaderFooter', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSlideHeaderFooter', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlideHeaderFooter', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlideHeaderFooter', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlideHeaderFooter', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetSlideHeaderFooter', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlideHeaderFooter', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_slide_header_footer_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSlideHeaderFooter', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideHeaderFooter', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideHeaderFooter', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_slide_images
  # Read slide images info.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Images]
  describe 'get_slide_images test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlideImages', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSlideImages', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlideImages', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlideImages', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlideImages', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlideImages', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_slide_images_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideImages', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlideImages', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSlideImages', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlideImages', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlideImages', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlideImages', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetSlideImages', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlideImages', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_slide_images_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSlideImages', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideImages', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideImages', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlideImages', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSlideImages', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlideImages', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlideImages', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlideImages', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetSlideImages', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlideImages', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_slide_images_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSlideImages', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideImages', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideImages', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlideImages', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSlideImages', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlideImages', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlideImages', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlideImages', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetSlideImages', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlideImages', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_slide_images_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSlideImages', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideImages', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideImages', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlideImages', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSlideImages', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlideImages', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlideImages', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlideImages', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetSlideImages', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlideImages', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_slide_images_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSlideImages', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideImages', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideImages', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlideImages', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSlideImages', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlideImages', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlideImages', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlideImages', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetSlideImages', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlideImages', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_slide_images_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSlideImages', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideImages', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideImages', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_slide_properties
  # Read presentation slide properties.
  # @param name Document name.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [SlideProperties]
  describe 'get_slide_properties test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlideProperties', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlideProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlideProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlideProperties', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlideProperties', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_slide_properties_with_http_info(paramname, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideProperties', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlideProperties', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlideProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlideProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlideProperties', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetSlideProperties', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlideProperties', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_slide_properties_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSlideProperties', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideProperties', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideProperties', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlideProperties', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlideProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlideProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlideProperties', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetSlideProperties', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlideProperties', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_slide_properties_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSlideProperties', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideProperties', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideProperties', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlideProperties', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlideProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlideProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlideProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetSlideProperties', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlideProperties', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_slide_properties_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSlideProperties', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideProperties', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideProperties', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlideProperties', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlideProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlideProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlideProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetSlideProperties', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlideProperties', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_slide_properties_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSlideProperties', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideProperties', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideProperties', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_slide_text_items
  # Extract slide text items.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param [Hash] opts the optional parameters
  # @option opts [BOOLEAN] :with_empty True to include empty items.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [TextItems]
  describe 'get_slide_text_items test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlideTextItems', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSlideTextItems', 'Integer')
      paramwith_empty = AsposeSlidesCloud::SpecUtils.get_param_value('withEmpty', 'GetSlideTextItems', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlideTextItems', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlideTextItems', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlideTextItems', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlideTextItems', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_slide_text_items_with_http_info(paramname, paramslide_index, paramwith_empty, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideTextItems', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlideTextItems', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSlideTextItems', 'Integer')
      paramwith_empty = AsposeSlidesCloud::SpecUtils.get_param_value('withEmpty', 'GetSlideTextItems', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlideTextItems', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlideTextItems', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlideTextItems', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetSlideTextItems', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlideTextItems', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_slide_text_items_with_http_info(paramname, paramslide_index, paramwith_empty, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSlideTextItems', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideTextItems', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideTextItems', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlideTextItems', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSlideTextItems', 'Integer')
      paramwith_empty = AsposeSlidesCloud::SpecUtils.get_param_value('withEmpty', 'GetSlideTextItems', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlideTextItems', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlideTextItems', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlideTextItems', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetSlideTextItems', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlideTextItems', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_slide_text_items_with_http_info(paramname, paramslide_index, paramwith_empty, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSlideTextItems', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideTextItems', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideTextItems', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid with_empty' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlideTextItems', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSlideTextItems', 'Integer')
      paramwith_empty = AsposeSlidesCloud::SpecUtils.get_param_value('withEmpty', 'GetSlideTextItems', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlideTextItems', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlideTextItems', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlideTextItems', 'String')
      paramwith_empty = AsposeSlidesCloud::SpecUtils.invalidize_param_value('withEmpty', 'GetSlideTextItems', paramwith_empty, 'BOOLEAN')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlideTextItems', 'withEmpty', paramwith_empty)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_slide_text_items_with_http_info(paramname, paramslide_index, paramwith_empty, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSlideTextItems', 'withEmpty')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideTextItems', 'withEmpty', paramwith_empty)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideTextItems', 'withEmpty', paramwith_empty)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlideTextItems', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSlideTextItems', 'Integer')
      paramwith_empty = AsposeSlidesCloud::SpecUtils.get_param_value('withEmpty', 'GetSlideTextItems', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlideTextItems', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlideTextItems', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlideTextItems', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetSlideTextItems', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlideTextItems', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_slide_text_items_with_http_info(paramname, paramslide_index, paramwith_empty, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSlideTextItems', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideTextItems', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideTextItems', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlideTextItems', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSlideTextItems', 'Integer')
      paramwith_empty = AsposeSlidesCloud::SpecUtils.get_param_value('withEmpty', 'GetSlideTextItems', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlideTextItems', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlideTextItems', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlideTextItems', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetSlideTextItems', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlideTextItems', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_slide_text_items_with_http_info(paramname, paramslide_index, paramwith_empty, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSlideTextItems', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideTextItems', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideTextItems', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlideTextItems', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSlideTextItems', 'Integer')
      paramwith_empty = AsposeSlidesCloud::SpecUtils.get_param_value('withEmpty', 'GetSlideTextItems', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlideTextItems', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlideTextItems', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlideTextItems', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetSlideTextItems', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlideTextItems', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_slide_text_items_with_http_info(paramname, paramslide_index, paramwith_empty, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSlideTextItems', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideTextItems', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlideTextItems', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_slides
  # Read presentation slides info.
  # @param name Document name.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Slides]
  describe 'get_slides test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlides', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlides', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlides', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlides', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlides', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_slides_with_http_info(paramname, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlides', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlides', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlides', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlides', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlides', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetSlides', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlides', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_slides_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSlides', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlides', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlides', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlides', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlides', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlides', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlides', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetSlides', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlides', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_slides_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSlides', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlides', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlides', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlides', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlides', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlides', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlides', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetSlides', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlides', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_slides_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSlides', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlides', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlides', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSlides', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSlides', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSlides', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSlides', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetSlides', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSlides', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_slides_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSlides', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlides', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSlides', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_special_slide_animation
  # Read special slide (master, layout, notes) animation effects.
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :shape_index Shape index. If specified, only effects related to that shape are returned.
  # @option opts [Integer] :paragraph_index Paragraph index. If specified, only effects related to that paragraph are returned.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [SlideAnimation]
  describe 'get_special_slide_animation test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideAnimation', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideAnimation', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideAnimation', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideAnimation', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideAnimation', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideAnimation', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_special_slide_animation_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideAnimation', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideAnimation', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideAnimation', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideAnimation', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideAnimation', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideAnimation', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetSpecialSlideAnimation', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideAnimation', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_animation_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideAnimation', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideAnimation', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideAnimation', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideAnimation', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideAnimation', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideAnimation', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideAnimation', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetSpecialSlideAnimation', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideAnimation', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_animation_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideAnimation', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideAnimation', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideAnimation', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideAnimation', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideAnimation', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideAnimation', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideAnimation', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideAnimation', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'GetSpecialSlideAnimation', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideAnimation', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_animation_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideAnimation', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideAnimation', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideAnimation', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideAnimation', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideAnimation', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideAnimation', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideAnimation', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideAnimation', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'GetSpecialSlideAnimation', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideAnimation', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_animation_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideAnimation', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideAnimation', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideAnimation', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideAnimation', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideAnimation', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideAnimation', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideAnimation', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideAnimation', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'GetSpecialSlideAnimation', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideAnimation', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_animation_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideAnimation', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideAnimation', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideAnimation', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideAnimation', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideAnimation', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideAnimation', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideAnimation', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideAnimation', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetSpecialSlideAnimation', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideAnimation', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_animation_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideAnimation', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideAnimation', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideAnimation', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideAnimation', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideAnimation', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideAnimation', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideAnimation', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetSpecialSlideAnimation', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideAnimation', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_animation_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideAnimation', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideAnimation', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideAnimation', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideAnimation', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideAnimation', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideAnimation', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideAnimation', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetSpecialSlideAnimation', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideAnimation', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_animation_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideAnimation', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideAnimation', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideAnimation', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_special_slide_paragraph
  # Read shape paragraph info.
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param shape_index Shape index.
  # @param paragraph_index Paragraph index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Paragraph]
  describe 'get_special_slide_paragraph test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideParagraph', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideParagraph', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_special_slide_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideParagraph', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideParagraph', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetSpecialSlideParagraph', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideParagraph', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideParagraph', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideParagraph', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideParagraph', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetSpecialSlideParagraph', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideParagraph', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideParagraph', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideParagraph', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideParagraph', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideParagraph', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'GetSpecialSlideParagraph', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideParagraph', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideParagraph', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideParagraph', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideParagraph', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'GetSpecialSlideParagraph', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideParagraph', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideParagraph', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideParagraph', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideParagraph', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideParagraph', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'GetSpecialSlideParagraph', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideParagraph', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideParagraph', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideParagraph', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideParagraph', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideParagraph', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetSpecialSlideParagraph', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideParagraph', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideParagraph', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideParagraph', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideParagraph', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetSpecialSlideParagraph', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideParagraph', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideParagraph', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideParagraph', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideParagraph', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetSpecialSlideParagraph', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideParagraph', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideParagraph', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideParagraph', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideParagraph', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_special_slide_paragraphs
  # Read special shape paragraphs info.
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param shape_index Shape index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Paragraphs]
  describe 'get_special_slide_paragraphs test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideParagraphs', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideParagraphs', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideParagraphs', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideParagraphs', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_special_slide_paragraphs_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideParagraphs', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideParagraphs', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideParagraphs', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideParagraphs', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetSpecialSlideParagraphs', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideParagraphs', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_paragraphs_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideParagraphs', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideParagraphs', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideParagraphs', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideParagraphs', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideParagraphs', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetSpecialSlideParagraphs', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideParagraphs', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_paragraphs_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideParagraphs', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideParagraphs', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideParagraphs', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideParagraphs', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideParagraphs', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideParagraphs', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'GetSpecialSlideParagraphs', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideParagraphs', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_paragraphs_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideParagraphs', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideParagraphs', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideParagraphs', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideParagraphs', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideParagraphs', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'GetSpecialSlideParagraphs', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideParagraphs', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_paragraphs_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideParagraphs', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideParagraphs', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideParagraphs', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideParagraphs', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideParagraphs', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetSpecialSlideParagraphs', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideParagraphs', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_paragraphs_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideParagraphs', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideParagraphs', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideParagraphs', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideParagraphs', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideParagraphs', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetSpecialSlideParagraphs', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideParagraphs', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_paragraphs_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideParagraphs', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideParagraphs', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideParagraphs', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideParagraphs', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideParagraphs', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetSpecialSlideParagraphs', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideParagraphs', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_paragraphs_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideParagraphs', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideParagraphs', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideParagraphs', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_special_slide_portion
  # Read paragraph portion info.
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param shape_index Shape index.
  # @param paragraph_index Paragraph index.
  # @param portion_index Portion index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Portion]
  describe 'get_special_slide_portion test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlidePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetSpecialSlidePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlidePortion', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlidePortion', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlidePortion', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlidePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetSpecialSlidePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlidePortion', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetSpecialSlidePortion', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlidePortion', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlidePortion', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlidePortion', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlidePortion', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlidePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetSpecialSlidePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetSpecialSlidePortion', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlidePortion', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlidePortion', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlidePortion', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlidePortion', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlidePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetSpecialSlidePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlidePortion', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'GetSpecialSlidePortion', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlidePortion', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlidePortion', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlidePortion', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlidePortion', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlidePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetSpecialSlidePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'GetSpecialSlidePortion', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlidePortion', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlidePortion', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlidePortion', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlidePortion', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlidePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetSpecialSlidePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlidePortion', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'GetSpecialSlidePortion', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlidePortion', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlidePortion', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlidePortion', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlidePortion', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid portion_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlidePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetSpecialSlidePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlidePortion', 'String')
      paramportion_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('portionIndex', 'GetSpecialSlidePortion', paramportion_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlidePortion', 'portionIndex', paramportion_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlidePortion', 'portionIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlidePortion', 'portionIndex', paramportion_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlidePortion', 'portionIndex', paramportion_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlidePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetSpecialSlidePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlidePortion', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetSpecialSlidePortion', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlidePortion', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlidePortion', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlidePortion', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlidePortion', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlidePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetSpecialSlidePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetSpecialSlidePortion', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlidePortion', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlidePortion', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlidePortion', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlidePortion', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlidePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetSpecialSlidePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetSpecialSlidePortion', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlidePortion', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlidePortion', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlidePortion', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlidePortion', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_special_slide_portions
  # Read paragraph portions info.
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param shape_index Shape index.
  # @param paragraph_index Paragraph index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Portions]
  describe 'get_special_slide_portions test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlidePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlidePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlidePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlidePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlidePortions', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlidePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlidePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlidePortions', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlidePortions', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_special_slide_portions_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlidePortions', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlidePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlidePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlidePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlidePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlidePortions', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlidePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlidePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlidePortions', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetSpecialSlidePortions', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlidePortions', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_portions_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlidePortions', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlidePortions', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlidePortions', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlidePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlidePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlidePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlidePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlidePortions', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlidePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlidePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlidePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetSpecialSlidePortions', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlidePortions', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_portions_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlidePortions', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlidePortions', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlidePortions', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlidePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlidePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlidePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlidePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlidePortions', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlidePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlidePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlidePortions', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'GetSpecialSlidePortions', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlidePortions', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_portions_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlidePortions', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlidePortions', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlidePortions', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlidePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlidePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlidePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlidePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlidePortions', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlidePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlidePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlidePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'GetSpecialSlidePortions', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlidePortions', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_portions_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlidePortions', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlidePortions', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlidePortions', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlidePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlidePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlidePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlidePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlidePortions', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlidePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlidePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlidePortions', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'GetSpecialSlidePortions', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlidePortions', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_portions_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlidePortions', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlidePortions', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlidePortions', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlidePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlidePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlidePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlidePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlidePortions', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlidePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlidePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlidePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetSpecialSlidePortions', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlidePortions', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_portions_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlidePortions', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlidePortions', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlidePortions', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlidePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlidePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlidePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlidePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlidePortions', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlidePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlidePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlidePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetSpecialSlidePortions', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlidePortions', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_portions_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlidePortions', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlidePortions', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlidePortions', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlidePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlidePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlidePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlidePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlidePortions', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlidePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlidePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlidePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetSpecialSlidePortions', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlidePortions', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_portions_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlidePortions', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlidePortions', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlidePortions', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_special_slide_shape
  # Read special slide shape info.
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param shape_index Shape index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [ShapeBase]
  describe 'get_special_slide_shape test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideShape', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideShape', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideShape', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideShape', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetSpecialSlideShape', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideShape', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideShape', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideShape', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideShape', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetSpecialSlideShape', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideShape', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideShape', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideShape', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideShape', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideShape', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'GetSpecialSlideShape', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideShape', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideShape', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideShape', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideShape', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'GetSpecialSlideShape', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideShape', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideShape', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideShape', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideShape', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetSpecialSlideShape', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideShape', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideShape', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideShape', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideShape', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetSpecialSlideShape', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideShape', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideShape', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideShape', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideShape', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideShape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetSpecialSlideShape', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideShape', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideShape', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideShape', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideShape', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_special_slide_shapes
  # Read special slide shapes info.
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Shapes]
  describe 'get_special_slide_shapes test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideShapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideShapes', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideShapes', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_special_slide_shapes_with_http_info(paramname, paramslide_index, paramslide_type, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideShapes', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideShapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideShapes', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetSpecialSlideShapes', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideShapes', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_shapes_with_http_info(paramname, paramslide_index, paramslide_type, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideShapes', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideShapes', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideShapes', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideShapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetSpecialSlideShapes', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideShapes', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_shapes_with_http_info(paramname, paramslide_index, paramslide_type, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideShapes', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideShapes', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideShapes', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideShapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideShapes', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'GetSpecialSlideShapes', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideShapes', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_shapes_with_http_info(paramname, paramslide_index, paramslide_type, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideShapes', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideShapes', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideShapes', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideShapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetSpecialSlideShapes', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideShapes', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_shapes_with_http_info(paramname, paramslide_index, paramslide_type, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideShapes', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideShapes', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideShapes', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideShapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetSpecialSlideShapes', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideShapes', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_shapes_with_http_info(paramname, paramslide_index, paramslide_type, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideShapes', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideShapes', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideShapes', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideShapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideShapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideShapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideShapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideShapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetSpecialSlideShapes', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideShapes', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_shapes_with_http_info(paramname, paramslide_index, paramslide_type, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideShapes', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideShapes', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideShapes', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_special_slide_subshape
  # Read special slide shape info (for smart art and group shapes).
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param path Shape path.
  # @param shape_index Shape index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [ShapeBase]
  describe 'get_special_slide_subshape test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshape', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshape', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshape', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshape', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetSpecialSlideSubshape', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshape', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshape', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshape', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshape', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetSpecialSlideSubshape', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshape', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshape', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshape', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshape', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshape', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'GetSpecialSlideSubshape', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshape', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshape', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshape', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshape', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'GetSpecialSlideSubshape', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshape', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshape', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshape', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshape', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'GetSpecialSlideSubshape', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshape', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshape', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshape', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshape', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetSpecialSlideSubshape', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshape', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshape', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshape', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshape', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetSpecialSlideSubshape', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshape', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshape', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshape', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshape', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetSpecialSlideSubshape', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshape', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshape', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshape', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshape', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_special_slide_subshape_paragraph
  # Read shape paragraph info (for smart art and group shapes).
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param path Shape path.
  # @param shape_index Shape index.
  # @param paragraph_index Paragraph index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Paragraph]
  describe 'get_special_slide_subshape_paragraph test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapeParagraph', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapeParagraph', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapeParagraph', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetSpecialSlideSubshapeParagraph', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapeParagraph', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapeParagraph', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapeParagraph', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapeParagraph', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetSpecialSlideSubshapeParagraph', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapeParagraph', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapeParagraph', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapeParagraph', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapeParagraph', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'GetSpecialSlideSubshapeParagraph', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapeParagraph', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapeParagraph', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapeParagraph', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapeParagraph', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'GetSpecialSlideSubshapeParagraph', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapeParagraph', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapeParagraph', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapeParagraph', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapeParagraph', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'GetSpecialSlideSubshapeParagraph', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapeParagraph', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapeParagraph', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapeParagraph', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapeParagraph', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'GetSpecialSlideSubshapeParagraph', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapeParagraph', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapeParagraph', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapeParagraph', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapeParagraph', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapeParagraph', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetSpecialSlideSubshapeParagraph', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapeParagraph', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapeParagraph', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapeParagraph', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapeParagraph', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetSpecialSlideSubshapeParagraph', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapeParagraph', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapeParagraph', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapeParagraph', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapeParagraph', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetSpecialSlideSubshapeParagraph', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapeParagraph', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapeParagraph', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapeParagraph', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapeParagraph', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_special_slide_subshape_paragraphs
  # Read shape paragraphs info (for smart art and group shapes).
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param path Shape path.
  # @param shape_index Shape index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Paragraphs]
  describe 'get_special_slide_subshape_paragraphs test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapeParagraphs', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapeParagraphs', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapeParagraphs', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapeParagraphs', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapeParagraphs', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_paragraphs_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapeParagraphs', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapeParagraphs', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapeParagraphs', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapeParagraphs', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetSpecialSlideSubshapeParagraphs', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapeParagraphs', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_paragraphs_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapeParagraphs', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapeParagraphs', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapeParagraphs', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapeParagraphs', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapeParagraphs', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapeParagraphs', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetSpecialSlideSubshapeParagraphs', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapeParagraphs', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_paragraphs_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapeParagraphs', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapeParagraphs', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapeParagraphs', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapeParagraphs', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapeParagraphs', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapeParagraphs', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'GetSpecialSlideSubshapeParagraphs', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapeParagraphs', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_paragraphs_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapeParagraphs', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapeParagraphs', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapeParagraphs', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapeParagraphs', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapeParagraphs', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapeParagraphs', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapeParagraphs', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'GetSpecialSlideSubshapeParagraphs', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapeParagraphs', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_paragraphs_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapeParagraphs', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapeParagraphs', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapeParagraphs', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapeParagraphs', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapeParagraphs', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapeParagraphs', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'GetSpecialSlideSubshapeParagraphs', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapeParagraphs', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_paragraphs_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapeParagraphs', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapeParagraphs', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapeParagraphs', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapeParagraphs', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapeParagraphs', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapeParagraphs', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapeParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetSpecialSlideSubshapeParagraphs', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapeParagraphs', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_paragraphs_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapeParagraphs', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapeParagraphs', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapeParagraphs', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapeParagraphs', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapeParagraphs', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapeParagraphs', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetSpecialSlideSubshapeParagraphs', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapeParagraphs', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_paragraphs_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapeParagraphs', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapeParagraphs', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapeParagraphs', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapeParagraphs', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapeParagraphs', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapeParagraphs', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetSpecialSlideSubshapeParagraphs', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapeParagraphs', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_paragraphs_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapeParagraphs', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapeParagraphs', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapeParagraphs', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_special_slide_subshape_portion
  # Read paragraph portion info (for smart art and group shapes).
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param path Shape path.
  # @param shape_index Shape index.
  # @param paragraph_index Paragraph index.
  # @param portion_index Portion index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Portion]
  describe 'get_special_slide_subshape_portion test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapePortion', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapePortion', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortion', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapePortion', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetSpecialSlideSubshapePortion', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapePortion', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapePortion', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortion', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortion', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetSpecialSlideSubshapePortion', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapePortion', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapePortion', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortion', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortion', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapePortion', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'GetSpecialSlideSubshapePortion', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapePortion', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapePortion', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortion', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortion', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'GetSpecialSlideSubshapePortion', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapePortion', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapePortion', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortion', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortion', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'GetSpecialSlideSubshapePortion', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapePortion', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapePortion', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortion', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortion', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapePortion', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'GetSpecialSlideSubshapePortion', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapePortion', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapePortion', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortion', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortion', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid portion_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapePortion', 'String')
      paramportion_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('portionIndex', 'GetSpecialSlideSubshapePortion', paramportion_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapePortion', 'portionIndex', paramportion_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapePortion', 'portionIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortion', 'portionIndex', paramportion_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortion', 'portionIndex', paramportion_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapePortion', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetSpecialSlideSubshapePortion', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapePortion', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapePortion', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortion', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortion', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetSpecialSlideSubshapePortion', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapePortion', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapePortion', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortion', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortion', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetSpecialSlideSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetSpecialSlideSubshapePortion', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapePortion', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapePortion', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortion', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortion', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_special_slide_subshape_portions
  # Read paragraph portions info (for smart art and group shapes).
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param path Shape path.
  # @param shape_index Shape index.
  # @param paragraph_index Paragraph index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Portions]
  describe 'get_special_slide_subshape_portions test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapePortions', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideSubshapePortions', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapePortions', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapePortions', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_portions_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortions', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapePortions', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideSubshapePortions', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapePortions', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetSpecialSlideSubshapePortions', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapePortions', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_portions_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapePortions', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortions', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortions', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapePortions', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideSubshapePortions', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetSpecialSlideSubshapePortions', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapePortions', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_portions_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapePortions', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortions', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortions', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapePortions', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideSubshapePortions', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapePortions', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'GetSpecialSlideSubshapePortions', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapePortions', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_portions_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapePortions', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortions', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortions', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapePortions', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideSubshapePortions', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapePortions', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'GetSpecialSlideSubshapePortions', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapePortions', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_portions_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapePortions', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortions', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortions', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapePortions', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideSubshapePortions', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'GetSpecialSlideSubshapePortions', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapePortions', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_portions_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapePortions', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortions', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortions', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapePortions', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideSubshapePortions', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapePortions', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'GetSpecialSlideSubshapePortions', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapePortions', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_portions_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapePortions', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortions', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortions', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapePortions', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideSubshapePortions', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetSpecialSlideSubshapePortions', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapePortions', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_portions_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapePortions', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortions', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortions', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapePortions', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideSubshapePortions', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetSpecialSlideSubshapePortions', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapePortions', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_portions_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapePortions', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortions', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortions', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapePortions', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapePortions', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSpecialSlideSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSpecialSlideSubshapePortions', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetSpecialSlideSubshapePortions', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapePortions', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshape_portions_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapePortions', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortions', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapePortions', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_special_slide_subshapes
  # Read special slide shapes info.
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param path Shape path (for smart art and group shapes).
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Shapes]
  describe 'get_special_slide_subshapes test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapes', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapes', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapes', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshapes_with_http_info(paramname, paramslide_index, paramslide_type, parampath, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapes', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapes', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapes', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetSpecialSlideSubshapes', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapes', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshapes_with_http_info(paramname, paramslide_index, paramslide_type, parampath, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapes', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapes', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapes', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapes', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetSpecialSlideSubshapes', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapes', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshapes_with_http_info(paramname, paramslide_index, paramslide_type, parampath, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapes', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapes', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapes', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapes', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapes', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'GetSpecialSlideSubshapes', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapes', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshapes_with_http_info(paramname, paramslide_index, paramslide_type, parampath, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapes', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapes', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapes', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapes', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapes', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'GetSpecialSlideSubshapes', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapes', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshapes_with_http_info(paramname, paramslide_index, paramslide_type, parampath, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapes', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapes', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapes', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapes', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetSpecialSlideSubshapes', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapes', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshapes_with_http_info(paramname, paramslide_index, paramslide_type, parampath, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapes', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapes', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapes', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapes', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetSpecialSlideSubshapes', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapes', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshapes_with_http_info(paramname, paramslide_index, paramslide_type, parampath, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapes', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapes', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapes', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSpecialSlideSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSpecialSlideSubshapes', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'GetSpecialSlideSubshapes', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSpecialSlideSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSpecialSlideSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSpecialSlideSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSpecialSlideSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetSpecialSlideSubshapes', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSpecialSlideSubshapes', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_special_slide_subshapes_with_http_info(paramname, paramslide_index, paramslide_type, parampath, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSpecialSlideSubshapes', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapes', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSpecialSlideSubshapes', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_subshape
  # Read slide shape info (for smart art and group shapes).
  # @param name Document name.
  # @param slide_index Slide index.
  # @param path Shape path.
  # @param shape_index Shape index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [ShapeBase]
  describe 'get_subshape test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshape', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshape', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshape', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshape', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetSubshape', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshape', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshape', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshape', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshape', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetSubshape', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshape', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshape', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshape', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshape', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'GetSubshape', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshape', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshape', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshape', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshape', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'GetSubshape', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshape', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshape', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshape', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshape', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetSubshape', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshape', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshape', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshape', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshape', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetSubshape', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshape', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshape', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshape', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshape', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshape', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetSubshape', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshape', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshape', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshape', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshape', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_subshape_paragraph
  # Read shape paragraph info (for smart art and group shapes).
  # @param name Document name.
  # @param slide_index Slide index.
  # @param path Shape path.
  # @param shape_index Shape index.
  # @param paragraph_index Paragraph index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Paragraph]
  describe 'get_subshape_paragraph test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapeParagraph', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapeParagraph', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapeParagraph', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_subshape_paragraph_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapeParagraph', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapeParagraph', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapeParagraph', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetSubshapeParagraph', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapeParagraph', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshape_paragraph_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshapeParagraph', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapeParagraph', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapeParagraph', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapeParagraph', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetSubshapeParagraph', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapeParagraph', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshape_paragraph_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshapeParagraph', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapeParagraph', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapeParagraph', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapeParagraph', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'GetSubshapeParagraph', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapeParagraph', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshape_paragraph_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshapeParagraph', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapeParagraph', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapeParagraph', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapeParagraph', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'GetSubshapeParagraph', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapeParagraph', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshape_paragraph_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshapeParagraph', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapeParagraph', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapeParagraph', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapeParagraph', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapeParagraph', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'GetSubshapeParagraph', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapeParagraph', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshape_paragraph_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshapeParagraph', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapeParagraph', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapeParagraph', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapeParagraph', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapeParagraph', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetSubshapeParagraph', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapeParagraph', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshape_paragraph_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshapeParagraph', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapeParagraph', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapeParagraph', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapeParagraph', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetSubshapeParagraph', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapeParagraph', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshape_paragraph_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshapeParagraph', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapeParagraph', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapeParagraph', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapeParagraph', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSubshapeParagraph', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetSubshapeParagraph', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapeParagraph', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshape_paragraph_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshapeParagraph', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapeParagraph', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapeParagraph', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_subshape_paragraphs
  # Read shape paragraphs info (for smart art and group shapes).
  # @param name Document name.
  # @param slide_index Slide index.
  # @param path Shape path.
  # @param shape_index Shape index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Paragraphs]
  describe 'get_subshape_paragraphs test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapeParagraphs', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshapeParagraphs', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapeParagraphs', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapeParagraphs', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_subshape_paragraphs_with_http_info(paramname, paramslide_index, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapeParagraphs', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapeParagraphs', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshapeParagraphs', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapeParagraphs', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetSubshapeParagraphs', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapeParagraphs', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshape_paragraphs_with_http_info(paramname, paramslide_index, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshapeParagraphs', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapeParagraphs', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapeParagraphs', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapeParagraphs', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshapeParagraphs', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetSubshapeParagraphs', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapeParagraphs', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshape_paragraphs_with_http_info(paramname, paramslide_index, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshapeParagraphs', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapeParagraphs', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapeParagraphs', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapeParagraphs', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshapeParagraphs', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapeParagraphs', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'GetSubshapeParagraphs', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapeParagraphs', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshape_paragraphs_with_http_info(paramname, paramslide_index, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshapeParagraphs', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapeParagraphs', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapeParagraphs', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapeParagraphs', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshapeParagraphs', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'GetSubshapeParagraphs', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapeParagraphs', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshape_paragraphs_with_http_info(paramname, paramslide_index, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshapeParagraphs', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapeParagraphs', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapeParagraphs', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapeParagraphs', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshapeParagraphs', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapeParagraphs', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetSubshapeParagraphs', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapeParagraphs', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshape_paragraphs_with_http_info(paramname, paramslide_index, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshapeParagraphs', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapeParagraphs', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapeParagraphs', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapeParagraphs', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshapeParagraphs', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetSubshapeParagraphs', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapeParagraphs', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshape_paragraphs_with_http_info(paramname, paramslide_index, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshapeParagraphs', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapeParagraphs', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapeParagraphs', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapeParagraphs', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapeParagraphs', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapeParagraphs', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshapeParagraphs', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapeParagraphs', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapeParagraphs', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetSubshapeParagraphs', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapeParagraphs', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshape_paragraphs_with_http_info(paramname, paramslide_index, parampath, paramshape_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshapeParagraphs', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapeParagraphs', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapeParagraphs', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_subshape_portion
  # Read paragraph portion info (for smart art and group shapes).
  # @param name Document name.
  # @param slide_index Slide index.
  # @param path Shape path.
  # @param shape_index Shape index.
  # @param paragraph_index Paragraph index.
  # @param portion_index Portion index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Portion]
  describe 'get_subshape_portion test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapePortion', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapePortion', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapePortion', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapePortion', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetSubshapePortion', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapePortion', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshapePortion', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapePortion', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapePortion', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetSubshapePortion', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapePortion', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshapePortion', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapePortion', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapePortion', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'GetSubshapePortion', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapePortion', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshapePortion', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapePortion', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapePortion', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'GetSubshapePortion', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapePortion', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshapePortion', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapePortion', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapePortion', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapePortion', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'GetSubshapePortion', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapePortion', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshapePortion', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapePortion', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapePortion', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid portion_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapePortion', 'String')
      paramportion_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('portionIndex', 'GetSubshapePortion', paramportion_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapePortion', 'portionIndex', paramportion_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshapePortion', 'portionIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapePortion', 'portionIndex', paramportion_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapePortion', 'portionIndex', paramportion_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapePortion', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetSubshapePortion', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapePortion', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshapePortion', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapePortion', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapePortion', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetSubshapePortion', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapePortion', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshapePortion', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapePortion', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapePortion', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'GetSubshapePortion', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetSubshapePortion', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapePortion', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportion_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshapePortion', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapePortion', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapePortion', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_subshape_portions
  # Read paragraph portions info (for smart art and group shapes).
  # @param name Document name.
  # @param slide_index Slide index.
  # @param path Shape path.
  # @param shape_index Shape index.
  # @param paragraph_index Paragraph index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Portions]
  describe 'get_subshape_portions test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapePortions', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSubshapePortions', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapePortions', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapePortions', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_subshape_portions_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapePortions', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapePortions', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSubshapePortions', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapePortions', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetSubshapePortions', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapePortions', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshape_portions_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshapePortions', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapePortions', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapePortions', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapePortions', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSubshapePortions', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetSubshapePortions', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapePortions', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshape_portions_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshapePortions', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapePortions', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapePortions', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapePortions', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSubshapePortions', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapePortions', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'GetSubshapePortions', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapePortions', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshape_portions_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshapePortions', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapePortions', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapePortions', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapePortions', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSubshapePortions', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'GetSubshapePortions', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapePortions', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshape_portions_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshapePortions', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapePortions', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapePortions', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapePortions', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSubshapePortions', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapePortions', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'GetSubshapePortions', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapePortions', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshape_portions_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshapePortions', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapePortions', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapePortions', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapePortions', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSubshapePortions', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapePortions', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetSubshapePortions', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapePortions', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshape_portions_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshapePortions', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapePortions', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapePortions', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapePortions', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSubshapePortions', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetSubshapePortions', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapePortions', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshape_portions_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshapePortions', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapePortions', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapePortions', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapePortions', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapePortions', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapePortions', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'GetSubshapePortions', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'GetSubshapePortions', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapePortions', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapePortions', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetSubshapePortions', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapePortions', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshape_portions_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshapePortions', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapePortions', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapePortions', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_subshapes
  # Read slide shapes info.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param path Shape path (for smart art and group shapes).
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Shapes]
  describe 'get_subshapes test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapes', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapes', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapes', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_subshapes_with_http_info(paramname, paramslide_index, parampath, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapes', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapes', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapes', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetSubshapes', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapes', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshapes_with_http_info(paramname, paramslide_index, parampath, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshapes', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapes', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapes', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapes', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetSubshapes', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapes', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshapes_with_http_info(paramname, paramslide_index, parampath, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshapes', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapes', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapes', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapes', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapes', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'GetSubshapes', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapes', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshapes_with_http_info(paramname, paramslide_index, parampath, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshapes', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapes', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapes', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapes', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetSubshapes', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapes', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshapes_with_http_info(paramname, paramslide_index, parampath, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshapes', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapes', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapes', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapes', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetSubshapes', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapes', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshapes_with_http_info(paramname, paramslide_index, parampath, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshapes', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapes', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapes', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetSubshapes', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetSubshapes', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'GetSubshapes', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetSubshapes', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetSubshapes', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetSubshapes', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetSubshapes', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_subshapes_with_http_info(paramname, paramslide_index, parampath, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetSubshapes', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapes', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetSubshapes', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_theme
  # Read slide theme info.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Theme]
  describe 'get_theme test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetTheme', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetTheme', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetTheme', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetTheme', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetTheme', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetTheme', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_theme_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetTheme', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetTheme', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetTheme', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetTheme', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetTheme', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetTheme', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetTheme', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetTheme', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_theme_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetTheme', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetTheme', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetTheme', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetTheme', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetTheme', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetTheme', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetTheme', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetTheme', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'GetTheme', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('GetTheme', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_theme_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetTheme', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetTheme', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetTheme', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetTheme', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetTheme', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetTheme', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetTheme', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetTheme', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetTheme', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetTheme', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_theme_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetTheme', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetTheme', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetTheme', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetTheme', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetTheme', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetTheme', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetTheme', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetTheme', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetTheme', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetTheme', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_theme_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetTheme', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetTheme', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetTheme', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetTheme', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'GetTheme', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetTheme', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetTheme', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetTheme', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetTheme', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetTheme', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_theme_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetTheme', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetTheme', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetTheme', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for get_view_properties
  # Read presentation document properties.
  # @param name Document name.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [ViewProperties]
  describe 'get_view_properties test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetViewProperties', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetViewProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetViewProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetViewProperties', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetViewProperties', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.get_view_properties_with_http_info(paramname, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetViewProperties', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetViewProperties', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetViewProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetViewProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetViewProperties', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'GetViewProperties', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetViewProperties', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_view_properties_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetViewProperties', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetViewProperties', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetViewProperties', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetViewProperties', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetViewProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetViewProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetViewProperties', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'GetViewProperties', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetViewProperties', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_view_properties_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetViewProperties', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetViewProperties', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetViewProperties', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetViewProperties', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetViewProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetViewProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetViewProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'GetViewProperties', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetViewProperties', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_view_properties_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetViewProperties', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetViewProperties', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetViewProperties', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'GetViewProperties', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'GetViewProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'GetViewProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'GetViewProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'GetViewProperties', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('GetViewProperties', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.get_view_properties_with_http_info(paramname, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('GetViewProperties', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetViewProperties', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('GetViewProperties', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for highlight_shape_regex
  # Highlight all matches of sample in text frame text using specified color.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param shape_index Shape index.
  # @param regex Regular expression.
  # @param color Highlighting color.
  # @param [Hash] opts the optional parameters
  # @option opts [BOOLEAN] :whole_words_only Match only whole words.
  # @option opts [BOOLEAN] :ignore_case True to search ignoring char case.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Shape]
  describe 'highlight_shape_regex test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'HighlightShapeRegex', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'HighlightShapeRegex', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'HighlightShapeRegex', 'Integer')
      paramregex = AsposeSlidesCloud::SpecUtils.get_param_value('regex', 'HighlightShapeRegex', 'String')
      paramcolor = AsposeSlidesCloud::SpecUtils.get_param_value('color', 'HighlightShapeRegex', 'String')
      paramwhole_words_only = AsposeSlidesCloud::SpecUtils.get_param_value('wholeWordsOnly', 'HighlightShapeRegex', 'BOOLEAN')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'HighlightShapeRegex', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'HighlightShapeRegex', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'HighlightShapeRegex', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'HighlightShapeRegex', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('HighlightShapeRegex', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.highlight_shape_regex_with_http_info(paramname, paramslide_index, paramshape_index, paramregex, paramcolor, paramwhole_words_only, paramignore_case, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeRegex', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'HighlightShapeRegex', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'HighlightShapeRegex', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'HighlightShapeRegex', 'Integer')
      paramregex = AsposeSlidesCloud::SpecUtils.get_param_value('regex', 'HighlightShapeRegex', 'String')
      paramcolor = AsposeSlidesCloud::SpecUtils.get_param_value('color', 'HighlightShapeRegex', 'String')
      paramwhole_words_only = AsposeSlidesCloud::SpecUtils.get_param_value('wholeWordsOnly', 'HighlightShapeRegex', 'BOOLEAN')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'HighlightShapeRegex', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'HighlightShapeRegex', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'HighlightShapeRegex', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'HighlightShapeRegex', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'HighlightShapeRegex', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('HighlightShapeRegex', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.highlight_shape_regex_with_http_info(paramname, paramslide_index, paramshape_index, paramregex, paramcolor, paramwhole_words_only, paramignore_case, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('HighlightShapeRegex', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeRegex', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeRegex', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'HighlightShapeRegex', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'HighlightShapeRegex', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'HighlightShapeRegex', 'Integer')
      paramregex = AsposeSlidesCloud::SpecUtils.get_param_value('regex', 'HighlightShapeRegex', 'String')
      paramcolor = AsposeSlidesCloud::SpecUtils.get_param_value('color', 'HighlightShapeRegex', 'String')
      paramwhole_words_only = AsposeSlidesCloud::SpecUtils.get_param_value('wholeWordsOnly', 'HighlightShapeRegex', 'BOOLEAN')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'HighlightShapeRegex', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'HighlightShapeRegex', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'HighlightShapeRegex', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'HighlightShapeRegex', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'HighlightShapeRegex', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('HighlightShapeRegex', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.highlight_shape_regex_with_http_info(paramname, paramslide_index, paramshape_index, paramregex, paramcolor, paramwhole_words_only, paramignore_case, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('HighlightShapeRegex', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeRegex', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeRegex', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'HighlightShapeRegex', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'HighlightShapeRegex', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'HighlightShapeRegex', 'Integer')
      paramregex = AsposeSlidesCloud::SpecUtils.get_param_value('regex', 'HighlightShapeRegex', 'String')
      paramcolor = AsposeSlidesCloud::SpecUtils.get_param_value('color', 'HighlightShapeRegex', 'String')
      paramwhole_words_only = AsposeSlidesCloud::SpecUtils.get_param_value('wholeWordsOnly', 'HighlightShapeRegex', 'BOOLEAN')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'HighlightShapeRegex', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'HighlightShapeRegex', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'HighlightShapeRegex', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'HighlightShapeRegex', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'HighlightShapeRegex', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('HighlightShapeRegex', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.highlight_shape_regex_with_http_info(paramname, paramslide_index, paramshape_index, paramregex, paramcolor, paramwhole_words_only, paramignore_case, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('HighlightShapeRegex', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeRegex', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeRegex', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid regex' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'HighlightShapeRegex', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'HighlightShapeRegex', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'HighlightShapeRegex', 'Integer')
      paramregex = AsposeSlidesCloud::SpecUtils.get_param_value('regex', 'HighlightShapeRegex', 'String')
      paramcolor = AsposeSlidesCloud::SpecUtils.get_param_value('color', 'HighlightShapeRegex', 'String')
      paramwhole_words_only = AsposeSlidesCloud::SpecUtils.get_param_value('wholeWordsOnly', 'HighlightShapeRegex', 'BOOLEAN')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'HighlightShapeRegex', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'HighlightShapeRegex', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'HighlightShapeRegex', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'HighlightShapeRegex', 'String')
      paramregex = AsposeSlidesCloud::SpecUtils.invalidize_param_value('regex', 'HighlightShapeRegex', paramregex, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('HighlightShapeRegex', 'regex', paramregex)
      begin
        AsposeSlidesCloud::SpecUtils.api.highlight_shape_regex_with_http_info(paramname, paramslide_index, paramshape_index, paramregex, paramcolor, paramwhole_words_only, paramignore_case, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('HighlightShapeRegex', 'regex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeRegex', 'regex', paramregex)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeRegex', 'regex', paramregex)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid color' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'HighlightShapeRegex', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'HighlightShapeRegex', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'HighlightShapeRegex', 'Integer')
      paramregex = AsposeSlidesCloud::SpecUtils.get_param_value('regex', 'HighlightShapeRegex', 'String')
      paramcolor = AsposeSlidesCloud::SpecUtils.get_param_value('color', 'HighlightShapeRegex', 'String')
      paramwhole_words_only = AsposeSlidesCloud::SpecUtils.get_param_value('wholeWordsOnly', 'HighlightShapeRegex', 'BOOLEAN')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'HighlightShapeRegex', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'HighlightShapeRegex', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'HighlightShapeRegex', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'HighlightShapeRegex', 'String')
      paramcolor = AsposeSlidesCloud::SpecUtils.invalidize_param_value('color', 'HighlightShapeRegex', paramcolor, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('HighlightShapeRegex', 'color', paramcolor)
      begin
        AsposeSlidesCloud::SpecUtils.api.highlight_shape_regex_with_http_info(paramname, paramslide_index, paramshape_index, paramregex, paramcolor, paramwhole_words_only, paramignore_case, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('HighlightShapeRegex', 'color')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeRegex', 'color', paramcolor)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeRegex', 'color', paramcolor)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid whole_words_only' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'HighlightShapeRegex', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'HighlightShapeRegex', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'HighlightShapeRegex', 'Integer')
      paramregex = AsposeSlidesCloud::SpecUtils.get_param_value('regex', 'HighlightShapeRegex', 'String')
      paramcolor = AsposeSlidesCloud::SpecUtils.get_param_value('color', 'HighlightShapeRegex', 'String')
      paramwhole_words_only = AsposeSlidesCloud::SpecUtils.get_param_value('wholeWordsOnly', 'HighlightShapeRegex', 'BOOLEAN')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'HighlightShapeRegex', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'HighlightShapeRegex', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'HighlightShapeRegex', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'HighlightShapeRegex', 'String')
      paramwhole_words_only = AsposeSlidesCloud::SpecUtils.invalidize_param_value('wholeWordsOnly', 'HighlightShapeRegex', paramwhole_words_only, 'BOOLEAN')
      AsposeSlidesCloud::SpecUtils.initialize('HighlightShapeRegex', 'wholeWordsOnly', paramwhole_words_only)
      begin
        AsposeSlidesCloud::SpecUtils.api.highlight_shape_regex_with_http_info(paramname, paramslide_index, paramshape_index, paramregex, paramcolor, paramwhole_words_only, paramignore_case, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('HighlightShapeRegex', 'wholeWordsOnly')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeRegex', 'wholeWordsOnly', paramwhole_words_only)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeRegex', 'wholeWordsOnly', paramwhole_words_only)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid ignore_case' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'HighlightShapeRegex', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'HighlightShapeRegex', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'HighlightShapeRegex', 'Integer')
      paramregex = AsposeSlidesCloud::SpecUtils.get_param_value('regex', 'HighlightShapeRegex', 'String')
      paramcolor = AsposeSlidesCloud::SpecUtils.get_param_value('color', 'HighlightShapeRegex', 'String')
      paramwhole_words_only = AsposeSlidesCloud::SpecUtils.get_param_value('wholeWordsOnly', 'HighlightShapeRegex', 'BOOLEAN')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'HighlightShapeRegex', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'HighlightShapeRegex', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'HighlightShapeRegex', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'HighlightShapeRegex', 'String')
      paramignore_case = AsposeSlidesCloud::SpecUtils.invalidize_param_value('ignoreCase', 'HighlightShapeRegex', paramignore_case, 'BOOLEAN')
      AsposeSlidesCloud::SpecUtils.initialize('HighlightShapeRegex', 'ignoreCase', paramignore_case)
      begin
        AsposeSlidesCloud::SpecUtils.api.highlight_shape_regex_with_http_info(paramname, paramslide_index, paramshape_index, paramregex, paramcolor, paramwhole_words_only, paramignore_case, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('HighlightShapeRegex', 'ignoreCase')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeRegex', 'ignoreCase', paramignore_case)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeRegex', 'ignoreCase', paramignore_case)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'HighlightShapeRegex', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'HighlightShapeRegex', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'HighlightShapeRegex', 'Integer')
      paramregex = AsposeSlidesCloud::SpecUtils.get_param_value('regex', 'HighlightShapeRegex', 'String')
      paramcolor = AsposeSlidesCloud::SpecUtils.get_param_value('color', 'HighlightShapeRegex', 'String')
      paramwhole_words_only = AsposeSlidesCloud::SpecUtils.get_param_value('wholeWordsOnly', 'HighlightShapeRegex', 'BOOLEAN')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'HighlightShapeRegex', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'HighlightShapeRegex', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'HighlightShapeRegex', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'HighlightShapeRegex', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'HighlightShapeRegex', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('HighlightShapeRegex', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.highlight_shape_regex_with_http_info(paramname, paramslide_index, paramshape_index, paramregex, paramcolor, paramwhole_words_only, paramignore_case, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('HighlightShapeRegex', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeRegex', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeRegex', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'HighlightShapeRegex', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'HighlightShapeRegex', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'HighlightShapeRegex', 'Integer')
      paramregex = AsposeSlidesCloud::SpecUtils.get_param_value('regex', 'HighlightShapeRegex', 'String')
      paramcolor = AsposeSlidesCloud::SpecUtils.get_param_value('color', 'HighlightShapeRegex', 'String')
      paramwhole_words_only = AsposeSlidesCloud::SpecUtils.get_param_value('wholeWordsOnly', 'HighlightShapeRegex', 'BOOLEAN')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'HighlightShapeRegex', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'HighlightShapeRegex', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'HighlightShapeRegex', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'HighlightShapeRegex', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'HighlightShapeRegex', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('HighlightShapeRegex', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.highlight_shape_regex_with_http_info(paramname, paramslide_index, paramshape_index, paramregex, paramcolor, paramwhole_words_only, paramignore_case, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('HighlightShapeRegex', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeRegex', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeRegex', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'HighlightShapeRegex', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'HighlightShapeRegex', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'HighlightShapeRegex', 'Integer')
      paramregex = AsposeSlidesCloud::SpecUtils.get_param_value('regex', 'HighlightShapeRegex', 'String')
      paramcolor = AsposeSlidesCloud::SpecUtils.get_param_value('color', 'HighlightShapeRegex', 'String')
      paramwhole_words_only = AsposeSlidesCloud::SpecUtils.get_param_value('wholeWordsOnly', 'HighlightShapeRegex', 'BOOLEAN')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'HighlightShapeRegex', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'HighlightShapeRegex', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'HighlightShapeRegex', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'HighlightShapeRegex', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'HighlightShapeRegex', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('HighlightShapeRegex', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.highlight_shape_regex_with_http_info(paramname, paramslide_index, paramshape_index, paramregex, paramcolor, paramwhole_words_only, paramignore_case, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('HighlightShapeRegex', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeRegex', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeRegex', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for highlight_shape_text
  # Highlight all matches of sample in text frame text using specified color.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param shape_index Shape index.
  # @param text Text sample to highlight.
  # @param color Highlighting color.
  # @param [Hash] opts the optional parameters
  # @option opts [BOOLEAN] :whole_words_only Match only whole words.
  # @option opts [BOOLEAN] :ignore_case True to search ignoring char case.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Shape]
  describe 'highlight_shape_text test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'HighlightShapeText', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'HighlightShapeText', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'HighlightShapeText', 'Integer')
      paramtext = AsposeSlidesCloud::SpecUtils.get_param_value('text', 'HighlightShapeText', 'String')
      paramcolor = AsposeSlidesCloud::SpecUtils.get_param_value('color', 'HighlightShapeText', 'String')
      paramwhole_words_only = AsposeSlidesCloud::SpecUtils.get_param_value('wholeWordsOnly', 'HighlightShapeText', 'BOOLEAN')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'HighlightShapeText', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'HighlightShapeText', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'HighlightShapeText', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'HighlightShapeText', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('HighlightShapeText', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.highlight_shape_text_with_http_info(paramname, paramslide_index, paramshape_index, paramtext, paramcolor, paramwhole_words_only, paramignore_case, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeText', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'HighlightShapeText', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'HighlightShapeText', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'HighlightShapeText', 'Integer')
      paramtext = AsposeSlidesCloud::SpecUtils.get_param_value('text', 'HighlightShapeText', 'String')
      paramcolor = AsposeSlidesCloud::SpecUtils.get_param_value('color', 'HighlightShapeText', 'String')
      paramwhole_words_only = AsposeSlidesCloud::SpecUtils.get_param_value('wholeWordsOnly', 'HighlightShapeText', 'BOOLEAN')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'HighlightShapeText', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'HighlightShapeText', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'HighlightShapeText', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'HighlightShapeText', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'HighlightShapeText', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('HighlightShapeText', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.highlight_shape_text_with_http_info(paramname, paramslide_index, paramshape_index, paramtext, paramcolor, paramwhole_words_only, paramignore_case, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('HighlightShapeText', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeText', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeText', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'HighlightShapeText', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'HighlightShapeText', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'HighlightShapeText', 'Integer')
      paramtext = AsposeSlidesCloud::SpecUtils.get_param_value('text', 'HighlightShapeText', 'String')
      paramcolor = AsposeSlidesCloud::SpecUtils.get_param_value('color', 'HighlightShapeText', 'String')
      paramwhole_words_only = AsposeSlidesCloud::SpecUtils.get_param_value('wholeWordsOnly', 'HighlightShapeText', 'BOOLEAN')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'HighlightShapeText', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'HighlightShapeText', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'HighlightShapeText', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'HighlightShapeText', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'HighlightShapeText', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('HighlightShapeText', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.highlight_shape_text_with_http_info(paramname, paramslide_index, paramshape_index, paramtext, paramcolor, paramwhole_words_only, paramignore_case, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('HighlightShapeText', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeText', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeText', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'HighlightShapeText', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'HighlightShapeText', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'HighlightShapeText', 'Integer')
      paramtext = AsposeSlidesCloud::SpecUtils.get_param_value('text', 'HighlightShapeText', 'String')
      paramcolor = AsposeSlidesCloud::SpecUtils.get_param_value('color', 'HighlightShapeText', 'String')
      paramwhole_words_only = AsposeSlidesCloud::SpecUtils.get_param_value('wholeWordsOnly', 'HighlightShapeText', 'BOOLEAN')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'HighlightShapeText', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'HighlightShapeText', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'HighlightShapeText', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'HighlightShapeText', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'HighlightShapeText', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('HighlightShapeText', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.highlight_shape_text_with_http_info(paramname, paramslide_index, paramshape_index, paramtext, paramcolor, paramwhole_words_only, paramignore_case, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('HighlightShapeText', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeText', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeText', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid text' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'HighlightShapeText', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'HighlightShapeText', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'HighlightShapeText', 'Integer')
      paramtext = AsposeSlidesCloud::SpecUtils.get_param_value('text', 'HighlightShapeText', 'String')
      paramcolor = AsposeSlidesCloud::SpecUtils.get_param_value('color', 'HighlightShapeText', 'String')
      paramwhole_words_only = AsposeSlidesCloud::SpecUtils.get_param_value('wholeWordsOnly', 'HighlightShapeText', 'BOOLEAN')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'HighlightShapeText', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'HighlightShapeText', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'HighlightShapeText', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'HighlightShapeText', 'String')
      paramtext = AsposeSlidesCloud::SpecUtils.invalidize_param_value('text', 'HighlightShapeText', paramtext, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('HighlightShapeText', 'text', paramtext)
      begin
        AsposeSlidesCloud::SpecUtils.api.highlight_shape_text_with_http_info(paramname, paramslide_index, paramshape_index, paramtext, paramcolor, paramwhole_words_only, paramignore_case, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('HighlightShapeText', 'text')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeText', 'text', paramtext)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeText', 'text', paramtext)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid color' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'HighlightShapeText', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'HighlightShapeText', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'HighlightShapeText', 'Integer')
      paramtext = AsposeSlidesCloud::SpecUtils.get_param_value('text', 'HighlightShapeText', 'String')
      paramcolor = AsposeSlidesCloud::SpecUtils.get_param_value('color', 'HighlightShapeText', 'String')
      paramwhole_words_only = AsposeSlidesCloud::SpecUtils.get_param_value('wholeWordsOnly', 'HighlightShapeText', 'BOOLEAN')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'HighlightShapeText', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'HighlightShapeText', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'HighlightShapeText', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'HighlightShapeText', 'String')
      paramcolor = AsposeSlidesCloud::SpecUtils.invalidize_param_value('color', 'HighlightShapeText', paramcolor, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('HighlightShapeText', 'color', paramcolor)
      begin
        AsposeSlidesCloud::SpecUtils.api.highlight_shape_text_with_http_info(paramname, paramslide_index, paramshape_index, paramtext, paramcolor, paramwhole_words_only, paramignore_case, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('HighlightShapeText', 'color')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeText', 'color', paramcolor)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeText', 'color', paramcolor)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid whole_words_only' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'HighlightShapeText', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'HighlightShapeText', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'HighlightShapeText', 'Integer')
      paramtext = AsposeSlidesCloud::SpecUtils.get_param_value('text', 'HighlightShapeText', 'String')
      paramcolor = AsposeSlidesCloud::SpecUtils.get_param_value('color', 'HighlightShapeText', 'String')
      paramwhole_words_only = AsposeSlidesCloud::SpecUtils.get_param_value('wholeWordsOnly', 'HighlightShapeText', 'BOOLEAN')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'HighlightShapeText', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'HighlightShapeText', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'HighlightShapeText', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'HighlightShapeText', 'String')
      paramwhole_words_only = AsposeSlidesCloud::SpecUtils.invalidize_param_value('wholeWordsOnly', 'HighlightShapeText', paramwhole_words_only, 'BOOLEAN')
      AsposeSlidesCloud::SpecUtils.initialize('HighlightShapeText', 'wholeWordsOnly', paramwhole_words_only)
      begin
        AsposeSlidesCloud::SpecUtils.api.highlight_shape_text_with_http_info(paramname, paramslide_index, paramshape_index, paramtext, paramcolor, paramwhole_words_only, paramignore_case, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('HighlightShapeText', 'wholeWordsOnly')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeText', 'wholeWordsOnly', paramwhole_words_only)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeText', 'wholeWordsOnly', paramwhole_words_only)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid ignore_case' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'HighlightShapeText', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'HighlightShapeText', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'HighlightShapeText', 'Integer')
      paramtext = AsposeSlidesCloud::SpecUtils.get_param_value('text', 'HighlightShapeText', 'String')
      paramcolor = AsposeSlidesCloud::SpecUtils.get_param_value('color', 'HighlightShapeText', 'String')
      paramwhole_words_only = AsposeSlidesCloud::SpecUtils.get_param_value('wholeWordsOnly', 'HighlightShapeText', 'BOOLEAN')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'HighlightShapeText', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'HighlightShapeText', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'HighlightShapeText', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'HighlightShapeText', 'String')
      paramignore_case = AsposeSlidesCloud::SpecUtils.invalidize_param_value('ignoreCase', 'HighlightShapeText', paramignore_case, 'BOOLEAN')
      AsposeSlidesCloud::SpecUtils.initialize('HighlightShapeText', 'ignoreCase', paramignore_case)
      begin
        AsposeSlidesCloud::SpecUtils.api.highlight_shape_text_with_http_info(paramname, paramslide_index, paramshape_index, paramtext, paramcolor, paramwhole_words_only, paramignore_case, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('HighlightShapeText', 'ignoreCase')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeText', 'ignoreCase', paramignore_case)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeText', 'ignoreCase', paramignore_case)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'HighlightShapeText', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'HighlightShapeText', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'HighlightShapeText', 'Integer')
      paramtext = AsposeSlidesCloud::SpecUtils.get_param_value('text', 'HighlightShapeText', 'String')
      paramcolor = AsposeSlidesCloud::SpecUtils.get_param_value('color', 'HighlightShapeText', 'String')
      paramwhole_words_only = AsposeSlidesCloud::SpecUtils.get_param_value('wholeWordsOnly', 'HighlightShapeText', 'BOOLEAN')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'HighlightShapeText', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'HighlightShapeText', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'HighlightShapeText', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'HighlightShapeText', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'HighlightShapeText', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('HighlightShapeText', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.highlight_shape_text_with_http_info(paramname, paramslide_index, paramshape_index, paramtext, paramcolor, paramwhole_words_only, paramignore_case, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('HighlightShapeText', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeText', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeText', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'HighlightShapeText', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'HighlightShapeText', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'HighlightShapeText', 'Integer')
      paramtext = AsposeSlidesCloud::SpecUtils.get_param_value('text', 'HighlightShapeText', 'String')
      paramcolor = AsposeSlidesCloud::SpecUtils.get_param_value('color', 'HighlightShapeText', 'String')
      paramwhole_words_only = AsposeSlidesCloud::SpecUtils.get_param_value('wholeWordsOnly', 'HighlightShapeText', 'BOOLEAN')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'HighlightShapeText', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'HighlightShapeText', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'HighlightShapeText', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'HighlightShapeText', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'HighlightShapeText', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('HighlightShapeText', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.highlight_shape_text_with_http_info(paramname, paramslide_index, paramshape_index, paramtext, paramcolor, paramwhole_words_only, paramignore_case, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('HighlightShapeText', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeText', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeText', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'HighlightShapeText', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'HighlightShapeText', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'HighlightShapeText', 'Integer')
      paramtext = AsposeSlidesCloud::SpecUtils.get_param_value('text', 'HighlightShapeText', 'String')
      paramcolor = AsposeSlidesCloud::SpecUtils.get_param_value('color', 'HighlightShapeText', 'String')
      paramwhole_words_only = AsposeSlidesCloud::SpecUtils.get_param_value('wholeWordsOnly', 'HighlightShapeText', 'BOOLEAN')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'HighlightShapeText', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'HighlightShapeText', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'HighlightShapeText', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'HighlightShapeText', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'HighlightShapeText', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('HighlightShapeText', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.highlight_shape_text_with_http_info(paramname, paramslide_index, paramshape_index, paramtext, paramcolor, paramwhole_words_only, paramignore_case, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('HighlightShapeText', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeText', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('HighlightShapeText', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for import_from_html
  # Create presentation document from html.
  # @param name Document name.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :html HTML data.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Document]
  describe 'import_from_html test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'ImportFromHtml', 'String')
      paramhtml = AsposeSlidesCloud::SpecUtils.get_param_value('html', 'ImportFromHtml', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ImportFromHtml', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'ImportFromHtml', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ImportFromHtml', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ImportFromHtml', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.import_from_html_with_http_info(paramname, paramhtml, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ImportFromHtml', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'ImportFromHtml', 'String')
      paramhtml = AsposeSlidesCloud::SpecUtils.get_param_value('html', 'ImportFromHtml', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ImportFromHtml', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'ImportFromHtml', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ImportFromHtml', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'ImportFromHtml', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ImportFromHtml', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.import_from_html_with_http_info(paramname, paramhtml, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ImportFromHtml', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ImportFromHtml', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ImportFromHtml', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid html' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'ImportFromHtml', 'String')
      paramhtml = AsposeSlidesCloud::SpecUtils.get_param_value('html', 'ImportFromHtml', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ImportFromHtml', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'ImportFromHtml', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ImportFromHtml', 'String')
      paramhtml = AsposeSlidesCloud::SpecUtils.invalidize_param_value('html', 'ImportFromHtml', paramhtml, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ImportFromHtml', 'html', paramhtml)
      begin
        AsposeSlidesCloud::SpecUtils.api.import_from_html_with_http_info(paramname, paramhtml, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ImportFromHtml', 'html')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ImportFromHtml', 'html', paramhtml)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ImportFromHtml', 'html', paramhtml)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'ImportFromHtml', 'String')
      paramhtml = AsposeSlidesCloud::SpecUtils.get_param_value('html', 'ImportFromHtml', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ImportFromHtml', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'ImportFromHtml', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ImportFromHtml', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'ImportFromHtml', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ImportFromHtml', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.import_from_html_with_http_info(paramname, paramhtml, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ImportFromHtml', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ImportFromHtml', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ImportFromHtml', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'ImportFromHtml', 'String')
      paramhtml = AsposeSlidesCloud::SpecUtils.get_param_value('html', 'ImportFromHtml', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ImportFromHtml', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'ImportFromHtml', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ImportFromHtml', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'ImportFromHtml', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ImportFromHtml', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.import_from_html_with_http_info(paramname, paramhtml, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ImportFromHtml', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ImportFromHtml', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ImportFromHtml', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'ImportFromHtml', 'String')
      paramhtml = AsposeSlidesCloud::SpecUtils.get_param_value('html', 'ImportFromHtml', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ImportFromHtml', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'ImportFromHtml', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ImportFromHtml', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'ImportFromHtml', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ImportFromHtml', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.import_from_html_with_http_info(paramname, paramhtml, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ImportFromHtml', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ImportFromHtml', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ImportFromHtml', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for import_from_pdf
  # Create presentation document from pdf or append pdf to an existing presentation.
  # @param name Document name.
  # @param [Hash] opts the optional parameters
  # @option opts [File] :pdf PDF data.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Document]
  describe 'import_from_pdf test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'ImportFromPdf', 'String')
      parampdf = AsposeSlidesCloud::SpecUtils.get_param_value('pdf', 'ImportFromPdf', 'File')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ImportFromPdf', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'ImportFromPdf', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ImportFromPdf', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ImportFromPdf', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.import_from_pdf_with_http_info(paramname, parampdf, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ImportFromPdf', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'ImportFromPdf', 'String')
      parampdf = AsposeSlidesCloud::SpecUtils.get_param_value('pdf', 'ImportFromPdf', 'File')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ImportFromPdf', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'ImportFromPdf', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ImportFromPdf', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'ImportFromPdf', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ImportFromPdf', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.import_from_pdf_with_http_info(paramname, parampdf, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ImportFromPdf', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ImportFromPdf', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ImportFromPdf', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid pdf' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'ImportFromPdf', 'String')
      parampdf = AsposeSlidesCloud::SpecUtils.get_param_value('pdf', 'ImportFromPdf', 'File')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ImportFromPdf', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'ImportFromPdf', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ImportFromPdf', 'String')
      parampdf = AsposeSlidesCloud::SpecUtils.invalidize_param_value('pdf', 'ImportFromPdf', parampdf, 'File')
      AsposeSlidesCloud::SpecUtils.initialize('ImportFromPdf', 'pdf', parampdf)
      begin
        AsposeSlidesCloud::SpecUtils.api.import_from_pdf_with_http_info(paramname, parampdf, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ImportFromPdf', 'pdf')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ImportFromPdf', 'pdf', parampdf)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ImportFromPdf', 'pdf', parampdf)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'ImportFromPdf', 'String')
      parampdf = AsposeSlidesCloud::SpecUtils.get_param_value('pdf', 'ImportFromPdf', 'File')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ImportFromPdf', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'ImportFromPdf', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ImportFromPdf', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'ImportFromPdf', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ImportFromPdf', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.import_from_pdf_with_http_info(paramname, parampdf, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ImportFromPdf', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ImportFromPdf', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ImportFromPdf', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'ImportFromPdf', 'String')
      parampdf = AsposeSlidesCloud::SpecUtils.get_param_value('pdf', 'ImportFromPdf', 'File')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ImportFromPdf', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'ImportFromPdf', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ImportFromPdf', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'ImportFromPdf', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ImportFromPdf', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.import_from_pdf_with_http_info(paramname, parampdf, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ImportFromPdf', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ImportFromPdf', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ImportFromPdf', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'ImportFromPdf', 'String')
      parampdf = AsposeSlidesCloud::SpecUtils.get_param_value('pdf', 'ImportFromPdf', 'File')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ImportFromPdf', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'ImportFromPdf', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ImportFromPdf', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'ImportFromPdf', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ImportFromPdf', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.import_from_pdf_with_http_info(paramname, parampdf, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ImportFromPdf', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ImportFromPdf', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ImportFromPdf', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for merge
  # Merge the presentation with other presentations specified in the request parameter.
  # @param name Document name.
  # @param request PresentationsMergeRequest with a list of presentations to merge.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Document]
  describe 'merge test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'Merge', 'String')
      paramrequest = AsposeSlidesCloud::SpecUtils.get_param_value('request', 'Merge', 'PresentationsMergeRequest')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'Merge', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'Merge', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'Merge', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('Merge', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.merge_with_http_info(paramname, paramrequest, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Merge', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'Merge', 'String')
      paramrequest = AsposeSlidesCloud::SpecUtils.get_param_value('request', 'Merge', 'PresentationsMergeRequest')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'Merge', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'Merge', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'Merge', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'Merge', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('Merge', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.merge_with_http_info(paramname, paramrequest, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('Merge', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Merge', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Merge', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid request' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'Merge', 'String')
      paramrequest = AsposeSlidesCloud::SpecUtils.get_param_value('request', 'Merge', 'PresentationsMergeRequest')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'Merge', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'Merge', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'Merge', 'String')
      paramrequest = AsposeSlidesCloud::SpecUtils.invalidize_param_value('request', 'Merge', paramrequest, 'PresentationsMergeRequest')
      AsposeSlidesCloud::SpecUtils.initialize('Merge', 'request', paramrequest)
      begin
        AsposeSlidesCloud::SpecUtils.api.merge_with_http_info(paramname, paramrequest, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('Merge', 'request')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Merge', 'request', paramrequest)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Merge', 'request', paramrequest)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'Merge', 'String')
      paramrequest = AsposeSlidesCloud::SpecUtils.get_param_value('request', 'Merge', 'PresentationsMergeRequest')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'Merge', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'Merge', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'Merge', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'Merge', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('Merge', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.merge_with_http_info(paramname, paramrequest, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('Merge', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Merge', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Merge', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'Merge', 'String')
      paramrequest = AsposeSlidesCloud::SpecUtils.get_param_value('request', 'Merge', 'PresentationsMergeRequest')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'Merge', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'Merge', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'Merge', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'Merge', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('Merge', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.merge_with_http_info(paramname, paramrequest, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('Merge', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Merge', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Merge', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'Merge', 'String')
      paramrequest = AsposeSlidesCloud::SpecUtils.get_param_value('request', 'Merge', 'PresentationsMergeRequest')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'Merge', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'Merge', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'Merge', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'Merge', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('Merge', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.merge_with_http_info(paramname, paramrequest, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('Merge', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Merge', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Merge', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for merge_and_save_online
  # Merges presentations or some of their slides specified in the request parameter. Result will be save in the storage.
  # @param out_path Path to save result.
  # @param [Hash] opts the optional parameters
  # @option opts [File[]] :files Files to merge
  # @option opts [OrderedMergeRequest] :request Merge request.
  # @option opts [String] :storage Document storage.
  # @return [nil]
  describe 'merge_and_save_online test' do
    it 'should work' do
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'MergeAndSaveOnline', 'String')
      paramfiles = AsposeSlidesCloud::SpecUtils.get_param_value('files', 'MergeAndSaveOnline', 'File[]')
      paramrequest = AsposeSlidesCloud::SpecUtils.get_param_value('request', 'MergeAndSaveOnline', 'OrderedMergeRequest')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'MergeAndSaveOnline', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('MergeAndSaveOnline', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.merge_and_save_online_with_http_info(paramout_path, paramfiles, paramrequest, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MergeAndSaveOnline', nil, nil)
      expect(c).to eq(code)
    end

    it 'invalid out_path' do
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'MergeAndSaveOnline', 'String')
      paramfiles = AsposeSlidesCloud::SpecUtils.get_param_value('files', 'MergeAndSaveOnline', 'File[]')
      paramrequest = AsposeSlidesCloud::SpecUtils.get_param_value('request', 'MergeAndSaveOnline', 'OrderedMergeRequest')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'MergeAndSaveOnline', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.invalidize_param_value('outPath', 'MergeAndSaveOnline', paramout_path, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('MergeAndSaveOnline', 'outPath', paramout_path)
      begin
        AsposeSlidesCloud::SpecUtils.api.merge_and_save_online_with_http_info(paramout_path, paramfiles, paramrequest, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('MergeAndSaveOnline', 'outPath')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MergeAndSaveOnline', 'outPath', paramout_path)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MergeAndSaveOnline', 'outPath', paramout_path)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid files' do
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'MergeAndSaveOnline', 'String')
      paramfiles = AsposeSlidesCloud::SpecUtils.get_param_value('files', 'MergeAndSaveOnline', 'File[]')
      paramrequest = AsposeSlidesCloud::SpecUtils.get_param_value('request', 'MergeAndSaveOnline', 'OrderedMergeRequest')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'MergeAndSaveOnline', 'String')
      paramfiles = AsposeSlidesCloud::SpecUtils.invalidize_param_value('files', 'MergeAndSaveOnline', paramfiles, 'File[]')
      AsposeSlidesCloud::SpecUtils.initialize('MergeAndSaveOnline', 'files', paramfiles)
      begin
        AsposeSlidesCloud::SpecUtils.api.merge_and_save_online_with_http_info(paramout_path, paramfiles, paramrequest, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('MergeAndSaveOnline', 'files')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MergeAndSaveOnline', 'files', paramfiles)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MergeAndSaveOnline', 'files', paramfiles)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid request' do
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'MergeAndSaveOnline', 'String')
      paramfiles = AsposeSlidesCloud::SpecUtils.get_param_value('files', 'MergeAndSaveOnline', 'File[]')
      paramrequest = AsposeSlidesCloud::SpecUtils.get_param_value('request', 'MergeAndSaveOnline', 'OrderedMergeRequest')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'MergeAndSaveOnline', 'String')
      paramrequest = AsposeSlidesCloud::SpecUtils.invalidize_param_value('request', 'MergeAndSaveOnline', paramrequest, 'OrderedMergeRequest')
      AsposeSlidesCloud::SpecUtils.initialize('MergeAndSaveOnline', 'request', paramrequest)
      begin
        AsposeSlidesCloud::SpecUtils.api.merge_and_save_online_with_http_info(paramout_path, paramfiles, paramrequest, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('MergeAndSaveOnline', 'request')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MergeAndSaveOnline', 'request', paramrequest)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MergeAndSaveOnline', 'request', paramrequest)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'MergeAndSaveOnline', 'String')
      paramfiles = AsposeSlidesCloud::SpecUtils.get_param_value('files', 'MergeAndSaveOnline', 'File[]')
      paramrequest = AsposeSlidesCloud::SpecUtils.get_param_value('request', 'MergeAndSaveOnline', 'OrderedMergeRequest')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'MergeAndSaveOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'MergeAndSaveOnline', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('MergeAndSaveOnline', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.merge_and_save_online_with_http_info(paramout_path, paramfiles, paramrequest, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('MergeAndSaveOnline', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MergeAndSaveOnline', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MergeAndSaveOnline', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for merge_online
  # Merges presentations or some of their slides specified in the request parameter. Returns result file in the response. 
  # @param [Hash] opts the optional parameters
  # @option opts [File[]] :files Files to merge
  # @option opts [OrderedMergeRequest] :request Merge request.
  # @option opts [String] :storage Document storage.
  # @return [File]
  describe 'merge_online test' do
    it 'should work' do
      paramfiles = AsposeSlidesCloud::SpecUtils.get_param_value('files', 'MergeOnline', 'File[]')
      paramrequest = AsposeSlidesCloud::SpecUtils.get_param_value('request', 'MergeOnline', 'OrderedMergeRequest')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'MergeOnline', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('MergeOnline', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.merge_online_with_http_info(paramfiles, paramrequest, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MergeOnline', nil, nil)
      expect(c).to eq(code)
    end

    it 'invalid files' do
      paramfiles = AsposeSlidesCloud::SpecUtils.get_param_value('files', 'MergeOnline', 'File[]')
      paramrequest = AsposeSlidesCloud::SpecUtils.get_param_value('request', 'MergeOnline', 'OrderedMergeRequest')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'MergeOnline', 'String')
      paramfiles = AsposeSlidesCloud::SpecUtils.invalidize_param_value('files', 'MergeOnline', paramfiles, 'File[]')
      AsposeSlidesCloud::SpecUtils.initialize('MergeOnline', 'files', paramfiles)
      begin
        AsposeSlidesCloud::SpecUtils.api.merge_online_with_http_info(paramfiles, paramrequest, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('MergeOnline', 'files')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MergeOnline', 'files', paramfiles)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MergeOnline', 'files', paramfiles)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid request' do
      paramfiles = AsposeSlidesCloud::SpecUtils.get_param_value('files', 'MergeOnline', 'File[]')
      paramrequest = AsposeSlidesCloud::SpecUtils.get_param_value('request', 'MergeOnline', 'OrderedMergeRequest')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'MergeOnline', 'String')
      paramrequest = AsposeSlidesCloud::SpecUtils.invalidize_param_value('request', 'MergeOnline', paramrequest, 'OrderedMergeRequest')
      AsposeSlidesCloud::SpecUtils.initialize('MergeOnline', 'request', paramrequest)
      begin
        AsposeSlidesCloud::SpecUtils.api.merge_online_with_http_info(paramfiles, paramrequest, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('MergeOnline', 'request')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MergeOnline', 'request', paramrequest)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MergeOnline', 'request', paramrequest)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramfiles = AsposeSlidesCloud::SpecUtils.get_param_value('files', 'MergeOnline', 'File[]')
      paramrequest = AsposeSlidesCloud::SpecUtils.get_param_value('request', 'MergeOnline', 'OrderedMergeRequest')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'MergeOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'MergeOnline', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('MergeOnline', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.merge_online_with_http_info(paramfiles, paramrequest, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('MergeOnline', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MergeOnline', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MergeOnline', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for move_file
  # Move file
  # @param src_path Source file path e.g. &#39;/src.ext&#39;
  # @param dest_path Destination file path e.g. &#39;/dest.ext&#39;
  # @param [Hash] opts the optional parameters
  # @option opts [String] :src_storage_name Source storage name
  # @option opts [String] :dest_storage_name Destination storage name
  # @option opts [String] :version_id File version ID to move
  # @return [nil]
  describe 'move_file test' do
    it 'should work' do
      paramsrc_path = AsposeSlidesCloud::SpecUtils.get_param_value('srcPath', 'MoveFile', 'String')
      paramdest_path = AsposeSlidesCloud::SpecUtils.get_param_value('destPath', 'MoveFile', 'String')
      paramsrc_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('srcStorageName', 'MoveFile', 'String')
      paramdest_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('destStorageName', 'MoveFile', 'String')
      paramversion_id = AsposeSlidesCloud::SpecUtils.get_param_value('versionId', 'MoveFile', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('MoveFile', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.move_file_with_http_info(paramsrc_path, paramdest_path, paramsrc_storage_name, paramdest_storage_name, paramversion_id)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveFile', nil, nil)
      expect(c).to eq(code)
    end

    it 'invalid src_path' do
      paramsrc_path = AsposeSlidesCloud::SpecUtils.get_param_value('srcPath', 'MoveFile', 'String')
      paramdest_path = AsposeSlidesCloud::SpecUtils.get_param_value('destPath', 'MoveFile', 'String')
      paramsrc_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('srcStorageName', 'MoveFile', 'String')
      paramdest_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('destStorageName', 'MoveFile', 'String')
      paramversion_id = AsposeSlidesCloud::SpecUtils.get_param_value('versionId', 'MoveFile', 'String')
      paramsrc_path = AsposeSlidesCloud::SpecUtils.invalidize_param_value('srcPath', 'MoveFile', paramsrc_path, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('MoveFile', 'srcPath', paramsrc_path)
      begin
        AsposeSlidesCloud::SpecUtils.api.move_file_with_http_info(paramsrc_path, paramdest_path, paramsrc_storage_name, paramdest_storage_name, paramversion_id)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('MoveFile', 'srcPath')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveFile', 'srcPath', paramsrc_path)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveFile', 'srcPath', paramsrc_path)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dest_path' do
      paramsrc_path = AsposeSlidesCloud::SpecUtils.get_param_value('srcPath', 'MoveFile', 'String')
      paramdest_path = AsposeSlidesCloud::SpecUtils.get_param_value('destPath', 'MoveFile', 'String')
      paramsrc_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('srcStorageName', 'MoveFile', 'String')
      paramdest_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('destStorageName', 'MoveFile', 'String')
      paramversion_id = AsposeSlidesCloud::SpecUtils.get_param_value('versionId', 'MoveFile', 'String')
      paramdest_path = AsposeSlidesCloud::SpecUtils.invalidize_param_value('destPath', 'MoveFile', paramdest_path, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('MoveFile', 'destPath', paramdest_path)
      begin
        AsposeSlidesCloud::SpecUtils.api.move_file_with_http_info(paramsrc_path, paramdest_path, paramsrc_storage_name, paramdest_storage_name, paramversion_id)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('MoveFile', 'destPath')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveFile', 'destPath', paramdest_path)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveFile', 'destPath', paramdest_path)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid src_storage_name' do
      paramsrc_path = AsposeSlidesCloud::SpecUtils.get_param_value('srcPath', 'MoveFile', 'String')
      paramdest_path = AsposeSlidesCloud::SpecUtils.get_param_value('destPath', 'MoveFile', 'String')
      paramsrc_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('srcStorageName', 'MoveFile', 'String')
      paramdest_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('destStorageName', 'MoveFile', 'String')
      paramversion_id = AsposeSlidesCloud::SpecUtils.get_param_value('versionId', 'MoveFile', 'String')
      paramsrc_storage_name = AsposeSlidesCloud::SpecUtils.invalidize_param_value('srcStorageName', 'MoveFile', paramsrc_storage_name, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('MoveFile', 'srcStorageName', paramsrc_storage_name)
      begin
        AsposeSlidesCloud::SpecUtils.api.move_file_with_http_info(paramsrc_path, paramdest_path, paramsrc_storage_name, paramdest_storage_name, paramversion_id)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('MoveFile', 'srcStorageName')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveFile', 'srcStorageName', paramsrc_storage_name)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveFile', 'srcStorageName', paramsrc_storage_name)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dest_storage_name' do
      paramsrc_path = AsposeSlidesCloud::SpecUtils.get_param_value('srcPath', 'MoveFile', 'String')
      paramdest_path = AsposeSlidesCloud::SpecUtils.get_param_value('destPath', 'MoveFile', 'String')
      paramsrc_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('srcStorageName', 'MoveFile', 'String')
      paramdest_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('destStorageName', 'MoveFile', 'String')
      paramversion_id = AsposeSlidesCloud::SpecUtils.get_param_value('versionId', 'MoveFile', 'String')
      paramdest_storage_name = AsposeSlidesCloud::SpecUtils.invalidize_param_value('destStorageName', 'MoveFile', paramdest_storage_name, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('MoveFile', 'destStorageName', paramdest_storage_name)
      begin
        AsposeSlidesCloud::SpecUtils.api.move_file_with_http_info(paramsrc_path, paramdest_path, paramsrc_storage_name, paramdest_storage_name, paramversion_id)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('MoveFile', 'destStorageName')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveFile', 'destStorageName', paramdest_storage_name)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveFile', 'destStorageName', paramdest_storage_name)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid version_id' do
      paramsrc_path = AsposeSlidesCloud::SpecUtils.get_param_value('srcPath', 'MoveFile', 'String')
      paramdest_path = AsposeSlidesCloud::SpecUtils.get_param_value('destPath', 'MoveFile', 'String')
      paramsrc_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('srcStorageName', 'MoveFile', 'String')
      paramdest_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('destStorageName', 'MoveFile', 'String')
      paramversion_id = AsposeSlidesCloud::SpecUtils.get_param_value('versionId', 'MoveFile', 'String')
      paramversion_id = AsposeSlidesCloud::SpecUtils.invalidize_param_value('versionId', 'MoveFile', paramversion_id, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('MoveFile', 'versionId', paramversion_id)
      begin
        AsposeSlidesCloud::SpecUtils.api.move_file_with_http_info(paramsrc_path, paramdest_path, paramsrc_storage_name, paramdest_storage_name, paramversion_id)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('MoveFile', 'versionId')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveFile', 'versionId', paramversion_id)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveFile', 'versionId', paramversion_id)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for move_folder
  # Move folder
  # @param src_path Folder path to move e.g. &#39;/folder&#39;
  # @param dest_path Destination folder path to move to e.g &#39;/dst&#39;
  # @param [Hash] opts the optional parameters
  # @option opts [String] :src_storage_name Source storage name
  # @option opts [String] :dest_storage_name Destination storage name
  # @return [nil]
  describe 'move_folder test' do
    it 'should work' do
      paramsrc_path = AsposeSlidesCloud::SpecUtils.get_param_value('srcPath', 'MoveFolder', 'String')
      paramdest_path = AsposeSlidesCloud::SpecUtils.get_param_value('destPath', 'MoveFolder', 'String')
      paramsrc_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('srcStorageName', 'MoveFolder', 'String')
      paramdest_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('destStorageName', 'MoveFolder', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('MoveFolder', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.move_folder_with_http_info(paramsrc_path, paramdest_path, paramsrc_storage_name, paramdest_storage_name)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveFolder', nil, nil)
      expect(c).to eq(code)
    end

    it 'invalid src_path' do
      paramsrc_path = AsposeSlidesCloud::SpecUtils.get_param_value('srcPath', 'MoveFolder', 'String')
      paramdest_path = AsposeSlidesCloud::SpecUtils.get_param_value('destPath', 'MoveFolder', 'String')
      paramsrc_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('srcStorageName', 'MoveFolder', 'String')
      paramdest_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('destStorageName', 'MoveFolder', 'String')
      paramsrc_path = AsposeSlidesCloud::SpecUtils.invalidize_param_value('srcPath', 'MoveFolder', paramsrc_path, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('MoveFolder', 'srcPath', paramsrc_path)
      begin
        AsposeSlidesCloud::SpecUtils.api.move_folder_with_http_info(paramsrc_path, paramdest_path, paramsrc_storage_name, paramdest_storage_name)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('MoveFolder', 'srcPath')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveFolder', 'srcPath', paramsrc_path)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveFolder', 'srcPath', paramsrc_path)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dest_path' do
      paramsrc_path = AsposeSlidesCloud::SpecUtils.get_param_value('srcPath', 'MoveFolder', 'String')
      paramdest_path = AsposeSlidesCloud::SpecUtils.get_param_value('destPath', 'MoveFolder', 'String')
      paramsrc_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('srcStorageName', 'MoveFolder', 'String')
      paramdest_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('destStorageName', 'MoveFolder', 'String')
      paramdest_path = AsposeSlidesCloud::SpecUtils.invalidize_param_value('destPath', 'MoveFolder', paramdest_path, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('MoveFolder', 'destPath', paramdest_path)
      begin
        AsposeSlidesCloud::SpecUtils.api.move_folder_with_http_info(paramsrc_path, paramdest_path, paramsrc_storage_name, paramdest_storage_name)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('MoveFolder', 'destPath')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveFolder', 'destPath', paramdest_path)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveFolder', 'destPath', paramdest_path)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid src_storage_name' do
      paramsrc_path = AsposeSlidesCloud::SpecUtils.get_param_value('srcPath', 'MoveFolder', 'String')
      paramdest_path = AsposeSlidesCloud::SpecUtils.get_param_value('destPath', 'MoveFolder', 'String')
      paramsrc_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('srcStorageName', 'MoveFolder', 'String')
      paramdest_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('destStorageName', 'MoveFolder', 'String')
      paramsrc_storage_name = AsposeSlidesCloud::SpecUtils.invalidize_param_value('srcStorageName', 'MoveFolder', paramsrc_storage_name, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('MoveFolder', 'srcStorageName', paramsrc_storage_name)
      begin
        AsposeSlidesCloud::SpecUtils.api.move_folder_with_http_info(paramsrc_path, paramdest_path, paramsrc_storage_name, paramdest_storage_name)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('MoveFolder', 'srcStorageName')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveFolder', 'srcStorageName', paramsrc_storage_name)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveFolder', 'srcStorageName', paramsrc_storage_name)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dest_storage_name' do
      paramsrc_path = AsposeSlidesCloud::SpecUtils.get_param_value('srcPath', 'MoveFolder', 'String')
      paramdest_path = AsposeSlidesCloud::SpecUtils.get_param_value('destPath', 'MoveFolder', 'String')
      paramsrc_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('srcStorageName', 'MoveFolder', 'String')
      paramdest_storage_name = AsposeSlidesCloud::SpecUtils.get_param_value('destStorageName', 'MoveFolder', 'String')
      paramdest_storage_name = AsposeSlidesCloud::SpecUtils.invalidize_param_value('destStorageName', 'MoveFolder', paramdest_storage_name, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('MoveFolder', 'destStorageName', paramdest_storage_name)
      begin
        AsposeSlidesCloud::SpecUtils.api.move_folder_with_http_info(paramsrc_path, paramdest_path, paramsrc_storage_name, paramdest_storage_name)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('MoveFolder', 'destStorageName')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveFolder', 'destStorageName', paramdest_storage_name)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveFolder', 'destStorageName', paramdest_storage_name)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for move_section
  # Move presentation section to a specified position.
  # @param name Document name.
  # @param section_index The position of the section to be reordered.
  # @param new_position The new position of the reordered section.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Sections]
  describe 'move_section test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'MoveSection', 'String')
      paramsection_index = AsposeSlidesCloud::SpecUtils.get_param_value('sectionIndex', 'MoveSection', 'Integer')
      paramnew_position = AsposeSlidesCloud::SpecUtils.get_param_value('newPosition', 'MoveSection', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'MoveSection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'MoveSection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'MoveSection', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('MoveSection', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.move_section_with_http_info(paramname, paramsection_index, paramnew_position, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveSection', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'MoveSection', 'String')
      paramsection_index = AsposeSlidesCloud::SpecUtils.get_param_value('sectionIndex', 'MoveSection', 'Integer')
      paramnew_position = AsposeSlidesCloud::SpecUtils.get_param_value('newPosition', 'MoveSection', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'MoveSection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'MoveSection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'MoveSection', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'MoveSection', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('MoveSection', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.move_section_with_http_info(paramname, paramsection_index, paramnew_position, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('MoveSection', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveSection', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveSection', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid section_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'MoveSection', 'String')
      paramsection_index = AsposeSlidesCloud::SpecUtils.get_param_value('sectionIndex', 'MoveSection', 'Integer')
      paramnew_position = AsposeSlidesCloud::SpecUtils.get_param_value('newPosition', 'MoveSection', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'MoveSection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'MoveSection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'MoveSection', 'String')
      paramsection_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('sectionIndex', 'MoveSection', paramsection_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('MoveSection', 'sectionIndex', paramsection_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.move_section_with_http_info(paramname, paramsection_index, paramnew_position, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('MoveSection', 'sectionIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveSection', 'sectionIndex', paramsection_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveSection', 'sectionIndex', paramsection_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid new_position' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'MoveSection', 'String')
      paramsection_index = AsposeSlidesCloud::SpecUtils.get_param_value('sectionIndex', 'MoveSection', 'Integer')
      paramnew_position = AsposeSlidesCloud::SpecUtils.get_param_value('newPosition', 'MoveSection', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'MoveSection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'MoveSection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'MoveSection', 'String')
      paramnew_position = AsposeSlidesCloud::SpecUtils.invalidize_param_value('newPosition', 'MoveSection', paramnew_position, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('MoveSection', 'newPosition', paramnew_position)
      begin
        AsposeSlidesCloud::SpecUtils.api.move_section_with_http_info(paramname, paramsection_index, paramnew_position, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('MoveSection', 'newPosition')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveSection', 'newPosition', paramnew_position)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveSection', 'newPosition', paramnew_position)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'MoveSection', 'String')
      paramsection_index = AsposeSlidesCloud::SpecUtils.get_param_value('sectionIndex', 'MoveSection', 'Integer')
      paramnew_position = AsposeSlidesCloud::SpecUtils.get_param_value('newPosition', 'MoveSection', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'MoveSection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'MoveSection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'MoveSection', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'MoveSection', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('MoveSection', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.move_section_with_http_info(paramname, paramsection_index, paramnew_position, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('MoveSection', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveSection', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveSection', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'MoveSection', 'String')
      paramsection_index = AsposeSlidesCloud::SpecUtils.get_param_value('sectionIndex', 'MoveSection', 'Integer')
      paramnew_position = AsposeSlidesCloud::SpecUtils.get_param_value('newPosition', 'MoveSection', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'MoveSection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'MoveSection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'MoveSection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'MoveSection', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('MoveSection', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.move_section_with_http_info(paramname, paramsection_index, paramnew_position, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('MoveSection', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveSection', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveSection', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'MoveSection', 'String')
      paramsection_index = AsposeSlidesCloud::SpecUtils.get_param_value('sectionIndex', 'MoveSection', 'Integer')
      paramnew_position = AsposeSlidesCloud::SpecUtils.get_param_value('newPosition', 'MoveSection', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'MoveSection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'MoveSection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'MoveSection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'MoveSection', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('MoveSection', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.move_section_with_http_info(paramname, paramsection_index, paramnew_position, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('MoveSection', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveSection', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveSection', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for move_slide
  # Reorder presentation slide position.
  # @param name Document name.
  # @param slide_index The position of the slide to be reordered.
  # @param new_position The new position of the reordered slide.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Slides]
  describe 'move_slide test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'MoveSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'MoveSlide', 'Integer')
      paramnew_position = AsposeSlidesCloud::SpecUtils.get_param_value('newPosition', 'MoveSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'MoveSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'MoveSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'MoveSlide', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('MoveSlide', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.move_slide_with_http_info(paramname, paramslide_index, paramnew_position, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveSlide', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'MoveSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'MoveSlide', 'Integer')
      paramnew_position = AsposeSlidesCloud::SpecUtils.get_param_value('newPosition', 'MoveSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'MoveSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'MoveSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'MoveSlide', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'MoveSlide', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('MoveSlide', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.move_slide_with_http_info(paramname, paramslide_index, paramnew_position, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('MoveSlide', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveSlide', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveSlide', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'MoveSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'MoveSlide', 'Integer')
      paramnew_position = AsposeSlidesCloud::SpecUtils.get_param_value('newPosition', 'MoveSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'MoveSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'MoveSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'MoveSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'MoveSlide', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('MoveSlide', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.move_slide_with_http_info(paramname, paramslide_index, paramnew_position, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('MoveSlide', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveSlide', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveSlide', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid new_position' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'MoveSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'MoveSlide', 'Integer')
      paramnew_position = AsposeSlidesCloud::SpecUtils.get_param_value('newPosition', 'MoveSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'MoveSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'MoveSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'MoveSlide', 'String')
      paramnew_position = AsposeSlidesCloud::SpecUtils.invalidize_param_value('newPosition', 'MoveSlide', paramnew_position, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('MoveSlide', 'newPosition', paramnew_position)
      begin
        AsposeSlidesCloud::SpecUtils.api.move_slide_with_http_info(paramname, paramslide_index, paramnew_position, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('MoveSlide', 'newPosition')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveSlide', 'newPosition', paramnew_position)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveSlide', 'newPosition', paramnew_position)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'MoveSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'MoveSlide', 'Integer')
      paramnew_position = AsposeSlidesCloud::SpecUtils.get_param_value('newPosition', 'MoveSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'MoveSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'MoveSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'MoveSlide', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'MoveSlide', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('MoveSlide', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.move_slide_with_http_info(paramname, paramslide_index, paramnew_position, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('MoveSlide', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveSlide', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveSlide', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'MoveSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'MoveSlide', 'Integer')
      paramnew_position = AsposeSlidesCloud::SpecUtils.get_param_value('newPosition', 'MoveSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'MoveSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'MoveSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'MoveSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'MoveSlide', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('MoveSlide', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.move_slide_with_http_info(paramname, paramslide_index, paramnew_position, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('MoveSlide', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveSlide', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveSlide', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'MoveSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'MoveSlide', 'Integer')
      paramnew_position = AsposeSlidesCloud::SpecUtils.get_param_value('newPosition', 'MoveSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'MoveSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'MoveSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'MoveSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'MoveSlide', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('MoveSlide', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.move_slide_with_http_info(paramname, paramslide_index, paramnew_position, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('MoveSlide', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveSlide', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('MoveSlide', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for notes_slide_exists
  # Get info whether a notes slide exists.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [EntityExists]
  describe 'notes_slide_exists test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'NotesSlideExists', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'NotesSlideExists', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'NotesSlideExists', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'NotesSlideExists', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'NotesSlideExists', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('NotesSlideExists', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.notes_slide_exists_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('NotesSlideExists', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'NotesSlideExists', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'NotesSlideExists', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'NotesSlideExists', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'NotesSlideExists', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'NotesSlideExists', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'NotesSlideExists', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('NotesSlideExists', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.notes_slide_exists_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('NotesSlideExists', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('NotesSlideExists', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('NotesSlideExists', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'NotesSlideExists', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'NotesSlideExists', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'NotesSlideExists', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'NotesSlideExists', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'NotesSlideExists', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'NotesSlideExists', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('NotesSlideExists', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.notes_slide_exists_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('NotesSlideExists', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('NotesSlideExists', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('NotesSlideExists', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'NotesSlideExists', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'NotesSlideExists', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'NotesSlideExists', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'NotesSlideExists', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'NotesSlideExists', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'NotesSlideExists', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('NotesSlideExists', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.notes_slide_exists_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('NotesSlideExists', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('NotesSlideExists', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('NotesSlideExists', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'NotesSlideExists', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'NotesSlideExists', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'NotesSlideExists', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'NotesSlideExists', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'NotesSlideExists', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'NotesSlideExists', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('NotesSlideExists', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.notes_slide_exists_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('NotesSlideExists', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('NotesSlideExists', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('NotesSlideExists', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'NotesSlideExists', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'NotesSlideExists', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'NotesSlideExists', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'NotesSlideExists', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'NotesSlideExists', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'NotesSlideExists', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('NotesSlideExists', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.notes_slide_exists_with_http_info(paramname, paramslide_index, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('NotesSlideExists', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('NotesSlideExists', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('NotesSlideExists', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for notes_slide_exists_online
  # Get info whether a notes slide exists.
  # @param document Document data.
  # @param slide_index Slide index.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @return [EntityExists]
  describe 'notes_slide_exists_online test' do
    it 'should work' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'NotesSlideExistsOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'NotesSlideExistsOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'NotesSlideExistsOnline', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('NotesSlideExistsOnline', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.notes_slide_exists_online_with_http_info(paramdocument, paramslide_index, parampassword)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('NotesSlideExistsOnline', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid document' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'NotesSlideExistsOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'NotesSlideExistsOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'NotesSlideExistsOnline', 'String')
      paramdocument = AsposeSlidesCloud::SpecUtils.invalidize_param_value('document', 'NotesSlideExistsOnline', paramdocument, 'File')
      AsposeSlidesCloud::SpecUtils.initialize('NotesSlideExistsOnline', 'document', paramdocument)
      begin
        AsposeSlidesCloud::SpecUtils.api.notes_slide_exists_online_with_http_info(paramdocument, paramslide_index, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('NotesSlideExistsOnline', 'document')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('NotesSlideExistsOnline', 'document', paramdocument)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('NotesSlideExistsOnline', 'document', paramdocument)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'NotesSlideExistsOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'NotesSlideExistsOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'NotesSlideExistsOnline', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'NotesSlideExistsOnline', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('NotesSlideExistsOnline', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.notes_slide_exists_online_with_http_info(paramdocument, paramslide_index, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('NotesSlideExistsOnline', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('NotesSlideExistsOnline', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('NotesSlideExistsOnline', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'NotesSlideExistsOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'NotesSlideExistsOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'NotesSlideExistsOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'NotesSlideExistsOnline', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('NotesSlideExistsOnline', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.notes_slide_exists_online_with_http_info(paramdocument, paramslide_index, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('NotesSlideExistsOnline', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('NotesSlideExistsOnline', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('NotesSlideExistsOnline', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for object_exists
  # Check if file or folder exists
  # @param path File or folder path e.g. &#39;/file.ext&#39; or &#39;/folder&#39;
  # @param [Hash] opts the optional parameters
  # @option opts [String] :storage_name Storage name
  # @option opts [String] :version_id File version ID
  # @return [ObjectExist]
  describe 'object_exists test' do
    it 'should work' do
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'ObjectExists', 'String')
      paramstorage_name = AsposeSlidesCloud::SpecUtils.get_param_value('storageName', 'ObjectExists', 'String')
      paramversion_id = AsposeSlidesCloud::SpecUtils.get_param_value('versionId', 'ObjectExists', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ObjectExists', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.object_exists_with_http_info(parampath, paramstorage_name, paramversion_id)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ObjectExists', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid path' do
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'ObjectExists', 'String')
      paramstorage_name = AsposeSlidesCloud::SpecUtils.get_param_value('storageName', 'ObjectExists', 'String')
      paramversion_id = AsposeSlidesCloud::SpecUtils.get_param_value('versionId', 'ObjectExists', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'ObjectExists', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ObjectExists', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.object_exists_with_http_info(parampath, paramstorage_name, paramversion_id)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ObjectExists', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ObjectExists', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ObjectExists', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage_name' do
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'ObjectExists', 'String')
      paramstorage_name = AsposeSlidesCloud::SpecUtils.get_param_value('storageName', 'ObjectExists', 'String')
      paramversion_id = AsposeSlidesCloud::SpecUtils.get_param_value('versionId', 'ObjectExists', 'String')
      paramstorage_name = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storageName', 'ObjectExists', paramstorage_name, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ObjectExists', 'storageName', paramstorage_name)
      begin
        AsposeSlidesCloud::SpecUtils.api.object_exists_with_http_info(parampath, paramstorage_name, paramversion_id)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ObjectExists', 'storageName')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ObjectExists', 'storageName', paramstorage_name)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ObjectExists', 'storageName', paramstorage_name)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid version_id' do
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'ObjectExists', 'String')
      paramstorage_name = AsposeSlidesCloud::SpecUtils.get_param_value('storageName', 'ObjectExists', 'String')
      paramversion_id = AsposeSlidesCloud::SpecUtils.get_param_value('versionId', 'ObjectExists', 'String')
      paramversion_id = AsposeSlidesCloud::SpecUtils.invalidize_param_value('versionId', 'ObjectExists', paramversion_id, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ObjectExists', 'versionId', paramversion_id)
      begin
        AsposeSlidesCloud::SpecUtils.api.object_exists_with_http_info(parampath, paramstorage_name, paramversion_id)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ObjectExists', 'versionId')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ObjectExists', 'versionId', paramversion_id)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ObjectExists', 'versionId', paramversion_id)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for ordered_merge
  # Merge the presentation with other presentations or some of their slides specified in the request parameter.
  # @param name Document name.
  # @param request OrderedMergeRequest with a list of presentations and slide indices to merge.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Document]
  describe 'ordered_merge test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'OrderedMerge', 'String')
      paramrequest = AsposeSlidesCloud::SpecUtils.get_param_value('request', 'OrderedMerge', 'OrderedMergeRequest')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'OrderedMerge', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'OrderedMerge', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'OrderedMerge', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('OrderedMerge', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.ordered_merge_with_http_info(paramname, paramrequest, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('OrderedMerge', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'OrderedMerge', 'String')
      paramrequest = AsposeSlidesCloud::SpecUtils.get_param_value('request', 'OrderedMerge', 'OrderedMergeRequest')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'OrderedMerge', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'OrderedMerge', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'OrderedMerge', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'OrderedMerge', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('OrderedMerge', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.ordered_merge_with_http_info(paramname, paramrequest, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('OrderedMerge', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('OrderedMerge', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('OrderedMerge', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid request' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'OrderedMerge', 'String')
      paramrequest = AsposeSlidesCloud::SpecUtils.get_param_value('request', 'OrderedMerge', 'OrderedMergeRequest')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'OrderedMerge', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'OrderedMerge', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'OrderedMerge', 'String')
      paramrequest = AsposeSlidesCloud::SpecUtils.invalidize_param_value('request', 'OrderedMerge', paramrequest, 'OrderedMergeRequest')
      AsposeSlidesCloud::SpecUtils.initialize('OrderedMerge', 'request', paramrequest)
      begin
        AsposeSlidesCloud::SpecUtils.api.ordered_merge_with_http_info(paramname, paramrequest, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('OrderedMerge', 'request')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('OrderedMerge', 'request', paramrequest)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('OrderedMerge', 'request', paramrequest)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'OrderedMerge', 'String')
      paramrequest = AsposeSlidesCloud::SpecUtils.get_param_value('request', 'OrderedMerge', 'OrderedMergeRequest')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'OrderedMerge', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'OrderedMerge', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'OrderedMerge', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'OrderedMerge', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('OrderedMerge', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.ordered_merge_with_http_info(paramname, paramrequest, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('OrderedMerge', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('OrderedMerge', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('OrderedMerge', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'OrderedMerge', 'String')
      paramrequest = AsposeSlidesCloud::SpecUtils.get_param_value('request', 'OrderedMerge', 'OrderedMergeRequest')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'OrderedMerge', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'OrderedMerge', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'OrderedMerge', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'OrderedMerge', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('OrderedMerge', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.ordered_merge_with_http_info(paramname, paramrequest, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('OrderedMerge', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('OrderedMerge', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('OrderedMerge', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'OrderedMerge', 'String')
      paramrequest = AsposeSlidesCloud::SpecUtils.get_param_value('request', 'OrderedMerge', 'OrderedMergeRequest')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'OrderedMerge', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'OrderedMerge', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'OrderedMerge', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'OrderedMerge', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('OrderedMerge', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.ordered_merge_with_http_info(paramname, paramrequest, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('OrderedMerge', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('OrderedMerge', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('OrderedMerge', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for pipeline
  # Performs slides pipeline.
  # @param pipeline A Pipeline object.
  # @param [Hash] opts the optional parameters
  # @option opts [File[]] :files Files to upload with the pipeline
  # @return [File]
  describe 'pipeline test' do
    it 'should work' do
      parampipeline = AsposeSlidesCloud::SpecUtils.get_param_value('pipeline', 'Pipeline', 'Pipeline')
      paramfiles = AsposeSlidesCloud::SpecUtils.get_param_value('files', 'Pipeline', 'File[]')
      AsposeSlidesCloud::SpecUtils.initialize('Pipeline', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.pipeline_with_http_info(parampipeline, paramfiles)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Pipeline', nil, nil)
      expect(c).to eq(code)
    end

    it 'invalid pipeline' do
      parampipeline = AsposeSlidesCloud::SpecUtils.get_param_value('pipeline', 'Pipeline', 'Pipeline')
      paramfiles = AsposeSlidesCloud::SpecUtils.get_param_value('files', 'Pipeline', 'File[]')
      parampipeline = AsposeSlidesCloud::SpecUtils.invalidize_param_value('pipeline', 'Pipeline', parampipeline, 'Pipeline')
      AsposeSlidesCloud::SpecUtils.initialize('Pipeline', 'pipeline', parampipeline)
      begin
        AsposeSlidesCloud::SpecUtils.api.pipeline_with_http_info(parampipeline, paramfiles)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('Pipeline', 'pipeline')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Pipeline', 'pipeline', parampipeline)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Pipeline', 'pipeline', parampipeline)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid files' do
      parampipeline = AsposeSlidesCloud::SpecUtils.get_param_value('pipeline', 'Pipeline', 'Pipeline')
      paramfiles = AsposeSlidesCloud::SpecUtils.get_param_value('files', 'Pipeline', 'File[]')
      paramfiles = AsposeSlidesCloud::SpecUtils.invalidize_param_value('files', 'Pipeline', paramfiles, 'File[]')
      AsposeSlidesCloud::SpecUtils.initialize('Pipeline', 'files', paramfiles)
      begin
        AsposeSlidesCloud::SpecUtils.api.pipeline_with_http_info(parampipeline, paramfiles)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('Pipeline', 'files')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Pipeline', 'files', paramfiles)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Pipeline', 'files', paramfiles)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for reorder_slides
  # Reorder presentation slides positions.
  # @param name Document name.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :old_positions A comma separated array of positions of slides to be reordered.
  # @option opts [String] :new_positions A comma separated array of new slide positions.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Slides]
  describe 'reorder_slides test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'ReorderSlides', 'String')
      paramold_positions = AsposeSlidesCloud::SpecUtils.get_param_value('oldPositions', 'ReorderSlides', 'String')
      paramnew_positions = AsposeSlidesCloud::SpecUtils.get_param_value('newPositions', 'ReorderSlides', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ReorderSlides', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'ReorderSlides', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ReorderSlides', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ReorderSlides', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.reorder_slides_with_http_info(paramname, paramold_positions, paramnew_positions, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReorderSlides', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'ReorderSlides', 'String')
      paramold_positions = AsposeSlidesCloud::SpecUtils.get_param_value('oldPositions', 'ReorderSlides', 'String')
      paramnew_positions = AsposeSlidesCloud::SpecUtils.get_param_value('newPositions', 'ReorderSlides', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ReorderSlides', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'ReorderSlides', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ReorderSlides', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'ReorderSlides', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ReorderSlides', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.reorder_slides_with_http_info(paramname, paramold_positions, paramnew_positions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ReorderSlides', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReorderSlides', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReorderSlides', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid old_positions' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'ReorderSlides', 'String')
      paramold_positions = AsposeSlidesCloud::SpecUtils.get_param_value('oldPositions', 'ReorderSlides', 'String')
      paramnew_positions = AsposeSlidesCloud::SpecUtils.get_param_value('newPositions', 'ReorderSlides', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ReorderSlides', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'ReorderSlides', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ReorderSlides', 'String')
      paramold_positions = AsposeSlidesCloud::SpecUtils.invalidize_param_value('oldPositions', 'ReorderSlides', paramold_positions, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ReorderSlides', 'oldPositions', paramold_positions)
      begin
        AsposeSlidesCloud::SpecUtils.api.reorder_slides_with_http_info(paramname, paramold_positions, paramnew_positions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ReorderSlides', 'oldPositions')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReorderSlides', 'oldPositions', paramold_positions)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReorderSlides', 'oldPositions', paramold_positions)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid new_positions' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'ReorderSlides', 'String')
      paramold_positions = AsposeSlidesCloud::SpecUtils.get_param_value('oldPositions', 'ReorderSlides', 'String')
      paramnew_positions = AsposeSlidesCloud::SpecUtils.get_param_value('newPositions', 'ReorderSlides', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ReorderSlides', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'ReorderSlides', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ReorderSlides', 'String')
      paramnew_positions = AsposeSlidesCloud::SpecUtils.invalidize_param_value('newPositions', 'ReorderSlides', paramnew_positions, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ReorderSlides', 'newPositions', paramnew_positions)
      begin
        AsposeSlidesCloud::SpecUtils.api.reorder_slides_with_http_info(paramname, paramold_positions, paramnew_positions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ReorderSlides', 'newPositions')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReorderSlides', 'newPositions', paramnew_positions)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReorderSlides', 'newPositions', paramnew_positions)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'ReorderSlides', 'String')
      paramold_positions = AsposeSlidesCloud::SpecUtils.get_param_value('oldPositions', 'ReorderSlides', 'String')
      paramnew_positions = AsposeSlidesCloud::SpecUtils.get_param_value('newPositions', 'ReorderSlides', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ReorderSlides', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'ReorderSlides', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ReorderSlides', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'ReorderSlides', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ReorderSlides', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.reorder_slides_with_http_info(paramname, paramold_positions, paramnew_positions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ReorderSlides', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReorderSlides', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReorderSlides', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'ReorderSlides', 'String')
      paramold_positions = AsposeSlidesCloud::SpecUtils.get_param_value('oldPositions', 'ReorderSlides', 'String')
      paramnew_positions = AsposeSlidesCloud::SpecUtils.get_param_value('newPositions', 'ReorderSlides', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ReorderSlides', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'ReorderSlides', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ReorderSlides', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'ReorderSlides', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ReorderSlides', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.reorder_slides_with_http_info(paramname, paramold_positions, paramnew_positions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ReorderSlides', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReorderSlides', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReorderSlides', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'ReorderSlides', 'String')
      paramold_positions = AsposeSlidesCloud::SpecUtils.get_param_value('oldPositions', 'ReorderSlides', 'String')
      paramnew_positions = AsposeSlidesCloud::SpecUtils.get_param_value('newPositions', 'ReorderSlides', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ReorderSlides', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'ReorderSlides', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ReorderSlides', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'ReorderSlides', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ReorderSlides', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.reorder_slides_with_http_info(paramname, paramold_positions, paramnew_positions, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ReorderSlides', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReorderSlides', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReorderSlides', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for replace_presentation_text
  # Replace text with a new value.
  # @param name Document name.
  # @param old_value Text value to be replaced.
  # @param new_value Text value to replace with.
  # @param [Hash] opts the optional parameters
  # @option opts [BOOLEAN] :ignore_case True if character case must be ignored.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [DocumentReplaceResult]
  describe 'replace_presentation_text test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'ReplacePresentationText', 'String')
      paramold_value = AsposeSlidesCloud::SpecUtils.get_param_value('oldValue', 'ReplacePresentationText', 'String')
      paramnew_value = AsposeSlidesCloud::SpecUtils.get_param_value('newValue', 'ReplacePresentationText', 'String')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'ReplacePresentationText', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ReplacePresentationText', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'ReplacePresentationText', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ReplacePresentationText', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ReplacePresentationText', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.replace_presentation_text_with_http_info(paramname, paramold_value, paramnew_value, paramignore_case, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplacePresentationText', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'ReplacePresentationText', 'String')
      paramold_value = AsposeSlidesCloud::SpecUtils.get_param_value('oldValue', 'ReplacePresentationText', 'String')
      paramnew_value = AsposeSlidesCloud::SpecUtils.get_param_value('newValue', 'ReplacePresentationText', 'String')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'ReplacePresentationText', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ReplacePresentationText', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'ReplacePresentationText', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ReplacePresentationText', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'ReplacePresentationText', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ReplacePresentationText', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.replace_presentation_text_with_http_info(paramname, paramold_value, paramnew_value, paramignore_case, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ReplacePresentationText', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplacePresentationText', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplacePresentationText', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid old_value' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'ReplacePresentationText', 'String')
      paramold_value = AsposeSlidesCloud::SpecUtils.get_param_value('oldValue', 'ReplacePresentationText', 'String')
      paramnew_value = AsposeSlidesCloud::SpecUtils.get_param_value('newValue', 'ReplacePresentationText', 'String')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'ReplacePresentationText', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ReplacePresentationText', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'ReplacePresentationText', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ReplacePresentationText', 'String')
      paramold_value = AsposeSlidesCloud::SpecUtils.invalidize_param_value('oldValue', 'ReplacePresentationText', paramold_value, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ReplacePresentationText', 'oldValue', paramold_value)
      begin
        AsposeSlidesCloud::SpecUtils.api.replace_presentation_text_with_http_info(paramname, paramold_value, paramnew_value, paramignore_case, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ReplacePresentationText', 'oldValue')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplacePresentationText', 'oldValue', paramold_value)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplacePresentationText', 'oldValue', paramold_value)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid new_value' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'ReplacePresentationText', 'String')
      paramold_value = AsposeSlidesCloud::SpecUtils.get_param_value('oldValue', 'ReplacePresentationText', 'String')
      paramnew_value = AsposeSlidesCloud::SpecUtils.get_param_value('newValue', 'ReplacePresentationText', 'String')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'ReplacePresentationText', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ReplacePresentationText', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'ReplacePresentationText', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ReplacePresentationText', 'String')
      paramnew_value = AsposeSlidesCloud::SpecUtils.invalidize_param_value('newValue', 'ReplacePresentationText', paramnew_value, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ReplacePresentationText', 'newValue', paramnew_value)
      begin
        AsposeSlidesCloud::SpecUtils.api.replace_presentation_text_with_http_info(paramname, paramold_value, paramnew_value, paramignore_case, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ReplacePresentationText', 'newValue')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplacePresentationText', 'newValue', paramnew_value)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplacePresentationText', 'newValue', paramnew_value)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid ignore_case' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'ReplacePresentationText', 'String')
      paramold_value = AsposeSlidesCloud::SpecUtils.get_param_value('oldValue', 'ReplacePresentationText', 'String')
      paramnew_value = AsposeSlidesCloud::SpecUtils.get_param_value('newValue', 'ReplacePresentationText', 'String')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'ReplacePresentationText', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ReplacePresentationText', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'ReplacePresentationText', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ReplacePresentationText', 'String')
      paramignore_case = AsposeSlidesCloud::SpecUtils.invalidize_param_value('ignoreCase', 'ReplacePresentationText', paramignore_case, 'BOOLEAN')
      AsposeSlidesCloud::SpecUtils.initialize('ReplacePresentationText', 'ignoreCase', paramignore_case)
      begin
        AsposeSlidesCloud::SpecUtils.api.replace_presentation_text_with_http_info(paramname, paramold_value, paramnew_value, paramignore_case, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ReplacePresentationText', 'ignoreCase')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplacePresentationText', 'ignoreCase', paramignore_case)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplacePresentationText', 'ignoreCase', paramignore_case)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'ReplacePresentationText', 'String')
      paramold_value = AsposeSlidesCloud::SpecUtils.get_param_value('oldValue', 'ReplacePresentationText', 'String')
      paramnew_value = AsposeSlidesCloud::SpecUtils.get_param_value('newValue', 'ReplacePresentationText', 'String')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'ReplacePresentationText', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ReplacePresentationText', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'ReplacePresentationText', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ReplacePresentationText', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'ReplacePresentationText', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ReplacePresentationText', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.replace_presentation_text_with_http_info(paramname, paramold_value, paramnew_value, paramignore_case, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ReplacePresentationText', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplacePresentationText', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplacePresentationText', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'ReplacePresentationText', 'String')
      paramold_value = AsposeSlidesCloud::SpecUtils.get_param_value('oldValue', 'ReplacePresentationText', 'String')
      paramnew_value = AsposeSlidesCloud::SpecUtils.get_param_value('newValue', 'ReplacePresentationText', 'String')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'ReplacePresentationText', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ReplacePresentationText', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'ReplacePresentationText', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ReplacePresentationText', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'ReplacePresentationText', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ReplacePresentationText', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.replace_presentation_text_with_http_info(paramname, paramold_value, paramnew_value, paramignore_case, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ReplacePresentationText', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplacePresentationText', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplacePresentationText', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'ReplacePresentationText', 'String')
      paramold_value = AsposeSlidesCloud::SpecUtils.get_param_value('oldValue', 'ReplacePresentationText', 'String')
      paramnew_value = AsposeSlidesCloud::SpecUtils.get_param_value('newValue', 'ReplacePresentationText', 'String')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'ReplacePresentationText', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ReplacePresentationText', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'ReplacePresentationText', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ReplacePresentationText', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'ReplacePresentationText', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ReplacePresentationText', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.replace_presentation_text_with_http_info(paramname, paramold_value, paramnew_value, paramignore_case, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ReplacePresentationText', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplacePresentationText', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplacePresentationText', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for replace_presentation_text_online
  # Replace text with a new value.
  # @param document Document data.
  # @param old_value Text value to be replaced.
  # @param new_value Text value to replace with.
  # @param [Hash] opts the optional parameters
  # @option opts [BOOLEAN] :ignore_case True if character case must be ignored.
  # @option opts [String] :password Document password.
  # @return [File]
  describe 'replace_presentation_text_online test' do
    it 'should work' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'ReplacePresentationTextOnline', 'File')
      paramold_value = AsposeSlidesCloud::SpecUtils.get_param_value('oldValue', 'ReplacePresentationTextOnline', 'String')
      paramnew_value = AsposeSlidesCloud::SpecUtils.get_param_value('newValue', 'ReplacePresentationTextOnline', 'String')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'ReplacePresentationTextOnline', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ReplacePresentationTextOnline', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ReplacePresentationTextOnline', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.replace_presentation_text_online_with_http_info(paramdocument, paramold_value, paramnew_value, paramignore_case, parampassword)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplacePresentationTextOnline', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid document' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'ReplacePresentationTextOnline', 'File')
      paramold_value = AsposeSlidesCloud::SpecUtils.get_param_value('oldValue', 'ReplacePresentationTextOnline', 'String')
      paramnew_value = AsposeSlidesCloud::SpecUtils.get_param_value('newValue', 'ReplacePresentationTextOnline', 'String')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'ReplacePresentationTextOnline', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ReplacePresentationTextOnline', 'String')
      paramdocument = AsposeSlidesCloud::SpecUtils.invalidize_param_value('document', 'ReplacePresentationTextOnline', paramdocument, 'File')
      AsposeSlidesCloud::SpecUtils.initialize('ReplacePresentationTextOnline', 'document', paramdocument)
      begin
        AsposeSlidesCloud::SpecUtils.api.replace_presentation_text_online_with_http_info(paramdocument, paramold_value, paramnew_value, paramignore_case, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ReplacePresentationTextOnline', 'document')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplacePresentationTextOnline', 'document', paramdocument)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplacePresentationTextOnline', 'document', paramdocument)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid old_value' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'ReplacePresentationTextOnline', 'File')
      paramold_value = AsposeSlidesCloud::SpecUtils.get_param_value('oldValue', 'ReplacePresentationTextOnline', 'String')
      paramnew_value = AsposeSlidesCloud::SpecUtils.get_param_value('newValue', 'ReplacePresentationTextOnline', 'String')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'ReplacePresentationTextOnline', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ReplacePresentationTextOnline', 'String')
      paramold_value = AsposeSlidesCloud::SpecUtils.invalidize_param_value('oldValue', 'ReplacePresentationTextOnline', paramold_value, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ReplacePresentationTextOnline', 'oldValue', paramold_value)
      begin
        AsposeSlidesCloud::SpecUtils.api.replace_presentation_text_online_with_http_info(paramdocument, paramold_value, paramnew_value, paramignore_case, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ReplacePresentationTextOnline', 'oldValue')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplacePresentationTextOnline', 'oldValue', paramold_value)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplacePresentationTextOnline', 'oldValue', paramold_value)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid new_value' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'ReplacePresentationTextOnline', 'File')
      paramold_value = AsposeSlidesCloud::SpecUtils.get_param_value('oldValue', 'ReplacePresentationTextOnline', 'String')
      paramnew_value = AsposeSlidesCloud::SpecUtils.get_param_value('newValue', 'ReplacePresentationTextOnline', 'String')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'ReplacePresentationTextOnline', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ReplacePresentationTextOnline', 'String')
      paramnew_value = AsposeSlidesCloud::SpecUtils.invalidize_param_value('newValue', 'ReplacePresentationTextOnline', paramnew_value, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ReplacePresentationTextOnline', 'newValue', paramnew_value)
      begin
        AsposeSlidesCloud::SpecUtils.api.replace_presentation_text_online_with_http_info(paramdocument, paramold_value, paramnew_value, paramignore_case, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ReplacePresentationTextOnline', 'newValue')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplacePresentationTextOnline', 'newValue', paramnew_value)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplacePresentationTextOnline', 'newValue', paramnew_value)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid ignore_case' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'ReplacePresentationTextOnline', 'File')
      paramold_value = AsposeSlidesCloud::SpecUtils.get_param_value('oldValue', 'ReplacePresentationTextOnline', 'String')
      paramnew_value = AsposeSlidesCloud::SpecUtils.get_param_value('newValue', 'ReplacePresentationTextOnline', 'String')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'ReplacePresentationTextOnline', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ReplacePresentationTextOnline', 'String')
      paramignore_case = AsposeSlidesCloud::SpecUtils.invalidize_param_value('ignoreCase', 'ReplacePresentationTextOnline', paramignore_case, 'BOOLEAN')
      AsposeSlidesCloud::SpecUtils.initialize('ReplacePresentationTextOnline', 'ignoreCase', paramignore_case)
      begin
        AsposeSlidesCloud::SpecUtils.api.replace_presentation_text_online_with_http_info(paramdocument, paramold_value, paramnew_value, paramignore_case, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ReplacePresentationTextOnline', 'ignoreCase')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplacePresentationTextOnline', 'ignoreCase', paramignore_case)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplacePresentationTextOnline', 'ignoreCase', paramignore_case)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'ReplacePresentationTextOnline', 'File')
      paramold_value = AsposeSlidesCloud::SpecUtils.get_param_value('oldValue', 'ReplacePresentationTextOnline', 'String')
      paramnew_value = AsposeSlidesCloud::SpecUtils.get_param_value('newValue', 'ReplacePresentationTextOnline', 'String')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'ReplacePresentationTextOnline', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ReplacePresentationTextOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'ReplacePresentationTextOnline', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ReplacePresentationTextOnline', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.replace_presentation_text_online_with_http_info(paramdocument, paramold_value, paramnew_value, paramignore_case, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ReplacePresentationTextOnline', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplacePresentationTextOnline', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplacePresentationTextOnline', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for replace_slide_text
  # Replace text with a new value.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param old_value Text value to be replaced.
  # @param new_value Text value to replace with.
  # @param [Hash] opts the optional parameters
  # @option opts [BOOLEAN] :ignore_case True if character case must be ignored.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [SlideReplaceResult]
  describe 'replace_slide_text test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'ReplaceSlideText', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'ReplaceSlideText', 'Integer')
      paramold_value = AsposeSlidesCloud::SpecUtils.get_param_value('oldValue', 'ReplaceSlideText', 'String')
      paramnew_value = AsposeSlidesCloud::SpecUtils.get_param_value('newValue', 'ReplaceSlideText', 'String')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'ReplaceSlideText', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ReplaceSlideText', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'ReplaceSlideText', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ReplaceSlideText', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ReplaceSlideText', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.replace_slide_text_with_http_info(paramname, paramslide_index, paramold_value, paramnew_value, paramignore_case, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplaceSlideText', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'ReplaceSlideText', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'ReplaceSlideText', 'Integer')
      paramold_value = AsposeSlidesCloud::SpecUtils.get_param_value('oldValue', 'ReplaceSlideText', 'String')
      paramnew_value = AsposeSlidesCloud::SpecUtils.get_param_value('newValue', 'ReplaceSlideText', 'String')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'ReplaceSlideText', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ReplaceSlideText', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'ReplaceSlideText', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ReplaceSlideText', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'ReplaceSlideText', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ReplaceSlideText', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.replace_slide_text_with_http_info(paramname, paramslide_index, paramold_value, paramnew_value, paramignore_case, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ReplaceSlideText', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplaceSlideText', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplaceSlideText', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'ReplaceSlideText', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'ReplaceSlideText', 'Integer')
      paramold_value = AsposeSlidesCloud::SpecUtils.get_param_value('oldValue', 'ReplaceSlideText', 'String')
      paramnew_value = AsposeSlidesCloud::SpecUtils.get_param_value('newValue', 'ReplaceSlideText', 'String')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'ReplaceSlideText', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ReplaceSlideText', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'ReplaceSlideText', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ReplaceSlideText', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'ReplaceSlideText', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('ReplaceSlideText', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.replace_slide_text_with_http_info(paramname, paramslide_index, paramold_value, paramnew_value, paramignore_case, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ReplaceSlideText', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplaceSlideText', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplaceSlideText', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid old_value' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'ReplaceSlideText', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'ReplaceSlideText', 'Integer')
      paramold_value = AsposeSlidesCloud::SpecUtils.get_param_value('oldValue', 'ReplaceSlideText', 'String')
      paramnew_value = AsposeSlidesCloud::SpecUtils.get_param_value('newValue', 'ReplaceSlideText', 'String')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'ReplaceSlideText', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ReplaceSlideText', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'ReplaceSlideText', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ReplaceSlideText', 'String')
      paramold_value = AsposeSlidesCloud::SpecUtils.invalidize_param_value('oldValue', 'ReplaceSlideText', paramold_value, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ReplaceSlideText', 'oldValue', paramold_value)
      begin
        AsposeSlidesCloud::SpecUtils.api.replace_slide_text_with_http_info(paramname, paramslide_index, paramold_value, paramnew_value, paramignore_case, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ReplaceSlideText', 'oldValue')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplaceSlideText', 'oldValue', paramold_value)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplaceSlideText', 'oldValue', paramold_value)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid new_value' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'ReplaceSlideText', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'ReplaceSlideText', 'Integer')
      paramold_value = AsposeSlidesCloud::SpecUtils.get_param_value('oldValue', 'ReplaceSlideText', 'String')
      paramnew_value = AsposeSlidesCloud::SpecUtils.get_param_value('newValue', 'ReplaceSlideText', 'String')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'ReplaceSlideText', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ReplaceSlideText', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'ReplaceSlideText', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ReplaceSlideText', 'String')
      paramnew_value = AsposeSlidesCloud::SpecUtils.invalidize_param_value('newValue', 'ReplaceSlideText', paramnew_value, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ReplaceSlideText', 'newValue', paramnew_value)
      begin
        AsposeSlidesCloud::SpecUtils.api.replace_slide_text_with_http_info(paramname, paramslide_index, paramold_value, paramnew_value, paramignore_case, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ReplaceSlideText', 'newValue')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplaceSlideText', 'newValue', paramnew_value)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplaceSlideText', 'newValue', paramnew_value)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid ignore_case' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'ReplaceSlideText', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'ReplaceSlideText', 'Integer')
      paramold_value = AsposeSlidesCloud::SpecUtils.get_param_value('oldValue', 'ReplaceSlideText', 'String')
      paramnew_value = AsposeSlidesCloud::SpecUtils.get_param_value('newValue', 'ReplaceSlideText', 'String')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'ReplaceSlideText', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ReplaceSlideText', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'ReplaceSlideText', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ReplaceSlideText', 'String')
      paramignore_case = AsposeSlidesCloud::SpecUtils.invalidize_param_value('ignoreCase', 'ReplaceSlideText', paramignore_case, 'BOOLEAN')
      AsposeSlidesCloud::SpecUtils.initialize('ReplaceSlideText', 'ignoreCase', paramignore_case)
      begin
        AsposeSlidesCloud::SpecUtils.api.replace_slide_text_with_http_info(paramname, paramslide_index, paramold_value, paramnew_value, paramignore_case, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ReplaceSlideText', 'ignoreCase')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplaceSlideText', 'ignoreCase', paramignore_case)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplaceSlideText', 'ignoreCase', paramignore_case)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'ReplaceSlideText', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'ReplaceSlideText', 'Integer')
      paramold_value = AsposeSlidesCloud::SpecUtils.get_param_value('oldValue', 'ReplaceSlideText', 'String')
      paramnew_value = AsposeSlidesCloud::SpecUtils.get_param_value('newValue', 'ReplaceSlideText', 'String')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'ReplaceSlideText', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ReplaceSlideText', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'ReplaceSlideText', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ReplaceSlideText', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'ReplaceSlideText', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ReplaceSlideText', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.replace_slide_text_with_http_info(paramname, paramslide_index, paramold_value, paramnew_value, paramignore_case, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ReplaceSlideText', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplaceSlideText', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplaceSlideText', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'ReplaceSlideText', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'ReplaceSlideText', 'Integer')
      paramold_value = AsposeSlidesCloud::SpecUtils.get_param_value('oldValue', 'ReplaceSlideText', 'String')
      paramnew_value = AsposeSlidesCloud::SpecUtils.get_param_value('newValue', 'ReplaceSlideText', 'String')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'ReplaceSlideText', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ReplaceSlideText', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'ReplaceSlideText', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ReplaceSlideText', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'ReplaceSlideText', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ReplaceSlideText', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.replace_slide_text_with_http_info(paramname, paramslide_index, paramold_value, paramnew_value, paramignore_case, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ReplaceSlideText', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplaceSlideText', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplaceSlideText', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'ReplaceSlideText', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'ReplaceSlideText', 'Integer')
      paramold_value = AsposeSlidesCloud::SpecUtils.get_param_value('oldValue', 'ReplaceSlideText', 'String')
      paramnew_value = AsposeSlidesCloud::SpecUtils.get_param_value('newValue', 'ReplaceSlideText', 'String')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'ReplaceSlideText', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ReplaceSlideText', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'ReplaceSlideText', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'ReplaceSlideText', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'ReplaceSlideText', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ReplaceSlideText', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.replace_slide_text_with_http_info(paramname, paramslide_index, paramold_value, paramnew_value, paramignore_case, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ReplaceSlideText', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplaceSlideText', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplaceSlideText', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for replace_slide_text_online
  # Replace slide text with a new value.
  # @param document Document data.
  # @param slide_index Index of target slide.
  # @param old_value Text value to be replaced.
  # @param new_value Text value to replace with.
  # @param [Hash] opts the optional parameters
  # @option opts [BOOLEAN] :ignore_case True if character case must be ignored.
  # @option opts [String] :password Document password.
  # @return [File]
  describe 'replace_slide_text_online test' do
    it 'should work' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'ReplaceSlideTextOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'ReplaceSlideTextOnline', 'Integer')
      paramold_value = AsposeSlidesCloud::SpecUtils.get_param_value('oldValue', 'ReplaceSlideTextOnline', 'String')
      paramnew_value = AsposeSlidesCloud::SpecUtils.get_param_value('newValue', 'ReplaceSlideTextOnline', 'String')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'ReplaceSlideTextOnline', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ReplaceSlideTextOnline', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ReplaceSlideTextOnline', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.replace_slide_text_online_with_http_info(paramdocument, paramslide_index, paramold_value, paramnew_value, paramignore_case, parampassword)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplaceSlideTextOnline', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid document' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'ReplaceSlideTextOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'ReplaceSlideTextOnline', 'Integer')
      paramold_value = AsposeSlidesCloud::SpecUtils.get_param_value('oldValue', 'ReplaceSlideTextOnline', 'String')
      paramnew_value = AsposeSlidesCloud::SpecUtils.get_param_value('newValue', 'ReplaceSlideTextOnline', 'String')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'ReplaceSlideTextOnline', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ReplaceSlideTextOnline', 'String')
      paramdocument = AsposeSlidesCloud::SpecUtils.invalidize_param_value('document', 'ReplaceSlideTextOnline', paramdocument, 'File')
      AsposeSlidesCloud::SpecUtils.initialize('ReplaceSlideTextOnline', 'document', paramdocument)
      begin
        AsposeSlidesCloud::SpecUtils.api.replace_slide_text_online_with_http_info(paramdocument, paramslide_index, paramold_value, paramnew_value, paramignore_case, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ReplaceSlideTextOnline', 'document')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplaceSlideTextOnline', 'document', paramdocument)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplaceSlideTextOnline', 'document', paramdocument)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'ReplaceSlideTextOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'ReplaceSlideTextOnline', 'Integer')
      paramold_value = AsposeSlidesCloud::SpecUtils.get_param_value('oldValue', 'ReplaceSlideTextOnline', 'String')
      paramnew_value = AsposeSlidesCloud::SpecUtils.get_param_value('newValue', 'ReplaceSlideTextOnline', 'String')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'ReplaceSlideTextOnline', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ReplaceSlideTextOnline', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'ReplaceSlideTextOnline', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('ReplaceSlideTextOnline', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.replace_slide_text_online_with_http_info(paramdocument, paramslide_index, paramold_value, paramnew_value, paramignore_case, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ReplaceSlideTextOnline', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplaceSlideTextOnline', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplaceSlideTextOnline', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid old_value' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'ReplaceSlideTextOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'ReplaceSlideTextOnline', 'Integer')
      paramold_value = AsposeSlidesCloud::SpecUtils.get_param_value('oldValue', 'ReplaceSlideTextOnline', 'String')
      paramnew_value = AsposeSlidesCloud::SpecUtils.get_param_value('newValue', 'ReplaceSlideTextOnline', 'String')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'ReplaceSlideTextOnline', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ReplaceSlideTextOnline', 'String')
      paramold_value = AsposeSlidesCloud::SpecUtils.invalidize_param_value('oldValue', 'ReplaceSlideTextOnline', paramold_value, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ReplaceSlideTextOnline', 'oldValue', paramold_value)
      begin
        AsposeSlidesCloud::SpecUtils.api.replace_slide_text_online_with_http_info(paramdocument, paramslide_index, paramold_value, paramnew_value, paramignore_case, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ReplaceSlideTextOnline', 'oldValue')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplaceSlideTextOnline', 'oldValue', paramold_value)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplaceSlideTextOnline', 'oldValue', paramold_value)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid new_value' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'ReplaceSlideTextOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'ReplaceSlideTextOnline', 'Integer')
      paramold_value = AsposeSlidesCloud::SpecUtils.get_param_value('oldValue', 'ReplaceSlideTextOnline', 'String')
      paramnew_value = AsposeSlidesCloud::SpecUtils.get_param_value('newValue', 'ReplaceSlideTextOnline', 'String')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'ReplaceSlideTextOnline', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ReplaceSlideTextOnline', 'String')
      paramnew_value = AsposeSlidesCloud::SpecUtils.invalidize_param_value('newValue', 'ReplaceSlideTextOnline', paramnew_value, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ReplaceSlideTextOnline', 'newValue', paramnew_value)
      begin
        AsposeSlidesCloud::SpecUtils.api.replace_slide_text_online_with_http_info(paramdocument, paramslide_index, paramold_value, paramnew_value, paramignore_case, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ReplaceSlideTextOnline', 'newValue')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplaceSlideTextOnline', 'newValue', paramnew_value)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplaceSlideTextOnline', 'newValue', paramnew_value)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid ignore_case' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'ReplaceSlideTextOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'ReplaceSlideTextOnline', 'Integer')
      paramold_value = AsposeSlidesCloud::SpecUtils.get_param_value('oldValue', 'ReplaceSlideTextOnline', 'String')
      paramnew_value = AsposeSlidesCloud::SpecUtils.get_param_value('newValue', 'ReplaceSlideTextOnline', 'String')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'ReplaceSlideTextOnline', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ReplaceSlideTextOnline', 'String')
      paramignore_case = AsposeSlidesCloud::SpecUtils.invalidize_param_value('ignoreCase', 'ReplaceSlideTextOnline', paramignore_case, 'BOOLEAN')
      AsposeSlidesCloud::SpecUtils.initialize('ReplaceSlideTextOnline', 'ignoreCase', paramignore_case)
      begin
        AsposeSlidesCloud::SpecUtils.api.replace_slide_text_online_with_http_info(paramdocument, paramslide_index, paramold_value, paramnew_value, paramignore_case, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ReplaceSlideTextOnline', 'ignoreCase')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplaceSlideTextOnline', 'ignoreCase', paramignore_case)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplaceSlideTextOnline', 'ignoreCase', paramignore_case)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'ReplaceSlideTextOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'ReplaceSlideTextOnline', 'Integer')
      paramold_value = AsposeSlidesCloud::SpecUtils.get_param_value('oldValue', 'ReplaceSlideTextOnline', 'String')
      paramnew_value = AsposeSlidesCloud::SpecUtils.get_param_value('newValue', 'ReplaceSlideTextOnline', 'String')
      paramignore_case = AsposeSlidesCloud::SpecUtils.get_param_value('ignoreCase', 'ReplaceSlideTextOnline', 'BOOLEAN')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'ReplaceSlideTextOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'ReplaceSlideTextOnline', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('ReplaceSlideTextOnline', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.replace_slide_text_online_with_http_info(paramdocument, paramslide_index, paramold_value, paramnew_value, paramignore_case, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('ReplaceSlideTextOnline', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplaceSlideTextOnline', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('ReplaceSlideTextOnline', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for save_portion_as_math_ml
  # Convert Mathematical Text to MathML Format and saves result to the storage
  # @param name Document name.
  # @param slide_index Slide index.
  # @param shape_index Shape index.
  # @param paragraph_index Paragraph index.
  # @param portion_index Portion index.
  # @param out_path Path to save result.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Presentation folder.
  # @option opts [String] :storage Presentation storage.
  # @return [nil]
  describe 'save_portion_as_math_ml test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SavePortionAsMathMl', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SavePortionAsMathMl', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SavePortionAsMathMl', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'SavePortionAsMathMl', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'SavePortionAsMathMl', 'Integer')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SavePortionAsMathMl', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SavePortionAsMathMl', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SavePortionAsMathMl', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SavePortionAsMathMl', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SavePortionAsMathMl', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.save_portion_as_math_ml_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, paramout_path, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SavePortionAsMathMl', nil, nil)
      expect(c).to eq(code)
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SavePortionAsMathMl', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SavePortionAsMathMl', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SavePortionAsMathMl', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'SavePortionAsMathMl', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'SavePortionAsMathMl', 'Integer')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SavePortionAsMathMl', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SavePortionAsMathMl', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SavePortionAsMathMl', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SavePortionAsMathMl', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'SavePortionAsMathMl', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SavePortionAsMathMl', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_portion_as_math_ml_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, paramout_path, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SavePortionAsMathMl', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SavePortionAsMathMl', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SavePortionAsMathMl', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SavePortionAsMathMl', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SavePortionAsMathMl', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SavePortionAsMathMl', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'SavePortionAsMathMl', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'SavePortionAsMathMl', 'Integer')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SavePortionAsMathMl', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SavePortionAsMathMl', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SavePortionAsMathMl', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SavePortionAsMathMl', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'SavePortionAsMathMl', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('SavePortionAsMathMl', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_portion_as_math_ml_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, paramout_path, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SavePortionAsMathMl', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SavePortionAsMathMl', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SavePortionAsMathMl', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SavePortionAsMathMl', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SavePortionAsMathMl', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SavePortionAsMathMl', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'SavePortionAsMathMl', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'SavePortionAsMathMl', 'Integer')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SavePortionAsMathMl', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SavePortionAsMathMl', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SavePortionAsMathMl', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SavePortionAsMathMl', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'SavePortionAsMathMl', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('SavePortionAsMathMl', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_portion_as_math_ml_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, paramout_path, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SavePortionAsMathMl', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SavePortionAsMathMl', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SavePortionAsMathMl', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SavePortionAsMathMl', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SavePortionAsMathMl', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SavePortionAsMathMl', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'SavePortionAsMathMl', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'SavePortionAsMathMl', 'Integer')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SavePortionAsMathMl', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SavePortionAsMathMl', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SavePortionAsMathMl', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SavePortionAsMathMl', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'SavePortionAsMathMl', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('SavePortionAsMathMl', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_portion_as_math_ml_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, paramout_path, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SavePortionAsMathMl', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SavePortionAsMathMl', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SavePortionAsMathMl', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid portion_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SavePortionAsMathMl', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SavePortionAsMathMl', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SavePortionAsMathMl', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'SavePortionAsMathMl', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'SavePortionAsMathMl', 'Integer')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SavePortionAsMathMl', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SavePortionAsMathMl', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SavePortionAsMathMl', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SavePortionAsMathMl', 'String')
      paramportion_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('portionIndex', 'SavePortionAsMathMl', paramportion_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('SavePortionAsMathMl', 'portionIndex', paramportion_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_portion_as_math_ml_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, paramout_path, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SavePortionAsMathMl', 'portionIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SavePortionAsMathMl', 'portionIndex', paramportion_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SavePortionAsMathMl', 'portionIndex', paramportion_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid out_path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SavePortionAsMathMl', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SavePortionAsMathMl', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SavePortionAsMathMl', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'SavePortionAsMathMl', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'SavePortionAsMathMl', 'Integer')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SavePortionAsMathMl', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SavePortionAsMathMl', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SavePortionAsMathMl', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SavePortionAsMathMl', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.invalidize_param_value('outPath', 'SavePortionAsMathMl', paramout_path, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SavePortionAsMathMl', 'outPath', paramout_path)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_portion_as_math_ml_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, paramout_path, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SavePortionAsMathMl', 'outPath')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SavePortionAsMathMl', 'outPath', paramout_path)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SavePortionAsMathMl', 'outPath', paramout_path)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SavePortionAsMathMl', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SavePortionAsMathMl', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SavePortionAsMathMl', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'SavePortionAsMathMl', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'SavePortionAsMathMl', 'Integer')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SavePortionAsMathMl', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SavePortionAsMathMl', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SavePortionAsMathMl', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SavePortionAsMathMl', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'SavePortionAsMathMl', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SavePortionAsMathMl', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_portion_as_math_ml_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, paramout_path, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SavePortionAsMathMl', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SavePortionAsMathMl', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SavePortionAsMathMl', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SavePortionAsMathMl', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SavePortionAsMathMl', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SavePortionAsMathMl', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'SavePortionAsMathMl', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'SavePortionAsMathMl', 'Integer')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SavePortionAsMathMl', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SavePortionAsMathMl', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SavePortionAsMathMl', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SavePortionAsMathMl', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'SavePortionAsMathMl', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SavePortionAsMathMl', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_portion_as_math_ml_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, paramout_path, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SavePortionAsMathMl', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SavePortionAsMathMl', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SavePortionAsMathMl', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SavePortionAsMathMl', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SavePortionAsMathMl', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SavePortionAsMathMl', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'SavePortionAsMathMl', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'SavePortionAsMathMl', 'Integer')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SavePortionAsMathMl', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SavePortionAsMathMl', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SavePortionAsMathMl', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SavePortionAsMathMl', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'SavePortionAsMathMl', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SavePortionAsMathMl', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_portion_as_math_ml_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, paramout_path, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SavePortionAsMathMl', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SavePortionAsMathMl', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SavePortionAsMathMl', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for save_presentation
  # Save a presentation to a specified format.
  # @param name Document name.
  # @param format Export format.
  # @param out_path Output path.
  # @param [Hash] opts the optional parameters
  # @option opts [ExportOptions] :options Export options.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @option opts [String] :fonts_folder Custom fonts folder.
  # @option opts [String] :slides The indices of the slides to be saved. If not specified, all slides are saved by default.
  # @return [nil]
  describe 'save_presentation test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SavePresentation', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SavePresentation', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SavePresentation', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SavePresentation', 'ExportOptions')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SavePresentation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SavePresentation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SavePresentation', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SavePresentation', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'SavePresentation', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SavePresentation', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.save_presentation_with_http_info(paramname, paramformat, paramout_path, paramoptions, parampassword, paramfolder, paramstorage, paramfonts_folder, paramslides)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SavePresentation', nil, nil)
      expect(c).to eq(code)
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SavePresentation', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SavePresentation', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SavePresentation', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SavePresentation', 'ExportOptions')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SavePresentation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SavePresentation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SavePresentation', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SavePresentation', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'SavePresentation', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'SavePresentation', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SavePresentation', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_presentation_with_http_info(paramname, paramformat, paramout_path, paramoptions, parampassword, paramfolder, paramstorage, paramfonts_folder, paramslides)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SavePresentation', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SavePresentation', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SavePresentation', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid format' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SavePresentation', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SavePresentation', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SavePresentation', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SavePresentation', 'ExportOptions')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SavePresentation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SavePresentation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SavePresentation', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SavePresentation', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'SavePresentation', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.invalidize_param_value('format', 'SavePresentation', paramformat, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SavePresentation', 'format', paramformat)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_presentation_with_http_info(paramname, paramformat, paramout_path, paramoptions, parampassword, paramfolder, paramstorage, paramfonts_folder, paramslides)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SavePresentation', 'format')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SavePresentation', 'format', paramformat)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SavePresentation', 'format', paramformat)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid out_path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SavePresentation', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SavePresentation', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SavePresentation', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SavePresentation', 'ExportOptions')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SavePresentation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SavePresentation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SavePresentation', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SavePresentation', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'SavePresentation', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.invalidize_param_value('outPath', 'SavePresentation', paramout_path, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SavePresentation', 'outPath', paramout_path)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_presentation_with_http_info(paramname, paramformat, paramout_path, paramoptions, parampassword, paramfolder, paramstorage, paramfonts_folder, paramslides)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SavePresentation', 'outPath')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SavePresentation', 'outPath', paramout_path)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SavePresentation', 'outPath', paramout_path)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid options' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SavePresentation', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SavePresentation', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SavePresentation', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SavePresentation', 'ExportOptions')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SavePresentation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SavePresentation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SavePresentation', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SavePresentation', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'SavePresentation', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.invalidize_param_value('options', 'SavePresentation', paramoptions, 'ExportOptions')
      AsposeSlidesCloud::SpecUtils.initialize('SavePresentation', 'options', paramoptions)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_presentation_with_http_info(paramname, paramformat, paramout_path, paramoptions, parampassword, paramfolder, paramstorage, paramfonts_folder, paramslides)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SavePresentation', 'options')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SavePresentation', 'options', paramoptions)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SavePresentation', 'options', paramoptions)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SavePresentation', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SavePresentation', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SavePresentation', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SavePresentation', 'ExportOptions')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SavePresentation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SavePresentation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SavePresentation', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SavePresentation', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'SavePresentation', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'SavePresentation', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SavePresentation', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_presentation_with_http_info(paramname, paramformat, paramout_path, paramoptions, parampassword, paramfolder, paramstorage, paramfonts_folder, paramslides)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SavePresentation', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SavePresentation', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SavePresentation', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SavePresentation', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SavePresentation', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SavePresentation', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SavePresentation', 'ExportOptions')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SavePresentation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SavePresentation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SavePresentation', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SavePresentation', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'SavePresentation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'SavePresentation', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SavePresentation', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_presentation_with_http_info(paramname, paramformat, paramout_path, paramoptions, parampassword, paramfolder, paramstorage, paramfonts_folder, paramslides)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SavePresentation', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SavePresentation', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SavePresentation', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SavePresentation', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SavePresentation', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SavePresentation', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SavePresentation', 'ExportOptions')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SavePresentation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SavePresentation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SavePresentation', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SavePresentation', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'SavePresentation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'SavePresentation', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SavePresentation', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_presentation_with_http_info(paramname, paramformat, paramout_path, paramoptions, parampassword, paramfolder, paramstorage, paramfonts_folder, paramslides)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SavePresentation', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SavePresentation', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SavePresentation', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid fonts_folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SavePresentation', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SavePresentation', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SavePresentation', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SavePresentation', 'ExportOptions')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SavePresentation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SavePresentation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SavePresentation', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SavePresentation', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'SavePresentation', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('fontsFolder', 'SavePresentation', paramfonts_folder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SavePresentation', 'fontsFolder', paramfonts_folder)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_presentation_with_http_info(paramname, paramformat, paramout_path, paramoptions, parampassword, paramfolder, paramstorage, paramfonts_folder, paramslides)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SavePresentation', 'fontsFolder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SavePresentation', 'fontsFolder', paramfonts_folder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SavePresentation', 'fontsFolder', paramfonts_folder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slides' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SavePresentation', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SavePresentation', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SavePresentation', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SavePresentation', 'ExportOptions')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SavePresentation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SavePresentation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SavePresentation', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SavePresentation', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.get_param_value('slides', 'SavePresentation', 'String')
      paramslides = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slides', 'SavePresentation', paramslides, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SavePresentation', 'slides', paramslides)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_presentation_with_http_info(paramname, paramformat, paramout_path, paramoptions, parampassword, paramfolder, paramstorage, paramfonts_folder, paramslides)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SavePresentation', 'slides')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SavePresentation', 'slides', paramslides)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SavePresentation', 'slides', paramslides)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for save_shape
  # Render shape to specified picture format.
  # @param name Presentation name.
  # @param slide_index Slide index.
  # @param shape_index Index of shape starting from 1
  # @param format Export picture format.
  # @param out_path Output path.
  # @param [Hash] opts the optional parameters
  # @option opts [IShapeExportOptions] :options export options
  # @option opts [Float] :scale_x X scale ratio.
  # @option opts [Float] :scale_y Y scale ratio.
  # @option opts [String] :bounds Shape thumbnail bounds type.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Presentation folder.
  # @option opts [String] :storage Presentation storage.
  # @option opts [String] :fonts_folder Fonts folder.
  # @return [nil]
  describe 'save_shape test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveShape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveShape', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveShape', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.save_shape_with_http_info(paramname, paramslide_index, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShape', nil, nil)
      expect(c).to eq(code)
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveShape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveShape', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'SaveShape', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveShape', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_shape_with_http_info(paramname, paramslide_index, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveShape', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShape', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShape', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveShape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'SaveShape', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('SaveShape', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_shape_with_http_info(paramname, paramslide_index, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveShape', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShape', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShape', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveShape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'SaveShape', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('SaveShape', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_shape_with_http_info(paramname, paramslide_index, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveShape', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShape', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShape', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid format' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveShape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveShape', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.invalidize_param_value('format', 'SaveShape', paramformat, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveShape', 'format', paramformat)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_shape_with_http_info(paramname, paramslide_index, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveShape', 'format')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShape', 'format', paramformat)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShape', 'format', paramformat)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid out_path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveShape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveShape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.invalidize_param_value('outPath', 'SaveShape', paramout_path, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveShape', 'outPath', paramout_path)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_shape_with_http_info(paramname, paramslide_index, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveShape', 'outPath')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShape', 'outPath', paramout_path)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShape', 'outPath', paramout_path)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid options' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveShape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.invalidize_param_value('options', 'SaveShape', paramoptions, 'IShapeExportOptions')
      AsposeSlidesCloud::SpecUtils.initialize('SaveShape', 'options', paramoptions)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_shape_with_http_info(paramname, paramslide_index, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveShape', 'options')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShape', 'options', paramoptions)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShape', 'options', paramoptions)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid scale_x' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveShape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveShape', 'String')
      paramscale_x = AsposeSlidesCloud::SpecUtils.invalidize_param_value('scaleX', 'SaveShape', paramscale_x, 'Float')
      AsposeSlidesCloud::SpecUtils.initialize('SaveShape', 'scaleX', paramscale_x)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_shape_with_http_info(paramname, paramslide_index, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveShape', 'scaleX')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShape', 'scaleX', paramscale_x)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShape', 'scaleX', paramscale_x)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid scale_y' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveShape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveShape', 'String')
      paramscale_y = AsposeSlidesCloud::SpecUtils.invalidize_param_value('scaleY', 'SaveShape', paramscale_y, 'Float')
      AsposeSlidesCloud::SpecUtils.initialize('SaveShape', 'scaleY', paramscale_y)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_shape_with_http_info(paramname, paramslide_index, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveShape', 'scaleY')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShape', 'scaleY', paramscale_y)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShape', 'scaleY', paramscale_y)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid bounds' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveShape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveShape', 'String')
      parambounds = AsposeSlidesCloud::SpecUtils.invalidize_param_value('bounds', 'SaveShape', parambounds, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveShape', 'bounds', parambounds)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_shape_with_http_info(paramname, paramslide_index, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveShape', 'bounds')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShape', 'bounds', parambounds)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShape', 'bounds', parambounds)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveShape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'SaveShape', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveShape', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_shape_with_http_info(paramname, paramslide_index, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveShape', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShape', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShape', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveShape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'SaveShape', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveShape', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_shape_with_http_info(paramname, paramslide_index, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveShape', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShape', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShape', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveShape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'SaveShape', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveShape', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_shape_with_http_info(paramname, paramslide_index, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveShape', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShape', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShape', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid fonts_folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveShape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('fontsFolder', 'SaveShape', paramfonts_folder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveShape', 'fontsFolder', paramfonts_folder)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_shape_with_http_info(paramname, paramslide_index, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveShape', 'fontsFolder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShape', 'fontsFolder', paramfonts_folder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShape', 'fontsFolder', paramfonts_folder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for save_shape_online
  # Render shape to specified picture format.
  # @param document Document data.
  # @param slide_index Slide index.
  # @param shape_index Index of shape starting from 1
  # @param format Export picture format.
  # @param out_path Path to save result.
  # @param [Hash] opts the optional parameters
  # @option opts [Float] :scale_x X scale ratio.
  # @option opts [Float] :scale_y Y scale ratio.
  # @option opts [String] :bounds Shape thumbnail bounds type.
  # @option opts [String] :password Document password.
  # @option opts [String] :storage Document storage.
  # @option opts [String] :fonts_folder Fonts folder.
  # @option opts [IShapeExportOptions] :options Export options.
  # @return [nil]
  describe 'save_shape_online test' do
    it 'should work' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SaveShapeOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveShapeOnline', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveShapeOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveShapeOnline', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveShapeOnline', 'String')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveShapeOnline', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveShapeOnline', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveShapeOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveShapeOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveShapeOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveShapeOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveShapeOnline', 'IShapeExportOptions')
      AsposeSlidesCloud::SpecUtils.initialize('SaveShapeOnline', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.save_shape_online_with_http_info(paramdocument, paramslide_index, paramshape_index, paramformat, paramout_path, paramscale_x, paramscale_y, parambounds, parampassword, paramstorage, paramfonts_folder, paramoptions)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShapeOnline', nil, nil)
      expect(c).to eq(code)
    end

    it 'invalid document' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SaveShapeOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveShapeOnline', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveShapeOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveShapeOnline', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveShapeOnline', 'String')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveShapeOnline', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveShapeOnline', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveShapeOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveShapeOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveShapeOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveShapeOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveShapeOnline', 'IShapeExportOptions')
      paramdocument = AsposeSlidesCloud::SpecUtils.invalidize_param_value('document', 'SaveShapeOnline', paramdocument, 'File')
      AsposeSlidesCloud::SpecUtils.initialize('SaveShapeOnline', 'document', paramdocument)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_shape_online_with_http_info(paramdocument, paramslide_index, paramshape_index, paramformat, paramout_path, paramscale_x, paramscale_y, parambounds, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveShapeOnline', 'document')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShapeOnline', 'document', paramdocument)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShapeOnline', 'document', paramdocument)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SaveShapeOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveShapeOnline', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveShapeOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveShapeOnline', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveShapeOnline', 'String')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveShapeOnline', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveShapeOnline', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveShapeOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveShapeOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveShapeOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveShapeOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveShapeOnline', 'IShapeExportOptions')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'SaveShapeOnline', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('SaveShapeOnline', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_shape_online_with_http_info(paramdocument, paramslide_index, paramshape_index, paramformat, paramout_path, paramscale_x, paramscale_y, parambounds, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveShapeOnline', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShapeOnline', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShapeOnline', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SaveShapeOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveShapeOnline', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveShapeOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveShapeOnline', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveShapeOnline', 'String')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveShapeOnline', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveShapeOnline', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveShapeOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveShapeOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveShapeOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveShapeOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveShapeOnline', 'IShapeExportOptions')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'SaveShapeOnline', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('SaveShapeOnline', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_shape_online_with_http_info(paramdocument, paramslide_index, paramshape_index, paramformat, paramout_path, paramscale_x, paramscale_y, parambounds, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveShapeOnline', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShapeOnline', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShapeOnline', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid format' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SaveShapeOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveShapeOnline', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveShapeOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveShapeOnline', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveShapeOnline', 'String')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveShapeOnline', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveShapeOnline', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveShapeOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveShapeOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveShapeOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveShapeOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveShapeOnline', 'IShapeExportOptions')
      paramformat = AsposeSlidesCloud::SpecUtils.invalidize_param_value('format', 'SaveShapeOnline', paramformat, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveShapeOnline', 'format', paramformat)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_shape_online_with_http_info(paramdocument, paramslide_index, paramshape_index, paramformat, paramout_path, paramscale_x, paramscale_y, parambounds, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveShapeOnline', 'format')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShapeOnline', 'format', paramformat)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShapeOnline', 'format', paramformat)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid out_path' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SaveShapeOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveShapeOnline', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveShapeOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveShapeOnline', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveShapeOnline', 'String')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveShapeOnline', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveShapeOnline', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveShapeOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveShapeOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveShapeOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveShapeOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveShapeOnline', 'IShapeExportOptions')
      paramout_path = AsposeSlidesCloud::SpecUtils.invalidize_param_value('outPath', 'SaveShapeOnline', paramout_path, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveShapeOnline', 'outPath', paramout_path)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_shape_online_with_http_info(paramdocument, paramslide_index, paramshape_index, paramformat, paramout_path, paramscale_x, paramscale_y, parambounds, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveShapeOnline', 'outPath')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShapeOnline', 'outPath', paramout_path)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShapeOnline', 'outPath', paramout_path)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid scale_x' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SaveShapeOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveShapeOnline', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveShapeOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveShapeOnline', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveShapeOnline', 'String')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveShapeOnline', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveShapeOnline', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveShapeOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveShapeOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveShapeOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveShapeOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveShapeOnline', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.invalidize_param_value('scaleX', 'SaveShapeOnline', paramscale_x, 'Float')
      AsposeSlidesCloud::SpecUtils.initialize('SaveShapeOnline', 'scaleX', paramscale_x)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_shape_online_with_http_info(paramdocument, paramslide_index, paramshape_index, paramformat, paramout_path, paramscale_x, paramscale_y, parambounds, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveShapeOnline', 'scaleX')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShapeOnline', 'scaleX', paramscale_x)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShapeOnline', 'scaleX', paramscale_x)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid scale_y' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SaveShapeOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveShapeOnline', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveShapeOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveShapeOnline', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveShapeOnline', 'String')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveShapeOnline', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveShapeOnline', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveShapeOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveShapeOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveShapeOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveShapeOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveShapeOnline', 'IShapeExportOptions')
      paramscale_y = AsposeSlidesCloud::SpecUtils.invalidize_param_value('scaleY', 'SaveShapeOnline', paramscale_y, 'Float')
      AsposeSlidesCloud::SpecUtils.initialize('SaveShapeOnline', 'scaleY', paramscale_y)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_shape_online_with_http_info(paramdocument, paramslide_index, paramshape_index, paramformat, paramout_path, paramscale_x, paramscale_y, parambounds, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveShapeOnline', 'scaleY')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShapeOnline', 'scaleY', paramscale_y)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShapeOnline', 'scaleY', paramscale_y)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid bounds' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SaveShapeOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveShapeOnline', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveShapeOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveShapeOnline', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveShapeOnline', 'String')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveShapeOnline', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveShapeOnline', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveShapeOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveShapeOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveShapeOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveShapeOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveShapeOnline', 'IShapeExportOptions')
      parambounds = AsposeSlidesCloud::SpecUtils.invalidize_param_value('bounds', 'SaveShapeOnline', parambounds, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveShapeOnline', 'bounds', parambounds)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_shape_online_with_http_info(paramdocument, paramslide_index, paramshape_index, paramformat, paramout_path, paramscale_x, paramscale_y, parambounds, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveShapeOnline', 'bounds')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShapeOnline', 'bounds', parambounds)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShapeOnline', 'bounds', parambounds)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SaveShapeOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveShapeOnline', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveShapeOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveShapeOnline', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveShapeOnline', 'String')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveShapeOnline', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveShapeOnline', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveShapeOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveShapeOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveShapeOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveShapeOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveShapeOnline', 'IShapeExportOptions')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'SaveShapeOnline', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveShapeOnline', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_shape_online_with_http_info(paramdocument, paramslide_index, paramshape_index, paramformat, paramout_path, paramscale_x, paramscale_y, parambounds, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveShapeOnline', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShapeOnline', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShapeOnline', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SaveShapeOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveShapeOnline', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveShapeOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveShapeOnline', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveShapeOnline', 'String')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveShapeOnline', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveShapeOnline', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveShapeOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveShapeOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveShapeOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveShapeOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveShapeOnline', 'IShapeExportOptions')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'SaveShapeOnline', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveShapeOnline', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_shape_online_with_http_info(paramdocument, paramslide_index, paramshape_index, paramformat, paramout_path, paramscale_x, paramscale_y, parambounds, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveShapeOnline', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShapeOnline', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShapeOnline', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid fonts_folder' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SaveShapeOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveShapeOnline', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveShapeOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveShapeOnline', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveShapeOnline', 'String')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveShapeOnline', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveShapeOnline', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveShapeOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveShapeOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveShapeOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveShapeOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveShapeOnline', 'IShapeExportOptions')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('fontsFolder', 'SaveShapeOnline', paramfonts_folder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveShapeOnline', 'fontsFolder', paramfonts_folder)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_shape_online_with_http_info(paramdocument, paramslide_index, paramshape_index, paramformat, paramout_path, paramscale_x, paramscale_y, parambounds, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveShapeOnline', 'fontsFolder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShapeOnline', 'fontsFolder', paramfonts_folder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShapeOnline', 'fontsFolder', paramfonts_folder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid options' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SaveShapeOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveShapeOnline', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveShapeOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveShapeOnline', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveShapeOnline', 'String')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveShapeOnline', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveShapeOnline', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveShapeOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveShapeOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveShapeOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveShapeOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveShapeOnline', 'IShapeExportOptions')
      paramoptions = AsposeSlidesCloud::SpecUtils.invalidize_param_value('options', 'SaveShapeOnline', paramoptions, 'IShapeExportOptions')
      AsposeSlidesCloud::SpecUtils.initialize('SaveShapeOnline', 'options', paramoptions)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_shape_online_with_http_info(paramdocument, paramslide_index, paramshape_index, paramformat, paramout_path, paramscale_x, paramscale_y, parambounds, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveShapeOnline', 'options')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShapeOnline', 'options', paramoptions)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveShapeOnline', 'options', paramoptions)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for save_slide
  # Save a slide to a specified format.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param format Output file format.
  # @param out_path Path to upload the output file to.
  # @param [Hash] opts the optional parameters
  # @option opts [ExportOptions] :options Export options.
  # @option opts [Integer] :width Output file width; 0 to not adjust the size. Default is 0.
  # @option opts [Integer] :height Output file height; 0 to not adjust the size. Default is 0.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @option opts [String] :fonts_folder Storage folder containing custom fonts to be used with the document.
  # @return [nil]
  describe 'save_slide test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSlide', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSlide', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSlide', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSlide', 'ExportOptions')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SaveSlide', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SaveSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSlide', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSlide', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSlide', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.save_slide_with_http_info(paramname, paramslide_index, paramformat, paramout_path, paramoptions, paramwidth, paramheight, parampassword, paramfolder, paramstorage, paramfonts_folder)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlide', nil, nil)
      expect(c).to eq(code)
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSlide', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSlide', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSlide', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSlide', 'ExportOptions')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SaveSlide', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SaveSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSlide', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSlide', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'SaveSlide', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSlide', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_slide_with_http_info(paramname, paramslide_index, paramformat, paramout_path, paramoptions, paramwidth, paramheight, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSlide', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlide', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlide', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSlide', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSlide', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSlide', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSlide', 'ExportOptions')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SaveSlide', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SaveSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSlide', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'SaveSlide', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSlide', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_slide_with_http_info(paramname, paramslide_index, paramformat, paramout_path, paramoptions, paramwidth, paramheight, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSlide', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlide', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlide', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid format' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSlide', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSlide', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSlide', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSlide', 'ExportOptions')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SaveSlide', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SaveSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSlide', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSlide', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.invalidize_param_value('format', 'SaveSlide', paramformat, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSlide', 'format', paramformat)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_slide_with_http_info(paramname, paramslide_index, paramformat, paramout_path, paramoptions, paramwidth, paramheight, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSlide', 'format')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlide', 'format', paramformat)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlide', 'format', paramformat)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid out_path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSlide', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSlide', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSlide', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSlide', 'ExportOptions')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SaveSlide', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SaveSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSlide', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSlide', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.invalidize_param_value('outPath', 'SaveSlide', paramout_path, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSlide', 'outPath', paramout_path)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_slide_with_http_info(paramname, paramslide_index, paramformat, paramout_path, paramoptions, paramwidth, paramheight, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSlide', 'outPath')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlide', 'outPath', paramout_path)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlide', 'outPath', paramout_path)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid options' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSlide', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSlide', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSlide', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSlide', 'ExportOptions')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SaveSlide', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SaveSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSlide', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSlide', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.invalidize_param_value('options', 'SaveSlide', paramoptions, 'ExportOptions')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSlide', 'options', paramoptions)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_slide_with_http_info(paramname, paramslide_index, paramformat, paramout_path, paramoptions, paramwidth, paramheight, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSlide', 'options')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlide', 'options', paramoptions)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlide', 'options', paramoptions)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid width' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSlide', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSlide', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSlide', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSlide', 'ExportOptions')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SaveSlide', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SaveSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSlide', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSlide', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.invalidize_param_value('width', 'SaveSlide', paramwidth, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSlide', 'width', paramwidth)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_slide_with_http_info(paramname, paramslide_index, paramformat, paramout_path, paramoptions, paramwidth, paramheight, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSlide', 'width')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlide', 'width', paramwidth)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlide', 'width', paramwidth)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid height' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSlide', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSlide', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSlide', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSlide', 'ExportOptions')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SaveSlide', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SaveSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSlide', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSlide', 'String')
      paramheight = AsposeSlidesCloud::SpecUtils.invalidize_param_value('height', 'SaveSlide', paramheight, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSlide', 'height', paramheight)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_slide_with_http_info(paramname, paramslide_index, paramformat, paramout_path, paramoptions, paramwidth, paramheight, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSlide', 'height')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlide', 'height', paramheight)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlide', 'height', paramheight)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSlide', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSlide', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSlide', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSlide', 'ExportOptions')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SaveSlide', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SaveSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSlide', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSlide', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'SaveSlide', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSlide', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_slide_with_http_info(paramname, paramslide_index, paramformat, paramout_path, paramoptions, paramwidth, paramheight, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSlide', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlide', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlide', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSlide', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSlide', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSlide', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSlide', 'ExportOptions')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SaveSlide', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SaveSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSlide', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'SaveSlide', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSlide', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_slide_with_http_info(paramname, paramslide_index, paramformat, paramout_path, paramoptions, paramwidth, paramheight, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSlide', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlide', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlide', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSlide', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSlide', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSlide', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSlide', 'ExportOptions')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SaveSlide', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SaveSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSlide', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'SaveSlide', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSlide', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_slide_with_http_info(paramname, paramslide_index, paramformat, paramout_path, paramoptions, paramwidth, paramheight, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSlide', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlide', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlide', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid fonts_folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSlide', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSlide', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSlide', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSlide', 'ExportOptions')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SaveSlide', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SaveSlide', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSlide', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSlide', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('fontsFolder', 'SaveSlide', paramfonts_folder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSlide', 'fontsFolder', paramfonts_folder)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_slide_with_http_info(paramname, paramslide_index, paramformat, paramout_path, paramoptions, paramwidth, paramheight, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSlide', 'fontsFolder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlide', 'fontsFolder', paramfonts_folder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlide', 'fontsFolder', paramfonts_folder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for save_slide_online
  # Save a slide to a specified format.
  # @param document Document data.
  # @param slide_index Slide index.
  # @param format Output file format.
  # @param out_path Path to save result.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :width Output file width; 0 to not adjust the size. Default is 0.
  # @option opts [Integer] :height Output file height; 0 to not adjust the size. Default is 0.
  # @option opts [String] :password Document password.
  # @option opts [String] :storage Document storage.
  # @option opts [String] :fonts_folder Storage folder containing custom fonts to be used with the document.
  # @option opts [ExportOptions] :options Export options.
  # @return [nil]
  describe 'save_slide_online test' do
    it 'should work' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SaveSlideOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSlideOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSlideOnline', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSlideOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SaveSlideOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SaveSlideOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSlideOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSlideOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSlideOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSlideOnline', 'ExportOptions')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSlideOnline', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.save_slide_online_with_http_info(paramdocument, paramslide_index, paramformat, paramout_path, paramwidth, paramheight, parampassword, paramstorage, paramfonts_folder, paramoptions)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlideOnline', nil, nil)
      expect(c).to eq(code)
    end

    it 'invalid document' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SaveSlideOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSlideOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSlideOnline', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSlideOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SaveSlideOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SaveSlideOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSlideOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSlideOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSlideOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSlideOnline', 'ExportOptions')
      paramdocument = AsposeSlidesCloud::SpecUtils.invalidize_param_value('document', 'SaveSlideOnline', paramdocument, 'File')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSlideOnline', 'document', paramdocument)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_slide_online_with_http_info(paramdocument, paramslide_index, paramformat, paramout_path, paramwidth, paramheight, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSlideOnline', 'document')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlideOnline', 'document', paramdocument)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlideOnline', 'document', paramdocument)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SaveSlideOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSlideOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSlideOnline', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSlideOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SaveSlideOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SaveSlideOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSlideOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSlideOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSlideOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSlideOnline', 'ExportOptions')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'SaveSlideOnline', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSlideOnline', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_slide_online_with_http_info(paramdocument, paramslide_index, paramformat, paramout_path, paramwidth, paramheight, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSlideOnline', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlideOnline', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlideOnline', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid format' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SaveSlideOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSlideOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSlideOnline', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSlideOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SaveSlideOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SaveSlideOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSlideOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSlideOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSlideOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSlideOnline', 'ExportOptions')
      paramformat = AsposeSlidesCloud::SpecUtils.invalidize_param_value('format', 'SaveSlideOnline', paramformat, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSlideOnline', 'format', paramformat)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_slide_online_with_http_info(paramdocument, paramslide_index, paramformat, paramout_path, paramwidth, paramheight, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSlideOnline', 'format')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlideOnline', 'format', paramformat)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlideOnline', 'format', paramformat)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid out_path' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SaveSlideOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSlideOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSlideOnline', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSlideOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SaveSlideOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SaveSlideOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSlideOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSlideOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSlideOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSlideOnline', 'ExportOptions')
      paramout_path = AsposeSlidesCloud::SpecUtils.invalidize_param_value('outPath', 'SaveSlideOnline', paramout_path, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSlideOnline', 'outPath', paramout_path)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_slide_online_with_http_info(paramdocument, paramslide_index, paramformat, paramout_path, paramwidth, paramheight, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSlideOnline', 'outPath')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlideOnline', 'outPath', paramout_path)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlideOnline', 'outPath', paramout_path)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid width' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SaveSlideOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSlideOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSlideOnline', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSlideOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SaveSlideOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SaveSlideOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSlideOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSlideOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSlideOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSlideOnline', 'ExportOptions')
      paramwidth = AsposeSlidesCloud::SpecUtils.invalidize_param_value('width', 'SaveSlideOnline', paramwidth, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSlideOnline', 'width', paramwidth)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_slide_online_with_http_info(paramdocument, paramslide_index, paramformat, paramout_path, paramwidth, paramheight, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSlideOnline', 'width')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlideOnline', 'width', paramwidth)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlideOnline', 'width', paramwidth)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid height' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SaveSlideOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSlideOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSlideOnline', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSlideOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SaveSlideOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SaveSlideOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSlideOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSlideOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSlideOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSlideOnline', 'ExportOptions')
      paramheight = AsposeSlidesCloud::SpecUtils.invalidize_param_value('height', 'SaveSlideOnline', paramheight, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSlideOnline', 'height', paramheight)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_slide_online_with_http_info(paramdocument, paramslide_index, paramformat, paramout_path, paramwidth, paramheight, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSlideOnline', 'height')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlideOnline', 'height', paramheight)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlideOnline', 'height', paramheight)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SaveSlideOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSlideOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSlideOnline', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSlideOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SaveSlideOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SaveSlideOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSlideOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSlideOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSlideOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSlideOnline', 'ExportOptions')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'SaveSlideOnline', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSlideOnline', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_slide_online_with_http_info(paramdocument, paramslide_index, paramformat, paramout_path, paramwidth, paramheight, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSlideOnline', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlideOnline', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlideOnline', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SaveSlideOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSlideOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSlideOnline', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSlideOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SaveSlideOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SaveSlideOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSlideOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSlideOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSlideOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSlideOnline', 'ExportOptions')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'SaveSlideOnline', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSlideOnline', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_slide_online_with_http_info(paramdocument, paramslide_index, paramformat, paramout_path, paramwidth, paramheight, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSlideOnline', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlideOnline', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlideOnline', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid fonts_folder' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SaveSlideOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSlideOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSlideOnline', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSlideOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SaveSlideOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SaveSlideOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSlideOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSlideOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSlideOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSlideOnline', 'ExportOptions')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('fontsFolder', 'SaveSlideOnline', paramfonts_folder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSlideOnline', 'fontsFolder', paramfonts_folder)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_slide_online_with_http_info(paramdocument, paramslide_index, paramformat, paramout_path, paramwidth, paramheight, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSlideOnline', 'fontsFolder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlideOnline', 'fontsFolder', paramfonts_folder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlideOnline', 'fontsFolder', paramfonts_folder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid options' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SaveSlideOnline', 'File')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSlideOnline', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSlideOnline', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSlideOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SaveSlideOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SaveSlideOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSlideOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSlideOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSlideOnline', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSlideOnline', 'ExportOptions')
      paramoptions = AsposeSlidesCloud::SpecUtils.invalidize_param_value('options', 'SaveSlideOnline', paramoptions, 'ExportOptions')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSlideOnline', 'options', paramoptions)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_slide_online_with_http_info(paramdocument, paramslide_index, paramformat, paramout_path, paramwidth, paramheight, parampassword, paramstorage, paramfonts_folder, paramoptions)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSlideOnline', 'options')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlideOnline', 'options', paramoptions)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSlideOnline', 'options', paramoptions)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for save_special_slide_shape
  # Render shape to specified picture format.
  # @param name Presentation name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param shape_index Index of shape starting from 1
  # @param format Export picture format.
  # @param out_path Output path.
  # @param [Hash] opts the optional parameters
  # @option opts [IShapeExportOptions] :options export options
  # @option opts [Float] :scale_x X scale ratio.
  # @option opts [Float] :scale_y Y scale ratio.
  # @option opts [String] :bounds Shape thumbnail bounds type.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Presentation folder.
  # @option opts [String] :storage Presentation storage.
  # @option opts [String] :fonts_folder Fonts folder.
  # @return [nil]
  describe 'save_special_slide_shape test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'SaveSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSpecialSlideShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSpecialSlideShape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSpecialSlideShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSpecialSlideShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSpecialSlideShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSpecialSlideShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSpecialSlideShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSpecialSlideShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSpecialSlideShape', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSpecialSlideShape', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.save_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideShape', nil, nil)
      expect(c).to eq(code)
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'SaveSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSpecialSlideShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSpecialSlideShape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSpecialSlideShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSpecialSlideShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSpecialSlideShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSpecialSlideShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSpecialSlideShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSpecialSlideShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSpecialSlideShape', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'SaveSpecialSlideShape', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSpecialSlideShape', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSpecialSlideShape', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideShape', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideShape', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'SaveSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSpecialSlideShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSpecialSlideShape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSpecialSlideShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSpecialSlideShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSpecialSlideShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSpecialSlideShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSpecialSlideShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSpecialSlideShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'SaveSpecialSlideShape', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSpecialSlideShape', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSpecialSlideShape', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideShape', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideShape', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'SaveSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSpecialSlideShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSpecialSlideShape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSpecialSlideShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSpecialSlideShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSpecialSlideShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSpecialSlideShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSpecialSlideShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSpecialSlideShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSpecialSlideShape', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'SaveSpecialSlideShape', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSpecialSlideShape', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSpecialSlideShape', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideShape', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideShape', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'SaveSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSpecialSlideShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSpecialSlideShape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSpecialSlideShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSpecialSlideShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSpecialSlideShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSpecialSlideShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSpecialSlideShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSpecialSlideShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'SaveSpecialSlideShape', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSpecialSlideShape', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSpecialSlideShape', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideShape', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideShape', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid format' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'SaveSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSpecialSlideShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSpecialSlideShape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSpecialSlideShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSpecialSlideShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSpecialSlideShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSpecialSlideShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSpecialSlideShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSpecialSlideShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSpecialSlideShape', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.invalidize_param_value('format', 'SaveSpecialSlideShape', paramformat, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSpecialSlideShape', 'format', paramformat)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSpecialSlideShape', 'format')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideShape', 'format', paramformat)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideShape', 'format', paramformat)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid out_path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'SaveSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSpecialSlideShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSpecialSlideShape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSpecialSlideShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSpecialSlideShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSpecialSlideShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSpecialSlideShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSpecialSlideShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSpecialSlideShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSpecialSlideShape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.invalidize_param_value('outPath', 'SaveSpecialSlideShape', paramout_path, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSpecialSlideShape', 'outPath', paramout_path)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSpecialSlideShape', 'outPath')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideShape', 'outPath', paramout_path)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideShape', 'outPath', paramout_path)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid options' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'SaveSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSpecialSlideShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSpecialSlideShape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSpecialSlideShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSpecialSlideShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSpecialSlideShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSpecialSlideShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSpecialSlideShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSpecialSlideShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSpecialSlideShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.invalidize_param_value('options', 'SaveSpecialSlideShape', paramoptions, 'IShapeExportOptions')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSpecialSlideShape', 'options', paramoptions)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSpecialSlideShape', 'options')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideShape', 'options', paramoptions)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideShape', 'options', paramoptions)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid scale_x' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'SaveSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSpecialSlideShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSpecialSlideShape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSpecialSlideShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSpecialSlideShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSpecialSlideShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSpecialSlideShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSpecialSlideShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSpecialSlideShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSpecialSlideShape', 'String')
      paramscale_x = AsposeSlidesCloud::SpecUtils.invalidize_param_value('scaleX', 'SaveSpecialSlideShape', paramscale_x, 'Float')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSpecialSlideShape', 'scaleX', paramscale_x)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSpecialSlideShape', 'scaleX')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideShape', 'scaleX', paramscale_x)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideShape', 'scaleX', paramscale_x)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid scale_y' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'SaveSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSpecialSlideShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSpecialSlideShape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSpecialSlideShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSpecialSlideShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSpecialSlideShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSpecialSlideShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSpecialSlideShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSpecialSlideShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSpecialSlideShape', 'String')
      paramscale_y = AsposeSlidesCloud::SpecUtils.invalidize_param_value('scaleY', 'SaveSpecialSlideShape', paramscale_y, 'Float')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSpecialSlideShape', 'scaleY', paramscale_y)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSpecialSlideShape', 'scaleY')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideShape', 'scaleY', paramscale_y)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideShape', 'scaleY', paramscale_y)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid bounds' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'SaveSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSpecialSlideShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSpecialSlideShape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSpecialSlideShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSpecialSlideShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSpecialSlideShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSpecialSlideShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSpecialSlideShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSpecialSlideShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSpecialSlideShape', 'String')
      parambounds = AsposeSlidesCloud::SpecUtils.invalidize_param_value('bounds', 'SaveSpecialSlideShape', parambounds, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSpecialSlideShape', 'bounds', parambounds)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSpecialSlideShape', 'bounds')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideShape', 'bounds', parambounds)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideShape', 'bounds', parambounds)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'SaveSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSpecialSlideShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSpecialSlideShape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSpecialSlideShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSpecialSlideShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSpecialSlideShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSpecialSlideShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSpecialSlideShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSpecialSlideShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSpecialSlideShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'SaveSpecialSlideShape', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSpecialSlideShape', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSpecialSlideShape', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideShape', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideShape', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'SaveSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSpecialSlideShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSpecialSlideShape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSpecialSlideShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSpecialSlideShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSpecialSlideShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSpecialSlideShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSpecialSlideShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSpecialSlideShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'SaveSpecialSlideShape', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSpecialSlideShape', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSpecialSlideShape', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideShape', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideShape', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'SaveSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSpecialSlideShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSpecialSlideShape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSpecialSlideShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSpecialSlideShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSpecialSlideShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSpecialSlideShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSpecialSlideShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSpecialSlideShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'SaveSpecialSlideShape', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSpecialSlideShape', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSpecialSlideShape', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideShape', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideShape', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid fonts_folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'SaveSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSpecialSlideShape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSpecialSlideShape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSpecialSlideShape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSpecialSlideShape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSpecialSlideShape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSpecialSlideShape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSpecialSlideShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSpecialSlideShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSpecialSlideShape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('fontsFolder', 'SaveSpecialSlideShape', paramfonts_folder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSpecialSlideShape', 'fontsFolder', paramfonts_folder)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSpecialSlideShape', 'fontsFolder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideShape', 'fontsFolder', paramfonts_folder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideShape', 'fontsFolder', paramfonts_folder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for save_special_slide_subshape
  # Render shape to specified picture format.
  # @param name Presentation name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param path Shape path (for smart art and group shapes).
  # @param shape_index Index of shape starting from 1
  # @param format Export picture format.
  # @param out_path Output path.
  # @param [Hash] opts the optional parameters
  # @option opts [IShapeExportOptions] :options export options
  # @option opts [Float] :scale_x X scale ratio.
  # @option opts [Float] :scale_y Y scale ratio.
  # @option opts [String] :bounds Shape thumbnail bounds type.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Presentation folder.
  # @option opts [String] :storage Presentation storage.
  # @option opts [String] :fonts_folder Fonts folder.
  # @return [nil]
  describe 'save_special_slide_subshape test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'SaveSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'SaveSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSpecialSlideSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSpecialSlideSubshape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSpecialSlideSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSpecialSlideSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSpecialSlideSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSpecialSlideSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSpecialSlideSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSpecialSlideSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSpecialSlideSubshape', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSpecialSlideSubshape', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.save_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideSubshape', nil, nil)
      expect(c).to eq(code)
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'SaveSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'SaveSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSpecialSlideSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSpecialSlideSubshape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSpecialSlideSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSpecialSlideSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSpecialSlideSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSpecialSlideSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSpecialSlideSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSpecialSlideSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSpecialSlideSubshape', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'SaveSpecialSlideSubshape', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSpecialSlideSubshape', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSpecialSlideSubshape', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideSubshape', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideSubshape', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'SaveSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'SaveSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSpecialSlideSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSpecialSlideSubshape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSpecialSlideSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSpecialSlideSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSpecialSlideSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSpecialSlideSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSpecialSlideSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSpecialSlideSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'SaveSpecialSlideSubshape', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSpecialSlideSubshape', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSpecialSlideSubshape', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideSubshape', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideSubshape', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'SaveSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'SaveSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSpecialSlideSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSpecialSlideSubshape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSpecialSlideSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSpecialSlideSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSpecialSlideSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSpecialSlideSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSpecialSlideSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSpecialSlideSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSpecialSlideSubshape', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'SaveSpecialSlideSubshape', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSpecialSlideSubshape', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSpecialSlideSubshape', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideSubshape', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideSubshape', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'SaveSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'SaveSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSpecialSlideSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSpecialSlideSubshape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSpecialSlideSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSpecialSlideSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSpecialSlideSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSpecialSlideSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSpecialSlideSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSpecialSlideSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'SaveSpecialSlideSubshape', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSpecialSlideSubshape', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSpecialSlideSubshape', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideSubshape', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideSubshape', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'SaveSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'SaveSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSpecialSlideSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSpecialSlideSubshape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSpecialSlideSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSpecialSlideSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSpecialSlideSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSpecialSlideSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSpecialSlideSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSpecialSlideSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'SaveSpecialSlideSubshape', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSpecialSlideSubshape', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSpecialSlideSubshape', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideSubshape', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideSubshape', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid format' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'SaveSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'SaveSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSpecialSlideSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSpecialSlideSubshape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSpecialSlideSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSpecialSlideSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSpecialSlideSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSpecialSlideSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSpecialSlideSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSpecialSlideSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSpecialSlideSubshape', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.invalidize_param_value('format', 'SaveSpecialSlideSubshape', paramformat, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSpecialSlideSubshape', 'format', paramformat)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSpecialSlideSubshape', 'format')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideSubshape', 'format', paramformat)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideSubshape', 'format', paramformat)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid out_path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'SaveSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'SaveSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSpecialSlideSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSpecialSlideSubshape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSpecialSlideSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSpecialSlideSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSpecialSlideSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSpecialSlideSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSpecialSlideSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSpecialSlideSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSpecialSlideSubshape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.invalidize_param_value('outPath', 'SaveSpecialSlideSubshape', paramout_path, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSpecialSlideSubshape', 'outPath', paramout_path)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSpecialSlideSubshape', 'outPath')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideSubshape', 'outPath', paramout_path)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideSubshape', 'outPath', paramout_path)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid options' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'SaveSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'SaveSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSpecialSlideSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSpecialSlideSubshape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSpecialSlideSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSpecialSlideSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSpecialSlideSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSpecialSlideSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSpecialSlideSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSpecialSlideSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSpecialSlideSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.invalidize_param_value('options', 'SaveSpecialSlideSubshape', paramoptions, 'IShapeExportOptions')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSpecialSlideSubshape', 'options', paramoptions)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSpecialSlideSubshape', 'options')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideSubshape', 'options', paramoptions)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideSubshape', 'options', paramoptions)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid scale_x' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'SaveSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'SaveSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSpecialSlideSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSpecialSlideSubshape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSpecialSlideSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSpecialSlideSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSpecialSlideSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSpecialSlideSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSpecialSlideSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSpecialSlideSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSpecialSlideSubshape', 'String')
      paramscale_x = AsposeSlidesCloud::SpecUtils.invalidize_param_value('scaleX', 'SaveSpecialSlideSubshape', paramscale_x, 'Float')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSpecialSlideSubshape', 'scaleX', paramscale_x)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSpecialSlideSubshape', 'scaleX')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideSubshape', 'scaleX', paramscale_x)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideSubshape', 'scaleX', paramscale_x)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid scale_y' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'SaveSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'SaveSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSpecialSlideSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSpecialSlideSubshape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSpecialSlideSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSpecialSlideSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSpecialSlideSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSpecialSlideSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSpecialSlideSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSpecialSlideSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSpecialSlideSubshape', 'String')
      paramscale_y = AsposeSlidesCloud::SpecUtils.invalidize_param_value('scaleY', 'SaveSpecialSlideSubshape', paramscale_y, 'Float')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSpecialSlideSubshape', 'scaleY', paramscale_y)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSpecialSlideSubshape', 'scaleY')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideSubshape', 'scaleY', paramscale_y)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideSubshape', 'scaleY', paramscale_y)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid bounds' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'SaveSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'SaveSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSpecialSlideSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSpecialSlideSubshape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSpecialSlideSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSpecialSlideSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSpecialSlideSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSpecialSlideSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSpecialSlideSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSpecialSlideSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSpecialSlideSubshape', 'String')
      parambounds = AsposeSlidesCloud::SpecUtils.invalidize_param_value('bounds', 'SaveSpecialSlideSubshape', parambounds, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSpecialSlideSubshape', 'bounds', parambounds)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSpecialSlideSubshape', 'bounds')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideSubshape', 'bounds', parambounds)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideSubshape', 'bounds', parambounds)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'SaveSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'SaveSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSpecialSlideSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSpecialSlideSubshape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSpecialSlideSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSpecialSlideSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSpecialSlideSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSpecialSlideSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSpecialSlideSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSpecialSlideSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSpecialSlideSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'SaveSpecialSlideSubshape', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSpecialSlideSubshape', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSpecialSlideSubshape', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideSubshape', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideSubshape', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'SaveSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'SaveSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSpecialSlideSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSpecialSlideSubshape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSpecialSlideSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSpecialSlideSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSpecialSlideSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSpecialSlideSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSpecialSlideSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSpecialSlideSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'SaveSpecialSlideSubshape', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSpecialSlideSubshape', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSpecialSlideSubshape', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideSubshape', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideSubshape', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'SaveSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'SaveSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSpecialSlideSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSpecialSlideSubshape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSpecialSlideSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSpecialSlideSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSpecialSlideSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSpecialSlideSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSpecialSlideSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSpecialSlideSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'SaveSpecialSlideSubshape', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSpecialSlideSubshape', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSpecialSlideSubshape', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideSubshape', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideSubshape', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid fonts_folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'SaveSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'SaveSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSpecialSlideSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSpecialSlideSubshape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSpecialSlideSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSpecialSlideSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSpecialSlideSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSpecialSlideSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSpecialSlideSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSpecialSlideSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSpecialSlideSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('fontsFolder', 'SaveSpecialSlideSubshape', paramfonts_folder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSpecialSlideSubshape', 'fontsFolder', paramfonts_folder)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSpecialSlideSubshape', 'fontsFolder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideSubshape', 'fontsFolder', paramfonts_folder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSpecialSlideSubshape', 'fontsFolder', paramfonts_folder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for save_subshape
  # Render shape to specified picture format.
  # @param name Presentation name.
  # @param slide_index Slide index.
  # @param path Shape path (for smart art and group shapes).
  # @param shape_index Index of shape starting from 1
  # @param format Export picture format.
  # @param out_path Output path.
  # @param [Hash] opts the optional parameters
  # @option opts [IShapeExportOptions] :options export options
  # @option opts [Float] :scale_x X scale ratio.
  # @option opts [Float] :scale_y Y scale ratio.
  # @option opts [String] :bounds Shape thumbnail bounds type.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Presentation folder.
  # @option opts [String] :storage Presentation storage.
  # @option opts [String] :fonts_folder Fonts folder.
  # @return [nil]
  describe 'save_subshape test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'SaveSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSubshape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSubshape', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSubshape', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.save_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSubshape', nil, nil)
      expect(c).to eq(code)
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'SaveSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSubshape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSubshape', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'SaveSubshape', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSubshape', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSubshape', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSubshape', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSubshape', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'SaveSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSubshape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'SaveSubshape', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSubshape', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSubshape', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSubshape', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSubshape', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'SaveSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSubshape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'SaveSubshape', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSubshape', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSubshape', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSubshape', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSubshape', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'SaveSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSubshape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'SaveSubshape', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSubshape', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSubshape', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSubshape', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSubshape', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid format' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'SaveSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSubshape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSubshape', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.invalidize_param_value('format', 'SaveSubshape', paramformat, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSubshape', 'format', paramformat)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSubshape', 'format')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSubshape', 'format', paramformat)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSubshape', 'format', paramformat)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid out_path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'SaveSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSubshape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSubshape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.invalidize_param_value('outPath', 'SaveSubshape', paramout_path, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSubshape', 'outPath', paramout_path)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSubshape', 'outPath')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSubshape', 'outPath', paramout_path)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSubshape', 'outPath', paramout_path)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid options' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'SaveSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSubshape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.invalidize_param_value('options', 'SaveSubshape', paramoptions, 'IShapeExportOptions')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSubshape', 'options', paramoptions)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSubshape', 'options')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSubshape', 'options', paramoptions)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSubshape', 'options', paramoptions)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid scale_x' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'SaveSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSubshape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSubshape', 'String')
      paramscale_x = AsposeSlidesCloud::SpecUtils.invalidize_param_value('scaleX', 'SaveSubshape', paramscale_x, 'Float')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSubshape', 'scaleX', paramscale_x)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSubshape', 'scaleX')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSubshape', 'scaleX', paramscale_x)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSubshape', 'scaleX', paramscale_x)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid scale_y' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'SaveSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSubshape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSubshape', 'String')
      paramscale_y = AsposeSlidesCloud::SpecUtils.invalidize_param_value('scaleY', 'SaveSubshape', paramscale_y, 'Float')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSubshape', 'scaleY', paramscale_y)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSubshape', 'scaleY')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSubshape', 'scaleY', paramscale_y)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSubshape', 'scaleY', paramscale_y)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid bounds' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'SaveSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSubshape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSubshape', 'String')
      parambounds = AsposeSlidesCloud::SpecUtils.invalidize_param_value('bounds', 'SaveSubshape', parambounds, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSubshape', 'bounds', parambounds)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSubshape', 'bounds')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSubshape', 'bounds', parambounds)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSubshape', 'bounds', parambounds)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'SaveSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSubshape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'SaveSubshape', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSubshape', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSubshape', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSubshape', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSubshape', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'SaveSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSubshape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'SaveSubshape', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSubshape', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSubshape', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSubshape', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSubshape', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'SaveSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSubshape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'SaveSubshape', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSubshape', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSubshape', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSubshape', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSubshape', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid fonts_folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SaveSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SaveSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'SaveSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SaveSubshape', 'Integer')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SaveSubshape', 'String')
      paramout_path = AsposeSlidesCloud::SpecUtils.get_param_value('outPath', 'SaveSubshape', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'SaveSubshape', 'IShapeExportOptions')
      paramscale_x = AsposeSlidesCloud::SpecUtils.get_param_value('scaleX', 'SaveSubshape', 'Float')
      paramscale_y = AsposeSlidesCloud::SpecUtils.get_param_value('scaleY', 'SaveSubshape', 'Float')
      parambounds = AsposeSlidesCloud::SpecUtils.get_param_value('bounds', 'SaveSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SaveSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SaveSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SaveSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SaveSubshape', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('fontsFolder', 'SaveSubshape', paramfonts_folder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SaveSubshape', 'fontsFolder', paramfonts_folder)
      begin
        AsposeSlidesCloud::SpecUtils.api.save_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramformat, paramout_path, paramoptions, paramscale_x, paramscale_y, parambounds, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SaveSubshape', 'fontsFolder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSubshape', 'fontsFolder', paramfonts_folder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SaveSubshape', 'fontsFolder', paramfonts_folder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for set_animation
  # Set slide animation.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param animation Animation DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [SlideAnimation]
  describe 'set_animation test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetAnimation', 'Integer')
      paramanimation = AsposeSlidesCloud::SpecUtils.get_param_value('animation', 'SetAnimation', 'SlideAnimation')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetAnimation', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetAnimation', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.set_animation_with_http_info(paramname, paramslide_index, paramanimation, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetAnimation', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetAnimation', 'Integer')
      paramanimation = AsposeSlidesCloud::SpecUtils.get_param_value('animation', 'SetAnimation', 'SlideAnimation')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetAnimation', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'SetAnimation', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetAnimation', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_animation_with_http_info(paramname, paramslide_index, paramanimation, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetAnimation', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetAnimation', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetAnimation', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetAnimation', 'Integer')
      paramanimation = AsposeSlidesCloud::SpecUtils.get_param_value('animation', 'SetAnimation', 'SlideAnimation')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'SetAnimation', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('SetAnimation', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_animation_with_http_info(paramname, paramslide_index, paramanimation, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetAnimation', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetAnimation', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetAnimation', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid animation' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetAnimation', 'Integer')
      paramanimation = AsposeSlidesCloud::SpecUtils.get_param_value('animation', 'SetAnimation', 'SlideAnimation')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetAnimation', 'String')
      paramanimation = AsposeSlidesCloud::SpecUtils.invalidize_param_value('animation', 'SetAnimation', paramanimation, 'SlideAnimation')
      AsposeSlidesCloud::SpecUtils.initialize('SetAnimation', 'animation', paramanimation)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_animation_with_http_info(paramname, paramslide_index, paramanimation, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetAnimation', 'animation')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetAnimation', 'animation', paramanimation)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetAnimation', 'animation', paramanimation)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetAnimation', 'Integer')
      paramanimation = AsposeSlidesCloud::SpecUtils.get_param_value('animation', 'SetAnimation', 'SlideAnimation')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetAnimation', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'SetAnimation', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetAnimation', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_animation_with_http_info(paramname, paramslide_index, paramanimation, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetAnimation', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetAnimation', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetAnimation', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetAnimation', 'Integer')
      paramanimation = AsposeSlidesCloud::SpecUtils.get_param_value('animation', 'SetAnimation', 'SlideAnimation')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'SetAnimation', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetAnimation', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_animation_with_http_info(paramname, paramslide_index, paramanimation, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetAnimation', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetAnimation', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetAnimation', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetAnimation', 'Integer')
      paramanimation = AsposeSlidesCloud::SpecUtils.get_param_value('animation', 'SetAnimation', 'SlideAnimation')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'SetAnimation', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetAnimation', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_animation_with_http_info(paramname, paramslide_index, paramanimation, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetAnimation', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetAnimation', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetAnimation', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for set_background
  # Set background for a slide.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param background Slide background update data.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [SlideBackground]
  describe 'set_background test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetBackground', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetBackground', 'Integer')
      parambackground = AsposeSlidesCloud::SpecUtils.get_param_value('background', 'SetBackground', 'SlideBackground')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetBackground', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetBackground', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetBackground', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetBackground', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.set_background_with_http_info(paramname, paramslide_index, parambackground, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetBackground', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetBackground', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetBackground', 'Integer')
      parambackground = AsposeSlidesCloud::SpecUtils.get_param_value('background', 'SetBackground', 'SlideBackground')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetBackground', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetBackground', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetBackground', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'SetBackground', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetBackground', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_background_with_http_info(paramname, paramslide_index, parambackground, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetBackground', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetBackground', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetBackground', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetBackground', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetBackground', 'Integer')
      parambackground = AsposeSlidesCloud::SpecUtils.get_param_value('background', 'SetBackground', 'SlideBackground')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetBackground', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetBackground', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetBackground', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'SetBackground', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('SetBackground', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_background_with_http_info(paramname, paramslide_index, parambackground, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetBackground', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetBackground', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetBackground', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid background' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetBackground', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetBackground', 'Integer')
      parambackground = AsposeSlidesCloud::SpecUtils.get_param_value('background', 'SetBackground', 'SlideBackground')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetBackground', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetBackground', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetBackground', 'String')
      parambackground = AsposeSlidesCloud::SpecUtils.invalidize_param_value('background', 'SetBackground', parambackground, 'SlideBackground')
      AsposeSlidesCloud::SpecUtils.initialize('SetBackground', 'background', parambackground)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_background_with_http_info(paramname, paramslide_index, parambackground, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetBackground', 'background')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetBackground', 'background', parambackground)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetBackground', 'background', parambackground)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetBackground', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetBackground', 'Integer')
      parambackground = AsposeSlidesCloud::SpecUtils.get_param_value('background', 'SetBackground', 'SlideBackground')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetBackground', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetBackground', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetBackground', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'SetBackground', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetBackground', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_background_with_http_info(paramname, paramslide_index, parambackground, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetBackground', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetBackground', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetBackground', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetBackground', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetBackground', 'Integer')
      parambackground = AsposeSlidesCloud::SpecUtils.get_param_value('background', 'SetBackground', 'SlideBackground')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetBackground', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetBackground', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetBackground', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'SetBackground', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetBackground', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_background_with_http_info(paramname, paramslide_index, parambackground, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetBackground', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetBackground', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetBackground', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetBackground', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetBackground', 'Integer')
      parambackground = AsposeSlidesCloud::SpecUtils.get_param_value('background', 'SetBackground', 'SlideBackground')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetBackground', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetBackground', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetBackground', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'SetBackground', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetBackground', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_background_with_http_info(paramname, paramslide_index, parambackground, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetBackground', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetBackground', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetBackground', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for set_background_color
  # Set background color for a slide.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param color Slide background target color in RRGGBB format.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [SlideBackground]
  describe 'set_background_color test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetBackgroundColor', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetBackgroundColor', 'Integer')
      paramcolor = AsposeSlidesCloud::SpecUtils.get_param_value('color', 'SetBackgroundColor', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetBackgroundColor', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetBackgroundColor', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetBackgroundColor', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetBackgroundColor', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.set_background_color_with_http_info(paramname, paramslide_index, paramcolor, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetBackgroundColor', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetBackgroundColor', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetBackgroundColor', 'Integer')
      paramcolor = AsposeSlidesCloud::SpecUtils.get_param_value('color', 'SetBackgroundColor', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetBackgroundColor', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetBackgroundColor', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetBackgroundColor', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'SetBackgroundColor', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetBackgroundColor', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_background_color_with_http_info(paramname, paramslide_index, paramcolor, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetBackgroundColor', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetBackgroundColor', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetBackgroundColor', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetBackgroundColor', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetBackgroundColor', 'Integer')
      paramcolor = AsposeSlidesCloud::SpecUtils.get_param_value('color', 'SetBackgroundColor', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetBackgroundColor', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetBackgroundColor', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetBackgroundColor', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'SetBackgroundColor', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('SetBackgroundColor', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_background_color_with_http_info(paramname, paramslide_index, paramcolor, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetBackgroundColor', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetBackgroundColor', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetBackgroundColor', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid color' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetBackgroundColor', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetBackgroundColor', 'Integer')
      paramcolor = AsposeSlidesCloud::SpecUtils.get_param_value('color', 'SetBackgroundColor', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetBackgroundColor', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetBackgroundColor', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetBackgroundColor', 'String')
      paramcolor = AsposeSlidesCloud::SpecUtils.invalidize_param_value('color', 'SetBackgroundColor', paramcolor, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetBackgroundColor', 'color', paramcolor)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_background_color_with_http_info(paramname, paramslide_index, paramcolor, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetBackgroundColor', 'color')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetBackgroundColor', 'color', paramcolor)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetBackgroundColor', 'color', paramcolor)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetBackgroundColor', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetBackgroundColor', 'Integer')
      paramcolor = AsposeSlidesCloud::SpecUtils.get_param_value('color', 'SetBackgroundColor', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetBackgroundColor', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetBackgroundColor', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetBackgroundColor', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'SetBackgroundColor', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetBackgroundColor', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_background_color_with_http_info(paramname, paramslide_index, paramcolor, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetBackgroundColor', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetBackgroundColor', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetBackgroundColor', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetBackgroundColor', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetBackgroundColor', 'Integer')
      paramcolor = AsposeSlidesCloud::SpecUtils.get_param_value('color', 'SetBackgroundColor', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetBackgroundColor', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetBackgroundColor', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetBackgroundColor', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'SetBackgroundColor', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetBackgroundColor', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_background_color_with_http_info(paramname, paramslide_index, paramcolor, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetBackgroundColor', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetBackgroundColor', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetBackgroundColor', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetBackgroundColor', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetBackgroundColor', 'Integer')
      paramcolor = AsposeSlidesCloud::SpecUtils.get_param_value('color', 'SetBackgroundColor', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetBackgroundColor', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetBackgroundColor', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetBackgroundColor', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'SetBackgroundColor', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetBackgroundColor', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_background_color_with_http_info(paramname, paramslide_index, paramcolor, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetBackgroundColor', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetBackgroundColor', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetBackgroundColor', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for set_document_properties
  # Set document properties.
  # @param name Document name.
  # @param properties New properties.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [DocumentProperties]
  describe 'set_document_properties test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetDocumentProperties', 'String')
      paramproperties = AsposeSlidesCloud::SpecUtils.get_param_value('properties', 'SetDocumentProperties', 'DocumentProperties')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetDocumentProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetDocumentProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetDocumentProperties', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetDocumentProperties', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.set_document_properties_with_http_info(paramname, paramproperties, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetDocumentProperties', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetDocumentProperties', 'String')
      paramproperties = AsposeSlidesCloud::SpecUtils.get_param_value('properties', 'SetDocumentProperties', 'DocumentProperties')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetDocumentProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetDocumentProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetDocumentProperties', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'SetDocumentProperties', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetDocumentProperties', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_document_properties_with_http_info(paramname, paramproperties, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetDocumentProperties', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetDocumentProperties', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetDocumentProperties', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid properties' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetDocumentProperties', 'String')
      paramproperties = AsposeSlidesCloud::SpecUtils.get_param_value('properties', 'SetDocumentProperties', 'DocumentProperties')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetDocumentProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetDocumentProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetDocumentProperties', 'String')
      paramproperties = AsposeSlidesCloud::SpecUtils.invalidize_param_value('properties', 'SetDocumentProperties', paramproperties, 'DocumentProperties')
      AsposeSlidesCloud::SpecUtils.initialize('SetDocumentProperties', 'properties', paramproperties)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_document_properties_with_http_info(paramname, paramproperties, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetDocumentProperties', 'properties')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetDocumentProperties', 'properties', paramproperties)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetDocumentProperties', 'properties', paramproperties)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetDocumentProperties', 'String')
      paramproperties = AsposeSlidesCloud::SpecUtils.get_param_value('properties', 'SetDocumentProperties', 'DocumentProperties')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetDocumentProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetDocumentProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetDocumentProperties', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'SetDocumentProperties', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetDocumentProperties', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_document_properties_with_http_info(paramname, paramproperties, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetDocumentProperties', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetDocumentProperties', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetDocumentProperties', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetDocumentProperties', 'String')
      paramproperties = AsposeSlidesCloud::SpecUtils.get_param_value('properties', 'SetDocumentProperties', 'DocumentProperties')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetDocumentProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetDocumentProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetDocumentProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'SetDocumentProperties', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetDocumentProperties', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_document_properties_with_http_info(paramname, paramproperties, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetDocumentProperties', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetDocumentProperties', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetDocumentProperties', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetDocumentProperties', 'String')
      paramproperties = AsposeSlidesCloud::SpecUtils.get_param_value('properties', 'SetDocumentProperties', 'DocumentProperties')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetDocumentProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetDocumentProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetDocumentProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'SetDocumentProperties', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetDocumentProperties', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_document_properties_with_http_info(paramname, paramproperties, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetDocumentProperties', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetDocumentProperties', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetDocumentProperties', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for set_document_property
  # Set document property.
  # @param name Document name.
  # @param property_name The property name.
  # @param property Property with the value.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [DocumentProperty]
  describe 'set_document_property test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetDocumentProperty', 'String')
      paramproperty_name = AsposeSlidesCloud::SpecUtils.get_param_value('propertyName', 'SetDocumentProperty', 'String')
      paramproperty = AsposeSlidesCloud::SpecUtils.get_param_value('property', 'SetDocumentProperty', 'DocumentProperty')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetDocumentProperty', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetDocumentProperty', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetDocumentProperty', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetDocumentProperty', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.set_document_property_with_http_info(paramname, paramproperty_name, paramproperty, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetDocumentProperty', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetDocumentProperty', 'String')
      paramproperty_name = AsposeSlidesCloud::SpecUtils.get_param_value('propertyName', 'SetDocumentProperty', 'String')
      paramproperty = AsposeSlidesCloud::SpecUtils.get_param_value('property', 'SetDocumentProperty', 'DocumentProperty')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetDocumentProperty', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetDocumentProperty', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetDocumentProperty', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'SetDocumentProperty', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetDocumentProperty', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_document_property_with_http_info(paramname, paramproperty_name, paramproperty, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetDocumentProperty', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetDocumentProperty', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetDocumentProperty', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid property_name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetDocumentProperty', 'String')
      paramproperty_name = AsposeSlidesCloud::SpecUtils.get_param_value('propertyName', 'SetDocumentProperty', 'String')
      paramproperty = AsposeSlidesCloud::SpecUtils.get_param_value('property', 'SetDocumentProperty', 'DocumentProperty')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetDocumentProperty', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetDocumentProperty', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetDocumentProperty', 'String')
      paramproperty_name = AsposeSlidesCloud::SpecUtils.invalidize_param_value('propertyName', 'SetDocumentProperty', paramproperty_name, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetDocumentProperty', 'propertyName', paramproperty_name)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_document_property_with_http_info(paramname, paramproperty_name, paramproperty, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetDocumentProperty', 'propertyName')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetDocumentProperty', 'propertyName', paramproperty_name)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetDocumentProperty', 'propertyName', paramproperty_name)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid property' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetDocumentProperty', 'String')
      paramproperty_name = AsposeSlidesCloud::SpecUtils.get_param_value('propertyName', 'SetDocumentProperty', 'String')
      paramproperty = AsposeSlidesCloud::SpecUtils.get_param_value('property', 'SetDocumentProperty', 'DocumentProperty')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetDocumentProperty', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetDocumentProperty', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetDocumentProperty', 'String')
      paramproperty = AsposeSlidesCloud::SpecUtils.invalidize_param_value('property', 'SetDocumentProperty', paramproperty, 'DocumentProperty')
      AsposeSlidesCloud::SpecUtils.initialize('SetDocumentProperty', 'property', paramproperty)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_document_property_with_http_info(paramname, paramproperty_name, paramproperty, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetDocumentProperty', 'property')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetDocumentProperty', 'property', paramproperty)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetDocumentProperty', 'property', paramproperty)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetDocumentProperty', 'String')
      paramproperty_name = AsposeSlidesCloud::SpecUtils.get_param_value('propertyName', 'SetDocumentProperty', 'String')
      paramproperty = AsposeSlidesCloud::SpecUtils.get_param_value('property', 'SetDocumentProperty', 'DocumentProperty')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetDocumentProperty', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetDocumentProperty', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetDocumentProperty', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'SetDocumentProperty', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetDocumentProperty', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_document_property_with_http_info(paramname, paramproperty_name, paramproperty, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetDocumentProperty', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetDocumentProperty', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetDocumentProperty', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetDocumentProperty', 'String')
      paramproperty_name = AsposeSlidesCloud::SpecUtils.get_param_value('propertyName', 'SetDocumentProperty', 'String')
      paramproperty = AsposeSlidesCloud::SpecUtils.get_param_value('property', 'SetDocumentProperty', 'DocumentProperty')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetDocumentProperty', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetDocumentProperty', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetDocumentProperty', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'SetDocumentProperty', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetDocumentProperty', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_document_property_with_http_info(paramname, paramproperty_name, paramproperty, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetDocumentProperty', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetDocumentProperty', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetDocumentProperty', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetDocumentProperty', 'String')
      paramproperty_name = AsposeSlidesCloud::SpecUtils.get_param_value('propertyName', 'SetDocumentProperty', 'String')
      paramproperty = AsposeSlidesCloud::SpecUtils.get_param_value('property', 'SetDocumentProperty', 'DocumentProperty')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetDocumentProperty', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetDocumentProperty', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetDocumentProperty', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'SetDocumentProperty', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetDocumentProperty', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_document_property_with_http_info(paramname, paramproperty_name, paramproperty, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetDocumentProperty', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetDocumentProperty', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetDocumentProperty', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for set_notes_slide_header_footer
  # Set header/footer the notes slide.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param dto Header/footer to set.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [NotesSlideHeaderFooter]
  describe 'set_notes_slide_header_footer test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetNotesSlideHeaderFooter', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetNotesSlideHeaderFooter', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetNotesSlideHeaderFooter', 'NotesSlideHeaderFooter')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetNotesSlideHeaderFooter', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetNotesSlideHeaderFooter', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetNotesSlideHeaderFooter', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetNotesSlideHeaderFooter', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.set_notes_slide_header_footer_with_http_info(paramname, paramslide_index, paramdto, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetNotesSlideHeaderFooter', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetNotesSlideHeaderFooter', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetNotesSlideHeaderFooter', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetNotesSlideHeaderFooter', 'NotesSlideHeaderFooter')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetNotesSlideHeaderFooter', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetNotesSlideHeaderFooter', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetNotesSlideHeaderFooter', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'SetNotesSlideHeaderFooter', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetNotesSlideHeaderFooter', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_notes_slide_header_footer_with_http_info(paramname, paramslide_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetNotesSlideHeaderFooter', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetNotesSlideHeaderFooter', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetNotesSlideHeaderFooter', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetNotesSlideHeaderFooter', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetNotesSlideHeaderFooter', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetNotesSlideHeaderFooter', 'NotesSlideHeaderFooter')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetNotesSlideHeaderFooter', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetNotesSlideHeaderFooter', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetNotesSlideHeaderFooter', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'SetNotesSlideHeaderFooter', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('SetNotesSlideHeaderFooter', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_notes_slide_header_footer_with_http_info(paramname, paramslide_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetNotesSlideHeaderFooter', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetNotesSlideHeaderFooter', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetNotesSlideHeaderFooter', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dto' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetNotesSlideHeaderFooter', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetNotesSlideHeaderFooter', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetNotesSlideHeaderFooter', 'NotesSlideHeaderFooter')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetNotesSlideHeaderFooter', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetNotesSlideHeaderFooter', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetNotesSlideHeaderFooter', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('dto', 'SetNotesSlideHeaderFooter', paramdto, 'NotesSlideHeaderFooter')
      AsposeSlidesCloud::SpecUtils.initialize('SetNotesSlideHeaderFooter', 'dto', paramdto)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_notes_slide_header_footer_with_http_info(paramname, paramslide_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetNotesSlideHeaderFooter', 'dto')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetNotesSlideHeaderFooter', 'dto', paramdto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetNotesSlideHeaderFooter', 'dto', paramdto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetNotesSlideHeaderFooter', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetNotesSlideHeaderFooter', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetNotesSlideHeaderFooter', 'NotesSlideHeaderFooter')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetNotesSlideHeaderFooter', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetNotesSlideHeaderFooter', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetNotesSlideHeaderFooter', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'SetNotesSlideHeaderFooter', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetNotesSlideHeaderFooter', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_notes_slide_header_footer_with_http_info(paramname, paramslide_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetNotesSlideHeaderFooter', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetNotesSlideHeaderFooter', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetNotesSlideHeaderFooter', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetNotesSlideHeaderFooter', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetNotesSlideHeaderFooter', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetNotesSlideHeaderFooter', 'NotesSlideHeaderFooter')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetNotesSlideHeaderFooter', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetNotesSlideHeaderFooter', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetNotesSlideHeaderFooter', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'SetNotesSlideHeaderFooter', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetNotesSlideHeaderFooter', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_notes_slide_header_footer_with_http_info(paramname, paramslide_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetNotesSlideHeaderFooter', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetNotesSlideHeaderFooter', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetNotesSlideHeaderFooter', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetNotesSlideHeaderFooter', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetNotesSlideHeaderFooter', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetNotesSlideHeaderFooter', 'NotesSlideHeaderFooter')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetNotesSlideHeaderFooter', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetNotesSlideHeaderFooter', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetNotesSlideHeaderFooter', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'SetNotesSlideHeaderFooter', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetNotesSlideHeaderFooter', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_notes_slide_header_footer_with_http_info(paramname, paramslide_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetNotesSlideHeaderFooter', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetNotesSlideHeaderFooter', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetNotesSlideHeaderFooter', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for set_presentation_header_footer
  # Set footers for all slides in a presentation.
  # @param name Document name.
  # @param dto HeaderFooter instance.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Document]
  describe 'set_presentation_header_footer test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetPresentationHeaderFooter', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetPresentationHeaderFooter', 'HeaderFooter')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetPresentationHeaderFooter', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetPresentationHeaderFooter', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetPresentationHeaderFooter', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetPresentationHeaderFooter', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.set_presentation_header_footer_with_http_info(paramname, paramdto, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetPresentationHeaderFooter', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetPresentationHeaderFooter', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetPresentationHeaderFooter', 'HeaderFooter')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetPresentationHeaderFooter', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetPresentationHeaderFooter', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetPresentationHeaderFooter', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'SetPresentationHeaderFooter', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetPresentationHeaderFooter', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_presentation_header_footer_with_http_info(paramname, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetPresentationHeaderFooter', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetPresentationHeaderFooter', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetPresentationHeaderFooter', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dto' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetPresentationHeaderFooter', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetPresentationHeaderFooter', 'HeaderFooter')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetPresentationHeaderFooter', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetPresentationHeaderFooter', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetPresentationHeaderFooter', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('dto', 'SetPresentationHeaderFooter', paramdto, 'HeaderFooter')
      AsposeSlidesCloud::SpecUtils.initialize('SetPresentationHeaderFooter', 'dto', paramdto)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_presentation_header_footer_with_http_info(paramname, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetPresentationHeaderFooter', 'dto')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetPresentationHeaderFooter', 'dto', paramdto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetPresentationHeaderFooter', 'dto', paramdto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetPresentationHeaderFooter', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetPresentationHeaderFooter', 'HeaderFooter')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetPresentationHeaderFooter', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetPresentationHeaderFooter', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetPresentationHeaderFooter', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'SetPresentationHeaderFooter', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetPresentationHeaderFooter', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_presentation_header_footer_with_http_info(paramname, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetPresentationHeaderFooter', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetPresentationHeaderFooter', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetPresentationHeaderFooter', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetPresentationHeaderFooter', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetPresentationHeaderFooter', 'HeaderFooter')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetPresentationHeaderFooter', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetPresentationHeaderFooter', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetPresentationHeaderFooter', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'SetPresentationHeaderFooter', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetPresentationHeaderFooter', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_presentation_header_footer_with_http_info(paramname, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetPresentationHeaderFooter', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetPresentationHeaderFooter', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetPresentationHeaderFooter', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetPresentationHeaderFooter', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetPresentationHeaderFooter', 'HeaderFooter')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetPresentationHeaderFooter', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetPresentationHeaderFooter', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetPresentationHeaderFooter', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'SetPresentationHeaderFooter', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetPresentationHeaderFooter', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_presentation_header_footer_with_http_info(paramname, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetPresentationHeaderFooter', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetPresentationHeaderFooter', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetPresentationHeaderFooter', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for set_protection
  # Updates presentation protection properties.
  # @param name Document name.
  # @param dto Protection properties.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [ProtectionProperties]
  describe 'set_protection test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetProtection', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetProtection', 'ProtectionProperties')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetProtection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetProtection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetProtection', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetProtection', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.set_protection_with_http_info(paramname, paramdto, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetProtection', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetProtection', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetProtection', 'ProtectionProperties')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetProtection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetProtection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetProtection', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'SetProtection', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetProtection', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_protection_with_http_info(paramname, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetProtection', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetProtection', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetProtection', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dto' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetProtection', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetProtection', 'ProtectionProperties')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetProtection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetProtection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetProtection', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('dto', 'SetProtection', paramdto, 'ProtectionProperties')
      AsposeSlidesCloud::SpecUtils.initialize('SetProtection', 'dto', paramdto)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_protection_with_http_info(paramname, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetProtection', 'dto')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetProtection', 'dto', paramdto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetProtection', 'dto', paramdto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetProtection', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetProtection', 'ProtectionProperties')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetProtection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetProtection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetProtection', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'SetProtection', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetProtection', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_protection_with_http_info(paramname, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetProtection', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetProtection', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetProtection', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetProtection', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetProtection', 'ProtectionProperties')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetProtection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetProtection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetProtection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'SetProtection', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetProtection', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_protection_with_http_info(paramname, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetProtection', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetProtection', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetProtection', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetProtection', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetProtection', 'ProtectionProperties')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetProtection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetProtection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetProtection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'SetProtection', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetProtection', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_protection_with_http_info(paramname, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetProtection', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetProtection', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetProtection', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for set_protection_online
  # Sets presentation protection options. 
  # @param document Document data.
  # @param dto Protection properties.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @return [File]
  describe 'set_protection_online test' do
    it 'should work' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SetProtectionOnline', 'File')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetProtectionOnline', 'ProtectionProperties')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetProtectionOnline', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetProtectionOnline', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.set_protection_online_with_http_info(paramdocument, paramdto, parampassword)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetProtectionOnline', nil, nil)
      expect(c).to eq(code)
    end

    it 'invalid document' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SetProtectionOnline', 'File')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetProtectionOnline', 'ProtectionProperties')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetProtectionOnline', 'String')
      paramdocument = AsposeSlidesCloud::SpecUtils.invalidize_param_value('document', 'SetProtectionOnline', paramdocument, 'File')
      AsposeSlidesCloud::SpecUtils.initialize('SetProtectionOnline', 'document', paramdocument)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_protection_online_with_http_info(paramdocument, paramdto, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetProtectionOnline', 'document')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetProtectionOnline', 'document', paramdocument)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetProtectionOnline', 'document', paramdocument)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dto' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SetProtectionOnline', 'File')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetProtectionOnline', 'ProtectionProperties')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetProtectionOnline', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('dto', 'SetProtectionOnline', paramdto, 'ProtectionProperties')
      AsposeSlidesCloud::SpecUtils.initialize('SetProtectionOnline', 'dto', paramdto)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_protection_online_with_http_info(paramdocument, paramdto, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetProtectionOnline', 'dto')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetProtectionOnline', 'dto', paramdto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetProtectionOnline', 'dto', paramdto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SetProtectionOnline', 'File')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetProtectionOnline', 'ProtectionProperties')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetProtectionOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'SetProtectionOnline', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetProtectionOnline', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_protection_online_with_http_info(paramdocument, paramdto, parampassword)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetProtectionOnline', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetProtectionOnline', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetProtectionOnline', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for set_sections
  # Replace existing presentation sections with the ones provided in the sections DTO.
  # @param name Document name.
  # @param sections Sections DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Sections]
  describe 'set_sections test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetSections', 'String')
      paramsections = AsposeSlidesCloud::SpecUtils.get_param_value('sections', 'SetSections', 'Sections')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetSections', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetSections', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetSections', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetSections', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.set_sections_with_http_info(paramname, paramsections, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSections', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetSections', 'String')
      paramsections = AsposeSlidesCloud::SpecUtils.get_param_value('sections', 'SetSections', 'Sections')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetSections', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetSections', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetSections', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'SetSections', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetSections', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_sections_with_http_info(paramname, paramsections, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetSections', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSections', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSections', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid sections' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetSections', 'String')
      paramsections = AsposeSlidesCloud::SpecUtils.get_param_value('sections', 'SetSections', 'Sections')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetSections', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetSections', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetSections', 'String')
      paramsections = AsposeSlidesCloud::SpecUtils.invalidize_param_value('sections', 'SetSections', paramsections, 'Sections')
      AsposeSlidesCloud::SpecUtils.initialize('SetSections', 'sections', paramsections)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_sections_with_http_info(paramname, paramsections, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetSections', 'sections')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSections', 'sections', paramsections)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSections', 'sections', paramsections)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetSections', 'String')
      paramsections = AsposeSlidesCloud::SpecUtils.get_param_value('sections', 'SetSections', 'Sections')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetSections', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetSections', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetSections', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'SetSections', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetSections', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_sections_with_http_info(paramname, paramsections, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetSections', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSections', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSections', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetSections', 'String')
      paramsections = AsposeSlidesCloud::SpecUtils.get_param_value('sections', 'SetSections', 'Sections')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetSections', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetSections', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetSections', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'SetSections', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetSections', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_sections_with_http_info(paramname, paramsections, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetSections', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSections', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSections', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetSections', 'String')
      paramsections = AsposeSlidesCloud::SpecUtils.get_param_value('sections', 'SetSections', 'Sections')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetSections', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetSections', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetSections', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'SetSections', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetSections', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_sections_with_http_info(paramname, paramsections, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetSections', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSections', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSections', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for set_shape_geometry_path
  # Sets geometry path to the shape
  # @param name Document name.
  # @param slide_index Slide index.
  # @param shape_index Shape index.
  # @param dto Geometry paths DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [ShapeBase]
  describe 'set_shape_geometry_path test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetShapeGeometryPath', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetShapeGeometryPath', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SetShapeGeometryPath', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetShapeGeometryPath', 'GeometryPaths')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetShapeGeometryPath', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetShapeGeometryPath', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetShapeGeometryPath', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetShapeGeometryPath', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.set_shape_geometry_path_with_http_info(paramname, paramslide_index, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetShapeGeometryPath', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetShapeGeometryPath', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetShapeGeometryPath', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SetShapeGeometryPath', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetShapeGeometryPath', 'GeometryPaths')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetShapeGeometryPath', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetShapeGeometryPath', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetShapeGeometryPath', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'SetShapeGeometryPath', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetShapeGeometryPath', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_shape_geometry_path_with_http_info(paramname, paramslide_index, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetShapeGeometryPath', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetShapeGeometryPath', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetShapeGeometryPath', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetShapeGeometryPath', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetShapeGeometryPath', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SetShapeGeometryPath', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetShapeGeometryPath', 'GeometryPaths')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetShapeGeometryPath', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetShapeGeometryPath', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetShapeGeometryPath', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'SetShapeGeometryPath', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('SetShapeGeometryPath', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_shape_geometry_path_with_http_info(paramname, paramslide_index, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetShapeGeometryPath', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetShapeGeometryPath', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetShapeGeometryPath', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetShapeGeometryPath', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetShapeGeometryPath', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SetShapeGeometryPath', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetShapeGeometryPath', 'GeometryPaths')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetShapeGeometryPath', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetShapeGeometryPath', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetShapeGeometryPath', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'SetShapeGeometryPath', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('SetShapeGeometryPath', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_shape_geometry_path_with_http_info(paramname, paramslide_index, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetShapeGeometryPath', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetShapeGeometryPath', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetShapeGeometryPath', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dto' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetShapeGeometryPath', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetShapeGeometryPath', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SetShapeGeometryPath', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetShapeGeometryPath', 'GeometryPaths')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetShapeGeometryPath', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetShapeGeometryPath', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetShapeGeometryPath', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('dto', 'SetShapeGeometryPath', paramdto, 'GeometryPaths')
      AsposeSlidesCloud::SpecUtils.initialize('SetShapeGeometryPath', 'dto', paramdto)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_shape_geometry_path_with_http_info(paramname, paramslide_index, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetShapeGeometryPath', 'dto')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetShapeGeometryPath', 'dto', paramdto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetShapeGeometryPath', 'dto', paramdto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetShapeGeometryPath', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetShapeGeometryPath', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SetShapeGeometryPath', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetShapeGeometryPath', 'GeometryPaths')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetShapeGeometryPath', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetShapeGeometryPath', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetShapeGeometryPath', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'SetShapeGeometryPath', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetShapeGeometryPath', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_shape_geometry_path_with_http_info(paramname, paramslide_index, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetShapeGeometryPath', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetShapeGeometryPath', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetShapeGeometryPath', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetShapeGeometryPath', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetShapeGeometryPath', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SetShapeGeometryPath', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetShapeGeometryPath', 'GeometryPaths')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetShapeGeometryPath', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetShapeGeometryPath', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetShapeGeometryPath', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'SetShapeGeometryPath', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetShapeGeometryPath', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_shape_geometry_path_with_http_info(paramname, paramslide_index, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetShapeGeometryPath', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetShapeGeometryPath', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetShapeGeometryPath', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetShapeGeometryPath', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetShapeGeometryPath', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'SetShapeGeometryPath', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetShapeGeometryPath', 'GeometryPaths')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetShapeGeometryPath', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetShapeGeometryPath', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetShapeGeometryPath', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'SetShapeGeometryPath', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetShapeGeometryPath', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_shape_geometry_path_with_http_info(paramname, paramslide_index, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetShapeGeometryPath', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetShapeGeometryPath', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetShapeGeometryPath', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for set_slide_header_footer
  # Set footer the slide.
  # @param name Document name.
  # @param slide_index The position of the slide to be reordered.
  # @param dto Footer to set.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [HeaderFooter]
  describe 'set_slide_header_footer test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetSlideHeaderFooter', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetSlideHeaderFooter', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetSlideHeaderFooter', 'HeaderFooter')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetSlideHeaderFooter', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetSlideHeaderFooter', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetSlideHeaderFooter', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetSlideHeaderFooter', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.set_slide_header_footer_with_http_info(paramname, paramslide_index, paramdto, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSlideHeaderFooter', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetSlideHeaderFooter', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetSlideHeaderFooter', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetSlideHeaderFooter', 'HeaderFooter')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetSlideHeaderFooter', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetSlideHeaderFooter', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetSlideHeaderFooter', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'SetSlideHeaderFooter', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetSlideHeaderFooter', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_slide_header_footer_with_http_info(paramname, paramslide_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetSlideHeaderFooter', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSlideHeaderFooter', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSlideHeaderFooter', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetSlideHeaderFooter', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetSlideHeaderFooter', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetSlideHeaderFooter', 'HeaderFooter')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetSlideHeaderFooter', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetSlideHeaderFooter', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetSlideHeaderFooter', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'SetSlideHeaderFooter', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('SetSlideHeaderFooter', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_slide_header_footer_with_http_info(paramname, paramslide_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetSlideHeaderFooter', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSlideHeaderFooter', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSlideHeaderFooter', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dto' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetSlideHeaderFooter', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetSlideHeaderFooter', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetSlideHeaderFooter', 'HeaderFooter')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetSlideHeaderFooter', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetSlideHeaderFooter', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetSlideHeaderFooter', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('dto', 'SetSlideHeaderFooter', paramdto, 'HeaderFooter')
      AsposeSlidesCloud::SpecUtils.initialize('SetSlideHeaderFooter', 'dto', paramdto)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_slide_header_footer_with_http_info(paramname, paramslide_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetSlideHeaderFooter', 'dto')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSlideHeaderFooter', 'dto', paramdto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSlideHeaderFooter', 'dto', paramdto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetSlideHeaderFooter', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetSlideHeaderFooter', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetSlideHeaderFooter', 'HeaderFooter')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetSlideHeaderFooter', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetSlideHeaderFooter', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetSlideHeaderFooter', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'SetSlideHeaderFooter', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetSlideHeaderFooter', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_slide_header_footer_with_http_info(paramname, paramslide_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetSlideHeaderFooter', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSlideHeaderFooter', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSlideHeaderFooter', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetSlideHeaderFooter', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetSlideHeaderFooter', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetSlideHeaderFooter', 'HeaderFooter')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetSlideHeaderFooter', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetSlideHeaderFooter', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetSlideHeaderFooter', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'SetSlideHeaderFooter', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetSlideHeaderFooter', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_slide_header_footer_with_http_info(paramname, paramslide_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetSlideHeaderFooter', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSlideHeaderFooter', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSlideHeaderFooter', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetSlideHeaderFooter', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetSlideHeaderFooter', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetSlideHeaderFooter', 'HeaderFooter')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetSlideHeaderFooter', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetSlideHeaderFooter', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetSlideHeaderFooter', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'SetSlideHeaderFooter', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetSlideHeaderFooter', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_slide_header_footer_with_http_info(paramname, paramslide_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetSlideHeaderFooter', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSlideHeaderFooter', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSlideHeaderFooter', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for set_slide_properties
  # Update presentation slide properties.
  # @param name Document name.
  # @param dto The view properties data.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [SlideProperties]
  describe 'set_slide_properties test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetSlideProperties', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetSlideProperties', 'SlideProperties')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetSlideProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetSlideProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetSlideProperties', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetSlideProperties', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.set_slide_properties_with_http_info(paramname, paramdto, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSlideProperties', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetSlideProperties', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetSlideProperties', 'SlideProperties')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetSlideProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetSlideProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetSlideProperties', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'SetSlideProperties', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetSlideProperties', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_slide_properties_with_http_info(paramname, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetSlideProperties', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSlideProperties', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSlideProperties', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dto' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetSlideProperties', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetSlideProperties', 'SlideProperties')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetSlideProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetSlideProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetSlideProperties', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('dto', 'SetSlideProperties', paramdto, 'SlideProperties')
      AsposeSlidesCloud::SpecUtils.initialize('SetSlideProperties', 'dto', paramdto)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_slide_properties_with_http_info(paramname, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetSlideProperties', 'dto')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSlideProperties', 'dto', paramdto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSlideProperties', 'dto', paramdto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetSlideProperties', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetSlideProperties', 'SlideProperties')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetSlideProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetSlideProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetSlideProperties', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'SetSlideProperties', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetSlideProperties', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_slide_properties_with_http_info(paramname, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetSlideProperties', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSlideProperties', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSlideProperties', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetSlideProperties', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetSlideProperties', 'SlideProperties')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetSlideProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetSlideProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetSlideProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'SetSlideProperties', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetSlideProperties', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_slide_properties_with_http_info(paramname, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetSlideProperties', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSlideProperties', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSlideProperties', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetSlideProperties', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetSlideProperties', 'SlideProperties')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetSlideProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetSlideProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetSlideProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'SetSlideProperties', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetSlideProperties', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_slide_properties_with_http_info(paramname, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetSlideProperties', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSlideProperties', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSlideProperties', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for set_special_slide_animation
  # Set special slide (master, layout, notes) animation.
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param animation Animation DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [SlideAnimation]
  describe 'set_special_slide_animation test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetSpecialSlideAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetSpecialSlideAnimation', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'SetSpecialSlideAnimation', 'String')
      paramanimation = AsposeSlidesCloud::SpecUtils.get_param_value('animation', 'SetSpecialSlideAnimation', 'SlideAnimation')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetSpecialSlideAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetSpecialSlideAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetSpecialSlideAnimation', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetSpecialSlideAnimation', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.set_special_slide_animation_with_http_info(paramname, paramslide_index, paramslide_type, paramanimation, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSpecialSlideAnimation', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetSpecialSlideAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetSpecialSlideAnimation', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'SetSpecialSlideAnimation', 'String')
      paramanimation = AsposeSlidesCloud::SpecUtils.get_param_value('animation', 'SetSpecialSlideAnimation', 'SlideAnimation')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetSpecialSlideAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetSpecialSlideAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetSpecialSlideAnimation', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'SetSpecialSlideAnimation', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetSpecialSlideAnimation', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_special_slide_animation_with_http_info(paramname, paramslide_index, paramslide_type, paramanimation, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetSpecialSlideAnimation', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSpecialSlideAnimation', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSpecialSlideAnimation', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetSpecialSlideAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetSpecialSlideAnimation', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'SetSpecialSlideAnimation', 'String')
      paramanimation = AsposeSlidesCloud::SpecUtils.get_param_value('animation', 'SetSpecialSlideAnimation', 'SlideAnimation')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetSpecialSlideAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetSpecialSlideAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetSpecialSlideAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'SetSpecialSlideAnimation', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('SetSpecialSlideAnimation', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_special_slide_animation_with_http_info(paramname, paramslide_index, paramslide_type, paramanimation, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetSpecialSlideAnimation', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSpecialSlideAnimation', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSpecialSlideAnimation', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetSpecialSlideAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetSpecialSlideAnimation', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'SetSpecialSlideAnimation', 'String')
      paramanimation = AsposeSlidesCloud::SpecUtils.get_param_value('animation', 'SetSpecialSlideAnimation', 'SlideAnimation')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetSpecialSlideAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetSpecialSlideAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetSpecialSlideAnimation', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'SetSpecialSlideAnimation', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetSpecialSlideAnimation', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_special_slide_animation_with_http_info(paramname, paramslide_index, paramslide_type, paramanimation, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetSpecialSlideAnimation', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSpecialSlideAnimation', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSpecialSlideAnimation', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid animation' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetSpecialSlideAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetSpecialSlideAnimation', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'SetSpecialSlideAnimation', 'String')
      paramanimation = AsposeSlidesCloud::SpecUtils.get_param_value('animation', 'SetSpecialSlideAnimation', 'SlideAnimation')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetSpecialSlideAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetSpecialSlideAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetSpecialSlideAnimation', 'String')
      paramanimation = AsposeSlidesCloud::SpecUtils.invalidize_param_value('animation', 'SetSpecialSlideAnimation', paramanimation, 'SlideAnimation')
      AsposeSlidesCloud::SpecUtils.initialize('SetSpecialSlideAnimation', 'animation', paramanimation)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_special_slide_animation_with_http_info(paramname, paramslide_index, paramslide_type, paramanimation, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetSpecialSlideAnimation', 'animation')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSpecialSlideAnimation', 'animation', paramanimation)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSpecialSlideAnimation', 'animation', paramanimation)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetSpecialSlideAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetSpecialSlideAnimation', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'SetSpecialSlideAnimation', 'String')
      paramanimation = AsposeSlidesCloud::SpecUtils.get_param_value('animation', 'SetSpecialSlideAnimation', 'SlideAnimation')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetSpecialSlideAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetSpecialSlideAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetSpecialSlideAnimation', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'SetSpecialSlideAnimation', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetSpecialSlideAnimation', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_special_slide_animation_with_http_info(paramname, paramslide_index, paramslide_type, paramanimation, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetSpecialSlideAnimation', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSpecialSlideAnimation', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSpecialSlideAnimation', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetSpecialSlideAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetSpecialSlideAnimation', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'SetSpecialSlideAnimation', 'String')
      paramanimation = AsposeSlidesCloud::SpecUtils.get_param_value('animation', 'SetSpecialSlideAnimation', 'SlideAnimation')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetSpecialSlideAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetSpecialSlideAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetSpecialSlideAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'SetSpecialSlideAnimation', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetSpecialSlideAnimation', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_special_slide_animation_with_http_info(paramname, paramslide_index, paramslide_type, paramanimation, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetSpecialSlideAnimation', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSpecialSlideAnimation', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSpecialSlideAnimation', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetSpecialSlideAnimation', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'SetSpecialSlideAnimation', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'SetSpecialSlideAnimation', 'String')
      paramanimation = AsposeSlidesCloud::SpecUtils.get_param_value('animation', 'SetSpecialSlideAnimation', 'SlideAnimation')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetSpecialSlideAnimation', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetSpecialSlideAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetSpecialSlideAnimation', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'SetSpecialSlideAnimation', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetSpecialSlideAnimation', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_special_slide_animation_with_http_info(paramname, paramslide_index, paramslide_type, paramanimation, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetSpecialSlideAnimation', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSpecialSlideAnimation', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetSpecialSlideAnimation', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for set_view_properties
  # Update presentation document properties.
  # @param name Document name.
  # @param dto The view properties data.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [ViewProperties]
  describe 'set_view_properties test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetViewProperties', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetViewProperties', 'ViewProperties')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetViewProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetViewProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetViewProperties', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetViewProperties', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.set_view_properties_with_http_info(paramname, paramdto, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetViewProperties', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetViewProperties', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetViewProperties', 'ViewProperties')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetViewProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetViewProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetViewProperties', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'SetViewProperties', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetViewProperties', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_view_properties_with_http_info(paramname, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetViewProperties', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetViewProperties', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetViewProperties', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dto' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetViewProperties', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetViewProperties', 'ViewProperties')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetViewProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetViewProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetViewProperties', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('dto', 'SetViewProperties', paramdto, 'ViewProperties')
      AsposeSlidesCloud::SpecUtils.initialize('SetViewProperties', 'dto', paramdto)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_view_properties_with_http_info(paramname, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetViewProperties', 'dto')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetViewProperties', 'dto', paramdto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetViewProperties', 'dto', paramdto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetViewProperties', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetViewProperties', 'ViewProperties')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetViewProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetViewProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetViewProperties', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'SetViewProperties', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetViewProperties', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_view_properties_with_http_info(paramname, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetViewProperties', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetViewProperties', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetViewProperties', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetViewProperties', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetViewProperties', 'ViewProperties')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetViewProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetViewProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetViewProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'SetViewProperties', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetViewProperties', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_view_properties_with_http_info(paramname, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetViewProperties', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetViewProperties', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetViewProperties', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'SetViewProperties', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'SetViewProperties', 'ViewProperties')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SetViewProperties', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'SetViewProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SetViewProperties', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'SetViewProperties', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SetViewProperties', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.set_view_properties_with_http_info(paramname, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SetViewProperties', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetViewProperties', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SetViewProperties', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for split
  # Splitting presentations. Create one image per slide.
  # @param name Document name.
  # @param [Hash] opts the optional parameters
  # @option opts [ExportOptions] :options Export options.
  # @option opts [String] :format Export format. Default value is jpeg.
  # @option opts [Integer] :width The width of created images.
  # @option opts [Integer] :height The height of created images.
  # @option opts [Integer] :from The start slide number for splitting, if is not specified splitting starts from the first slide of the presentation.
  # @option opts [Integer] :to The last slide number for splitting, if is not specified splitting ends at the last slide of the document.
  # @option opts [String] :dest_folder Folder on storage where images are going to be uploaded. If not specified then images are uploaded to same folder as presentation.
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @option opts [String] :fonts_folder Custom fonts folder.
  # @return [SplitDocumentResult]
  describe 'split test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'Split', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'Split', 'ExportOptions')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'Split', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'Split', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'Split', 'Integer')
      paramfrom = AsposeSlidesCloud::SpecUtils.get_param_value('from', 'Split', 'Integer')
      paramto = AsposeSlidesCloud::SpecUtils.get_param_value('to', 'Split', 'Integer')
      paramdest_folder = AsposeSlidesCloud::SpecUtils.get_param_value('destFolder', 'Split', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'Split', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'Split', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'Split', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'Split', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('Split', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.split_with_http_info(paramname, paramoptions, paramformat, paramwidth, paramheight, paramfrom, paramto, paramdest_folder, parampassword, paramfolder, paramstorage, paramfonts_folder)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Split', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'Split', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'Split', 'ExportOptions')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'Split', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'Split', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'Split', 'Integer')
      paramfrom = AsposeSlidesCloud::SpecUtils.get_param_value('from', 'Split', 'Integer')
      paramto = AsposeSlidesCloud::SpecUtils.get_param_value('to', 'Split', 'Integer')
      paramdest_folder = AsposeSlidesCloud::SpecUtils.get_param_value('destFolder', 'Split', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'Split', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'Split', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'Split', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'Split', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'Split', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('Split', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.split_with_http_info(paramname, paramoptions, paramformat, paramwidth, paramheight, paramfrom, paramto, paramdest_folder, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('Split', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Split', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Split', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid options' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'Split', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'Split', 'ExportOptions')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'Split', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'Split', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'Split', 'Integer')
      paramfrom = AsposeSlidesCloud::SpecUtils.get_param_value('from', 'Split', 'Integer')
      paramto = AsposeSlidesCloud::SpecUtils.get_param_value('to', 'Split', 'Integer')
      paramdest_folder = AsposeSlidesCloud::SpecUtils.get_param_value('destFolder', 'Split', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'Split', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'Split', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'Split', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'Split', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.invalidize_param_value('options', 'Split', paramoptions, 'ExportOptions')
      AsposeSlidesCloud::SpecUtils.initialize('Split', 'options', paramoptions)
      begin
        AsposeSlidesCloud::SpecUtils.api.split_with_http_info(paramname, paramoptions, paramformat, paramwidth, paramheight, paramfrom, paramto, paramdest_folder, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('Split', 'options')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Split', 'options', paramoptions)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Split', 'options', paramoptions)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid format' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'Split', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'Split', 'ExportOptions')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'Split', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'Split', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'Split', 'Integer')
      paramfrom = AsposeSlidesCloud::SpecUtils.get_param_value('from', 'Split', 'Integer')
      paramto = AsposeSlidesCloud::SpecUtils.get_param_value('to', 'Split', 'Integer')
      paramdest_folder = AsposeSlidesCloud::SpecUtils.get_param_value('destFolder', 'Split', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'Split', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'Split', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'Split', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'Split', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.invalidize_param_value('format', 'Split', paramformat, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('Split', 'format', paramformat)
      begin
        AsposeSlidesCloud::SpecUtils.api.split_with_http_info(paramname, paramoptions, paramformat, paramwidth, paramheight, paramfrom, paramto, paramdest_folder, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('Split', 'format')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Split', 'format', paramformat)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Split', 'format', paramformat)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid width' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'Split', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'Split', 'ExportOptions')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'Split', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'Split', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'Split', 'Integer')
      paramfrom = AsposeSlidesCloud::SpecUtils.get_param_value('from', 'Split', 'Integer')
      paramto = AsposeSlidesCloud::SpecUtils.get_param_value('to', 'Split', 'Integer')
      paramdest_folder = AsposeSlidesCloud::SpecUtils.get_param_value('destFolder', 'Split', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'Split', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'Split', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'Split', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'Split', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.invalidize_param_value('width', 'Split', paramwidth, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('Split', 'width', paramwidth)
      begin
        AsposeSlidesCloud::SpecUtils.api.split_with_http_info(paramname, paramoptions, paramformat, paramwidth, paramheight, paramfrom, paramto, paramdest_folder, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('Split', 'width')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Split', 'width', paramwidth)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Split', 'width', paramwidth)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid height' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'Split', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'Split', 'ExportOptions')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'Split', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'Split', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'Split', 'Integer')
      paramfrom = AsposeSlidesCloud::SpecUtils.get_param_value('from', 'Split', 'Integer')
      paramto = AsposeSlidesCloud::SpecUtils.get_param_value('to', 'Split', 'Integer')
      paramdest_folder = AsposeSlidesCloud::SpecUtils.get_param_value('destFolder', 'Split', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'Split', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'Split', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'Split', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'Split', 'String')
      paramheight = AsposeSlidesCloud::SpecUtils.invalidize_param_value('height', 'Split', paramheight, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('Split', 'height', paramheight)
      begin
        AsposeSlidesCloud::SpecUtils.api.split_with_http_info(paramname, paramoptions, paramformat, paramwidth, paramheight, paramfrom, paramto, paramdest_folder, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('Split', 'height')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Split', 'height', paramheight)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Split', 'height', paramheight)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid from' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'Split', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'Split', 'ExportOptions')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'Split', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'Split', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'Split', 'Integer')
      paramfrom = AsposeSlidesCloud::SpecUtils.get_param_value('from', 'Split', 'Integer')
      paramto = AsposeSlidesCloud::SpecUtils.get_param_value('to', 'Split', 'Integer')
      paramdest_folder = AsposeSlidesCloud::SpecUtils.get_param_value('destFolder', 'Split', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'Split', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'Split', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'Split', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'Split', 'String')
      paramfrom = AsposeSlidesCloud::SpecUtils.invalidize_param_value('from', 'Split', paramfrom, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('Split', 'from', paramfrom)
      begin
        AsposeSlidesCloud::SpecUtils.api.split_with_http_info(paramname, paramoptions, paramformat, paramwidth, paramheight, paramfrom, paramto, paramdest_folder, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('Split', 'from')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Split', 'from', paramfrom)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Split', 'from', paramfrom)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid to' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'Split', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'Split', 'ExportOptions')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'Split', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'Split', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'Split', 'Integer')
      paramfrom = AsposeSlidesCloud::SpecUtils.get_param_value('from', 'Split', 'Integer')
      paramto = AsposeSlidesCloud::SpecUtils.get_param_value('to', 'Split', 'Integer')
      paramdest_folder = AsposeSlidesCloud::SpecUtils.get_param_value('destFolder', 'Split', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'Split', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'Split', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'Split', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'Split', 'String')
      paramto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('to', 'Split', paramto, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('Split', 'to', paramto)
      begin
        AsposeSlidesCloud::SpecUtils.api.split_with_http_info(paramname, paramoptions, paramformat, paramwidth, paramheight, paramfrom, paramto, paramdest_folder, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('Split', 'to')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Split', 'to', paramto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Split', 'to', paramto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dest_folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'Split', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'Split', 'ExportOptions')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'Split', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'Split', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'Split', 'Integer')
      paramfrom = AsposeSlidesCloud::SpecUtils.get_param_value('from', 'Split', 'Integer')
      paramto = AsposeSlidesCloud::SpecUtils.get_param_value('to', 'Split', 'Integer')
      paramdest_folder = AsposeSlidesCloud::SpecUtils.get_param_value('destFolder', 'Split', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'Split', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'Split', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'Split', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'Split', 'String')
      paramdest_folder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('destFolder', 'Split', paramdest_folder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('Split', 'destFolder', paramdest_folder)
      begin
        AsposeSlidesCloud::SpecUtils.api.split_with_http_info(paramname, paramoptions, paramformat, paramwidth, paramheight, paramfrom, paramto, paramdest_folder, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('Split', 'destFolder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Split', 'destFolder', paramdest_folder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Split', 'destFolder', paramdest_folder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'Split', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'Split', 'ExportOptions')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'Split', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'Split', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'Split', 'Integer')
      paramfrom = AsposeSlidesCloud::SpecUtils.get_param_value('from', 'Split', 'Integer')
      paramto = AsposeSlidesCloud::SpecUtils.get_param_value('to', 'Split', 'Integer')
      paramdest_folder = AsposeSlidesCloud::SpecUtils.get_param_value('destFolder', 'Split', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'Split', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'Split', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'Split', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'Split', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'Split', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('Split', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.split_with_http_info(paramname, paramoptions, paramformat, paramwidth, paramheight, paramfrom, paramto, paramdest_folder, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('Split', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Split', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Split', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'Split', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'Split', 'ExportOptions')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'Split', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'Split', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'Split', 'Integer')
      paramfrom = AsposeSlidesCloud::SpecUtils.get_param_value('from', 'Split', 'Integer')
      paramto = AsposeSlidesCloud::SpecUtils.get_param_value('to', 'Split', 'Integer')
      paramdest_folder = AsposeSlidesCloud::SpecUtils.get_param_value('destFolder', 'Split', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'Split', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'Split', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'Split', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'Split', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'Split', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('Split', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.split_with_http_info(paramname, paramoptions, paramformat, paramwidth, paramheight, paramfrom, paramto, paramdest_folder, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('Split', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Split', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Split', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'Split', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'Split', 'ExportOptions')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'Split', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'Split', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'Split', 'Integer')
      paramfrom = AsposeSlidesCloud::SpecUtils.get_param_value('from', 'Split', 'Integer')
      paramto = AsposeSlidesCloud::SpecUtils.get_param_value('to', 'Split', 'Integer')
      paramdest_folder = AsposeSlidesCloud::SpecUtils.get_param_value('destFolder', 'Split', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'Split', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'Split', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'Split', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'Split', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'Split', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('Split', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.split_with_http_info(paramname, paramoptions, paramformat, paramwidth, paramheight, paramfrom, paramto, paramdest_folder, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('Split', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Split', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Split', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid fonts_folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'Split', 'String')
      paramoptions = AsposeSlidesCloud::SpecUtils.get_param_value('options', 'Split', 'ExportOptions')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'Split', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'Split', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'Split', 'Integer')
      paramfrom = AsposeSlidesCloud::SpecUtils.get_param_value('from', 'Split', 'Integer')
      paramto = AsposeSlidesCloud::SpecUtils.get_param_value('to', 'Split', 'Integer')
      paramdest_folder = AsposeSlidesCloud::SpecUtils.get_param_value('destFolder', 'Split', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'Split', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'Split', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'Split', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'Split', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('fontsFolder', 'Split', paramfonts_folder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('Split', 'fontsFolder', paramfonts_folder)
      begin
        AsposeSlidesCloud::SpecUtils.api.split_with_http_info(paramname, paramoptions, paramformat, paramwidth, paramheight, paramfrom, paramto, paramdest_folder, parampassword, paramfolder, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('Split', 'fontsFolder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Split', 'fontsFolder', paramfonts_folder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('Split', 'fontsFolder', paramfonts_folder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for split_and_save_online
  # Splits PowerPoint presentation slides from the specified range into separate files and exports them in the specified file format. If the range is not provided all slides will be processed. 
  # @param document Document data.
  # @param format ExportFormat
  # @param [Hash] opts the optional parameters
  # @option opts [String] :dest_folder Folder on storage where images are going to be uploaded. If not specified then images are uploaded to the root folder.
  # @option opts [Integer] :width Slide width.
  # @option opts [Integer] :height Slide height.
  # @option opts [Integer] :from The start slide number for splitting, if is not specified splitting starts from the first slide of the presentation.
  # @option opts [Integer] :to The last slide number for splitting, if is not specified splitting ends at the last slide of the document.
  # @option opts [String] :password Document password.
  # @option opts [String] :storage Document storage.
  # @option opts [String] :fonts_folder Custom fonts folder.
  # @return [SplitDocumentResult]
  describe 'split_and_save_online test' do
    it 'should work' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SplitAndSaveOnline', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SplitAndSaveOnline', 'String')
      paramdest_folder = AsposeSlidesCloud::SpecUtils.get_param_value('destFolder', 'SplitAndSaveOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SplitAndSaveOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SplitAndSaveOnline', 'Integer')
      paramfrom = AsposeSlidesCloud::SpecUtils.get_param_value('from', 'SplitAndSaveOnline', 'Integer')
      paramto = AsposeSlidesCloud::SpecUtils.get_param_value('to', 'SplitAndSaveOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SplitAndSaveOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SplitAndSaveOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SplitAndSaveOnline', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SplitAndSaveOnline', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.split_and_save_online_with_http_info(paramdocument, paramformat, paramdest_folder, paramwidth, paramheight, paramfrom, paramto, parampassword, paramstorage, paramfonts_folder)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitAndSaveOnline', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid document' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SplitAndSaveOnline', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SplitAndSaveOnline', 'String')
      paramdest_folder = AsposeSlidesCloud::SpecUtils.get_param_value('destFolder', 'SplitAndSaveOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SplitAndSaveOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SplitAndSaveOnline', 'Integer')
      paramfrom = AsposeSlidesCloud::SpecUtils.get_param_value('from', 'SplitAndSaveOnline', 'Integer')
      paramto = AsposeSlidesCloud::SpecUtils.get_param_value('to', 'SplitAndSaveOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SplitAndSaveOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SplitAndSaveOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SplitAndSaveOnline', 'String')
      paramdocument = AsposeSlidesCloud::SpecUtils.invalidize_param_value('document', 'SplitAndSaveOnline', paramdocument, 'File')
      AsposeSlidesCloud::SpecUtils.initialize('SplitAndSaveOnline', 'document', paramdocument)
      begin
        AsposeSlidesCloud::SpecUtils.api.split_and_save_online_with_http_info(paramdocument, paramformat, paramdest_folder, paramwidth, paramheight, paramfrom, paramto, parampassword, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SplitAndSaveOnline', 'document')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitAndSaveOnline', 'document', paramdocument)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitAndSaveOnline', 'document', paramdocument)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid format' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SplitAndSaveOnline', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SplitAndSaveOnline', 'String')
      paramdest_folder = AsposeSlidesCloud::SpecUtils.get_param_value('destFolder', 'SplitAndSaveOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SplitAndSaveOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SplitAndSaveOnline', 'Integer')
      paramfrom = AsposeSlidesCloud::SpecUtils.get_param_value('from', 'SplitAndSaveOnline', 'Integer')
      paramto = AsposeSlidesCloud::SpecUtils.get_param_value('to', 'SplitAndSaveOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SplitAndSaveOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SplitAndSaveOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SplitAndSaveOnline', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.invalidize_param_value('format', 'SplitAndSaveOnline', paramformat, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SplitAndSaveOnline', 'format', paramformat)
      begin
        AsposeSlidesCloud::SpecUtils.api.split_and_save_online_with_http_info(paramdocument, paramformat, paramdest_folder, paramwidth, paramheight, paramfrom, paramto, parampassword, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SplitAndSaveOnline', 'format')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitAndSaveOnline', 'format', paramformat)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitAndSaveOnline', 'format', paramformat)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dest_folder' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SplitAndSaveOnline', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SplitAndSaveOnline', 'String')
      paramdest_folder = AsposeSlidesCloud::SpecUtils.get_param_value('destFolder', 'SplitAndSaveOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SplitAndSaveOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SplitAndSaveOnline', 'Integer')
      paramfrom = AsposeSlidesCloud::SpecUtils.get_param_value('from', 'SplitAndSaveOnline', 'Integer')
      paramto = AsposeSlidesCloud::SpecUtils.get_param_value('to', 'SplitAndSaveOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SplitAndSaveOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SplitAndSaveOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SplitAndSaveOnline', 'String')
      paramdest_folder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('destFolder', 'SplitAndSaveOnline', paramdest_folder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SplitAndSaveOnline', 'destFolder', paramdest_folder)
      begin
        AsposeSlidesCloud::SpecUtils.api.split_and_save_online_with_http_info(paramdocument, paramformat, paramdest_folder, paramwidth, paramheight, paramfrom, paramto, parampassword, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SplitAndSaveOnline', 'destFolder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitAndSaveOnline', 'destFolder', paramdest_folder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitAndSaveOnline', 'destFolder', paramdest_folder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid width' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SplitAndSaveOnline', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SplitAndSaveOnline', 'String')
      paramdest_folder = AsposeSlidesCloud::SpecUtils.get_param_value('destFolder', 'SplitAndSaveOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SplitAndSaveOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SplitAndSaveOnline', 'Integer')
      paramfrom = AsposeSlidesCloud::SpecUtils.get_param_value('from', 'SplitAndSaveOnline', 'Integer')
      paramto = AsposeSlidesCloud::SpecUtils.get_param_value('to', 'SplitAndSaveOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SplitAndSaveOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SplitAndSaveOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SplitAndSaveOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.invalidize_param_value('width', 'SplitAndSaveOnline', paramwidth, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('SplitAndSaveOnline', 'width', paramwidth)
      begin
        AsposeSlidesCloud::SpecUtils.api.split_and_save_online_with_http_info(paramdocument, paramformat, paramdest_folder, paramwidth, paramheight, paramfrom, paramto, parampassword, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SplitAndSaveOnline', 'width')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitAndSaveOnline', 'width', paramwidth)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitAndSaveOnline', 'width', paramwidth)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid height' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SplitAndSaveOnline', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SplitAndSaveOnline', 'String')
      paramdest_folder = AsposeSlidesCloud::SpecUtils.get_param_value('destFolder', 'SplitAndSaveOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SplitAndSaveOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SplitAndSaveOnline', 'Integer')
      paramfrom = AsposeSlidesCloud::SpecUtils.get_param_value('from', 'SplitAndSaveOnline', 'Integer')
      paramto = AsposeSlidesCloud::SpecUtils.get_param_value('to', 'SplitAndSaveOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SplitAndSaveOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SplitAndSaveOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SplitAndSaveOnline', 'String')
      paramheight = AsposeSlidesCloud::SpecUtils.invalidize_param_value('height', 'SplitAndSaveOnline', paramheight, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('SplitAndSaveOnline', 'height', paramheight)
      begin
        AsposeSlidesCloud::SpecUtils.api.split_and_save_online_with_http_info(paramdocument, paramformat, paramdest_folder, paramwidth, paramheight, paramfrom, paramto, parampassword, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SplitAndSaveOnline', 'height')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitAndSaveOnline', 'height', paramheight)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitAndSaveOnline', 'height', paramheight)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid from' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SplitAndSaveOnline', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SplitAndSaveOnline', 'String')
      paramdest_folder = AsposeSlidesCloud::SpecUtils.get_param_value('destFolder', 'SplitAndSaveOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SplitAndSaveOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SplitAndSaveOnline', 'Integer')
      paramfrom = AsposeSlidesCloud::SpecUtils.get_param_value('from', 'SplitAndSaveOnline', 'Integer')
      paramto = AsposeSlidesCloud::SpecUtils.get_param_value('to', 'SplitAndSaveOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SplitAndSaveOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SplitAndSaveOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SplitAndSaveOnline', 'String')
      paramfrom = AsposeSlidesCloud::SpecUtils.invalidize_param_value('from', 'SplitAndSaveOnline', paramfrom, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('SplitAndSaveOnline', 'from', paramfrom)
      begin
        AsposeSlidesCloud::SpecUtils.api.split_and_save_online_with_http_info(paramdocument, paramformat, paramdest_folder, paramwidth, paramheight, paramfrom, paramto, parampassword, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SplitAndSaveOnline', 'from')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitAndSaveOnline', 'from', paramfrom)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitAndSaveOnline', 'from', paramfrom)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid to' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SplitAndSaveOnline', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SplitAndSaveOnline', 'String')
      paramdest_folder = AsposeSlidesCloud::SpecUtils.get_param_value('destFolder', 'SplitAndSaveOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SplitAndSaveOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SplitAndSaveOnline', 'Integer')
      paramfrom = AsposeSlidesCloud::SpecUtils.get_param_value('from', 'SplitAndSaveOnline', 'Integer')
      paramto = AsposeSlidesCloud::SpecUtils.get_param_value('to', 'SplitAndSaveOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SplitAndSaveOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SplitAndSaveOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SplitAndSaveOnline', 'String')
      paramto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('to', 'SplitAndSaveOnline', paramto, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('SplitAndSaveOnline', 'to', paramto)
      begin
        AsposeSlidesCloud::SpecUtils.api.split_and_save_online_with_http_info(paramdocument, paramformat, paramdest_folder, paramwidth, paramheight, paramfrom, paramto, parampassword, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SplitAndSaveOnline', 'to')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitAndSaveOnline', 'to', paramto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitAndSaveOnline', 'to', paramto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SplitAndSaveOnline', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SplitAndSaveOnline', 'String')
      paramdest_folder = AsposeSlidesCloud::SpecUtils.get_param_value('destFolder', 'SplitAndSaveOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SplitAndSaveOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SplitAndSaveOnline', 'Integer')
      paramfrom = AsposeSlidesCloud::SpecUtils.get_param_value('from', 'SplitAndSaveOnline', 'Integer')
      paramto = AsposeSlidesCloud::SpecUtils.get_param_value('to', 'SplitAndSaveOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SplitAndSaveOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SplitAndSaveOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SplitAndSaveOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'SplitAndSaveOnline', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SplitAndSaveOnline', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.split_and_save_online_with_http_info(paramdocument, paramformat, paramdest_folder, paramwidth, paramheight, paramfrom, paramto, parampassword, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SplitAndSaveOnline', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitAndSaveOnline', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitAndSaveOnline', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SplitAndSaveOnline', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SplitAndSaveOnline', 'String')
      paramdest_folder = AsposeSlidesCloud::SpecUtils.get_param_value('destFolder', 'SplitAndSaveOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SplitAndSaveOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SplitAndSaveOnline', 'Integer')
      paramfrom = AsposeSlidesCloud::SpecUtils.get_param_value('from', 'SplitAndSaveOnline', 'Integer')
      paramto = AsposeSlidesCloud::SpecUtils.get_param_value('to', 'SplitAndSaveOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SplitAndSaveOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SplitAndSaveOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SplitAndSaveOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'SplitAndSaveOnline', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SplitAndSaveOnline', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.split_and_save_online_with_http_info(paramdocument, paramformat, paramdest_folder, paramwidth, paramheight, paramfrom, paramto, parampassword, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SplitAndSaveOnline', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitAndSaveOnline', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitAndSaveOnline', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid fonts_folder' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SplitAndSaveOnline', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SplitAndSaveOnline', 'String')
      paramdest_folder = AsposeSlidesCloud::SpecUtils.get_param_value('destFolder', 'SplitAndSaveOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SplitAndSaveOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SplitAndSaveOnline', 'Integer')
      paramfrom = AsposeSlidesCloud::SpecUtils.get_param_value('from', 'SplitAndSaveOnline', 'Integer')
      paramto = AsposeSlidesCloud::SpecUtils.get_param_value('to', 'SplitAndSaveOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SplitAndSaveOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SplitAndSaveOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SplitAndSaveOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('fontsFolder', 'SplitAndSaveOnline', paramfonts_folder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SplitAndSaveOnline', 'fontsFolder', paramfonts_folder)
      begin
        AsposeSlidesCloud::SpecUtils.api.split_and_save_online_with_http_info(paramdocument, paramformat, paramdest_folder, paramwidth, paramheight, paramfrom, paramto, parampassword, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SplitAndSaveOnline', 'fontsFolder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitAndSaveOnline', 'fontsFolder', paramfonts_folder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitAndSaveOnline', 'fontsFolder', paramfonts_folder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for split_online
  # Splits PowerPoint presentation slides from the specified range into separate files and exports them in the specified file format. If the range is not provided all slides will be processed. 
  # @param document Document data.
  # @param format ExportFormat
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :width Slide width.
  # @option opts [Integer] :height Slide height.
  # @option opts [Integer] :from The start slide number for splitting, if is not specified splitting starts from the first slide of the presentation.
  # @option opts [Integer] :to The last slide number for splitting, if is not specified splitting ends at the last slide of the document.
  # @option opts [String] :password Document password.
  # @option opts [String] :storage Document storage.
  # @option opts [String] :fonts_folder Custom fonts folder.
  # @return [File]
  describe 'split_online test' do
    it 'should work' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SplitOnline', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SplitOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SplitOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SplitOnline', 'Integer')
      paramfrom = AsposeSlidesCloud::SpecUtils.get_param_value('from', 'SplitOnline', 'Integer')
      paramto = AsposeSlidesCloud::SpecUtils.get_param_value('to', 'SplitOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SplitOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SplitOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SplitOnline', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SplitOnline', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.split_online_with_http_info(paramdocument, paramformat, paramwidth, paramheight, paramfrom, paramto, parampassword, paramstorage, paramfonts_folder)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitOnline', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid document' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SplitOnline', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SplitOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SplitOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SplitOnline', 'Integer')
      paramfrom = AsposeSlidesCloud::SpecUtils.get_param_value('from', 'SplitOnline', 'Integer')
      paramto = AsposeSlidesCloud::SpecUtils.get_param_value('to', 'SplitOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SplitOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SplitOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SplitOnline', 'String')
      paramdocument = AsposeSlidesCloud::SpecUtils.invalidize_param_value('document', 'SplitOnline', paramdocument, 'File')
      AsposeSlidesCloud::SpecUtils.initialize('SplitOnline', 'document', paramdocument)
      begin
        AsposeSlidesCloud::SpecUtils.api.split_online_with_http_info(paramdocument, paramformat, paramwidth, paramheight, paramfrom, paramto, parampassword, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SplitOnline', 'document')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitOnline', 'document', paramdocument)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitOnline', 'document', paramdocument)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid format' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SplitOnline', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SplitOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SplitOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SplitOnline', 'Integer')
      paramfrom = AsposeSlidesCloud::SpecUtils.get_param_value('from', 'SplitOnline', 'Integer')
      paramto = AsposeSlidesCloud::SpecUtils.get_param_value('to', 'SplitOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SplitOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SplitOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SplitOnline', 'String')
      paramformat = AsposeSlidesCloud::SpecUtils.invalidize_param_value('format', 'SplitOnline', paramformat, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SplitOnline', 'format', paramformat)
      begin
        AsposeSlidesCloud::SpecUtils.api.split_online_with_http_info(paramdocument, paramformat, paramwidth, paramheight, paramfrom, paramto, parampassword, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SplitOnline', 'format')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitOnline', 'format', paramformat)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitOnline', 'format', paramformat)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid width' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SplitOnline', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SplitOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SplitOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SplitOnline', 'Integer')
      paramfrom = AsposeSlidesCloud::SpecUtils.get_param_value('from', 'SplitOnline', 'Integer')
      paramto = AsposeSlidesCloud::SpecUtils.get_param_value('to', 'SplitOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SplitOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SplitOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SplitOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.invalidize_param_value('width', 'SplitOnline', paramwidth, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('SplitOnline', 'width', paramwidth)
      begin
        AsposeSlidesCloud::SpecUtils.api.split_online_with_http_info(paramdocument, paramformat, paramwidth, paramheight, paramfrom, paramto, parampassword, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SplitOnline', 'width')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitOnline', 'width', paramwidth)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitOnline', 'width', paramwidth)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid height' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SplitOnline', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SplitOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SplitOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SplitOnline', 'Integer')
      paramfrom = AsposeSlidesCloud::SpecUtils.get_param_value('from', 'SplitOnline', 'Integer')
      paramto = AsposeSlidesCloud::SpecUtils.get_param_value('to', 'SplitOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SplitOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SplitOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SplitOnline', 'String')
      paramheight = AsposeSlidesCloud::SpecUtils.invalidize_param_value('height', 'SplitOnline', paramheight, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('SplitOnline', 'height', paramheight)
      begin
        AsposeSlidesCloud::SpecUtils.api.split_online_with_http_info(paramdocument, paramformat, paramwidth, paramheight, paramfrom, paramto, parampassword, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SplitOnline', 'height')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitOnline', 'height', paramheight)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitOnline', 'height', paramheight)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid from' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SplitOnline', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SplitOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SplitOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SplitOnline', 'Integer')
      paramfrom = AsposeSlidesCloud::SpecUtils.get_param_value('from', 'SplitOnline', 'Integer')
      paramto = AsposeSlidesCloud::SpecUtils.get_param_value('to', 'SplitOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SplitOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SplitOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SplitOnline', 'String')
      paramfrom = AsposeSlidesCloud::SpecUtils.invalidize_param_value('from', 'SplitOnline', paramfrom, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('SplitOnline', 'from', paramfrom)
      begin
        AsposeSlidesCloud::SpecUtils.api.split_online_with_http_info(paramdocument, paramformat, paramwidth, paramheight, paramfrom, paramto, parampassword, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SplitOnline', 'from')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitOnline', 'from', paramfrom)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitOnline', 'from', paramfrom)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid to' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SplitOnline', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SplitOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SplitOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SplitOnline', 'Integer')
      paramfrom = AsposeSlidesCloud::SpecUtils.get_param_value('from', 'SplitOnline', 'Integer')
      paramto = AsposeSlidesCloud::SpecUtils.get_param_value('to', 'SplitOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SplitOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SplitOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SplitOnline', 'String')
      paramto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('to', 'SplitOnline', paramto, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('SplitOnline', 'to', paramto)
      begin
        AsposeSlidesCloud::SpecUtils.api.split_online_with_http_info(paramdocument, paramformat, paramwidth, paramheight, paramfrom, paramto, parampassword, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SplitOnline', 'to')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitOnline', 'to', paramto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitOnline', 'to', paramto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SplitOnline', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SplitOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SplitOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SplitOnline', 'Integer')
      paramfrom = AsposeSlidesCloud::SpecUtils.get_param_value('from', 'SplitOnline', 'Integer')
      paramto = AsposeSlidesCloud::SpecUtils.get_param_value('to', 'SplitOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SplitOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SplitOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SplitOnline', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'SplitOnline', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SplitOnline', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.split_online_with_http_info(paramdocument, paramformat, paramwidth, paramheight, paramfrom, paramto, parampassword, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SplitOnline', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitOnline', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitOnline', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SplitOnline', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SplitOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SplitOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SplitOnline', 'Integer')
      paramfrom = AsposeSlidesCloud::SpecUtils.get_param_value('from', 'SplitOnline', 'Integer')
      paramto = AsposeSlidesCloud::SpecUtils.get_param_value('to', 'SplitOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SplitOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SplitOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SplitOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'SplitOnline', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SplitOnline', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.split_online_with_http_info(paramdocument, paramformat, paramwidth, paramheight, paramfrom, paramto, parampassword, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SplitOnline', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitOnline', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitOnline', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid fonts_folder' do
      paramdocument = AsposeSlidesCloud::SpecUtils.get_param_value('document', 'SplitOnline', 'File')
      paramformat = AsposeSlidesCloud::SpecUtils.get_param_value('format', 'SplitOnline', 'String')
      paramwidth = AsposeSlidesCloud::SpecUtils.get_param_value('width', 'SplitOnline', 'Integer')
      paramheight = AsposeSlidesCloud::SpecUtils.get_param_value('height', 'SplitOnline', 'Integer')
      paramfrom = AsposeSlidesCloud::SpecUtils.get_param_value('from', 'SplitOnline', 'Integer')
      paramto = AsposeSlidesCloud::SpecUtils.get_param_value('to', 'SplitOnline', 'Integer')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'SplitOnline', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'SplitOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.get_param_value('fontsFolder', 'SplitOnline', 'String')
      paramfonts_folder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('fontsFolder', 'SplitOnline', paramfonts_folder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('SplitOnline', 'fontsFolder', paramfonts_folder)
      begin
        AsposeSlidesCloud::SpecUtils.api.split_online_with_http_info(paramdocument, paramformat, paramwidth, paramheight, paramfrom, paramto, parampassword, paramstorage, paramfonts_folder)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('SplitOnline', 'fontsFolder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitOnline', 'fontsFolder', paramfonts_folder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('SplitOnline', 'fontsFolder', paramfonts_folder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for storage_exists
  # Check if storage exists
  # @param storage_name Storage name
  # @param [Hash] opts the optional parameters
  # @return [StorageExist]
  describe 'storage_exists test' do
    it 'should work' do
      paramstorage_name = AsposeSlidesCloud::SpecUtils.get_param_value('storageName', 'StorageExists', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('StorageExists', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.storage_exists_with_http_info(paramstorage_name)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('StorageExists', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid storage_name' do
      paramstorage_name = AsposeSlidesCloud::SpecUtils.get_param_value('storageName', 'StorageExists', 'String')
      paramstorage_name = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storageName', 'StorageExists', paramstorage_name, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('StorageExists', 'storageName', paramstorage_name)
      begin
        AsposeSlidesCloud::SpecUtils.api.storage_exists_with_http_info(paramstorage_name)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('StorageExists', 'storageName')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('StorageExists', 'storageName', paramstorage_name)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('StorageExists', 'storageName', paramstorage_name)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for update_animation_effect
  # Modify an animation effect for a slide.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param effect_index The position of the effect to be modified.
  # @param effect Animation effect DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [SlideAnimation]
  describe 'update_animation_effect test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateAnimationEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'UpdateAnimationEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'UpdateAnimationEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateAnimationEffect', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateAnimationEffect', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.update_animation_effect_with_http_info(paramname, paramslide_index, parameffect_index, parameffect, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateAnimationEffect', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateAnimationEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'UpdateAnimationEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'UpdateAnimationEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateAnimationEffect', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'UpdateAnimationEffect', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateAnimationEffect', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_animation_effect_with_http_info(paramname, paramslide_index, parameffect_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateAnimationEffect', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateAnimationEffect', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateAnimationEffect', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateAnimationEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'UpdateAnimationEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'UpdateAnimationEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'UpdateAnimationEffect', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateAnimationEffect', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_animation_effect_with_http_info(paramname, paramslide_index, parameffect_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateAnimationEffect', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateAnimationEffect', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateAnimationEffect', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid effect_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateAnimationEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'UpdateAnimationEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'UpdateAnimationEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateAnimationEffect', 'String')
      parameffect_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('effectIndex', 'UpdateAnimationEffect', parameffect_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateAnimationEffect', 'effectIndex', parameffect_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_animation_effect_with_http_info(paramname, paramslide_index, parameffect_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateAnimationEffect', 'effectIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateAnimationEffect', 'effectIndex', parameffect_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateAnimationEffect', 'effectIndex', parameffect_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid effect' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateAnimationEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'UpdateAnimationEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'UpdateAnimationEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateAnimationEffect', 'String')
      parameffect = AsposeSlidesCloud::SpecUtils.invalidize_param_value('effect', 'UpdateAnimationEffect', parameffect, 'Effect')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateAnimationEffect', 'effect', parameffect)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_animation_effect_with_http_info(paramname, paramslide_index, parameffect_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateAnimationEffect', 'effect')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateAnimationEffect', 'effect', parameffect)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateAnimationEffect', 'effect', parameffect)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateAnimationEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'UpdateAnimationEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'UpdateAnimationEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateAnimationEffect', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'UpdateAnimationEffect', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateAnimationEffect', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_animation_effect_with_http_info(paramname, paramslide_index, parameffect_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateAnimationEffect', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateAnimationEffect', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateAnimationEffect', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateAnimationEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'UpdateAnimationEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'UpdateAnimationEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'UpdateAnimationEffect', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateAnimationEffect', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_animation_effect_with_http_info(paramname, paramslide_index, parameffect_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateAnimationEffect', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateAnimationEffect', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateAnimationEffect', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateAnimationEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'UpdateAnimationEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'UpdateAnimationEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'UpdateAnimationEffect', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateAnimationEffect', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_animation_effect_with_http_info(paramname, paramslide_index, parameffect_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateAnimationEffect', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateAnimationEffect', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateAnimationEffect', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for update_animation_interactive_sequence_effect
  # Modify an animation effect for a slide interactive sequence.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param sequence_index The position of the interactive sequence.
  # @param effect_index The position of the effect to be modified.
  # @param effect Animation effect DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [SlideAnimation]
  describe 'update_animation_interactive_sequence_effect test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateAnimationInteractiveSequenceEffect', 'Integer')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'UpdateAnimationInteractiveSequenceEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'UpdateAnimationInteractiveSequenceEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'UpdateAnimationInteractiveSequenceEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateAnimationInteractiveSequenceEffect', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateAnimationInteractiveSequenceEffect', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.update_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramsequence_index, parameffect_index, parameffect, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateAnimationInteractiveSequenceEffect', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateAnimationInteractiveSequenceEffect', 'Integer')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'UpdateAnimationInteractiveSequenceEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'UpdateAnimationInteractiveSequenceEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'UpdateAnimationInteractiveSequenceEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateAnimationInteractiveSequenceEffect', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'UpdateAnimationInteractiveSequenceEffect', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateAnimationInteractiveSequenceEffect', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramsequence_index, parameffect_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateAnimationInteractiveSequenceEffect', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateAnimationInteractiveSequenceEffect', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateAnimationInteractiveSequenceEffect', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateAnimationInteractiveSequenceEffect', 'Integer')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'UpdateAnimationInteractiveSequenceEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'UpdateAnimationInteractiveSequenceEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'UpdateAnimationInteractiveSequenceEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'UpdateAnimationInteractiveSequenceEffect', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateAnimationInteractiveSequenceEffect', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramsequence_index, parameffect_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateAnimationInteractiveSequenceEffect', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateAnimationInteractiveSequenceEffect', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateAnimationInteractiveSequenceEffect', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid sequence_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateAnimationInteractiveSequenceEffect', 'Integer')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'UpdateAnimationInteractiveSequenceEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'UpdateAnimationInteractiveSequenceEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'UpdateAnimationInteractiveSequenceEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateAnimationInteractiveSequenceEffect', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('sequenceIndex', 'UpdateAnimationInteractiveSequenceEffect', paramsequence_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateAnimationInteractiveSequenceEffect', 'sequenceIndex', paramsequence_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramsequence_index, parameffect_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateAnimationInteractiveSequenceEffect', 'sequenceIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateAnimationInteractiveSequenceEffect', 'sequenceIndex', paramsequence_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateAnimationInteractiveSequenceEffect', 'sequenceIndex', paramsequence_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid effect_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateAnimationInteractiveSequenceEffect', 'Integer')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'UpdateAnimationInteractiveSequenceEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'UpdateAnimationInteractiveSequenceEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'UpdateAnimationInteractiveSequenceEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateAnimationInteractiveSequenceEffect', 'String')
      parameffect_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('effectIndex', 'UpdateAnimationInteractiveSequenceEffect', parameffect_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateAnimationInteractiveSequenceEffect', 'effectIndex', parameffect_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramsequence_index, parameffect_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateAnimationInteractiveSequenceEffect', 'effectIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateAnimationInteractiveSequenceEffect', 'effectIndex', parameffect_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateAnimationInteractiveSequenceEffect', 'effectIndex', parameffect_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid effect' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateAnimationInteractiveSequenceEffect', 'Integer')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'UpdateAnimationInteractiveSequenceEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'UpdateAnimationInteractiveSequenceEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'UpdateAnimationInteractiveSequenceEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateAnimationInteractiveSequenceEffect', 'String')
      parameffect = AsposeSlidesCloud::SpecUtils.invalidize_param_value('effect', 'UpdateAnimationInteractiveSequenceEffect', parameffect, 'Effect')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateAnimationInteractiveSequenceEffect', 'effect', parameffect)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramsequence_index, parameffect_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateAnimationInteractiveSequenceEffect', 'effect')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateAnimationInteractiveSequenceEffect', 'effect', parameffect)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateAnimationInteractiveSequenceEffect', 'effect', parameffect)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateAnimationInteractiveSequenceEffect', 'Integer')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'UpdateAnimationInteractiveSequenceEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'UpdateAnimationInteractiveSequenceEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'UpdateAnimationInteractiveSequenceEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateAnimationInteractiveSequenceEffect', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'UpdateAnimationInteractiveSequenceEffect', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateAnimationInteractiveSequenceEffect', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramsequence_index, parameffect_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateAnimationInteractiveSequenceEffect', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateAnimationInteractiveSequenceEffect', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateAnimationInteractiveSequenceEffect', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateAnimationInteractiveSequenceEffect', 'Integer')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'UpdateAnimationInteractiveSequenceEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'UpdateAnimationInteractiveSequenceEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'UpdateAnimationInteractiveSequenceEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'UpdateAnimationInteractiveSequenceEffect', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateAnimationInteractiveSequenceEffect', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramsequence_index, parameffect_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateAnimationInteractiveSequenceEffect', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateAnimationInteractiveSequenceEffect', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateAnimationInteractiveSequenceEffect', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateAnimationInteractiveSequenceEffect', 'Integer')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'UpdateAnimationInteractiveSequenceEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'UpdateAnimationInteractiveSequenceEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'UpdateAnimationInteractiveSequenceEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'UpdateAnimationInteractiveSequenceEffect', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateAnimationInteractiveSequenceEffect', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramsequence_index, parameffect_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateAnimationInteractiveSequenceEffect', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateAnimationInteractiveSequenceEffect', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateAnimationInteractiveSequenceEffect', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for update_chart_category
  # Update a chart category.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param shape_index Shape index.
  # @param category_index Category index.
  # @param category Category DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Chart]
  describe 'update_chart_category test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateChartCategory', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateChartCategory', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateChartCategory', 'Integer')
      paramcategory_index = AsposeSlidesCloud::SpecUtils.get_param_value('categoryIndex', 'UpdateChartCategory', 'Integer')
      paramcategory = AsposeSlidesCloud::SpecUtils.get_param_value('category', 'UpdateChartCategory', 'ChartCategory')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateChartCategory', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateChartCategory', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateChartCategory', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateChartCategory', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.update_chart_category_with_http_info(paramname, paramslide_index, paramshape_index, paramcategory_index, paramcategory, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartCategory', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateChartCategory', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateChartCategory', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateChartCategory', 'Integer')
      paramcategory_index = AsposeSlidesCloud::SpecUtils.get_param_value('categoryIndex', 'UpdateChartCategory', 'Integer')
      paramcategory = AsposeSlidesCloud::SpecUtils.get_param_value('category', 'UpdateChartCategory', 'ChartCategory')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateChartCategory', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateChartCategory', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateChartCategory', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'UpdateChartCategory', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateChartCategory', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_chart_category_with_http_info(paramname, paramslide_index, paramshape_index, paramcategory_index, paramcategory, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateChartCategory', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartCategory', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartCategory', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateChartCategory', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateChartCategory', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateChartCategory', 'Integer')
      paramcategory_index = AsposeSlidesCloud::SpecUtils.get_param_value('categoryIndex', 'UpdateChartCategory', 'Integer')
      paramcategory = AsposeSlidesCloud::SpecUtils.get_param_value('category', 'UpdateChartCategory', 'ChartCategory')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateChartCategory', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateChartCategory', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateChartCategory', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'UpdateChartCategory', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateChartCategory', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_chart_category_with_http_info(paramname, paramslide_index, paramshape_index, paramcategory_index, paramcategory, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateChartCategory', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartCategory', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartCategory', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateChartCategory', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateChartCategory', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateChartCategory', 'Integer')
      paramcategory_index = AsposeSlidesCloud::SpecUtils.get_param_value('categoryIndex', 'UpdateChartCategory', 'Integer')
      paramcategory = AsposeSlidesCloud::SpecUtils.get_param_value('category', 'UpdateChartCategory', 'ChartCategory')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateChartCategory', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateChartCategory', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateChartCategory', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'UpdateChartCategory', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateChartCategory', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_chart_category_with_http_info(paramname, paramslide_index, paramshape_index, paramcategory_index, paramcategory, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateChartCategory', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartCategory', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartCategory', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid category_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateChartCategory', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateChartCategory', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateChartCategory', 'Integer')
      paramcategory_index = AsposeSlidesCloud::SpecUtils.get_param_value('categoryIndex', 'UpdateChartCategory', 'Integer')
      paramcategory = AsposeSlidesCloud::SpecUtils.get_param_value('category', 'UpdateChartCategory', 'ChartCategory')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateChartCategory', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateChartCategory', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateChartCategory', 'String')
      paramcategory_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('categoryIndex', 'UpdateChartCategory', paramcategory_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateChartCategory', 'categoryIndex', paramcategory_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_chart_category_with_http_info(paramname, paramslide_index, paramshape_index, paramcategory_index, paramcategory, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateChartCategory', 'categoryIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartCategory', 'categoryIndex', paramcategory_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartCategory', 'categoryIndex', paramcategory_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid category' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateChartCategory', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateChartCategory', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateChartCategory', 'Integer')
      paramcategory_index = AsposeSlidesCloud::SpecUtils.get_param_value('categoryIndex', 'UpdateChartCategory', 'Integer')
      paramcategory = AsposeSlidesCloud::SpecUtils.get_param_value('category', 'UpdateChartCategory', 'ChartCategory')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateChartCategory', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateChartCategory', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateChartCategory', 'String')
      paramcategory = AsposeSlidesCloud::SpecUtils.invalidize_param_value('category', 'UpdateChartCategory', paramcategory, 'ChartCategory')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateChartCategory', 'category', paramcategory)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_chart_category_with_http_info(paramname, paramslide_index, paramshape_index, paramcategory_index, paramcategory, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateChartCategory', 'category')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartCategory', 'category', paramcategory)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartCategory', 'category', paramcategory)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateChartCategory', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateChartCategory', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateChartCategory', 'Integer')
      paramcategory_index = AsposeSlidesCloud::SpecUtils.get_param_value('categoryIndex', 'UpdateChartCategory', 'Integer')
      paramcategory = AsposeSlidesCloud::SpecUtils.get_param_value('category', 'UpdateChartCategory', 'ChartCategory')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateChartCategory', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateChartCategory', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateChartCategory', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'UpdateChartCategory', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateChartCategory', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_chart_category_with_http_info(paramname, paramslide_index, paramshape_index, paramcategory_index, paramcategory, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateChartCategory', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartCategory', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartCategory', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateChartCategory', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateChartCategory', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateChartCategory', 'Integer')
      paramcategory_index = AsposeSlidesCloud::SpecUtils.get_param_value('categoryIndex', 'UpdateChartCategory', 'Integer')
      paramcategory = AsposeSlidesCloud::SpecUtils.get_param_value('category', 'UpdateChartCategory', 'ChartCategory')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateChartCategory', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateChartCategory', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateChartCategory', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'UpdateChartCategory', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateChartCategory', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_chart_category_with_http_info(paramname, paramslide_index, paramshape_index, paramcategory_index, paramcategory, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateChartCategory', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartCategory', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartCategory', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateChartCategory', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateChartCategory', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateChartCategory', 'Integer')
      paramcategory_index = AsposeSlidesCloud::SpecUtils.get_param_value('categoryIndex', 'UpdateChartCategory', 'Integer')
      paramcategory = AsposeSlidesCloud::SpecUtils.get_param_value('category', 'UpdateChartCategory', 'ChartCategory')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateChartCategory', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateChartCategory', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateChartCategory', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'UpdateChartCategory', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateChartCategory', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_chart_category_with_http_info(paramname, paramslide_index, paramshape_index, paramcategory_index, paramcategory, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateChartCategory', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartCategory', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartCategory', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for update_chart_data_point
  # Update a data point in a chart series.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param shape_index Shape index.
  # @param series_index Series index.
  # @param point_index Data point index.
  # @param data_point Data point DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Chart]
  describe 'update_chart_data_point test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateChartDataPoint', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateChartDataPoint', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateChartDataPoint', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'UpdateChartDataPoint', 'Integer')
      parampoint_index = AsposeSlidesCloud::SpecUtils.get_param_value('pointIndex', 'UpdateChartDataPoint', 'Integer')
      paramdata_point = AsposeSlidesCloud::SpecUtils.get_param_value('dataPoint', 'UpdateChartDataPoint', 'DataPoint')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateChartDataPoint', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateChartDataPoint', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateChartDataPoint', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateChartDataPoint', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.update_chart_data_point_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, parampoint_index, paramdata_point, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartDataPoint', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateChartDataPoint', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateChartDataPoint', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateChartDataPoint', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'UpdateChartDataPoint', 'Integer')
      parampoint_index = AsposeSlidesCloud::SpecUtils.get_param_value('pointIndex', 'UpdateChartDataPoint', 'Integer')
      paramdata_point = AsposeSlidesCloud::SpecUtils.get_param_value('dataPoint', 'UpdateChartDataPoint', 'DataPoint')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateChartDataPoint', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateChartDataPoint', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateChartDataPoint', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'UpdateChartDataPoint', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateChartDataPoint', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_chart_data_point_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, parampoint_index, paramdata_point, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateChartDataPoint', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartDataPoint', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartDataPoint', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateChartDataPoint', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateChartDataPoint', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateChartDataPoint', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'UpdateChartDataPoint', 'Integer')
      parampoint_index = AsposeSlidesCloud::SpecUtils.get_param_value('pointIndex', 'UpdateChartDataPoint', 'Integer')
      paramdata_point = AsposeSlidesCloud::SpecUtils.get_param_value('dataPoint', 'UpdateChartDataPoint', 'DataPoint')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateChartDataPoint', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateChartDataPoint', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateChartDataPoint', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'UpdateChartDataPoint', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateChartDataPoint', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_chart_data_point_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, parampoint_index, paramdata_point, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateChartDataPoint', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartDataPoint', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartDataPoint', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateChartDataPoint', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateChartDataPoint', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateChartDataPoint', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'UpdateChartDataPoint', 'Integer')
      parampoint_index = AsposeSlidesCloud::SpecUtils.get_param_value('pointIndex', 'UpdateChartDataPoint', 'Integer')
      paramdata_point = AsposeSlidesCloud::SpecUtils.get_param_value('dataPoint', 'UpdateChartDataPoint', 'DataPoint')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateChartDataPoint', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateChartDataPoint', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateChartDataPoint', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'UpdateChartDataPoint', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateChartDataPoint', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_chart_data_point_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, parampoint_index, paramdata_point, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateChartDataPoint', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartDataPoint', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartDataPoint', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid series_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateChartDataPoint', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateChartDataPoint', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateChartDataPoint', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'UpdateChartDataPoint', 'Integer')
      parampoint_index = AsposeSlidesCloud::SpecUtils.get_param_value('pointIndex', 'UpdateChartDataPoint', 'Integer')
      paramdata_point = AsposeSlidesCloud::SpecUtils.get_param_value('dataPoint', 'UpdateChartDataPoint', 'DataPoint')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateChartDataPoint', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateChartDataPoint', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateChartDataPoint', 'String')
      paramseries_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('seriesIndex', 'UpdateChartDataPoint', paramseries_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateChartDataPoint', 'seriesIndex', paramseries_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_chart_data_point_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, parampoint_index, paramdata_point, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateChartDataPoint', 'seriesIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartDataPoint', 'seriesIndex', paramseries_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartDataPoint', 'seriesIndex', paramseries_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid point_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateChartDataPoint', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateChartDataPoint', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateChartDataPoint', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'UpdateChartDataPoint', 'Integer')
      parampoint_index = AsposeSlidesCloud::SpecUtils.get_param_value('pointIndex', 'UpdateChartDataPoint', 'Integer')
      paramdata_point = AsposeSlidesCloud::SpecUtils.get_param_value('dataPoint', 'UpdateChartDataPoint', 'DataPoint')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateChartDataPoint', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateChartDataPoint', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateChartDataPoint', 'String')
      parampoint_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('pointIndex', 'UpdateChartDataPoint', parampoint_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateChartDataPoint', 'pointIndex', parampoint_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_chart_data_point_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, parampoint_index, paramdata_point, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateChartDataPoint', 'pointIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartDataPoint', 'pointIndex', parampoint_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartDataPoint', 'pointIndex', parampoint_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid data_point' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateChartDataPoint', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateChartDataPoint', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateChartDataPoint', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'UpdateChartDataPoint', 'Integer')
      parampoint_index = AsposeSlidesCloud::SpecUtils.get_param_value('pointIndex', 'UpdateChartDataPoint', 'Integer')
      paramdata_point = AsposeSlidesCloud::SpecUtils.get_param_value('dataPoint', 'UpdateChartDataPoint', 'DataPoint')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateChartDataPoint', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateChartDataPoint', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateChartDataPoint', 'String')
      paramdata_point = AsposeSlidesCloud::SpecUtils.invalidize_param_value('dataPoint', 'UpdateChartDataPoint', paramdata_point, 'DataPoint')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateChartDataPoint', 'dataPoint', paramdata_point)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_chart_data_point_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, parampoint_index, paramdata_point, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateChartDataPoint', 'dataPoint')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartDataPoint', 'dataPoint', paramdata_point)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartDataPoint', 'dataPoint', paramdata_point)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateChartDataPoint', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateChartDataPoint', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateChartDataPoint', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'UpdateChartDataPoint', 'Integer')
      parampoint_index = AsposeSlidesCloud::SpecUtils.get_param_value('pointIndex', 'UpdateChartDataPoint', 'Integer')
      paramdata_point = AsposeSlidesCloud::SpecUtils.get_param_value('dataPoint', 'UpdateChartDataPoint', 'DataPoint')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateChartDataPoint', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateChartDataPoint', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateChartDataPoint', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'UpdateChartDataPoint', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateChartDataPoint', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_chart_data_point_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, parampoint_index, paramdata_point, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateChartDataPoint', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartDataPoint', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartDataPoint', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateChartDataPoint', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateChartDataPoint', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateChartDataPoint', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'UpdateChartDataPoint', 'Integer')
      parampoint_index = AsposeSlidesCloud::SpecUtils.get_param_value('pointIndex', 'UpdateChartDataPoint', 'Integer')
      paramdata_point = AsposeSlidesCloud::SpecUtils.get_param_value('dataPoint', 'UpdateChartDataPoint', 'DataPoint')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateChartDataPoint', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateChartDataPoint', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateChartDataPoint', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'UpdateChartDataPoint', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateChartDataPoint', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_chart_data_point_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, parampoint_index, paramdata_point, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateChartDataPoint', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartDataPoint', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartDataPoint', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateChartDataPoint', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateChartDataPoint', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateChartDataPoint', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'UpdateChartDataPoint', 'Integer')
      parampoint_index = AsposeSlidesCloud::SpecUtils.get_param_value('pointIndex', 'UpdateChartDataPoint', 'Integer')
      paramdata_point = AsposeSlidesCloud::SpecUtils.get_param_value('dataPoint', 'UpdateChartDataPoint', 'DataPoint')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateChartDataPoint', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateChartDataPoint', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateChartDataPoint', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'UpdateChartDataPoint', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateChartDataPoint', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_chart_data_point_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, parampoint_index, paramdata_point, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateChartDataPoint', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartDataPoint', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartDataPoint', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for update_chart_series
  # Update a series in a chart.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param shape_index Shape index (must be a chart).
  # @param series_index Series index.
  # @param series Series DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Chart]
  describe 'update_chart_series test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateChartSeries', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateChartSeries', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateChartSeries', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'UpdateChartSeries', 'Integer')
      paramseries = AsposeSlidesCloud::SpecUtils.get_param_value('series', 'UpdateChartSeries', 'Series')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateChartSeries', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateChartSeries', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateChartSeries', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateChartSeries', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.update_chart_series_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, paramseries, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartSeries', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateChartSeries', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateChartSeries', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateChartSeries', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'UpdateChartSeries', 'Integer')
      paramseries = AsposeSlidesCloud::SpecUtils.get_param_value('series', 'UpdateChartSeries', 'Series')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateChartSeries', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateChartSeries', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateChartSeries', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'UpdateChartSeries', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateChartSeries', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_chart_series_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, paramseries, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateChartSeries', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartSeries', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartSeries', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateChartSeries', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateChartSeries', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateChartSeries', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'UpdateChartSeries', 'Integer')
      paramseries = AsposeSlidesCloud::SpecUtils.get_param_value('series', 'UpdateChartSeries', 'Series')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateChartSeries', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateChartSeries', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateChartSeries', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'UpdateChartSeries', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateChartSeries', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_chart_series_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, paramseries, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateChartSeries', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartSeries', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartSeries', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateChartSeries', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateChartSeries', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateChartSeries', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'UpdateChartSeries', 'Integer')
      paramseries = AsposeSlidesCloud::SpecUtils.get_param_value('series', 'UpdateChartSeries', 'Series')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateChartSeries', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateChartSeries', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateChartSeries', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'UpdateChartSeries', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateChartSeries', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_chart_series_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, paramseries, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateChartSeries', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartSeries', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartSeries', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid series_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateChartSeries', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateChartSeries', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateChartSeries', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'UpdateChartSeries', 'Integer')
      paramseries = AsposeSlidesCloud::SpecUtils.get_param_value('series', 'UpdateChartSeries', 'Series')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateChartSeries', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateChartSeries', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateChartSeries', 'String')
      paramseries_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('seriesIndex', 'UpdateChartSeries', paramseries_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateChartSeries', 'seriesIndex', paramseries_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_chart_series_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, paramseries, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateChartSeries', 'seriesIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartSeries', 'seriesIndex', paramseries_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartSeries', 'seriesIndex', paramseries_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid series' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateChartSeries', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateChartSeries', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateChartSeries', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'UpdateChartSeries', 'Integer')
      paramseries = AsposeSlidesCloud::SpecUtils.get_param_value('series', 'UpdateChartSeries', 'Series')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateChartSeries', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateChartSeries', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateChartSeries', 'String')
      paramseries = AsposeSlidesCloud::SpecUtils.invalidize_param_value('series', 'UpdateChartSeries', paramseries, 'Series')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateChartSeries', 'series', paramseries)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_chart_series_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, paramseries, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateChartSeries', 'series')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartSeries', 'series', paramseries)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartSeries', 'series', paramseries)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateChartSeries', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateChartSeries', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateChartSeries', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'UpdateChartSeries', 'Integer')
      paramseries = AsposeSlidesCloud::SpecUtils.get_param_value('series', 'UpdateChartSeries', 'Series')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateChartSeries', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateChartSeries', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateChartSeries', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'UpdateChartSeries', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateChartSeries', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_chart_series_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, paramseries, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateChartSeries', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartSeries', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartSeries', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateChartSeries', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateChartSeries', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateChartSeries', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'UpdateChartSeries', 'Integer')
      paramseries = AsposeSlidesCloud::SpecUtils.get_param_value('series', 'UpdateChartSeries', 'Series')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateChartSeries', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateChartSeries', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateChartSeries', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'UpdateChartSeries', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateChartSeries', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_chart_series_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, paramseries, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateChartSeries', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartSeries', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartSeries', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateChartSeries', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateChartSeries', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateChartSeries', 'Integer')
      paramseries_index = AsposeSlidesCloud::SpecUtils.get_param_value('seriesIndex', 'UpdateChartSeries', 'Integer')
      paramseries = AsposeSlidesCloud::SpecUtils.get_param_value('series', 'UpdateChartSeries', 'Series')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateChartSeries', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateChartSeries', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateChartSeries', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'UpdateChartSeries', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateChartSeries', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_chart_series_with_http_info(paramname, paramslide_index, paramshape_index, paramseries_index, paramseries, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateChartSeries', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartSeries', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateChartSeries', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for update_layout_slide
  # Update a layoutSlide.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param slide_dto Slide update data.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [LayoutSlide]
  describe 'update_layout_slide test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateLayoutSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateLayoutSlide', 'Integer')
      paramslide_dto = AsposeSlidesCloud::SpecUtils.get_param_value('slideDto', 'UpdateLayoutSlide', 'LayoutSlide')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateLayoutSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateLayoutSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateLayoutSlide', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateLayoutSlide', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.update_layout_slide_with_http_info(paramname, paramslide_index, paramslide_dto, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateLayoutSlide', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateLayoutSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateLayoutSlide', 'Integer')
      paramslide_dto = AsposeSlidesCloud::SpecUtils.get_param_value('slideDto', 'UpdateLayoutSlide', 'LayoutSlide')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateLayoutSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateLayoutSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateLayoutSlide', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'UpdateLayoutSlide', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateLayoutSlide', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_layout_slide_with_http_info(paramname, paramslide_index, paramslide_dto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateLayoutSlide', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateLayoutSlide', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateLayoutSlide', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateLayoutSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateLayoutSlide', 'Integer')
      paramslide_dto = AsposeSlidesCloud::SpecUtils.get_param_value('slideDto', 'UpdateLayoutSlide', 'LayoutSlide')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateLayoutSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateLayoutSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateLayoutSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'UpdateLayoutSlide', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateLayoutSlide', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_layout_slide_with_http_info(paramname, paramslide_index, paramslide_dto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateLayoutSlide', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateLayoutSlide', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateLayoutSlide', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_dto' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateLayoutSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateLayoutSlide', 'Integer')
      paramslide_dto = AsposeSlidesCloud::SpecUtils.get_param_value('slideDto', 'UpdateLayoutSlide', 'LayoutSlide')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateLayoutSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateLayoutSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateLayoutSlide', 'String')
      paramslide_dto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideDto', 'UpdateLayoutSlide', paramslide_dto, 'LayoutSlide')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateLayoutSlide', 'slideDto', paramslide_dto)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_layout_slide_with_http_info(paramname, paramslide_index, paramslide_dto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateLayoutSlide', 'slideDto')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateLayoutSlide', 'slideDto', paramslide_dto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateLayoutSlide', 'slideDto', paramslide_dto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateLayoutSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateLayoutSlide', 'Integer')
      paramslide_dto = AsposeSlidesCloud::SpecUtils.get_param_value('slideDto', 'UpdateLayoutSlide', 'LayoutSlide')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateLayoutSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateLayoutSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateLayoutSlide', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'UpdateLayoutSlide', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateLayoutSlide', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_layout_slide_with_http_info(paramname, paramslide_index, paramslide_dto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateLayoutSlide', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateLayoutSlide', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateLayoutSlide', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateLayoutSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateLayoutSlide', 'Integer')
      paramslide_dto = AsposeSlidesCloud::SpecUtils.get_param_value('slideDto', 'UpdateLayoutSlide', 'LayoutSlide')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateLayoutSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateLayoutSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateLayoutSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'UpdateLayoutSlide', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateLayoutSlide', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_layout_slide_with_http_info(paramname, paramslide_index, paramslide_dto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateLayoutSlide', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateLayoutSlide', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateLayoutSlide', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateLayoutSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateLayoutSlide', 'Integer')
      paramslide_dto = AsposeSlidesCloud::SpecUtils.get_param_value('slideDto', 'UpdateLayoutSlide', 'LayoutSlide')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateLayoutSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateLayoutSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateLayoutSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'UpdateLayoutSlide', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateLayoutSlide', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_layout_slide_with_http_info(paramname, paramslide_index, paramslide_dto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateLayoutSlide', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateLayoutSlide', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateLayoutSlide', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for update_notes_slide
  # Update notes slide properties.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param dto A NotesSlide object with notes slide data.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [NotesSlide]
  describe 'update_notes_slide test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateNotesSlide', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateNotesSlide', 'NotesSlide')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateNotesSlide', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateNotesSlide', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.update_notes_slide_with_http_info(paramname, paramslide_index, paramdto, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateNotesSlide', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateNotesSlide', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateNotesSlide', 'NotesSlide')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateNotesSlide', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'UpdateNotesSlide', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateNotesSlide', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_notes_slide_with_http_info(paramname, paramslide_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateNotesSlide', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateNotesSlide', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateNotesSlide', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateNotesSlide', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateNotesSlide', 'NotesSlide')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'UpdateNotesSlide', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateNotesSlide', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_notes_slide_with_http_info(paramname, paramslide_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateNotesSlide', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateNotesSlide', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateNotesSlide', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dto' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateNotesSlide', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateNotesSlide', 'NotesSlide')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateNotesSlide', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('dto', 'UpdateNotesSlide', paramdto, 'NotesSlide')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateNotesSlide', 'dto', paramdto)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_notes_slide_with_http_info(paramname, paramslide_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateNotesSlide', 'dto')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateNotesSlide', 'dto', paramdto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateNotesSlide', 'dto', paramdto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateNotesSlide', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateNotesSlide', 'NotesSlide')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateNotesSlide', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'UpdateNotesSlide', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateNotesSlide', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_notes_slide_with_http_info(paramname, paramslide_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateNotesSlide', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateNotesSlide', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateNotesSlide', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateNotesSlide', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateNotesSlide', 'NotesSlide')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'UpdateNotesSlide', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateNotesSlide', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_notes_slide_with_http_info(paramname, paramslide_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateNotesSlide', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateNotesSlide', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateNotesSlide', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateNotesSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateNotesSlide', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateNotesSlide', 'NotesSlide')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateNotesSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateNotesSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'UpdateNotesSlide', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateNotesSlide', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_notes_slide_with_http_info(paramname, paramslide_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateNotesSlide', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateNotesSlide', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateNotesSlide', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for update_paragraph
  # Update paragraph properties.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param shape_index Shape index.
  # @param paragraph_index Paragraph index.
  # @param dto Paragraph DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Paragraph]
  describe 'update_paragraph test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateParagraph', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateParagraph', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateParagraph', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.update_paragraph_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateParagraph', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateParagraph', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateParagraph', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'UpdateParagraph', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateParagraph', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_paragraph_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateParagraph', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateParagraph', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateParagraph', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateParagraph', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'UpdateParagraph', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateParagraph', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_paragraph_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateParagraph', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateParagraph', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateParagraph', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateParagraph', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'UpdateParagraph', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateParagraph', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_paragraph_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateParagraph', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateParagraph', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateParagraph', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateParagraph', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateParagraph', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'UpdateParagraph', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateParagraph', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_paragraph_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateParagraph', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateParagraph', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateParagraph', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dto' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateParagraph', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateParagraph', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('dto', 'UpdateParagraph', paramdto, 'Paragraph')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateParagraph', 'dto', paramdto)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_paragraph_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateParagraph', 'dto')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateParagraph', 'dto', paramdto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateParagraph', 'dto', paramdto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateParagraph', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateParagraph', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'UpdateParagraph', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateParagraph', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_paragraph_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateParagraph', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateParagraph', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateParagraph', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateParagraph', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'UpdateParagraph', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateParagraph', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_paragraph_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateParagraph', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateParagraph', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateParagraph', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateParagraph', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'UpdateParagraph', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateParagraph', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_paragraph_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateParagraph', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateParagraph', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateParagraph', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for update_portion
  # Update portion properties.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param shape_index Shape index.
  # @param paragraph_index Paragraph index.
  # @param portion_index Portion index.
  # @param dto Portion DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Portion]
  describe 'update_portion test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdatePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdatePortion', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdatePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdatePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdatePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdatePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdatePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdatePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdatePortion', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdatePortion', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.update_portion_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdatePortion', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdatePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdatePortion', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdatePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdatePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdatePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdatePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdatePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdatePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdatePortion', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'UpdatePortion', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdatePortion', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_portion_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdatePortion', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdatePortion', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdatePortion', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdatePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdatePortion', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdatePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdatePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdatePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdatePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdatePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdatePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdatePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'UpdatePortion', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdatePortion', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_portion_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdatePortion', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdatePortion', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdatePortion', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdatePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdatePortion', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdatePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdatePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdatePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdatePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdatePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdatePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdatePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'UpdatePortion', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdatePortion', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_portion_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdatePortion', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdatePortion', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdatePortion', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdatePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdatePortion', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdatePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdatePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdatePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdatePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdatePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdatePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdatePortion', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'UpdatePortion', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdatePortion', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_portion_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdatePortion', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdatePortion', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdatePortion', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid portion_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdatePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdatePortion', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdatePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdatePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdatePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdatePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdatePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdatePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdatePortion', 'String')
      paramportion_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('portionIndex', 'UpdatePortion', paramportion_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdatePortion', 'portionIndex', paramportion_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_portion_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdatePortion', 'portionIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdatePortion', 'portionIndex', paramportion_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdatePortion', 'portionIndex', paramportion_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dto' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdatePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdatePortion', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdatePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdatePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdatePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdatePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdatePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdatePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdatePortion', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('dto', 'UpdatePortion', paramdto, 'Portion')
      AsposeSlidesCloud::SpecUtils.initialize('UpdatePortion', 'dto', paramdto)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_portion_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdatePortion', 'dto')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdatePortion', 'dto', paramdto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdatePortion', 'dto', paramdto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdatePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdatePortion', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdatePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdatePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdatePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdatePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdatePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdatePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdatePortion', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'UpdatePortion', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdatePortion', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_portion_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdatePortion', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdatePortion', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdatePortion', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdatePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdatePortion', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdatePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdatePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdatePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdatePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdatePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdatePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdatePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'UpdatePortion', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdatePortion', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_portion_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdatePortion', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdatePortion', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdatePortion', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdatePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdatePortion', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdatePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdatePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdatePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdatePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdatePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdatePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdatePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'UpdatePortion', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdatePortion', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_portion_with_http_info(paramname, paramslide_index, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdatePortion', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdatePortion', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdatePortion', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for update_section
  # Update section name.
  # @param name Document name.
  # @param section_index The position of the section to be updated.
  # @param section_name Section name.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Sections]
  describe 'update_section test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSection', 'String')
      paramsection_index = AsposeSlidesCloud::SpecUtils.get_param_value('sectionIndex', 'UpdateSection', 'Integer')
      paramsection_name = AsposeSlidesCloud::SpecUtils.get_param_value('sectionName', 'UpdateSection', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSection', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSection', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.update_section_with_http_info(paramname, paramsection_index, paramsection_name, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSection', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSection', 'String')
      paramsection_index = AsposeSlidesCloud::SpecUtils.get_param_value('sectionIndex', 'UpdateSection', 'Integer')
      paramsection_name = AsposeSlidesCloud::SpecUtils.get_param_value('sectionName', 'UpdateSection', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSection', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'UpdateSection', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSection', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_section_with_http_info(paramname, paramsection_index, paramsection_name, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSection', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSection', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSection', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid section_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSection', 'String')
      paramsection_index = AsposeSlidesCloud::SpecUtils.get_param_value('sectionIndex', 'UpdateSection', 'Integer')
      paramsection_name = AsposeSlidesCloud::SpecUtils.get_param_value('sectionName', 'UpdateSection', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSection', 'String')
      paramsection_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('sectionIndex', 'UpdateSection', paramsection_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSection', 'sectionIndex', paramsection_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_section_with_http_info(paramname, paramsection_index, paramsection_name, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSection', 'sectionIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSection', 'sectionIndex', paramsection_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSection', 'sectionIndex', paramsection_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid section_name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSection', 'String')
      paramsection_index = AsposeSlidesCloud::SpecUtils.get_param_value('sectionIndex', 'UpdateSection', 'Integer')
      paramsection_name = AsposeSlidesCloud::SpecUtils.get_param_value('sectionName', 'UpdateSection', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSection', 'String')
      paramsection_name = AsposeSlidesCloud::SpecUtils.invalidize_param_value('sectionName', 'UpdateSection', paramsection_name, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSection', 'sectionName', paramsection_name)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_section_with_http_info(paramname, paramsection_index, paramsection_name, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSection', 'sectionName')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSection', 'sectionName', paramsection_name)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSection', 'sectionName', paramsection_name)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSection', 'String')
      paramsection_index = AsposeSlidesCloud::SpecUtils.get_param_value('sectionIndex', 'UpdateSection', 'Integer')
      paramsection_name = AsposeSlidesCloud::SpecUtils.get_param_value('sectionName', 'UpdateSection', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSection', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'UpdateSection', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSection', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_section_with_http_info(paramname, paramsection_index, paramsection_name, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSection', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSection', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSection', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSection', 'String')
      paramsection_index = AsposeSlidesCloud::SpecUtils.get_param_value('sectionIndex', 'UpdateSection', 'Integer')
      paramsection_name = AsposeSlidesCloud::SpecUtils.get_param_value('sectionName', 'UpdateSection', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'UpdateSection', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSection', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_section_with_http_info(paramname, paramsection_index, paramsection_name, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSection', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSection', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSection', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSection', 'String')
      paramsection_index = AsposeSlidesCloud::SpecUtils.get_param_value('sectionIndex', 'UpdateSection', 'Integer')
      paramsection_name = AsposeSlidesCloud::SpecUtils.get_param_value('sectionName', 'UpdateSection', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSection', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSection', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'UpdateSection', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSection', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_section_with_http_info(paramname, paramsection_index, paramsection_name, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSection', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSection', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSection', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for update_shape
  # Update shape properties.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param shape_index Shape index.
  # @param dto Shape DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [ShapeBase]
  describe 'update_shape test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateShape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateShape', 'ShapeBase')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateShape', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateShape', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.update_shape_with_http_info(paramname, paramslide_index, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateShape', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateShape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateShape', 'ShapeBase')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateShape', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'UpdateShape', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateShape', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_shape_with_http_info(paramname, paramslide_index, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateShape', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateShape', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateShape', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateShape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateShape', 'ShapeBase')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'UpdateShape', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateShape', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_shape_with_http_info(paramname, paramslide_index, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateShape', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateShape', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateShape', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateShape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateShape', 'ShapeBase')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'UpdateShape', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateShape', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_shape_with_http_info(paramname, paramslide_index, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateShape', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateShape', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateShape', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dto' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateShape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateShape', 'ShapeBase')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateShape', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('dto', 'UpdateShape', paramdto, 'ShapeBase')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateShape', 'dto', paramdto)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_shape_with_http_info(paramname, paramslide_index, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateShape', 'dto')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateShape', 'dto', paramdto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateShape', 'dto', paramdto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateShape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateShape', 'ShapeBase')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'UpdateShape', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateShape', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_shape_with_http_info(paramname, paramslide_index, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateShape', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateShape', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateShape', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateShape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateShape', 'ShapeBase')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'UpdateShape', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateShape', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_shape_with_http_info(paramname, paramslide_index, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateShape', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateShape', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateShape', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateShape', 'Integer')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateShape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateShape', 'ShapeBase')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'UpdateShape', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateShape', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_shape_with_http_info(paramname, paramslide_index, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateShape', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateShape', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateShape', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for update_slide
  # Update a slide.
  # @param name Document name.
  # @param slide_index Slide index.
  # @param slide_dto Slide update data.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Slide]
  describe 'update_slide test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSlide', 'Integer')
      paramslide_dto = AsposeSlidesCloud::SpecUtils.get_param_value('slideDto', 'UpdateSlide', 'Slide')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSlide', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSlide', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.update_slide_with_http_info(paramname, paramslide_index, paramslide_dto, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSlide', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSlide', 'Integer')
      paramslide_dto = AsposeSlidesCloud::SpecUtils.get_param_value('slideDto', 'UpdateSlide', 'Slide')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSlide', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'UpdateSlide', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSlide', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_slide_with_http_info(paramname, paramslide_index, paramslide_dto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSlide', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSlide', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSlide', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSlide', 'Integer')
      paramslide_dto = AsposeSlidesCloud::SpecUtils.get_param_value('slideDto', 'UpdateSlide', 'Slide')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'UpdateSlide', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSlide', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_slide_with_http_info(paramname, paramslide_index, paramslide_dto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSlide', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSlide', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSlide', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_dto' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSlide', 'Integer')
      paramslide_dto = AsposeSlidesCloud::SpecUtils.get_param_value('slideDto', 'UpdateSlide', 'Slide')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSlide', 'String')
      paramslide_dto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideDto', 'UpdateSlide', paramslide_dto, 'Slide')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSlide', 'slideDto', paramslide_dto)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_slide_with_http_info(paramname, paramslide_index, paramslide_dto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSlide', 'slideDto')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSlide', 'slideDto', paramslide_dto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSlide', 'slideDto', paramslide_dto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSlide', 'Integer')
      paramslide_dto = AsposeSlidesCloud::SpecUtils.get_param_value('slideDto', 'UpdateSlide', 'Slide')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSlide', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'UpdateSlide', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSlide', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_slide_with_http_info(paramname, paramslide_index, paramslide_dto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSlide', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSlide', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSlide', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSlide', 'Integer')
      paramslide_dto = AsposeSlidesCloud::SpecUtils.get_param_value('slideDto', 'UpdateSlide', 'Slide')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'UpdateSlide', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSlide', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_slide_with_http_info(paramname, paramslide_index, paramslide_dto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSlide', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSlide', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSlide', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSlide', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSlide', 'Integer')
      paramslide_dto = AsposeSlidesCloud::SpecUtils.get_param_value('slideDto', 'UpdateSlide', 'Slide')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSlide', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSlide', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'UpdateSlide', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSlide', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_slide_with_http_info(paramname, paramslide_index, paramslide_dto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSlide', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSlide', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSlide', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for update_special_slide_animation_effect
  # Modify an animation effect for a special slide (master, layout, notes).
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param effect_index The position of the effect to be modified.
  # @param effect Animation effect DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [SlideAnimation]
  describe 'update_special_slide_animation_effect test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideAnimationEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideAnimationEffect', 'String')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'UpdateSpecialSlideAnimationEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'UpdateSpecialSlideAnimationEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideAnimationEffect', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideAnimationEffect', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.update_special_slide_animation_effect_with_http_info(paramname, paramslide_index, paramslide_type, parameffect_index, parameffect, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideAnimationEffect', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideAnimationEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideAnimationEffect', 'String')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'UpdateSpecialSlideAnimationEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'UpdateSpecialSlideAnimationEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideAnimationEffect', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'UpdateSpecialSlideAnimationEffect', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideAnimationEffect', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_animation_effect_with_http_info(paramname, paramslide_index, paramslide_type, parameffect_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideAnimationEffect', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideAnimationEffect', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideAnimationEffect', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideAnimationEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideAnimationEffect', 'String')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'UpdateSpecialSlideAnimationEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'UpdateSpecialSlideAnimationEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'UpdateSpecialSlideAnimationEffect', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideAnimationEffect', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_animation_effect_with_http_info(paramname, paramslide_index, paramslide_type, parameffect_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideAnimationEffect', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideAnimationEffect', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideAnimationEffect', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideAnimationEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideAnimationEffect', 'String')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'UpdateSpecialSlideAnimationEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'UpdateSpecialSlideAnimationEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideAnimationEffect', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'UpdateSpecialSlideAnimationEffect', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideAnimationEffect', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_animation_effect_with_http_info(paramname, paramslide_index, paramslide_type, parameffect_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideAnimationEffect', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideAnimationEffect', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideAnimationEffect', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid effect_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideAnimationEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideAnimationEffect', 'String')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'UpdateSpecialSlideAnimationEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'UpdateSpecialSlideAnimationEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideAnimationEffect', 'String')
      parameffect_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('effectIndex', 'UpdateSpecialSlideAnimationEffect', parameffect_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideAnimationEffect', 'effectIndex', parameffect_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_animation_effect_with_http_info(paramname, paramslide_index, paramslide_type, parameffect_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideAnimationEffect', 'effectIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideAnimationEffect', 'effectIndex', parameffect_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideAnimationEffect', 'effectIndex', parameffect_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid effect' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideAnimationEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideAnimationEffect', 'String')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'UpdateSpecialSlideAnimationEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'UpdateSpecialSlideAnimationEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideAnimationEffect', 'String')
      parameffect = AsposeSlidesCloud::SpecUtils.invalidize_param_value('effect', 'UpdateSpecialSlideAnimationEffect', parameffect, 'Effect')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideAnimationEffect', 'effect', parameffect)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_animation_effect_with_http_info(paramname, paramslide_index, paramslide_type, parameffect_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideAnimationEffect', 'effect')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideAnimationEffect', 'effect', parameffect)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideAnimationEffect', 'effect', parameffect)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideAnimationEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideAnimationEffect', 'String')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'UpdateSpecialSlideAnimationEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'UpdateSpecialSlideAnimationEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideAnimationEffect', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'UpdateSpecialSlideAnimationEffect', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideAnimationEffect', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_animation_effect_with_http_info(paramname, paramslide_index, paramslide_type, parameffect_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideAnimationEffect', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideAnimationEffect', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideAnimationEffect', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideAnimationEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideAnimationEffect', 'String')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'UpdateSpecialSlideAnimationEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'UpdateSpecialSlideAnimationEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'UpdateSpecialSlideAnimationEffect', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideAnimationEffect', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_animation_effect_with_http_info(paramname, paramslide_index, paramslide_type, parameffect_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideAnimationEffect', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideAnimationEffect', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideAnimationEffect', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideAnimationEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideAnimationEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideAnimationEffect', 'String')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'UpdateSpecialSlideAnimationEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'UpdateSpecialSlideAnimationEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideAnimationEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideAnimationEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'UpdateSpecialSlideAnimationEffect', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideAnimationEffect', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_animation_effect_with_http_info(paramname, paramslide_index, paramslide_type, parameffect_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideAnimationEffect', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideAnimationEffect', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideAnimationEffect', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for update_special_slide_animation_interactive_sequence_effect
  # Modify an animation effect for a special slide (master, layout, notes) interactive sequence.
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param sequence_index The position of the interactive sequence.
  # @param effect_index The position of the effect to be modified.
  # @param effect Animation effect DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [SlideAnimation]
  describe 'update_special_slide_animation_interactive_sequence_effect test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideAnimationInteractiveSequenceEffect', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.update_special_slide_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence_index, parameffect_index, parameffect, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideAnimationInteractiveSequenceEffect', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence_index, parameffect_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence_index, parameffect_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence_index, parameffect_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid sequence_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('sequenceIndex', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', paramsequence_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'sequenceIndex', paramsequence_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence_index, parameffect_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'sequenceIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'sequenceIndex', paramsequence_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'sequenceIndex', paramsequence_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid effect_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      parameffect_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('effectIndex', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', parameffect_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'effectIndex', parameffect_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence_index, parameffect_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'effectIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'effectIndex', parameffect_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'effectIndex', parameffect_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid effect' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      parameffect = AsposeSlidesCloud::SpecUtils.invalidize_param_value('effect', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', parameffect, 'Effect')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'effect', parameffect)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence_index, parameffect_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'effect')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'effect', parameffect)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'effect', parameffect)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence_index, parameffect_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence_index, parameffect_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramsequence_index = AsposeSlidesCloud::SpecUtils.get_param_value('sequenceIndex', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parameffect_index = AsposeSlidesCloud::SpecUtils.get_param_value('effectIndex', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Integer')
      parameffect = AsposeSlidesCloud::SpecUtils.get_param_value('effect', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'Effect')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'UpdateSpecialSlideAnimationInteractiveSequenceEffect', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_animation_interactive_sequence_effect_with_http_info(paramname, paramslide_index, paramslide_type, paramsequence_index, parameffect_index, parameffect, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideAnimationInteractiveSequenceEffect', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for update_special_slide_paragraph
  # Update paragraph properties.
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param shape_index Shape index.
  # @param paragraph_index Paragraph index.
  # @param dto Paragraph DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Paragraph]
  describe 'update_special_slide_paragraph test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlideParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideParagraph', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideParagraph', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.update_special_slide_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideParagraph', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlideParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideParagraph', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'UpdateSpecialSlideParagraph', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideParagraph', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideParagraph', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideParagraph', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideParagraph', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlideParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'UpdateSpecialSlideParagraph', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideParagraph', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideParagraph', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideParagraph', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideParagraph', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlideParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideParagraph', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'UpdateSpecialSlideParagraph', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideParagraph', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideParagraph', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideParagraph', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideParagraph', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlideParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'UpdateSpecialSlideParagraph', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideParagraph', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideParagraph', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideParagraph', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideParagraph', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlideParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideParagraph', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'UpdateSpecialSlideParagraph', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideParagraph', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideParagraph', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideParagraph', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideParagraph', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dto' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlideParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideParagraph', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('dto', 'UpdateSpecialSlideParagraph', paramdto, 'Paragraph')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideParagraph', 'dto', paramdto)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideParagraph', 'dto')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideParagraph', 'dto', paramdto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideParagraph', 'dto', paramdto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlideParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideParagraph', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'UpdateSpecialSlideParagraph', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideParagraph', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideParagraph', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideParagraph', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideParagraph', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlideParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'UpdateSpecialSlideParagraph', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideParagraph', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideParagraph', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideParagraph', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideParagraph', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlideParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'UpdateSpecialSlideParagraph', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideParagraph', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideParagraph', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideParagraph', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideParagraph', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for update_special_slide_portion
  # Update portion properties.
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param shape_index Shape index.
  # @param paragraph_index Paragraph index.
  # @param portion_index Portion index.
  # @param dto Portion DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Portion]
  describe 'update_special_slide_portion test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlidePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlidePortion', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlidePortion', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.update_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlidePortion', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlidePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlidePortion', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'UpdateSpecialSlidePortion', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlidePortion', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlidePortion', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlidePortion', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlidePortion', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlidePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'UpdateSpecialSlidePortion', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlidePortion', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlidePortion', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlidePortion', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlidePortion', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlidePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlidePortion', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'UpdateSpecialSlidePortion', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlidePortion', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlidePortion', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlidePortion', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlidePortion', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlidePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'UpdateSpecialSlidePortion', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlidePortion', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlidePortion', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlidePortion', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlidePortion', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlidePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlidePortion', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'UpdateSpecialSlidePortion', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlidePortion', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlidePortion', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlidePortion', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlidePortion', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid portion_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlidePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlidePortion', 'String')
      paramportion_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('portionIndex', 'UpdateSpecialSlidePortion', paramportion_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlidePortion', 'portionIndex', paramportion_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlidePortion', 'portionIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlidePortion', 'portionIndex', paramportion_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlidePortion', 'portionIndex', paramportion_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dto' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlidePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlidePortion', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('dto', 'UpdateSpecialSlidePortion', paramdto, 'Portion')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlidePortion', 'dto', paramdto)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlidePortion', 'dto')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlidePortion', 'dto', paramdto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlidePortion', 'dto', paramdto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlidePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlidePortion', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'UpdateSpecialSlidePortion', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlidePortion', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlidePortion', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlidePortion', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlidePortion', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlidePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'UpdateSpecialSlidePortion', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlidePortion', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlidePortion', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlidePortion', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlidePortion', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlidePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlidePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdateSpecialSlidePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlidePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlidePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlidePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'UpdateSpecialSlidePortion', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlidePortion', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_portion_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlidePortion', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlidePortion', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlidePortion', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for update_special_slide_shape
  # Update shape properties.
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param shape_index Shape index.
  # @param dto Shape DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [ShapeBase]
  describe 'update_special_slide_shape test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideShape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideShape', 'ShapeBase')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideShape', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideShape', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.update_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideShape', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideShape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideShape', 'ShapeBase')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideShape', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'UpdateSpecialSlideShape', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideShape', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideShape', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideShape', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideShape', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideShape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideShape', 'ShapeBase')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'UpdateSpecialSlideShape', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideShape', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideShape', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideShape', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideShape', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideShape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideShape', 'ShapeBase')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideShape', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'UpdateSpecialSlideShape', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideShape', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideShape', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideShape', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideShape', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideShape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideShape', 'ShapeBase')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'UpdateSpecialSlideShape', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideShape', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideShape', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideShape', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideShape', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dto' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideShape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideShape', 'ShapeBase')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideShape', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('dto', 'UpdateSpecialSlideShape', paramdto, 'ShapeBase')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideShape', 'dto', paramdto)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideShape', 'dto')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideShape', 'dto', paramdto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideShape', 'dto', paramdto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideShape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideShape', 'ShapeBase')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideShape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'UpdateSpecialSlideShape', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideShape', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideShape', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideShape', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideShape', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideShape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideShape', 'ShapeBase')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'UpdateSpecialSlideShape', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideShape', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideShape', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideShape', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideShape', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideShape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideShape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideShape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideShape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideShape', 'ShapeBase')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideShape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideShape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'UpdateSpecialSlideShape', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideShape', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_shape_with_http_info(paramname, paramslide_index, paramslide_type, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideShape', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideShape', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideShape', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for update_special_slide_subshape
  # Update shape properties (for smart art and group shapes).
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param path Shape path.
  # @param shape_index Shape index.
  # @param dto Shape DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [ShapeBase]
  describe 'update_special_slide_subshape test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideSubshape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideSubshape', 'ShapeBase')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideSubshape', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideSubshape', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.update_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshape', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideSubshape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideSubshape', 'ShapeBase')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideSubshape', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'UpdateSpecialSlideSubshape', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideSubshape', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideSubshape', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshape', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshape', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideSubshape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideSubshape', 'ShapeBase')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'UpdateSpecialSlideSubshape', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideSubshape', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideSubshape', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshape', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshape', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideSubshape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideSubshape', 'ShapeBase')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideSubshape', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'UpdateSpecialSlideSubshape', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideSubshape', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideSubshape', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshape', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshape', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideSubshape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideSubshape', 'ShapeBase')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'UpdateSpecialSlideSubshape', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideSubshape', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideSubshape', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshape', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshape', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideSubshape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideSubshape', 'ShapeBase')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'UpdateSpecialSlideSubshape', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideSubshape', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideSubshape', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshape', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshape', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dto' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideSubshape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideSubshape', 'ShapeBase')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideSubshape', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('dto', 'UpdateSpecialSlideSubshape', paramdto, 'ShapeBase')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideSubshape', 'dto', paramdto)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideSubshape', 'dto')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshape', 'dto', paramdto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshape', 'dto', paramdto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideSubshape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideSubshape', 'ShapeBase')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'UpdateSpecialSlideSubshape', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideSubshape', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideSubshape', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshape', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshape', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideSubshape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideSubshape', 'ShapeBase')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'UpdateSpecialSlideSubshape', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideSubshape', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideSubshape', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshape', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshape', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideSubshape', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSpecialSlideSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideSubshape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideSubshape', 'ShapeBase')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'UpdateSpecialSlideSubshape', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideSubshape', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_subshape_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideSubshape', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshape', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshape', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for update_special_slide_subshape_paragraph
  # Update paragraph properties (for smart art and group shapes).
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param path Shape path.
  # @param shape_index Shape index.
  # @param paragraph_index Paragraph index.
  # @param dto Paragraph DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Paragraph]
  describe 'update_special_slide_subshape_paragraph test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlideSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideSubshapeParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideSubshapeParagraph', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.update_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapeParagraph', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlideSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideSubshapeParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'UpdateSpecialSlideSubshapeParagraph', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideSubshapeParagraph', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideSubshapeParagraph', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapeParagraph', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapeParagraph', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlideSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideSubshapeParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'UpdateSpecialSlideSubshapeParagraph', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideSubshapeParagraph', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideSubshapeParagraph', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapeParagraph', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapeParagraph', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlideSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideSubshapeParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'UpdateSpecialSlideSubshapeParagraph', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideSubshapeParagraph', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideSubshapeParagraph', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapeParagraph', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapeParagraph', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlideSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideSubshapeParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'UpdateSpecialSlideSubshapeParagraph', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideSubshapeParagraph', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideSubshapeParagraph', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapeParagraph', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapeParagraph', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlideSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideSubshapeParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'UpdateSpecialSlideSubshapeParagraph', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideSubshapeParagraph', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideSubshapeParagraph', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapeParagraph', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapeParagraph', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlideSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideSubshapeParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'UpdateSpecialSlideSubshapeParagraph', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideSubshapeParagraph', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideSubshapeParagraph', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapeParagraph', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapeParagraph', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dto' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlideSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideSubshapeParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('dto', 'UpdateSpecialSlideSubshapeParagraph', paramdto, 'Paragraph')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideSubshapeParagraph', 'dto', paramdto)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideSubshapeParagraph', 'dto')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapeParagraph', 'dto', paramdto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapeParagraph', 'dto', paramdto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlideSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideSubshapeParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'UpdateSpecialSlideSubshapeParagraph', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideSubshapeParagraph', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideSubshapeParagraph', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapeParagraph', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapeParagraph', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlideSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideSubshapeParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'UpdateSpecialSlideSubshapeParagraph', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideSubshapeParagraph', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideSubshapeParagraph', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapeParagraph', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapeParagraph', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideSubshapeParagraph', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlideSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideSubshapeParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'UpdateSpecialSlideSubshapeParagraph', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideSubshapeParagraph', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_subshape_paragraph_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideSubshapeParagraph', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapeParagraph', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapeParagraph', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for update_special_slide_subshape_portion
  # Update portion properties (for smart art and group shapes).
  # @param name Document name.
  # @param slide_index Parent slide index.
  # @param slide_type Slide type (master, layout or notes).
  # @param path Shape path.
  # @param shape_index Shape index.
  # @param paragraph_index Paragraph index.
  # @param portion_index Portion index.
  # @param dto Portion DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Portion]
  describe 'update_special_slide_subshape_portion test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideSubshapePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideSubshapePortion', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideSubshapePortion', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.update_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapePortion', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideSubshapePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'UpdateSpecialSlideSubshapePortion', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideSubshapePortion', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideSubshapePortion', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapePortion', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapePortion', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideSubshapePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'UpdateSpecialSlideSubshapePortion', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideSubshapePortion', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideSubshapePortion', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapePortion', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapePortion', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_type' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideSubshapePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramslide_type = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideType', 'UpdateSpecialSlideSubshapePortion', paramslide_type, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideSubshapePortion', 'slideType', paramslide_type)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideSubshapePortion', 'slideType')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapePortion', 'slideType', paramslide_type)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapePortion', 'slideType', paramslide_type)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideSubshapePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'UpdateSpecialSlideSubshapePortion', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideSubshapePortion', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideSubshapePortion', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapePortion', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapePortion', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideSubshapePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'UpdateSpecialSlideSubshapePortion', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideSubshapePortion', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideSubshapePortion', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapePortion', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapePortion', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideSubshapePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'UpdateSpecialSlideSubshapePortion', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideSubshapePortion', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideSubshapePortion', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapePortion', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapePortion', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid portion_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideSubshapePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramportion_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('portionIndex', 'UpdateSpecialSlideSubshapePortion', paramportion_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideSubshapePortion', 'portionIndex', paramportion_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideSubshapePortion', 'portionIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapePortion', 'portionIndex', paramportion_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapePortion', 'portionIndex', paramportion_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dto' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideSubshapePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('dto', 'UpdateSpecialSlideSubshapePortion', paramdto, 'Portion')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideSubshapePortion', 'dto', paramdto)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideSubshapePortion', 'dto')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapePortion', 'dto', paramdto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapePortion', 'dto', paramdto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideSubshapePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideSubshapePortion', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'UpdateSpecialSlideSubshapePortion', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideSubshapePortion', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideSubshapePortion', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapePortion', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapePortion', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideSubshapePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'UpdateSpecialSlideSubshapePortion', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideSubshapePortion', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideSubshapePortion', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapePortion', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapePortion', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramslide_type = AsposeSlidesCloud::SpecUtils.get_param_value('slideType', 'UpdateSpecialSlideSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdateSpecialSlideSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSpecialSlideSubshapePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSpecialSlideSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'UpdateSpecialSlideSubshapePortion', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSpecialSlideSubshapePortion', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_special_slide_subshape_portion_with_http_info(paramname, paramslide_index, paramslide_type, parampath, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSpecialSlideSubshapePortion', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapePortion', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSpecialSlideSubshapePortion', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for update_subshape
  # Update shape properties (for smart art and group shapes).
  # @param name Document name.
  # @param slide_index Slide index.
  # @param path Shape path.
  # @param shape_index Shape index.
  # @param dto Shape DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [ShapeBase]
  describe 'update_subshape test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSubshape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSubshape', 'ShapeBase')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSubshape', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSubshape', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.update_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshape', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSubshape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSubshape', 'ShapeBase')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSubshape', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'UpdateSubshape', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSubshape', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSubshape', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshape', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshape', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSubshape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSubshape', 'ShapeBase')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'UpdateSubshape', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSubshape', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSubshape', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshape', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshape', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSubshape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSubshape', 'ShapeBase')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSubshape', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'UpdateSubshape', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSubshape', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSubshape', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshape', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshape', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSubshape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSubshape', 'ShapeBase')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'UpdateSubshape', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSubshape', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSubshape', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshape', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshape', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dto' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSubshape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSubshape', 'ShapeBase')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSubshape', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('dto', 'UpdateSubshape', paramdto, 'ShapeBase')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSubshape', 'dto', paramdto)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSubshape', 'dto')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshape', 'dto', paramdto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshape', 'dto', paramdto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSubshape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSubshape', 'ShapeBase')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSubshape', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'UpdateSubshape', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSubshape', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSubshape', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshape', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshape', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSubshape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSubshape', 'ShapeBase')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'UpdateSubshape', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSubshape', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSubshape', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshape', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshape', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSubshape', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSubshape', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSubshape', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSubshape', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSubshape', 'ShapeBase')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSubshape', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSubshape', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'UpdateSubshape', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSubshape', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_subshape_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSubshape', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshape', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshape', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for update_subshape_paragraph
  # Update paragraph properties (for smart art and group shapes).
  # @param name Document name.
  # @param slide_index Slide index.
  # @param path Shape path.
  # @param shape_index Shape index.
  # @param paragraph_index Paragraph index.
  # @param dto Paragraph DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Paragraph]
  describe 'update_subshape_paragraph test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSubshapeParagraph', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSubshapeParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSubshapeParagraph', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSubshapeParagraph', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.update_subshape_paragraph_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapeParagraph', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSubshapeParagraph', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSubshapeParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSubshapeParagraph', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'UpdateSubshapeParagraph', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSubshapeParagraph', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_subshape_paragraph_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSubshapeParagraph', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapeParagraph', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapeParagraph', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSubshapeParagraph', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSubshapeParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'UpdateSubshapeParagraph', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSubshapeParagraph', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_subshape_paragraph_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSubshapeParagraph', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapeParagraph', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapeParagraph', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSubshapeParagraph', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSubshapeParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSubshapeParagraph', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'UpdateSubshapeParagraph', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSubshapeParagraph', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_subshape_paragraph_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSubshapeParagraph', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapeParagraph', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapeParagraph', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSubshapeParagraph', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSubshapeParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'UpdateSubshapeParagraph', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSubshapeParagraph', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_subshape_paragraph_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSubshapeParagraph', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapeParagraph', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapeParagraph', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSubshapeParagraph', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSubshapeParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSubshapeParagraph', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'UpdateSubshapeParagraph', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSubshapeParagraph', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_subshape_paragraph_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSubshapeParagraph', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapeParagraph', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapeParagraph', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dto' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSubshapeParagraph', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSubshapeParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSubshapeParagraph', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('dto', 'UpdateSubshapeParagraph', paramdto, 'Paragraph')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSubshapeParagraph', 'dto', paramdto)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_subshape_paragraph_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSubshapeParagraph', 'dto')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapeParagraph', 'dto', paramdto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapeParagraph', 'dto', paramdto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSubshapeParagraph', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSubshapeParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSubshapeParagraph', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'UpdateSubshapeParagraph', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSubshapeParagraph', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_subshape_paragraph_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSubshapeParagraph', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapeParagraph', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapeParagraph', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSubshapeParagraph', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSubshapeParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'UpdateSubshapeParagraph', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSubshapeParagraph', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_subshape_paragraph_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSubshapeParagraph', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapeParagraph', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapeParagraph', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSubshapeParagraph', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSubshapeParagraph', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSubshapeParagraph', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSubshapeParagraph', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSubshapeParagraph', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSubshapeParagraph', 'Paragraph')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSubshapeParagraph', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSubshapeParagraph', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'UpdateSubshapeParagraph', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSubshapeParagraph', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_subshape_paragraph_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSubshapeParagraph', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapeParagraph', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapeParagraph', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for update_subshape_portion
  # Update portion properties (for smart art and group shapes).
  # @param name Document name.
  # @param slide_index Slide index.
  # @param path Shape path.
  # @param shape_index Shape index.
  # @param paragraph_index Paragraph index.
  # @param portion_index Portion index.
  # @param dto Portion DTO.
  # @param [Hash] opts the optional parameters
  # @option opts [String] :password Document password.
  # @option opts [String] :folder Document folder.
  # @option opts [String] :storage Document storage.
  # @return [Portion]
  describe 'update_subshape_portion test' do
    it 'should work' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdateSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSubshapePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSubshapePortion', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSubshapePortion', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.update_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapePortion', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid name' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdateSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSubshapePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSubshapePortion', 'String')
      paramname = AsposeSlidesCloud::SpecUtils.invalidize_param_value('name', 'UpdateSubshapePortion', paramname, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSubshapePortion', 'name', paramname)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSubshapePortion', 'name')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapePortion', 'name', paramname)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapePortion', 'name', paramname)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid slide_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdateSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSubshapePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('slideIndex', 'UpdateSubshapePortion', paramslide_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSubshapePortion', 'slideIndex', paramslide_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSubshapePortion', 'slideIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapePortion', 'slideIndex', paramslide_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapePortion', 'slideIndex', paramslide_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid path' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdateSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSubshapePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSubshapePortion', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'UpdateSubshapePortion', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSubshapePortion', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSubshapePortion', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapePortion', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapePortion', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid shape_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdateSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSubshapePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('shapeIndex', 'UpdateSubshapePortion', paramshape_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSubshapePortion', 'shapeIndex', paramshape_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSubshapePortion', 'shapeIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapePortion', 'shapeIndex', paramshape_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapePortion', 'shapeIndex', paramshape_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid paragraph_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdateSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSubshapePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSubshapePortion', 'String')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('paragraphIndex', 'UpdateSubshapePortion', paramparagraph_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSubshapePortion', 'paragraphIndex', paramparagraph_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSubshapePortion', 'paragraphIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapePortion', 'paragraphIndex', paramparagraph_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapePortion', 'paragraphIndex', paramparagraph_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid portion_index' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdateSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSubshapePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSubshapePortion', 'String')
      paramportion_index = AsposeSlidesCloud::SpecUtils.invalidize_param_value('portionIndex', 'UpdateSubshapePortion', paramportion_index, 'Integer')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSubshapePortion', 'portionIndex', paramportion_index)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSubshapePortion', 'portionIndex')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapePortion', 'portionIndex', paramportion_index)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapePortion', 'portionIndex', paramportion_index)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid dto' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdateSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSubshapePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSubshapePortion', 'String')
      paramdto = AsposeSlidesCloud::SpecUtils.invalidize_param_value('dto', 'UpdateSubshapePortion', paramdto, 'Portion')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSubshapePortion', 'dto', paramdto)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSubshapePortion', 'dto')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapePortion', 'dto', paramdto)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapePortion', 'dto', paramdto)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid password' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdateSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSubshapePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSubshapePortion', 'String')
      parampassword = AsposeSlidesCloud::SpecUtils.invalidize_param_value('password', 'UpdateSubshapePortion', parampassword, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSubshapePortion', 'password', parampassword)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSubshapePortion', 'password')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapePortion', 'password', parampassword)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapePortion', 'password', parampassword)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid folder' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdateSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSubshapePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.invalidize_param_value('folder', 'UpdateSubshapePortion', paramfolder, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSubshapePortion', 'folder', paramfolder)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSubshapePortion', 'folder')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapePortion', 'folder', paramfolder)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapePortion', 'folder', paramfolder)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage' do
      paramname = AsposeSlidesCloud::SpecUtils.get_param_value('name', 'UpdateSubshapePortion', 'String')
      paramslide_index = AsposeSlidesCloud::SpecUtils.get_param_value('slideIndex', 'UpdateSubshapePortion', 'Integer')
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UpdateSubshapePortion', 'String')
      paramshape_index = AsposeSlidesCloud::SpecUtils.get_param_value('shapeIndex', 'UpdateSubshapePortion', 'Integer')
      paramparagraph_index = AsposeSlidesCloud::SpecUtils.get_param_value('paragraphIndex', 'UpdateSubshapePortion', 'Integer')
      paramportion_index = AsposeSlidesCloud::SpecUtils.get_param_value('portionIndex', 'UpdateSubshapePortion', 'Integer')
      paramdto = AsposeSlidesCloud::SpecUtils.get_param_value('dto', 'UpdateSubshapePortion', 'Portion')
      parampassword = AsposeSlidesCloud::SpecUtils.get_param_value('password', 'UpdateSubshapePortion', 'String')
      paramfolder = AsposeSlidesCloud::SpecUtils.get_param_value('folder', 'UpdateSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.get_param_value('storage', 'UpdateSubshapePortion', 'String')
      paramstorage = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storage', 'UpdateSubshapePortion', paramstorage, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UpdateSubshapePortion', 'storage', paramstorage)
      begin
        AsposeSlidesCloud::SpecUtils.api.update_subshape_portion_with_http_info(paramname, paramslide_index, parampath, paramshape_index, paramparagraph_index, paramportion_index, paramdto, parampassword, paramfolder, paramstorage)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UpdateSubshapePortion', 'storage')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapePortion', 'storage', paramstorage)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UpdateSubshapePortion', 'storage', paramstorage)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

  # unit tests for upload_file
  # Upload file
  # @param path Path where to upload including filename and extension e.g. /file.ext or /Folder 1/file.ext             If the content is multipart and path does not contains the file name it tries to get them from filename parameter             from Content-Disposition header.             
  # @param file File to upload
  # @param [Hash] opts the optional parameters
  # @option opts [String] :storage_name Storage name
  # @return [FilesUploadResult]
  describe 'upload_file test' do
    it 'should work' do
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UploadFile', 'String')
      paramfile = AsposeSlidesCloud::SpecUtils.get_param_value('file', 'UploadFile', 'File')
      paramstorage_name = AsposeSlidesCloud::SpecUtils.get_param_value('storageName', 'UploadFile', 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UploadFile', nil, nil)
      o, c, _h = AsposeSlidesCloud::SpecUtils.api.upload_file_with_http_info(parampath, paramfile, paramstorage_name)
      code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UploadFile', nil, nil)
      expect(c).to eq(code)
      expect(o).not_to be_nil
    end

    it 'invalid path' do
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UploadFile', 'String')
      paramfile = AsposeSlidesCloud::SpecUtils.get_param_value('file', 'UploadFile', 'File')
      paramstorage_name = AsposeSlidesCloud::SpecUtils.get_param_value('storageName', 'UploadFile', 'String')
      parampath = AsposeSlidesCloud::SpecUtils.invalidize_param_value('path', 'UploadFile', parampath, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UploadFile', 'path', parampath)
      begin
        AsposeSlidesCloud::SpecUtils.api.upload_file_with_http_info(parampath, paramfile, paramstorage_name)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UploadFile', 'path')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UploadFile', 'path', parampath)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UploadFile', 'path', parampath)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid file' do
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UploadFile', 'String')
      paramfile = AsposeSlidesCloud::SpecUtils.get_param_value('file', 'UploadFile', 'File')
      paramstorage_name = AsposeSlidesCloud::SpecUtils.get_param_value('storageName', 'UploadFile', 'String')
      paramfile = AsposeSlidesCloud::SpecUtils.invalidize_param_value('file', 'UploadFile', paramfile, 'File')
      AsposeSlidesCloud::SpecUtils.initialize('UploadFile', 'file', paramfile)
      begin
        AsposeSlidesCloud::SpecUtils.api.upload_file_with_http_info(parampath, paramfile, paramstorage_name)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UploadFile', 'file')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UploadFile', 'file', paramfile)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UploadFile', 'file', paramfile)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end

    it 'invalid storage_name' do
      parampath = AsposeSlidesCloud::SpecUtils.get_param_value('path', 'UploadFile', 'String')
      paramfile = AsposeSlidesCloud::SpecUtils.get_param_value('file', 'UploadFile', 'File')
      paramstorage_name = AsposeSlidesCloud::SpecUtils.get_param_value('storageName', 'UploadFile', 'String')
      paramstorage_name = AsposeSlidesCloud::SpecUtils.invalidize_param_value('storageName', 'UploadFile', paramstorage_name, 'String')
      AsposeSlidesCloud::SpecUtils.initialize('UploadFile', 'storageName', paramstorage_name)
      begin
        AsposeSlidesCloud::SpecUtils.api.upload_file_with_http_info(parampath, paramfile, paramstorage_name)
        unless AsposeSlidesCloud::SpecUtils.no_exception?('UploadFile', 'storageName')
          fail "An exception expected"
        end
      rescue AsposeSlidesCloud::ApiError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UploadFile', 'storageName', paramstorage_name)
        expect(e.code).to eq(code)
        expect(e.response_body).to include(message)
      rescue ArgumentError => e
        code, message = AsposeSlidesCloud::SpecUtils.get_expected_error('UploadFile', 'storageName', paramstorage_name)
        expect(400).to eq(code)
        expect(e.message).to include(message)
      end
    end
  end

end
